//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 2 lights, 25 textures and 171 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  Moray V3.01 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 10/30/1998    (30.10.1998)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

/* // Scene Comment

This scene was created with Moray V3.01 For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera01
  location  <-111.500, 106.000, 142.000>
  direction <0.0,     0.0,  2.6250>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <-2.819, -24.268, 25.017>
}

//    Other cameras are commented out.
/*
camera {  //  Camera Camera02
  location  <-27.500, -30.000, 63.500>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333,  0.0,  0.0>
  look_at   <-11.774, -70.195, 36.923>
}

*/

//
// *******  L I G H T S *******
//

light_source { // AreaLite001
  <-110.400, 39.000, 169.600>
  color  rgb<0.950, 0.950, 1.000>
  area_light <10.615, -6.128, 10.285>, <8.000, 13.856, 0.000>, 4, 4
  adaptive 1
  jitter
}


light_source {   // Light001
  <-111.500, 106.000, 142.000>
  color rgb <0.150, 0.150, 0.150>
}


//
// ********  TEXTURES  *******
//

#include "bathtub.inc"


//
// ********  REFERENCED OBJECTS  *******
//

#declare SuperQ12 = object {
  superellipsoid { // SuperQ12
    <0.2, 0.2>
    texture {
      Blue_Tile
    }
    scale <4.75, 1.0, 4.75>
    rotate 90.0*z
    translate  <37.5, -69.5, 29.5>
  }
}
#declare CSG009 = union {
  object { // SuperQ20->SuperQ12
    SuperQ12
    rotate <0.0, -0.0, -0.0>
    translate  <0.0, 80.0, -0.0>
  }
  object { // SuperQ19->SuperQ12
    SuperQ12
    rotate <0.0, -0.0, -0.0>
    translate  <0.0, 70.0, -0.0>
  }
  object { // SuperQ18->SuperQ12
    SuperQ12
    rotate <0.0, -0.0, -0.0>
    translate  <0.0, 60.0, -0.0>
  }
  object { // SuperQ17->SuperQ12
    SuperQ12
    rotate <0.0, -0.0, -0.0>
    translate  <0.0, 50.0, -0.0>
  }
  object { // SuperQ16->SuperQ12
    SuperQ12
    rotate <0.0, -0.0, -0.0>
    translate  <0.0, 40.0, -0.0>
  }
  object { // SuperQ15->SuperQ12
    SuperQ12
    rotate <0.0, -0.0, -0.0>
    translate  <0.0, 30.0, -0.0>
  }
  object { // SuperQ14->SuperQ12
    SuperQ12
    rotate <0.0, -0.0, -0.0>
    translate  <0.0, 20.0, -0.0>
  }
  object { // SuperQ13->SuperQ12
    SuperQ12
    rotate <0.0, -0.0, -0.0>
    translate  <0.0, 10.0, -0.0>
  }
  object { SuperQ12 }
}
#declare SuperQ004 = object {
  superellipsoid { // SuperQ004
    <0.2, 0.2>
    texture {
      Blue_Tile
    }
    scale <4.75, 1.0, 4.75>
    translate  <32.0, -75.0, 29.5>
  }
}
#declare CSG008 = union {
  object { // SuperQ11->SuperQ004
    SuperQ004
    rotate <-0.0, -0.0, 0.0>
    translate  <-70.0, 0.0, -0.0>
  }
  object { // SuperQ10->SuperQ004
    SuperQ004
    rotate <-0.0, -0.0, 0.0>
    translate  <-60.0, 0.0, -0.0>
  }
  object { // SuperQ9->SuperQ004
    SuperQ004
    rotate <-0.0, -0.0, 0.0>
    translate  <-50.0, 0.0, -0.0>
  }
  object { // SuperQ8->SuperQ004
    SuperQ004
    rotate <-0.0, -0.0, 0.0>
    translate  <-40.0, 0.0, -0.0>
  }
  object { // SuperQ7->SuperQ004
    SuperQ004
    rotate <-0.0, -0.0, 0.0>
    translate  <-30.0, 0.0, -0.0>
  }
  object { // SuperQ6->SuperQ004
    SuperQ004
    rotate <-0.0, -0.0, 0.0>
    translate  <-20.0, 0.0, -0.0>
  }
  object { // SuperQ5->SuperQ004
    SuperQ004
    rotate <-0.0, -0.0, 0.0>
    translate  <-10.0, 0.0, -0.0>
  }
  object { SuperQ004 }
}


#declare Cylndr010 = object {
  cylinder { // Cylndr010
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 2.0, 10.0>
    translate  <4.5, 0.0, -5.0>
  }
}


#declare Cylndr18 = object {
  cylinder { // Cylndr18
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 2.0, 10.0>
    translate  <4.5, 0.0, -5.0>
  }
}




//
// ********  OBJECTS  *******
//



#include "C:\Moray For Windows\Udo\vine_leaves.inc"

#declare VineLeaf0_Ref = object {
  VineLeaf0
  scale 7.57575
  rotate <0.0, 48.531731, 28.782961>
  translate  <-40.54322, -56.26917, 26.24006>
}
#declare VineLeaf1_Ref = object {
  VineLeaf1
  scale 8.18775
  rotate <0.0, 98.844688, 350.709961>
  translate  <-38.48968, -53.19373, 22.69437>
}
#declare VineLeaf2_Ref = object {
  VineLeaf2
  scale 10.03275
  rotate <0.0, 98.007263, 41.617432>
  translate  <-33.89547, -49.19735, 16.64168>
}
#declare VineLeaf3_Ref = object {
  VineLeaf3
  scale 7.1775
  rotate <0.0, 95.626083, 319.307465>
  translate  <-33.29027, -46.01044, 11.86908>
}
#declare VineLeaf4_Ref = object {
  VineLeaf4
  scale 10.2165
  rotate <0.0, 109.533508, 353.226257>
  translate  <-34.74172, -39.07769, 3.8287>
}
#declare VineLeaf5_Ref = object {
  VineLeaf5
  scale 11.30925
  rotate <0.0, 29.938471, 15.75328>
  translate  <-34.4336, -31.18895, -2.99063>
}
#declare VineLeaf6_Ref = object {
  VineLeaf6
  scale 8.889
  rotate <0.0, 117.501732, 337.151947>
  translate  <-33.51689, -28.18312, -6.26802>
}
#declare VineLeaf7_Ref = object {
  VineLeaf7
  scale 10.5195
  rotate <0.0, 23.38694, 13.48313>
  translate  <-29.23681, -14.34833, -7.66953>
}
#declare VineLeaf8_Ref = object {
  VineLeaf8
  scale 12.0615
  rotate <0.0, 112.60186, 293.495148>
  translate  <-25.04328, -10.68554, -11.3534>
}
#declare VineLeaf9_Ref = object {
  VineLeaf9
  scale 12.0615
  rotate <0.0, 121.636147, 300.419067>
  translate  <-16.18212, -8.29195, -13.63339>
}
#declare VineLeaf10_Ref = object {
  VineLeaf10
  scale 11.38425
  rotate <0.0, 58.26445, 80.017319>
  translate  <-11.63271, -3.77435, -14.86697>
}
#declare VineLeaf11_Ref = object {
  VineLeaf11
  scale 12.0615
  rotate <0.0, 79.094322, 331.561371>
  translate  <-7.51413, -4.80654, -16.67836>
}
#declare Vine_Leaves = union {
  object { VineLeaf0_Ref }
  object { VineLeaf1_Ref }
  object { VineLeaf2_Ref }
  object { VineLeaf3_Ref }
  object { VineLeaf4_Ref }
  object { VineLeaf5_Ref }
  object { VineLeaf6_Ref }
  object { VineLeaf7_Ref }
  object { VineLeaf8_Ref }
  object { VineLeaf9_Ref }
  object { VineLeaf10_Ref }
  object { VineLeaf11_Ref }
  texture {
    RedLeaves
  }
}
#include "C:\Moray For Windows\Udo\vine_limbs.inc"

#declare VineLimb0_Ref = object {
  VineLimb0
  rotate <0.0, 180.0, 180.0>
}
#declare VineLimb1_Ref = object {
  VineLimb1
  rotate <0.0, 169.0, 203.25>
  translate  -9.66225*z
}
#declare VineLimb2_Ref = object {
  VineLimb2
  rotate <0.0, 162.0, 203.25>
  translate  <-0.59826, -0.25703, -13.01205>
}
#declare VineLimb3_Ref = object {
  VineLimb3
  rotate <0.0, 124.25, 203.25>
  translate  <-1.33355, -0.57294, -15.47505>
}
#declare VineLimb4_Ref = object {
  VineLimb4
  rotate <0.0, 90.0, 203.25>
  translate  <-3.92977, -1.68836, -17.399>
}
#declare VineLimb5_Ref = object {
  VineLimb5
  rotate <0.0, 66.25, 203.25>
  translate  <-8.37787, -3.59942, -17.399>
}
#declare VineLimb6_Ref = object {
  VineLimb6
  rotate <0.0, 55.509151, 203.759064>
  translate  <-11.75672, -5.05108, -15.78086>
}
#declare VineLimb7_Ref = object {
  VineLimb7
  rotate <0.0, 66.749619, 203.228638>
  translate  <-13.9406, -6.01243, -14.1415>
}
#declare VineLimb8_Ref = object {
  VineLimb8
  rotate <0.0, 89.2342, 202.370972>
  translate  <-16.63373, -7.1683, -12.88235>
}
#declare VineLimb9_Ref = object {
  VineLimb9
  rotate <0.0, 71.54493, 190.841675>
  translate  <-19.93268, -8.52607, -12.83466>
}
#declare VineLimb10_Ref = object {
  VineLimb10
  rotate <0.0, 70.855583, 191.943176>
  translate  <-23.25654, -9.16264, -11.70525>
}
#declare VineLimb11_Ref = object {
  VineLimb11
  rotate <0.0, 61.129559, 210.176544>
  translate  <-25.40333, -9.61673, -10.9435>
}
#declare VineLimb12_Ref = object {
  VineLimb12
  rotate <0.0, 70.42141, 230.267303>
  translate  <-27.16174, -10.63918, -9.82201>
}
#declare VineLimb13_Ref = object {
  VineLimb13
  rotate <0.0, 78.53215, 243.378662>
  translate  <-28.56061, -12.32218, -9.04366>
}
#declare VineLimb14_Ref = object {
  VineLimb14
  rotate <0.0, 81.236, 247.3461>
  translate  <-29.58064, -14.35724, -8.58185>
}
#declare VineLimb15_Ref = object {
  VineLimb15
  rotate <0.0, 78.250458, 242.956924>
  translate  <-30.46483, -16.47575, -8.22795>
}
#declare VineLimb16_Ref = object {
  VineLimb16
  rotate <0.0, 80.045227, 259.916718>
  translate  <-32.98407, -21.41085, -7.07548>
}
#declare VineLimb17_Ref = object {
  VineLimb17
  rotate <0.0, 49.325531, 258.375305>
  translate  <-34.32227, -28.93621, -5.73396>
}
#declare VineLimb18_Ref = object {
  VineLimb18
  rotate <0.0, 42.23595, 271.496033>
  translate  <-35.50707, -34.69549, -0.68103>
}
#declare VineLimb19_Ref = object {
  VineLimb19
  rotate <0.0, 38.518589, 270.733307>
  translate  <-35.37102, -39.90499, 5.05898>
}
#declare VineLimb20_Ref = object {
  VineLimb20
  rotate <0.0, 44.697979, 295.557007>
  translate  <-35.35299, -41.31358, 6.82878>
}
#declare VineLimb21_Ref = object {
  VineLimb21
  rotate <0.0, 39.306702, 276.163757>
  translate  <-34.7342, -42.60759, 8.27833>
}
#declare VineLimb22_Ref = object {
  VineLimb22
  rotate <0.0, 45.712002, 297.986481>
  translate  <-34.59549, -43.89192, 9.85623>
}
#declare VineLimb23_Ref = object {
  VineLimb23
  rotate <0.0, 38.472031, 270.338715>
  translate  <-33.5885, -45.78689, 11.94946>
}
#declare VineLimb24_Ref = object {
  VineLimb24
  rotate <0.0, 38.03627, 248.054703>
  translate  <-33.57538, -48.00646, 14.74269>
}
#declare VineLimb25_Ref = object {
  VineLimb25
  rotate <0.0, 43.010139, 222.87764>
  translate  <-34.41334, -50.0862, 17.60884>
}
#declare VineLimb26_Ref = object {
  VineLimb26
  rotate <0.0, 48.834469, 209.442795>
  translate  <-36.23236, -51.77522, 20.2698>
}
#declare VineLimb27_Ref = object {
  VineLimb27
  rotate <0.0, 46.55048, 229.885223>
  translate  <-38.61803, -53.12182, 22.66512>
}
#declare VineLimb28_Ref = object {
  VineLimb28
  rotate <0.0, 49.22551, 256.723114>
  translate  <-40.32022, -55.14218, 25.16772>
}
#declare VineLimb29_Ref = object {
  VineLimb29
  rotate <0.0, 52.86248, 228.365173>
  translate  <-40.9531, -57.82429, 27.54429>
}
#declare VineLimb30_Ref = object {
  VineLimb30
  rotate <0.0, 154.954315, 307.647583>
  translate  <-28.56061, -12.32218, -9.04366>
}
#declare VineLimb31_Ref = object {
  VineLimb31
  rotate <0.0, 35.736919, 70.158081>
  translate  <-25.40333, -9.61673, -10.9435>
}
#declare VineLimb32_Ref = object {
  VineLimb32
  rotate <0.0, 125.186836, 112.910957>
  translate  <-16.63373, -7.1683, -12.88235>
}
#declare VineLimb33_Ref = object {
  VineLimb33
  rotate <0.0, 101.462639, 288.230713>
  translate  <-13.9406, -6.01243, -14.1415>
}
#declare VineLimb34_Ref = object {
  VineLimb34
  rotate <0.0, 46.901821, 253.673203>
  translate  <-1.33355, -0.57294, -15.47505>
}
#declare VineLimb35_Ref = object {
  VineLimb35
  rotate <0.0, 101.0, 23.25>
  translate  -9.66225*z
}
#declare Vine_Limbs = union {
  object { VineLimb0_Ref }
  object { VineLimb1_Ref }
  object { VineLimb2_Ref }
  object { VineLimb3_Ref }
  object { VineLimb4_Ref }
  object { VineLimb5_Ref }
  object { VineLimb6_Ref }
  object { VineLimb7_Ref }
  object { VineLimb8_Ref }
  object { VineLimb9_Ref }
  object { VineLimb10_Ref }
  object { VineLimb11_Ref }
  object { VineLimb12_Ref }
  object { VineLimb13_Ref }
  object { VineLimb14_Ref }
  object { VineLimb15_Ref }
  object { VineLimb16_Ref }
  object { VineLimb17_Ref }
  object { VineLimb18_Ref }
  object { VineLimb19_Ref }
  object { VineLimb20_Ref }
  object { VineLimb21_Ref }
  object { VineLimb22_Ref }
  object { VineLimb23_Ref }
  object { VineLimb24_Ref }
  object { VineLimb25_Ref }
  object { VineLimb26_Ref }
  object { VineLimb27_Ref }
  object { VineLimb28_Ref }
  object { VineLimb29_Ref }
  object { VineLimb30_Ref }
  object { VineLimb31_Ref }
  object { VineLimb32_Ref }
  object { VineLimb33_Ref }
  object { VineLimb34_Ref }
  object { VineLimb35_Ref }
  texture {
    Wood
  }
}
union { // Vine
  object { Vine_Leaves }
  object { Vine_Limbs }
  rotate -174.0*z
  translate  <0.0, -57.2, 32.1>
}


superellipsoid { // Soap
  <0.4, 0.4>
  texture {
    Soap_Texture
  }
  scale <3.0, 5.0, 1.0>
  rotate 40.0*z
  translate  <-29.0, -63.5, 21.0>
}


#declare sPatchObj = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.123346, -0.061304, 0.139477>, <0.133952, -0.049606, 0.109500>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.115190, -0.055673, 0.138893>, <0.125795, -0.043975, 0.108917>, 
      <0.081791, -0.110599, 0.188959>, <0.087627, -0.090882, 0.164582>, <0.112807, -0.059367, 0.137278>, <0.111057, -0.046296, 0.108242>, 
      <0.081791, -0.110599, 0.188959>, <0.087627, -0.090882, 0.164582>, <0.102995, -0.057949, 0.136739>, <0.101244, -0.044877, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.081791, -0.110599, 0.188959>, <0.102947, -0.101460, 0.165678>, <0.135743, -0.080243, 0.139614>, <0.152311, -0.080136, 0.111355>, 
      <0.081791, -0.110599, 0.188959>, <0.102947, -0.101460, 0.165678>, <0.130235, -0.071084, 0.139058>, <0.146804, -0.070977, 0.110798>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.132138, -0.067374, 0.140105>, <0.142743, -0.055676, 0.110129>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.123346, -0.061304, 0.139477>, <0.133952, -0.049606, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.147158, -0.038496, 0.004197>, <0.128073, -0.025320, 0.004197>, <0.093603, -0.030745, 0.004197>, <0.070651, -0.027423, 0.004197>, 
      <0.143196, -0.041829, 0.035788>, <0.124111, -0.028653, 0.035788>, <0.102781, -0.035981, 0.035249>, <0.079829, -0.032659, 0.035249>, 
      <0.143972, -0.038553, 0.081177>, <0.135816, -0.032922, 0.080593>, <0.109256, -0.032852, 0.078378>, <0.099444, -0.031433, 0.077838>, 
      <0.133952, -0.049606, 0.109500>, <0.125795, -0.043975, 0.108917>, <0.111057, -0.046296, 0.108242>, <0.101244, -0.044877, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.190118, -0.109900, 0.004197>, <0.177230, -0.088479, 0.004197>, <0.167731, -0.052699, 0.004197>, <0.147158, -0.038496, 0.004197>, 
      <0.178776, -0.100971, 0.036344>, <0.165888, -0.079550, 0.036344>, <0.163769, -0.056032, 0.035788>, <0.143196, -0.041829, 0.035788>, 
      <0.170135, -0.080021, 0.080955>, <0.164627, -0.070862, 0.080399>, <0.152764, -0.044623, 0.081806>, <0.143972, -0.038553, 0.081177>, 
      <0.152311, -0.080136, 0.111355>, <0.146804, -0.070977, 0.110798>, <0.142743, -0.055676, 0.110129>, <0.133952, -0.049606, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.151823, -0.120416, 0.139458>, <0.167434, -0.119152, 0.109500>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.153118, -0.110589, 0.138875>, <0.168729, -0.109325, 0.108917>, 
      <0.087651, -0.123490, 0.188959>, <0.108376, -0.112808, 0.164582>, <0.148708, -0.110027, 0.137375>, <0.159945, -0.097264, 0.108242>, 
      <0.087651, -0.123490, 0.188959>, <0.108376, -0.112808, 0.164582>, <0.145499, -0.100647, 0.136835>, <0.156736, -0.087884, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.087651, -0.123490, 0.188959>, <0.105944, -0.131265, 0.165678>, <0.140704, -0.139868, 0.139343>, <0.148627, -0.149408, 0.111355>, 
      <0.087651, -0.123490, 0.188959>, <0.105944, -0.131265, 0.165678>, <0.146346, -0.130791, 0.138786>, <0.154269, -0.140331, 0.110798>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.150427, -0.131008, 0.140087>, <0.166038, -0.129744, 0.110129>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.151823, -0.120416, 0.139458>, <0.167434, -0.119152, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.183932, -0.115692, 0.004197>, <0.186961, -0.092699, 0.004197>, <0.166423, -0.064489, 0.004197>, <0.158919, -0.042545, 0.004197>, 
      <0.178982, -0.116730, 0.035788>, <0.182012, -0.093737, 0.035788>, <0.165768, -0.078091, 0.035249>, <0.158264, -0.056147, 0.035249>, 
      <0.182209, -0.117955, 0.081148>, <0.183504, -0.108129, 0.080565>, <0.171241, -0.084435, 0.078959>, <0.168031, -0.075055, 0.078420>, 
      <0.167434, -0.119152, 0.109500>, <0.168729, -0.109325, 0.108917>, <0.159945, -0.097264, 0.108242>, <0.156736, -0.087884, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139955, -0.186473, 0.004197>, <0.153148, -0.165239, 0.004197>, <0.180666, -0.140477, 0.004197>, <0.183932, -0.115692, 0.004197>, 
      <0.142557, -0.175354, 0.036344>, <0.155750, -0.154119, 0.036344>, <0.175717, -0.141515, 0.035788>, <0.178982, -0.116730, 0.035788>, 
      <0.157457, -0.160041, 0.080164>, <0.163099, -0.150964, 0.079608>, <0.180813, -0.128547, 0.081777>, <0.182209, -0.117955, 0.081148>, 
      <0.148627, -0.149408, 0.111355>, <0.154269, -0.140331, 0.110798>, <0.166038, -0.129744, 0.110129>, <0.167434, -0.119152, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.119746, -0.184875, 0.139153>, <0.129356, -0.196048, 0.109500>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.128282, -0.179838, 0.138570>, <0.137893, -0.191011, 0.108917>, 
      <0.080525, -0.137015, 0.188959>, <0.100583, -0.146416, 0.164582>, <0.126053, -0.175906, 0.137066>, <0.141976, -0.176660, 0.108242>, 
      <0.080525, -0.137015, 0.188959>, <0.100583, -0.146416, 0.164582>, <0.131462, -0.167597, 0.136526>, <0.147385, -0.168351, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080525, -0.137015, 0.188959>, <0.084549, -0.155877, 0.165678>, <0.097373, -0.188128, 0.138993>, <0.093938, -0.199887, 0.111355>, 
      <0.080525, -0.137015, 0.188959>, <0.084549, -0.155877, 0.165678>, <0.107999, -0.186976, 0.138437>, <0.104564, -0.198735, 0.110798>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.110544, -0.190304, 0.139782>, <0.120155, -0.201477, 0.110129>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.119746, -0.184875, 0.139153>, <0.129356, -0.196048, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.140408, -0.206628, 0.004197>, <0.160381, -0.194842, 0.004197>, <0.169937, -0.161281, 0.004197>, <0.182592, -0.141847, 0.004197>, 
      <0.137092, -0.203454, 0.035788>, <0.157066, -0.191668, 0.035788>, <0.159375, -0.169232, 0.035249>, <0.172030, -0.149798, 0.035249>, 
      <0.138622, -0.206818, 0.080913>, <0.147158, -0.201781, 0.080330>, <0.158291, -0.177432, 0.078709>, <0.163700, -0.169123, 0.078169>, 
      <0.129356, -0.196048, 0.109500>, <0.137893, -0.191011, 0.108917>, <0.141976, -0.176660, 0.108242>, <0.147385, -0.168351, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.057564, -0.215624, 0.004197>, <0.082418, -0.212925, 0.004197>, <0.118878, -0.219333, 0.004197>, <0.140408, -0.206628, 0.004197>, 
      <0.068477, -0.210903, 0.036344>, <0.093330, -0.208204, 0.036344>, <0.115562, -0.216158, 0.035788>, <0.137092, -0.203454, 0.035788>, 
      <0.090044, -0.213219, 0.080019>, <0.100670, -0.212067, 0.079463>, <0.129420, -0.212247, 0.081542>, <0.138622, -0.206818, 0.080913>, 
      <0.093938, -0.199887, 0.111355>, <0.104564, -0.198735, 0.110798>, <0.120155, -0.201477, 0.110129>, <0.129356, -0.196048, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.051125, -0.197542, 0.138900>, <0.047940, -0.211239, 0.109500>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.060295, -0.201306, 0.138317>, <0.057109, -0.215003, 0.108917>, 
      <0.065887, -0.139366, 0.188959>, <0.070392, -0.160223, 0.164582>, <0.062186, -0.197131, 0.136812>, <0.071015, -0.209595, 0.108242>, 
      <0.065887, -0.139366, 0.188959>, <0.070392, -0.160223, 0.164582>, <0.072076, -0.196426, 0.136273>, <0.080904, -0.208890, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.065887, -0.139366, 0.188959>, <0.053169, -0.153153, 0.165678>, <0.034931, -0.181550, 0.138720>, <0.023496, -0.185323, 0.111355>, 
      <0.065887, -0.139366, 0.188959>, <0.053169, -0.153153, 0.165678>, <0.042264, -0.189325, 0.138163>, <0.030829, -0.193098, 0.110798>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.041242, -0.193485, 0.139529>, <0.038057, -0.207182, 0.110129>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.051125, -0.197542, 0.138900>, <0.047940, -0.211239, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.045868, -0.225449, 0.004197>, <0.067322, -0.234255, 0.004197>, <0.099845, -0.221610, 0.004197>, <0.122978, -0.219965, 0.004197>, 
      <0.046490, -0.221186, 0.035788>, <0.067944, -0.229992, 0.035788>, <0.087223, -0.218288, 0.035249>, <0.110356, -0.216642, 0.035249>, 
      <0.044824, -0.224640, 0.080738>, <0.053993, -0.228404, 0.080155>, <0.080194, -0.222553, 0.078537>, <0.090083, -0.221848, 0.077997>, 
      <0.047940, -0.211239, 0.109500>, <0.057109, -0.215003, 0.108917>, <0.071015, -0.209595, 0.108242>, <0.080904, -0.208890, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.011320, -0.164840, 0.004197>, <0.005836, -0.183023, 0.004197>, <0.022741, -0.215956, 0.004197>, <0.045868, -0.225449, 0.004197>, 
      <-0.000875, -0.170985, 0.036344>, <0.016281, -0.189168, 0.036344>, <0.023363, -0.211693, 0.035788>, <0.046490, -0.221186, 0.035788>, 
      <0.010355, -0.189659, 0.079909>, <0.017689, -0.197434, 0.079353>, <0.034940, -0.220583, 0.081367>, <0.044824, -0.224640, 0.080738>, 
      <0.023496, -0.185323, 0.111355>, <0.030829, -0.193098, 0.110798>, <0.038057, -0.207182, 0.110129>, <0.047940, -0.211239, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.000011, -0.155109, 0.138969>, <-0.012905, -0.161346, 0.109500>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.002698, -0.164650, 0.138386>, <-0.010217, -0.170887, 0.108917>, 
      <0.055246, -0.130093, 0.188959>, <0.041451, -0.146822, 0.164582>, <0.007129, -0.163551, 0.136885>, <0.002613, -0.178503, 0.108242>, 
      <0.055246, -0.130093, 0.188959>, <0.041451, -0.146822, 0.164582>, <0.013780, -0.170904, 0.136346>, <0.009263, -0.185856, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.055246, -0.130093, 0.188959>, <0.036403, -0.128902, 0.165678>, <0.002615, -0.132555, 0.138806>, <-0.007562, -0.126124, 0.111355>, 
      <0.055246, -0.130093, 0.188959>, <0.036403, -0.128902, 0.165678>, <0.001012, -0.143122, 0.138249>, <-0.009165, -0.136690, 0.110798>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <-0.002886, -0.144826, 0.139598>, <-0.015801, -0.151063, 0.110129>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.000011, -0.155109, 0.138969>, <-0.012905, -0.161346, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.025731, -0.169195, 0.004197>, <-0.019442, -0.191518, 0.004197>, <0.010561, -0.209334, 0.004197>, <0.026115, -0.226537, 0.004197>, 
      <-0.021883, -0.166840, 0.035788>, <-0.015594, -0.189163, 0.035788>, <0.005506, -0.197130, 0.035249>, <0.021059, -0.214333, 0.035249>, 
      <-0.025480, -0.167419, 0.080807>, <-0.022793, -0.176959, 0.080223>, <-0.002058, -0.193967, 0.078615>, <0.004592, -0.201320, 0.078076>, 
      <-0.012905, -0.161346, 0.109500>, <-0.010217, -0.170887, 0.108917>, <0.002613, -0.178503, 0.108242>, <0.009263, -0.185856, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.013253, -0.086805, 0.004197>, <-0.016996, -0.111522, 0.004197>, <-0.032510, -0.145133, 0.004197>, <-0.025731, -0.169195, 0.004197>, 
      <-0.011546, -0.098600, 0.036344>, <-0.015289, -0.123318, 0.036344>, <-0.028662, -0.142778, 0.035788>, <-0.021883, -0.166840, 0.035788>, 
      <-0.019203, -0.118767, 0.079956>, <-0.020806, -0.129334, 0.079400>, <-0.028377, -0.157135, 0.081435>, <-0.025480, -0.167419, 0.080807>, 
      <-0.007562, -0.126124, 0.111355>, <-0.009165, -0.136690, 0.110798>, <-0.015801, -0.151063, 0.110129>, <-0.012905, -0.161346, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.003646, -0.093559, 0.139269>, <-0.017742, -0.087839, 0.109500>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.007736, -0.102588, 0.138685>, <-0.021832, -0.096868, 0.108917>, 
      <0.054707, -0.117082, 0.188959>, <0.033323, -0.118217, 0.164582>, <-0.003670, -0.104430, 0.137130>, <-0.016924, -0.110959, 0.108242>, 
      <0.054707, -0.117082, 0.188959>, <0.033323, -0.118217, 0.164582>, <-0.003319, -0.114338, 0.136590>, <-0.016573, -0.120867, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.054707, -0.117082, 0.188959>, <0.041004, -0.101259, 0.165678>, <0.012789, -0.078009, 0.139268>, <0.009032, -0.064339, 0.111355>, 
      <0.054707, -0.117082, 0.188959>, <0.041004, -0.101259, 0.165678>, <0.004757, -0.085059, 0.138711>, <0.000999, -0.071389, 0.110798>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <0.000762, -0.083828, 0.139898>, <-0.013334, -0.078108, 0.110129>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.003646, -0.093559, 0.139269>, <-0.017742, -0.087839, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.032783, -0.081579, 0.004197>, <-0.042352, -0.102705, 0.004197>, <-0.030879, -0.135659, 0.004197>, <-0.030062, -0.158836, 0.004197>, 
      <-0.028271, -0.083458, 0.035788>, <-0.037839, -0.104583, 0.035788>, <-0.026832, -0.124268, 0.035249>, <-0.026016, -0.147445, 0.035249>, 
      <-0.031221, -0.082370, 0.081035>, <-0.035311, -0.091398, 0.080451>, <-0.030535, -0.117663, 0.078575>, <-0.030184, -0.127571, 0.078036>, 
      <-0.017742, -0.087839, 0.109500>, <-0.021832, -0.096868, 0.108917>, <-0.016924, -0.110959, 0.108242>, <-0.016573, -0.120867, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.029833, -0.026595, 0.004197>, <0.011048, -0.043091, 0.004197>, <-0.022469, -0.058807, 0.004197>, <-0.032783, -0.081579, 0.004197>, 
      <0.023592, -0.037919, 0.036344>, <0.004808, -0.054414, 0.036344>, <-0.017957, -0.060685, 0.035788>, <-0.028271, -0.083458, 0.035788>, 
      <0.004873, -0.049209, 0.080462>, <-0.003160, -0.056259, 0.079905>, <-0.026813, -0.072638, 0.081664>, <-0.031221, -0.082370, 0.081035>, 
      <0.009032, -0.064339, 0.111355>, <0.000999, -0.071389, 0.110798>, <-0.013334, -0.078108, 0.110129>, <-0.017742, -0.087839, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.052223, -0.054540, 0.138419>, <0.048958, -0.042290, 0.109500>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.042556, -0.056731, 0.137835>, <0.039291, -0.044481, 0.108917>, 
      <0.066771, -0.108976, 0.188959>, <0.053740, -0.095232, 0.164582>, <0.043261, -0.061362, 0.136228>, <0.031022, -0.056900, 0.108242>, 
      <0.066771, -0.108976, 0.188959>, <0.053740, -0.095232, 0.164582>, <0.035575, -0.067624, 0.135689>, <0.023335, -0.063162, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.066771, -0.108976, 0.188959>, <0.071897, -0.091117, 0.165678>, <0.074983, -0.058432, 0.138332>, <0.083857, -0.049445, 0.111355>, 
      <0.066771, -0.108976, 0.188959>, <0.071897, -0.091117, 0.165678>, <0.064513, -0.056285, 0.137775>, <0.073387, -0.047298, 0.110798>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.062642, -0.052179, 0.139048>, <0.059377, -0.039928, 0.110129>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.052223, -0.054540, 0.138419>, <0.048958, -0.042290, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.045911, -0.030705, 0.004197>, <0.023293, -0.035833, 0.004197>, <0.003950, -0.064875, 0.004197>, <-0.014034, -0.079519, 0.004197>, 
      <0.046825, -0.034181, 0.035788>, <0.024207, -0.039308, 0.035788>, <0.015160, -0.059968, 0.035249>, <-0.002823, -0.074611, 0.035249>, 
      <0.045670, -0.029954, 0.080381>, <0.036003, -0.032145, 0.079798>, <0.017788, -0.052076, 0.077983>, <0.010101, -0.058337, 0.077444>, 
      <0.048958, -0.042290, 0.109500>, <0.039291, -0.044481, 0.108917>, <0.031022, -0.056900, 0.108242>, <0.023335, -0.063162, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127546, -0.047424, 0.004197>, <0.103055, -0.042409, 0.004197>, <0.070291, -0.025179, 0.004197>, <0.045911, -0.030705, 0.004197>, 
      <0.114439, -0.048030, 0.036344>, <0.089949, -0.043015, 0.036344>, <0.071205, -0.028654, 0.035788>, <0.046825, -0.034181, 0.035788>, 
      <0.094200, -0.038969, 0.079909>, <0.083731, -0.036822, 0.079352>, <0.056089, -0.027592, 0.081010>, <0.045670, -0.029954, 0.080381>, 
      <0.083857, -0.049445, 0.111355>, <0.073387, -0.047298, 0.110798>, <0.059377, -0.039928, 0.110129>, <0.048958, -0.042290, 0.109500>
    }
  }
  texture {
    Pinkish
    scale 0.2
  }
}
#declare sPatchObj2 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.023540, -0.001090, 0.154383>, <0.019830, 0.012614, 0.123223>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.010076, -0.007002, 0.153916>, <0.006366, 0.006702, 0.122756>, 
      <0.042454, -0.058750, 0.209380>, <0.026234, -0.048623, 0.183101>, <0.011435, -0.014603, 0.151712>, <-0.002180, -0.013711, 0.122216>, 
      <0.042454, -0.058750, 0.209380>, <0.026234, -0.048623, 0.183101>, <0.002002, -0.025885, 0.151281>, <-0.011612, -0.024993, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.042454, -0.058750, 0.209380>, <0.051518, -0.037521, 0.183978>, <0.059411, -0.000574, 0.153756>, <0.072669, 0.012015, 0.124707>, 
      <0.042454, -0.058750, 0.209380>, <0.051518, -0.037521, 0.183978>, <0.043559, -0.000394, 0.153311>, <0.056818, 0.012195, 0.124262>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.038053, 0.005283, 0.154886>, <0.034344, 0.018987, 0.123726>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.023540, -0.001090, 0.154383>, <0.019830, 0.012614, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017748, 0.032511, 0.001863>, <-0.012683, 0.019147, 0.001863>, <-0.032005, -0.026980, 0.001863>, <-0.053327, -0.052476, 0.001863>, 
      <0.018373, 0.026542, 0.038271>, <-0.012059, 0.013177, 0.038271>, <-0.019490, -0.018735, 0.037839>, <-0.040813, -0.044231, 0.037839>, 
      <0.015833, 0.027381, 0.089644>, <0.002369, 0.021469, 0.089177>, <-0.018506, -0.012642, 0.086843>, <-0.027939, -0.023924, 0.086412>, 
      <0.019830, 0.012614, 0.123223>, <0.006366, 0.006702, 0.122756>, <-0.002180, -0.013711, 0.122216>, <-0.011612, -0.024993, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.137167, 0.031181, 0.001863>, <0.101342, 0.031580, 0.001863>, <0.050552, 0.046917, 0.001863>, <0.017748, 0.032511, 0.001863>, 
      <0.117818, 0.025431, 0.038716>, <0.081992, 0.025830, 0.038716>, <0.051177, 0.040948, 0.038271>, <0.018373, 0.026542, 0.038271>, 
      <0.088900, 0.027426, 0.089145>, <0.073049, 0.027606, 0.088699>, <0.030346, 0.033754, 0.090147>, <0.015833, 0.027381, 0.089644>, 
      <0.072669, 0.012015, 0.124707>, <0.056818, 0.012195, 0.124262>, <0.034344, 0.018987, 0.123726>, <0.019830, 0.012614, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.127618, -0.012097, 0.154435>, <0.133701, 0.000720, 0.123223>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.116219, -0.002807, 0.153968>, <0.122302, 0.010010, 0.122756>, 
      <0.099135, -0.065936, 0.209380>, <0.095163, -0.042686, 0.183101>, <0.110009, -0.007551, 0.152212>, <0.100238, 0.008313, 0.122216>, 
      <0.099135, -0.065936, 0.209380>, <0.095163, -0.042686, 0.183101>, <0.095668, -0.004297, 0.151781>, <0.085896, 0.011566, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.099135, -0.065936, 0.209380>, <0.116570, -0.060131, 0.183978>, <0.144408, -0.043612, 0.153153>, <0.157250, -0.046585, 0.124707>, 
      <0.099135, -0.065936, 0.209380>, <0.116570, -0.060131, 0.183978>, <0.137343, -0.029421, 0.152707>, <0.150186, -0.032393, 0.124262>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.139906, -0.022111, 0.154938>, <0.145988, -0.009293, 0.123726>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.127618, -0.012097, 0.154435>, <0.133701, 0.000720, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139577, 0.019277, 0.001863>, <0.113812, 0.040274, 0.001863>, <0.063949, 0.036450, 0.001863>, <0.031537, 0.043809, 0.001863>, 
      <0.137814, 0.013710, 0.038271>, <0.112049, 0.034707, 0.038271>, <0.080257, 0.026777, 0.037839>, <0.047845, 0.034136, 0.037839>, 
      <0.140243, 0.014505, 0.089654>, <0.128844, 0.023795, 0.089187>, <0.088984, 0.026582, 0.087670>, <0.074643, 0.029836, 0.087238>, 
      <0.133701, 0.000720, 0.123223>, <0.122302, 0.010010, 0.122756>, <0.100238, 0.008313, 0.122216>, <0.085896, 0.011566, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.192820, -0.087623, 0.001863>, <0.176847, -0.055553, 0.001863>, <0.167351, -0.003356, 0.001863>, <0.139577, 0.019277, 0.001863>, 
      <0.182149, -0.075311, 0.038716>, <0.166176, -0.043241, 0.038716>, <0.165588, -0.008923, 0.038271>, <0.137814, 0.013710, 0.038271>, 
      <0.173755, -0.050406, 0.088147>, <0.166690, -0.036214, 0.087702>, <0.152530, 0.004491, 0.090158>, <0.140243, 0.014505, 0.089654>, 
      <0.157250, -0.046585, 0.124707>, <0.150186, -0.032393, 0.124262>, <0.145988, -0.009293, 0.123726>, <0.133701, 0.000720, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188128, -0.109740, 0.154119>, <0.201120, -0.107235, 0.123223>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188418, -0.095038, 0.153652>, <0.201409, -0.092533, 0.122756>, 
      <0.130487, -0.119060, 0.209380>, <0.145400, -0.102214, 0.183101>, <0.180747, -0.092963, 0.151933>, <0.186473, -0.076204, 0.122216>, 
      <0.130487, -0.119060, 0.209380>, <0.145400, -0.102214, 0.183101>, <0.174470, -0.079664, 0.151502>, <0.180196, -0.062906, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.130487, -0.119060, 0.209380>, <0.144856, -0.129823, 0.183978>, <0.173517, -0.142599, 0.152843>, <0.178383, -0.154937, 0.124707>, 
      <0.130487, -0.119060, 0.209380>, <0.144856, -0.129823, 0.183978>, <0.180338, -0.128289, 0.152398>, <0.185204, -0.140626, 0.124262>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.187816, -0.125588, 0.154623>, <0.200808, -0.123083, 0.123726>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188128, -0.109740, 0.154119>, <0.201120, -0.107235, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.217744, -0.102236, 0.001863>, <0.218398, -0.069005, 0.001863>, <0.184653, -0.032097, 0.001863>, <0.170471, -0.002038, 0.001863>, 
      <0.212757, -0.103736, 0.038271>, <0.213410, -0.070505, 0.038271>, <0.187571, -0.050358, 0.037839>, <0.173389, -0.020298, 0.037839>, 
      <0.215336, -0.104494, 0.089414>, <0.215626, -0.089792, 0.088947>, <0.193168, -0.056609, 0.087467>, <0.186891, -0.043311, 0.087036>, 
      <0.201120, -0.107235, 0.123223>, <0.201409, -0.092533, 0.122756>, <0.186473, -0.076204, 0.122216>, <0.180196, -0.062906, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.166380, -0.210052, 0.001863>, <0.181790, -0.177707, 0.001863>, <0.217040, -0.138057, 0.001863>, <0.217744, -0.102236, 0.001863>, 
      <0.169981, -0.193518, 0.038716>, <0.185390, -0.161173, 0.038716>, <0.212053, -0.139557, 0.038271>, <0.212757, -0.103736, 0.038271>, 
      <0.184728, -0.171021, 0.088025>, <0.191549, -0.156711, 0.087580>, <0.215024, -0.120342, 0.089917>, <0.215336, -0.104494, 0.089414>, 
      <0.178383, -0.154937, 0.124707>, <0.185204, -0.140626, 0.124262>, <0.200808, -0.123083, 0.123726>, <0.201120, -0.107235, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.147752, -0.213387, 0.153808>, <0.156892, -0.221847, 0.123223>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.159647, -0.204741, 0.153341>, <0.168787, -0.213202, 0.122756>, 
      <0.107549, -0.174309, 0.209380>, <0.129164, -0.175537, 0.183101>, <0.156702, -0.197223, 0.151662>, <0.172786, -0.191436, 0.122216>, 
      <0.107549, -0.174309, 0.209380>, <0.129164, -0.175537, 0.183101>, <0.163514, -0.184190, 0.151230>, <0.179598, -0.178403, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.107549, -0.174309, 0.209380>, <0.106826, -0.191773, 0.183978>, <0.112516, -0.221572, 0.152571>, <0.105138, -0.232523, 0.124707>, 
      <0.107549, -0.174309, 0.209380>, <0.106826, -0.191773, 0.183978>, <0.128042, -0.218370, 0.152126>, <0.120664, -0.229320, 0.124262>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.134930, -0.222706, 0.154311>, <0.144070, -0.231167, 0.123726>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.147752, -0.213387, 0.153808>, <0.156892, -0.221847, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.169563, -0.231711, 0.001863>, <0.196448, -0.212169, 0.001863>, <0.205496, -0.162985, 0.001863>, <0.220897, -0.133531, 0.001863>, 
      <0.165762, -0.228752, 0.038271>, <0.192647, -0.209210, 0.038271>, <0.193107, -0.176447, 0.037839>, <0.208507, -0.146993, 0.037839>, 
      <0.167056, -0.231256, 0.089209>, <0.178951, -0.222610, 0.088742>, <0.191852, -0.184577, 0.087309>, <0.198664, -0.171544, 0.086878>, 
      <0.156892, -0.221847, 0.123223>, <0.168787, -0.213202, 0.122756>, <0.172786, -0.191436, 0.122216>, <0.179598, -0.178403, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.052604, -0.255860, 0.001863>, <0.087692, -0.248615, 0.001863>, <0.140582, -0.252777, 0.001863>, <0.169563, -0.231711, 0.001863>, 
      <0.068364, -0.248859, 0.038716>, <0.103452, -0.241614, 0.038716>, <0.136781, -0.249818, 0.038271>, <0.165762, -0.228752, 0.038271>, 
      <0.095403, -0.246972, 0.087937>, <0.110929, -0.243770, 0.087492>, <0.154234, -0.240575, 0.089713>, <0.167056, -0.231256, 0.089209>, 
      <0.105138, -0.232523, 0.124707>, <0.120664, -0.229320, 0.124262>, <0.144070, -0.231167, 0.123726>, <0.156892, -0.221847, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.047418, -0.247196, 0.153814>, <0.046521, -0.259801, 0.123223>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.061558, -0.251234, 0.153347>, <0.060660, -0.263840, 0.122756>, 
      <0.053162, -0.191205, 0.209380>, <0.065631, -0.209115, 0.183101>, <0.065665, -0.244288, 0.151668>, <0.080265, -0.253573, 0.122216>, 
      <0.053162, -0.191205, 0.209380>, <0.065631, -0.209115, 0.183101>, <0.080127, -0.241619, 0.151237>, <0.094726, -0.250904, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053162, -0.191205, 0.209380>, <0.039078, -0.201531, 0.183978>, <0.019283, -0.224512, 0.152604>, <0.006216, -0.225627, 0.124707>, 
      <0.053162, -0.191205, 0.209380>, <0.039078, -0.201531, 0.183978>, <0.031374, -0.234764, 0.152159>, <0.018308, -0.235879, 0.124262>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.032177, -0.242843, 0.154317>, <0.031279, -0.255448, 0.123726>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.047418, -0.247196, 0.153814>, <0.046521, -0.259801, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.047073, -0.276714, 0.001863>, <0.079032, -0.285840, 0.001863>, <0.123340, -0.262651, 0.001863>, <0.156026, -0.256624, 0.001863>, 
      <0.046907, -0.271640, 0.038271>, <0.078867, -0.280766, 0.038271>, <0.104950, -0.260935, 0.037839>, <0.137636, -0.254908, 0.037839>, 
      <0.045524, -0.273801, 0.089247>, <0.059663, -0.277839, 0.088780>, <0.097549, -0.264566, 0.087346>, <0.112010, -0.261897, 0.086915>, 
      <0.046521, -0.259801, 0.123223>, <0.060660, -0.263840, 0.122756>, <0.080265, -0.253573, 0.122216>, <0.094726, -0.250904, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.044032, -0.199498, 0.001863>, <-0.016701, -0.222663, 0.001863>, <0.012622, -0.266876, 0.001863>, <0.047073, -0.276714, 0.001863>, 
      <-0.028958, -0.207336, 0.038716>, <-0.001626, -0.230501, 0.038716>, <0.012457, -0.261803, 0.038271>, <0.046907, -0.271640, 0.038271>, 
      <-0.010985, -0.227094, 0.087981>, <0.001106, -0.237347, 0.087535>, <0.030282, -0.269448, 0.089750>, <0.045524, -0.273801, 0.089247>, 
      <0.006216, -0.225627, 0.124707>, <0.018308, -0.235879, 0.124262>, <0.031279, -0.255448, 0.123726>, <0.046521, -0.259801, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.039272, -0.200649, 0.154076>, <-0.050042, -0.208662, 0.123223>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.031057, -0.212845, 0.153609>, <-0.041828, -0.220859, 0.122756>, 
      <0.007339, -0.165492, 0.209380>, <0.002906, -0.185716, 0.183101>, <-0.023606, -0.210189, 0.151698>, <-0.020219, -0.225634, 0.122216>, 
      <0.007339, -0.165492, 0.209380>, <0.002906, -0.185716, 0.183101>, <-0.010825, -0.217462, 0.151267>, <-0.007438, -0.232907, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.007339, -0.165492, 0.209380>, <-0.012520, -0.162812, 0.183978>, <-0.046190, -0.165316, 0.153162>, <-0.058858, -0.156560, 0.124707>, 
      <0.007339, -0.165492, 0.209380>, <-0.012520, -0.162812, 0.183978>, <-0.043545, -0.180946, 0.152716>, <-0.056214, -0.172191, 0.124262>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.048127, -0.187501, 0.154579>, <-0.058897, -0.195515, 0.123726>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.039272, -0.200649, 0.154076>, <-0.050042, -0.208662, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.065101, -0.219388, 0.001863>, <-0.046534, -0.246955, 0.001863>, <0.002295, -0.257758, 0.001863>, <0.031178, -0.274203, 0.001863>, 
      <-0.060584, -0.216170, 0.038271>, <-0.042016, -0.243737, 0.038271>, <-0.009290, -0.245370, 0.037839>, <0.019594, -0.261814, 0.037839>, 
      <-0.061831, -0.217433, 0.089453>, <-0.053616, -0.229629, 0.088986>, <-0.016193, -0.243996, 0.087164>, <-0.003411, -0.251270, 0.086733>, 
      <-0.050042, -0.208662, 0.123223>, <-0.041828, -0.220859, 0.122756>, <-0.020219, -0.225634, 0.122216>, <-0.007438, -0.232907, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.085051, -0.101640, 0.001863>, <-0.079066, -0.136964, 0.001863>, <-0.085116, -0.189672, 0.001863>, <-0.065101, -0.219388, 0.001863>, 
      <-0.077193, -0.118116, 0.038716>, <-0.071208, -0.153441, 0.038716>, <-0.080599, -0.186454, 0.038271>, <-0.060584, -0.216170, 0.038271>, 
      <-0.074961, -0.145431, 0.088538>, <-0.072317, -0.161062, 0.088092>, <-0.070686, -0.204286, 0.089956>, <-0.061831, -0.217433, 0.089453>, 
      <-0.058858, -0.156560, 0.124707>, <-0.056214, -0.172191, 0.124262>, <-0.058897, -0.195515, 0.123726>, <-0.050042, -0.208662, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.045010, -0.092143, 0.153323>, <-0.055599, -0.088986, 0.123223>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.049773, -0.106055, 0.152856>, <-0.060362, -0.102898, 0.122756>, 
      <0.005064, -0.106889, 0.209380>, <-0.011217, -0.116099, 0.183101>, <-0.043012, -0.110809, 0.150953>, <-0.051123, -0.123007, 0.122216>, 
      <0.005064, -0.106889, 0.209380>, <-0.011217, -0.116099, 0.183101>, <-0.041094, -0.125389, 0.150522>, <-0.049205, -0.137587, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005064, -0.106889, 0.209380>, <-0.002272, -0.089973, 0.183978>, <-0.020568, -0.065061, 0.152489>, <-0.019388, -0.050501, 0.124707>, 
      <0.005064, -0.106889, 0.209380>, <-0.002272, -0.089973, 0.183978>, <-0.031432, -0.076607, 0.152043>, <-0.030251, -0.062046, 0.124262>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.039875, -0.077147, 0.153826>, <-0.050465, -0.073989, 0.123726>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.045010, -0.092143, 0.153323>, <-0.055599, -0.088986, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.067940, -0.085122, 0.001863>, <-0.078705, -0.116567, 0.001863>, <-0.057837, -0.162014, 0.001863>, <-0.053507, -0.194968, 0.001863>, 
      <-0.064238, -0.086281, 0.038271>, <-0.075003, -0.117726, 0.038271>, <-0.056546, -0.144800, 0.037839>, <-0.052216, -0.177754, 0.037839>, 
      <-0.067691, -0.085380, 0.088851>, <-0.072454, -0.099292, 0.088384>, <-0.061158, -0.138096, 0.086664>, <-0.059239, -0.152676, 0.086232>, 
      <-0.055599, -0.088986, 0.123223>, <-0.060362, -0.102898, 0.122756>, <-0.051123, -0.123007, 0.122216>, <-0.049205, -0.137587, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.013881, 0.001871, 0.001863>, <-0.010665, -0.024227, 0.001863>, <-0.056335, -0.051226, 0.001863>, <-0.067940, -0.085122, 0.001863>, 
      <0.003900, -0.013841, 0.038716>, <-0.020646, -0.039938, 0.038716>, <-0.052633, -0.052385, 0.038271>, <-0.064238, -0.086281, 0.038271>, 
      <-0.017835, -0.031349, 0.088164>, <-0.028698, -0.042894, 0.087718>, <-0.062556, -0.070384, 0.089355>, <-0.067691, -0.085380, 0.088851>, 
      <-0.019388, -0.050501, 0.124707>, <-0.030251, -0.062046, 0.124262>, <-0.050465, -0.073989, 0.123726>, <-0.055599, -0.088986, 0.123223>
    }
  }
  texture {
    Pinkish
    scale 0.21
  }
}
#declare sPatchObj3 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.223511, 0.057504, 0.170375>, <0.217555, 0.049795, 0.141318>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.204433, 0.070676, 0.169639>, <0.198477, 0.062967, 0.140582>, 
      <0.231191, 0.063931, 0.241567>, <0.204153, 0.063008, 0.210812>, <0.186374, 0.064228, 0.173390>, <0.164013, 0.057536, 0.139731>, 
      <0.231191, 0.063931, 0.241567>, <0.204153, 0.063008, 0.210812>, <0.163427, 0.067545, 0.172710>, <0.141067, 0.060854, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.231191, 0.063931, 0.241567>, <0.239981, 0.038272, 0.212195>, <0.258752, 0.001173, 0.176473>, <0.260490, -0.021600, 0.143659>, 
      <0.231191, 0.063931, 0.241567>, <0.239981, 0.038272, 0.212195>, <0.245871, 0.022592, 0.175771>, <0.247610, -0.000181, 0.142957>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.244076, 0.043305, 0.171169>, <0.238120, 0.035596, 0.142112>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.223511, 0.057504, 0.170375>, <0.217555, 0.049795, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.181706, -0.000121, 0.000126>, <0.154040, 0.018979, 0.000126>, <0.104070, 0.011116, 0.000126>, <0.070798, 0.015931, 0.000126>, 
      <0.192461, 0.014854, 0.042484>, <0.164795, 0.033954, 0.042484>, <0.125151, 0.024592, 0.041803>, <0.091878, 0.029408, 0.041803>, 
      <0.208578, 0.038175, 0.097518>, <0.189500, 0.051347, 0.096782>, <0.137476, 0.049595, 0.099784>, <0.114530, 0.052912, 0.099104>, 
      <0.217555, 0.049795, 0.141318>, <0.198477, 0.062967, 0.140582>, <0.164013, 0.057536, 0.139731>, <0.141067, 0.060854, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.243982, -0.103631, 0.000126>, <0.225300, -0.072578, 0.000126>, <0.211530, -0.020710, 0.000126>, <0.181706, -0.000121, 0.000126>, 
      <0.248935, -0.079022, 0.043186>, <0.230252, -0.047969, 0.043186>, <0.222284, -0.005736, 0.042484>, <0.192461, 0.014854, 0.042484>, 
      <0.262658, -0.049991, 0.102750>, <0.249777, -0.028573, 0.102048>, <0.229143, 0.023977, 0.098312>, <0.208578, 0.038175, 0.097518>, 
      <0.260490, -0.021600, 0.143659>, <0.247610, -0.000181, 0.142957>, <0.238120, 0.035596, 0.142112>, <0.217555, 0.049795, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.305431, -0.113714, 0.170420>, <0.295855, -0.112841, 0.141318>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.308460, -0.090729, 0.169684>, <0.298884, -0.089857, 0.140582>, 
      <0.314467, -0.119264, 0.241567>, <0.301378, -0.095401, 0.210812>, <0.294689, -0.077658, 0.173839>, <0.278342, -0.061656, 0.139731>, 
      <0.314467, -0.119264, 0.241567>, <0.301378, -0.095401, 0.210812>, <0.287183, -0.055721, 0.173159>, <0.270837, -0.039719, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.314467, -0.119264, 0.241567>, <0.295689, -0.138564, 0.212195>, <0.271121, -0.170779, 0.176110>, <0.251874, -0.183597, 0.143659>, 
      <0.314467, -0.119264, 0.241567>, <0.295689, -0.138564, 0.212195>, <0.284315, -0.149552, 0.175408>, <0.265068, -0.162371, 0.142957>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.302165, -0.138490, 0.171214>, <0.292589, -0.137618, 0.142112>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.305431, -0.113714, 0.170420>, <0.295855, -0.112841, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.235015, -0.112027, 0.000126>, <0.239407, -0.078696, 0.000126>, <0.209634, -0.037802, 0.000126>, <0.198756, -0.005991, 0.000126>, 
      <0.253267, -0.112272, 0.042484>, <0.257659, -0.078940, 0.042484>, <0.231258, -0.047920, 0.041803>, <0.220380, -0.016109, 0.041803>, 
      <0.281443, -0.111529, 0.097524>, <0.284472, -0.088544, 0.096788>, <0.259225, -0.042941, 0.099840>, <0.251719, -0.021004, 0.099160>, 
      <0.295855, -0.112841, 0.141318>, <0.298884, -0.089857, 0.140582>, <0.278342, -0.061656, 0.139731>, <0.270837, -0.039719, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171264, -0.214635, 0.000126>, <0.190389, -0.183853, 0.000126>, <0.230281, -0.147957, 0.000126>, <0.235015, -0.112027, 0.000126>, 
      <0.195447, -0.205324, 0.043186>, <0.214572, -0.174541, 0.043186>, <0.248533, -0.148201, 0.042484>, <0.253267, -0.112272, 0.042484>, 
      <0.227599, -0.199764, 0.102732>, <0.240793, -0.178537, 0.102030>, <0.278178, -0.136305, 0.098318>, <0.281443, -0.111529, 0.097524>, 
      <0.251874, -0.183597, 0.143659>, <0.265068, -0.162371, 0.142957>, <0.292589, -0.137618, 0.142112>, <0.295855, -0.112841, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.211789, -0.300825, 0.170450>, <0.206808, -0.292665, 0.141318>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.231756, -0.289044, 0.169713>, <0.226775, -0.280884, 0.140582>, 
      <0.213203, -0.311481, 0.241567>, <0.223933, -0.286405, 0.210812>, <0.233516, -0.270132, 0.173817>, <0.236321, -0.247326, 0.139731>, 
      <0.213203, -0.311481, 0.241567>, <0.223933, -0.286405, 0.210812>, <0.246164, -0.250700, 0.173136>, <0.248969, -0.227895, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.213203, -0.311481, 0.241567>, <0.186437, -0.308530, 0.212195>, <0.145744, -0.309004, 0.176218>, <0.123982, -0.301643, 0.143659>, 
      <0.213203, -0.311481, 0.241567>, <0.186437, -0.308530, 0.212195>, <0.170592, -0.306311, 0.175516>, <0.148830, -0.298950, 0.142957>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.190266, -0.313525, 0.171243>, <0.185285, -0.305365, 0.142112>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.211789, -0.300825, 0.170450>, <0.206808, -0.292665, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171921, -0.243853, 0.000126>, <0.200875, -0.226767, 0.000126>, <0.214727, -0.178116, 0.000126>, <0.233072, -0.149943, 0.000126>, 
      <0.182387, -0.258497, 0.042484>, <0.211341, -0.241411, 0.042484>, <0.219496, -0.201502, 0.041803>, <0.237842, -0.173329, 0.041803>, 
      <0.199331, -0.280417, 0.097589>, <0.219298, -0.268635, 0.096853>, <0.239598, -0.220682, 0.099907>, <0.252246, -0.201251, 0.099226>, 
      <0.206808, -0.292665, 0.141318>, <0.226775, -0.280884, 0.140582>, <0.236321, -0.247326, 0.139731>, <0.248969, -0.227895, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.051827, -0.256894, 0.000126>, <0.087855, -0.252982, 0.000126>, <0.140710, -0.262270, 0.000126>, <0.171921, -0.243853, 0.000126>, 
      <0.073474, -0.270319, 0.043186>, <0.109502, -0.266406, 0.043186>, <0.151176, -0.276914, 0.042484>, <0.182387, -0.258497, 0.042484>, 
      <0.096659, -0.292401, 0.102781>, <0.121507, -0.289708, 0.102079>, <0.177808, -0.293116, 0.098383>, <0.199331, -0.280417, 0.097589>, 
      <0.123982, -0.301643, 0.143659>, <0.148830, -0.298950, 0.142957>, <0.185285, -0.305365, 0.142112>, <0.206808, -0.292665, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.012828, -0.337093, 0.170454>, <0.016412, -0.328192, 0.141318>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.034275, -0.345897, 0.169718>, <0.037858, -0.336996, 0.140582>, 
      <0.005173, -0.344890, 0.241567>, <0.031671, -0.338232, 0.210812>, <0.050408, -0.335875, 0.173801>, <0.070373, -0.324346, 0.139731>, 
      <0.005173, -0.344890, 0.241567>, <0.031671, -0.338232, 0.210812>, <0.073535, -0.334226, 0.173121>, <0.093500, -0.322697, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005173, -0.344890, 0.241567>, <-0.008604, -0.321699, 0.212195>, <-0.033568, -0.289406, 0.176258>, <-0.040752, -0.267586, 0.143659>, 
      <0.005173, -0.344890, 0.241567>, <-0.008604, -0.321699, 0.212195>, <-0.016419, -0.307588, 0.175555>, <-0.023603, -0.285768, 0.142957>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <-0.010291, -0.327602, 0.171248>, <-0.006707, -0.318702, 0.142112>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.012828, -0.337093, 0.170454>, <0.016412, -0.328192, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034871, -0.271136, 0.000126>, <0.065973, -0.283902, 0.000126>, <0.113119, -0.265572, 0.000126>, <0.146654, -0.263187, 0.000126>, 
      <0.029333, -0.288253, 0.042484>, <0.060435, -0.301019, 0.042484>, <0.097173, -0.283425, 0.041803>, <0.130708, -0.281040, 0.041803>, 
      <0.021788, -0.314840, 0.097608>, <0.043235, -0.323644, 0.096871>, <0.093699, -0.310875, 0.099925>, <0.116825, -0.309227, 0.099245>, 
      <0.016412, -0.328192, 0.141318>, <0.037858, -0.336996, 0.140582>, <0.070373, -0.324346, 0.139731>, <0.093500, -0.322697, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.048032, -0.183276, 0.000126>, <-0.023161, -0.209634, 0.000126>, <0.001346, -0.257375, 0.000126>, <0.034871, -0.271136, 0.000126>, 
      <-0.045848, -0.208568, 0.043186>, <-0.020977, -0.234927, 0.043186>, <-0.004192, -0.274492, 0.042484>, <0.029333, -0.288253, 0.042484>, 
      <-0.049756, -0.240235, 0.102799>, <-0.032607, -0.258417, 0.102097>, <-0.001330, -0.305349, 0.098401>, <0.021788, -0.314840, 0.097608>, 
      <-0.040752, -0.267586, 0.143659>, <-0.023603, -0.285768, 0.142957>, <-0.006707, -0.318702, 0.142112>, <0.016412, -0.328192, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.135172, -0.214349, 0.170420>, <-0.125876, -0.211514, 0.141318>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.128886, -0.236664, 0.169683>, <-0.119590, -0.233829, 0.140582>, 
      <-0.146046, -0.213107, 0.241567>, <-0.124443, -0.229824, 0.210812>, <-0.111068, -0.243228, 0.173788>, <-0.089587, -0.251636, 0.139731>, 
      <-0.146046, -0.213107, 0.241567>, <-0.124443, -0.229824, 0.210812>, <-0.095516, -0.260423, 0.173108>, <-0.074035, -0.268831, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.146046, -0.213107, 0.241567>, <-0.136247, -0.187918, 0.212195>, <-0.126209, -0.148403, 0.176184>, <-0.113383, -0.129145, 0.143659>, 
      <-0.146046, -0.213107, 0.241567>, <-0.136247, -0.187918, 0.212195>, <-0.129957, -0.173114, 0.175482>, <-0.117131, -0.153856, 0.142957>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.141948, -0.190295, 0.171213>, <-0.132652, -0.187460, 0.142112>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.135172, -0.214349, 0.170420>, <-0.125876, -0.211514, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.068922, -0.189588, 0.000126>, <-0.059805, -0.221948, 0.000126>, <-0.016312, -0.247776, 0.000126>, <0.006236, -0.272713, 0.000126>, 
      <-0.086008, -0.196166, 0.042484>, <-0.076891, -0.228526, 0.042484>, <-0.040393, -0.246611, 0.041803>, <-0.017845, -0.271549, 0.041803>, 
      <-0.111895, -0.207251, 0.097549>, <-0.105609, -0.229566, 0.096813>, <-0.064444, -0.261478, 0.099866>, <-0.048891, -0.278673, 0.099185>, 
      <-0.125876, -0.211514, 0.141318>, <-0.119590, -0.233829, 0.140582>, <-0.089587, -0.251636, 0.139731>, <-0.074035, -0.268831, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.050833, -0.070151, 0.000126>, <-0.056260, -0.105982, 0.000126>, <-0.078750, -0.154706, 0.000126>, <-0.068922, -0.189588, 0.000126>, 
      <-0.069598, -0.087849, 0.043186>, <-0.075025, -0.123680, 0.043186>, <-0.095836, -0.161284, 0.042484>, <-0.086008, -0.196166, 0.042484>, 
      <-0.097254, -0.104928, 0.102758>, <-0.101002, -0.129639, 0.102056>, <-0.118671, -0.183196, 0.098343>, <-0.111895, -0.207251, 0.097549>, 
      <-0.113383, -0.129145, 0.143659>, <-0.117131, -0.153856, 0.142957>, <-0.132652, -0.187460, 0.142112>, <-0.125876, -0.211514, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.146157, -0.035481, 0.170357>, <-0.137189, -0.039615, 0.141318>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.155723, -0.056599, 0.169621>, <-0.146755, -0.060733, 0.140582>, 
      <-0.153707, -0.028201, 0.241567>, <-0.147931, -0.054795, 0.210812>, <-0.146277, -0.073168, 0.173565>, <-0.135275, -0.093680, 0.139731>, 
      <-0.153707, -0.028201, 0.241567>, <-0.147931, -0.054795, 0.210812>, <-0.145457, -0.096339, 0.172885>, <-0.134455, -0.116851, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.153707, -0.028201, 0.241567>, <-0.129968, -0.015138, 0.212195>, <-0.096889, 0.009225, 0.176242>, <-0.074577, 0.015342, 0.143659>, 
      <-0.153707, -0.028201, 0.241567>, <-0.129968, -0.015138, 0.212195>, <-0.115672, -0.007262, 0.175540>, <-0.093360, -0.001145, 0.142957>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.135846, -0.012717, 0.171151>, <-0.126878, -0.016851, 0.142112>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.146157, -0.035481, 0.170357>, <-0.137189, -0.039615, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.079145, -0.062576, 0.000126>, <-0.093016, -0.093201, 0.000126>, <-0.076384, -0.140973, 0.000126>, <-0.075201, -0.174572, 0.000126>, 
      <-0.096559, -0.055688, 0.042484>, <-0.110429, -0.086313, 0.042484>, <-0.094161, -0.123657, 0.041803>, <-0.092977, -0.157255, 0.041803>, 
      <-0.123648, -0.045858, 0.097472>, <-0.133214, -0.066976, 0.096736>, <-0.122281, -0.117907, 0.099768>, <-0.121461, -0.141078, 0.099087>, 
      <-0.137189, -0.039615, 0.141318>, <-0.146755, -0.060733, 0.140582>, <-0.135275, -0.093680, 0.139731>, <-0.134455, -0.116851, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011626, 0.017131, 0.000126>, <-0.015606, -0.006781, 0.000126>, <-0.064194, -0.029564, 0.000126>, <-0.079145, -0.062576, 0.000126>, 
      <-0.014235, 0.016594, 0.043186>, <-0.041466, -0.007318, 0.043186>, <-0.081607, -0.022676, 0.042484>, <-0.096559, -0.055688, 0.042484>, 
      <-0.046530, 0.023032, 0.102702>, <-0.065314, 0.006545, 0.102000>, <-0.113337, -0.023094, 0.098266>, <-0.123648, -0.045858, 0.097472>, 
      <-0.074577, 0.015342, 0.143659>, <-0.093360, -0.001145, 0.142957>, <-0.126878, -0.016851, 0.142112>, <-0.137189, -0.039615, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.016714, 0.076074, 0.170516>, <0.018792, 0.066905, 0.141318>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <-0.005896, 0.070949, 0.169780>, <-0.003818, 0.061781, 0.140582>, 
      <0.017749, 0.086989, 0.241567>, <0.000086, 0.066321, 0.210812>, <-0.013315, 0.053419, 0.173797>, <-0.023152, 0.032738, 0.139731>, 
      <0.017749, 0.086989, 0.241567>, <0.000086, 0.066321, 0.210812>, <-0.031291, 0.038776, 0.173117>, <-0.041128, 0.018095, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017749, 0.086989, 0.241567>, <0.042546, 0.075944, 0.212195>, <0.081993, 0.063765, 0.176459>, <0.100405, 0.050173, 0.143659>, 
      <0.017749, 0.086989, 0.241567>, <0.042546, 0.075944, 0.212195>, <0.057509, 0.068785, 0.175757>, <0.075921, 0.055193, 0.142957>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.041086, 0.081598, 0.171310>, <0.043164, 0.072429, 0.142112>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.016714, 0.076074, 0.170516>, <0.018792, 0.066905, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034933, 0.011173, 0.000126>, <0.002145, 0.003740, 0.000126>, <-0.025896, -0.038360, 0.000126>, <-0.051965, -0.059589, 0.000126>, 
      <0.030090, 0.027893, 0.042484>, <-0.002697, 0.020460, 0.042484>, <-0.022645, -0.015055, 0.041803>, <-0.048714, -0.036284, 0.041803>, 
      <0.021894, 0.053217, 0.097727>, <-0.000716, 0.048092, 0.096991>, <-0.034621, 0.008624, 0.100011>, <-0.052597, -0.006019, 0.099330>, 
      <0.018792, 0.066905, 0.141318>, <-0.003818, 0.061781, 0.140582>, <-0.023152, 0.032738, 0.139731>, <-0.041128, 0.018095, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.153276, -0.013063, 0.000126>, <0.117773, -0.005792, 0.000126>, <0.070276, 0.019185, 0.000126>, <0.034933, 0.011173, 0.000126>, 
      <0.137415, 0.005908, 0.043186>, <0.101912, 0.013178, 0.043186>, <0.065434, 0.035904, 0.042484>, <0.030090, 0.027893, 0.042484>, 
      <0.123263, 0.033298, 0.102936>, <0.098780, 0.038317, 0.102234>, <0.046266, 0.058741, 0.098521>, <0.021894, 0.053217, 0.097727>, 
      <0.100405, 0.050173, 0.143659>, <0.075921, 0.055193, 0.142957>, <0.043164, 0.072429, 0.142112>, <0.018792, 0.066905, 0.141318>
    }
  }
  texture {
    Pinkish
    scale 0.25
  }
  scale 0.95
}
#declare sPatchObj4 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.347403, 0.059594, 0.212801>, <0.332208, 0.049062, 0.178393>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.327301, 0.084443, 0.211786>, <0.312105, 0.073911, 0.177378>, 
      <0.358453, 0.063875, 0.305059>, <0.321523, 0.072753, 0.266121>, <0.298231, 0.086092, 0.218390>, <0.264410, 0.080147, 0.176204>, 
      <0.358453, 0.063875, 0.305059>, <0.321523, 0.072753, 0.266121>, <0.269175, 0.099414, 0.217451>, <0.235354, 0.093470, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.358453, 0.063875, 0.305059>, <0.359275, 0.026089, 0.268027>, <0.375031, -0.032257, 0.223080>, <0.361192, -0.062079, 0.181620>, 
      <0.358453, 0.063875, 0.305059>, <0.359275, 0.026089, 0.268027>, <0.366336, 0.001085, 0.222112>, <0.352497, -0.028737, 0.180652>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.369073, 0.032808, 0.213895>, <0.353878, 0.022276, 0.179487>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.347403, 0.059594, 0.212801>, <0.332208, 0.049062, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.223731, -0.029497, 0.000000>, <0.200927, -0.001311, 0.000000>, <0.146837, 0.005774, 0.000000>, <0.113883, 0.020890, 0.000000>, 
      <0.256274, -0.005929, 0.053518>, <0.233470, 0.022257, 0.053518>, <0.183279, 0.027548, 0.052580>, <0.150324, 0.042664, 0.052580>, 
      <0.306173, 0.031019, 0.119442>, <0.286071, 0.055868, 0.118426>, <0.222393, 0.072763, 0.123795>, <0.193337, 0.086085, 0.122857>, 
      <0.332208, 0.049062, 0.178393>, <0.312105, 0.073911, 0.177378>, <0.264410, 0.080147, 0.176204>, <0.235354, 0.093470, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.256630, -0.155547, 0.000000>, <0.246760, -0.117732, 0.000000>, <0.248312, -0.059880, 0.000000>, <0.223731, -0.029497, 0.000000>, 
      <0.287999, -0.127507, 0.054486>, <0.278129, -0.089692, 0.054486>, <0.280855, -0.036312, 0.053518>, <0.256274, -0.005929, 0.053518>, 
      <0.343188, -0.100877, 0.127680>, <0.334493, -0.067535, 0.126712>, <0.327843, 0.004233, 0.120536>, <0.306173, 0.031019, 0.119442>, 
      <0.361192, -0.062079, 0.181620>, <0.352497, -0.028737, 0.180652>, <0.353878, 0.022276, 0.179487>, <0.332208, 0.049062, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.389731, -0.202364, 0.212925>, <0.372436, -0.196520, 0.178393>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.402687, -0.173146, 0.211910>, <0.385392, -0.167301, 0.177378>, 
      <0.397582, -0.213130, 0.305059>, <0.388654, -0.176212, 0.266121>, <0.391566, -0.146399, 0.219376>, <0.369206, -0.122006, 0.176204>, 
      <0.397582, -0.213130, 0.305059>, <0.388654, -0.176212, 0.266121>, <0.390181, -0.114465, 0.218438>, <0.367821, -0.090071, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.397582, -0.213130, 0.305059>, <0.364323, -0.231083, 0.268027>, <0.320125, -0.268282, 0.222385>, <0.286719, -0.272973, 0.181620>, 
      <0.397582, -0.213130, 0.305059>, <0.364323, -0.231083, 0.268027>, <0.345841, -0.245346, 0.221417>, <0.312434, -0.250038, 0.180652>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.375765, -0.233861, 0.214019>, <0.358470, -0.228017, 0.179487>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.389731, -0.202364, 0.212925>, <0.372436, -0.196520, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.244796, -0.161502, 0.000000>, <0.259491, -0.128358, 0.000000>, <0.241146, -0.076984, 0.000000>, <0.239581, -0.040762, 0.000000>, 
      <0.283088, -0.172008, 0.053518>, <0.297783, -0.138864, 0.053518>, <0.279617, -0.091777, 0.052580>, <0.278053, -0.055555, 0.052580>, 
      <0.342930, -0.186550, 0.119480>, <0.355886, -0.157331, 0.118465>, <0.341742, -0.092045, 0.123179>, <0.340357, -0.060111, 0.122241>, 
      <0.372436, -0.196520, 0.178393>, <0.385392, -0.167301, 0.177378>, <0.369206, -0.122006, 0.176204>, <0.367821, -0.090071, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.147593, -0.248235, 0.000000>, <0.176754, -0.222215, 0.000000>, <0.228955, -0.197230, 0.000000>, <0.244796, -0.161502, 0.000000>, 
      <0.189331, -0.255657, 0.054486>, <0.218492, -0.229637, 0.054486>, <0.267247, -0.207735, 0.053518>, <0.283088, -0.172008, 0.053518>, 
      <0.243134, -0.279094, 0.128434>, <0.268849, -0.256158, 0.127466>, <0.328964, -0.218046, 0.120574>, <0.342930, -0.186550, 0.119480>, 
      <0.286719, -0.272973, 0.181620>, <0.312434, -0.250038, 0.180652>, <0.358470, -0.228017, 0.179487>, <0.372436, -0.196520, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.190069, -0.416838, 0.213059>, <0.184649, -0.399673, 0.178393>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.221063, -0.409031, 0.212044>, <0.215643, -0.391866, 0.177378>, 
      <0.187068, -0.429712, 0.305059>, <0.210636, -0.399927, 0.266121>, <0.235084, -0.383693, 0.219378>, <0.241335, -0.351201, 0.176204>, 
      <0.187068, -0.429712, 0.305059>, <0.210636, -0.399927, 0.266121>, <0.259378, -0.362919, 0.218440>, <0.265629, -0.330428, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.187068, -0.429712, 0.305059>, <0.152431, -0.414587, 0.268027>, <0.095305, -0.402751, 0.222709>, <0.071612, -0.379296, 0.181620>, 
      <0.187068, -0.429712, 0.305059>, <0.152431, -0.414587, 0.268027>, <0.129216, -0.408864, 0.221741>, <0.105523, -0.385409, 0.180652>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.156659, -0.425253, 0.214153>, <0.151239, -0.408088, 0.179487>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.190069, -0.416838, 0.213059>, <0.184649, -0.399673, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139373, -0.278661, 0.000000>, <0.174531, -0.269804, 0.000000>, <0.203679, -0.223693, 0.000000>, <0.231238, -0.200135, 0.000000>, 
      <0.152956, -0.314964, 0.053518>, <0.188113, -0.306108, 0.053518>, <0.213996, -0.262781, 0.052580>, <0.241556, -0.239223, 0.052580>, 
      <0.175480, -0.370634, 0.119747>, <0.206475, -0.362828, 0.118732>, <0.248958, -0.311584, 0.123561>, <0.273252, -0.290811, 0.122623>, 
      <0.184649, -0.399673, 0.178393>, <0.215643, -0.391866, 0.177378>, <0.241335, -0.351201, 0.176204>, <0.265629, -0.330428, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011162, -0.255575, 0.000000>, <0.049625, -0.262501, 0.000000>, <0.101475, -0.288208, 0.000000>, <0.139373, -0.278661, 0.000000>, 
      <0.029297, -0.292691, 0.054486>, <0.067760, -0.299617, 0.054486>, <0.115058, -0.324512, 0.053518>, <0.152956, -0.314964, 0.053518>, 
      <0.040995, -0.348987, 0.128524>, <0.074906, -0.355100, 0.127556>, <0.142070, -0.379049, 0.120842>, <0.175480, -0.370634, 0.119747>, 
      <0.071612, -0.379296, 0.181620>, <0.105523, -0.385409, 0.180652>, <0.151239, -0.408088, 0.179487>, <0.184649, -0.399673, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.091545, -0.387021, 0.213095>, <-0.080992, -0.372524, 0.178393>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.066608, -0.407015, 0.212080>, <-0.056056, -0.392518, 0.177378>, 
      <-0.103478, -0.392588, 0.305059>, <-0.065505, -0.393393, 0.266121>, <-0.037953, -0.402824, 0.219361>, <-0.008128, -0.388447, 0.176204>, 
      <-0.103478, -0.392588, 0.305059>, <-0.065505, -0.393393, 0.266121>, <-0.006726, -0.409648, 0.218423>, <0.023100, -0.395272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.103478, -0.392588, 0.305059>, <-0.112333, -0.355845, 0.268027>, <-0.137553, -0.303005, 0.222815>, <-0.132995, -0.270111, 0.181620>, 
      <-0.103478, -0.392588, 0.305059>, <-0.112333, -0.355845, 0.268027>, <-0.121952, -0.333728, 0.221847>, <-0.117394, -0.300835, 0.180652>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.118425, -0.365468, 0.214189>, <-0.107873, -0.350971, 0.179487>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.091545, -0.387021, 0.213095>, <-0.080992, -0.372524, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.010717, -0.265145, 0.000000>, <0.017570, -0.287824, 0.000000>, <0.071927, -0.283220, 0.000000>, <0.107346, -0.290967, 0.000000>, 
      <-0.031799, -0.297358, 0.053518>, <-0.003513, -0.320037, 0.053518>, <0.046653, -0.314512, 0.052580>, <0.082072, -0.322258, 0.052580>, 
      <-0.063183, -0.348055, 0.119823>, <-0.038247, -0.368050, 0.118808>, <0.028171, -0.370950, 0.123680>, <0.059399, -0.377775, 0.122742>, 
      <-0.080992, -0.372524, 0.178393>, <-0.056056, -0.392518, 0.177378>, <-0.008128, -0.388447, 0.176204>, <0.023100, -0.395272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.069722, -0.149001, 0.000000>, <-0.052020, -0.183844, 0.000000>, <-0.041208, -0.240698, 0.000000>, <-0.010717, -0.265145, 0.000000>, 
      <-0.088704, -0.185334, 0.054486>, <-0.071002, -0.220177, 0.054486>, <-0.062291, -0.272911, 0.053518>, <-0.031799, -0.297358, 0.053518>, 
      <-0.127121, -0.227723, 0.128536>, <-0.111520, -0.258447, 0.127568>, <-0.090063, -0.326502, 0.120917>, <-0.063183, -0.348055, 0.119823>, 
      <-0.132995, -0.270111, 0.181620>, <-0.117394, -0.300835, 0.180652>, <-0.107873, -0.350971, 0.179487>, <-0.080992, -0.372524, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241893, -0.163749, 0.212968>, <-0.223743, -0.162809, 0.178393>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.242269, -0.195710, 0.211952>, <-0.224118, -0.194769, 0.177378>, 
      <-0.253402, -0.157469, 0.305059>, <-0.230631, -0.187868, 0.266121>, <-0.221391, -0.215798, 0.219283>, <-0.191372, -0.230002, 0.176204>, 
      <-0.253402, -0.157469, 0.305059>, <-0.230631, -0.187868, 0.266121>, <-0.207518, -0.244595, 0.218345>, <-0.177498, -0.258799, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.253402, -0.157469, 0.305059>, <-0.229926, -0.127849, 0.268027>, <-0.204043, -0.075699, 0.222573>, <-0.175149, -0.058736, 0.181620>, 
      <-0.253402, -0.157469, 0.305059>, <-0.229926, -0.127849, 0.268027>, <-0.218622, -0.106920, 0.221605>, <-0.189727, -0.089958, 0.180652>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241489, -0.129298, 0.214062>, <-0.223338, -0.128357, 0.179487>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241893, -0.163749, 0.212968>, <-0.223743, -0.162809, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.093255, -0.149169, 0.000000>, <-0.093680, -0.185422, 0.000000>, <-0.056551, -0.225389, 0.000000>, <-0.040821, -0.258055, 0.000000>, 
      <-0.132402, -0.153261, 0.053518>, <-0.132826, -0.189514, 0.053518>, <-0.097555, -0.225612, 0.052580>, <-0.081824, -0.258278, 0.052580>, 
      <-0.192873, -0.161209, 0.119590>, <-0.193248, -0.193169, 0.118575>, <-0.154573, -0.247414, 0.123397>, <-0.140699, -0.276211, 0.122459>, 
      <-0.223743, -0.162809, 0.178393>, <-0.224118, -0.194769, 0.177378>, <-0.191372, -0.230002, 0.176204>, <-0.177498, -0.258799, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.038164, -0.031118, 0.000000>, <-0.054692, -0.066533, 0.000000>, <-0.092798, -0.110090, 0.000000>, <-0.093255, -0.149169, 0.000000>, 
      <-0.079260, -0.039404, 0.054486>, <-0.095787, -0.074819, 0.054486>, <-0.131944, -0.114182, 0.053518>, <-0.132402, -0.153261, 0.053518>, 
      <-0.137607, -0.036698, 0.128412>, <-0.152185, -0.067920, 0.127444>, <-0.192468, -0.126757, 0.120684>, <-0.192873, -0.161209, 0.119590>, 
      <-0.175149, -0.058736, 0.181620>, <-0.189727, -0.089958, 0.180652>, <-0.223338, -0.128357, 0.179487>, <-0.223743, -0.162809, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.185946, 0.080967, 0.212747>, <-0.171771, 0.068941, 0.178393>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.206820, 0.056762, 0.211732>, <-0.192646, 0.044736, 0.177378>, 
      <-0.191019, 0.092130, 0.305059>, <-0.193182, 0.054209, 0.266121>, <-0.203649, 0.027887, 0.218716>, <-0.190292, -0.003308, 0.176204>, 
      <-0.191019, 0.092130, 0.305059>, <-0.193182, 0.054209, 0.266121>, <-0.211586, -0.003076, 0.217778>, <-0.198230, -0.034272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.191019, 0.092130, 0.305059>, <-0.153983, 0.099664, 0.268027>, <-0.100331, 0.124223, 0.222577>, <-0.067565, 0.117245, 0.181620>, 
      <-0.191019, 0.092130, 0.305059>, <-0.153983, 0.099664, 0.268027>, <-0.131593, 0.109732, 0.221609>, <-0.098827, 0.102754, 0.180652>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.163445, 0.107058, 0.213841>, <-0.149271, 0.095032, 0.179487>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.185946, 0.080967, 0.212747>, <-0.171771, 0.068941, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.065147, -0.014659, 0.000000>, <-0.088824, -0.042116, 0.000000>, <-0.086168, -0.096603, 0.000000>, <-0.095177, -0.131721, 0.000000>, 
      <-0.097134, 0.010421, 0.053518>, <-0.120811, -0.017036, 0.053518>, <-0.117084, -0.067368, 0.052580>, <-0.126093, -0.102486, 0.052580>, 
      <-0.147384, 0.048250, 0.119287>, <-0.168258, 0.024045, 0.118272>, <-0.173684, -0.042099, 0.123341>, <-0.181622, -0.073062, 0.122403>, 
      <-0.171771, 0.068941, 0.178393>, <-0.192646, 0.044736, 0.177378>, <-0.190292, -0.003308, 0.176204>, <-0.198230, -0.034272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053034, 0.040153, 0.000000>, <0.017580, 0.023709, 0.000000>, <-0.039624, 0.014938, 0.000000>, <-0.065147, -0.014659, 0.000000>, 
      <0.016854, 0.063280, 0.054486>, <-0.018600, 0.046837, 0.054486>, <-0.071612, 0.040018, 0.053518>, <-0.097134, 0.010421, 0.053518>, 
      <-0.024606, 0.108096, 0.127923>, <-0.055868, 0.093604, 0.126955>, <-0.124883, 0.074342, 0.120381>, <-0.147384, 0.048250, 0.119287>, 
      <-0.067565, 0.117245, 0.181620>, <-0.098827, 0.102754, 0.180652>, <-0.149271, 0.095032, 0.179487>, <-0.171771, 0.068941, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.076859, 0.166457, 0.213366>, <0.075996, 0.149084, 0.178393>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.044961, 0.168484, 0.212351>, <0.044098, 0.151110, 0.177377>, 
      <0.082861, 0.178428, 0.305059>, <0.051326, 0.157258, 0.266121>, <0.024127, 0.148403, 0.219553>, <0.007220, 0.120228, 0.176204>, 
      <0.082861, 0.178428, 0.305059>, <0.051326, 0.157258, 0.266121>, <-0.005349, 0.136036, 0.218615>, <-0.022256, 0.107861, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082861, 0.178428, 0.305059>, <0.111228, 0.153453, 0.268027>, <0.162721, 0.124245, 0.223320>, <0.177418, 0.095177, 0.181620>, 
      <0.082861, 0.178428, 0.305059>, <0.111228, 0.153453, 0.268027>, <0.132295, 0.140418, 0.222351>, <0.146991, 0.111349, 0.180652>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.111244, 0.164273, 0.214461>, <0.110380, 0.146900, 0.179487>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.076859, 0.166457, 0.213366>, <0.075996, 0.149084, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.075331, 0.026891, 0.000000>, <0.039148, 0.029188, 0.000000>, <-0.002684, -0.005825, 0.000000>, <-0.036119, -0.019847, 0.000000>, 
      <0.075531, 0.063549, 0.053518>, <0.039348, 0.065846, 0.053518>, <0.001475, 0.032487, 0.052580>, <-0.031960, 0.018465, 0.052580>, 
      <0.074562, 0.120232, 0.120311>, <0.042664, 0.122258, 0.119296>, <-0.013043, 0.086461, 0.124252>, <-0.042518, 0.074094, 0.123314>, 
      <0.075996, 0.149084, 0.178393>, <0.044098, 0.151110, 0.177377>, <0.007220, 0.120228, 0.176204>, <-0.022256, 0.107861, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.190377, -0.034227, 0.000000>, <0.155863, -0.015892, 0.000000>, <0.114334, 0.024414, 0.000000>, <0.075331, 0.026891, 0.000000>, 
      <0.186489, 0.004594, 0.054486>, <0.151975, 0.022930, 0.054486>, <0.114534, 0.061072, 0.053518>, <0.075531, 0.063549, 0.053518>, 
      <0.196031, 0.058362, 0.128808>, <0.165604, 0.074534, 0.127840>, <0.108947, 0.118048, 0.121405>, <0.074562, 0.120232, 0.120311>, 
      <0.177418, 0.095177, 0.181620>, <0.146991, 0.111349, 0.180652>, <0.110380, 0.146900, 0.179487>, <0.075996, 0.149084, 0.178393>
    }
  }
  texture {
    Pinkish
    scale 0.3
  }
}
#declare sPatchGroup = union {
  object { sPatchObj }
  object { sPatchObj2 }
  object { sPatchObj3 }
  object { sPatchObj4 }
  scale 15.0
  translate  <14.5, -45.5, 6.5>
}
#declare PadBase = prism {
  linear_sweep
  quadratic_spline
  -0.1,0.0
  13  // control points
  <0.010421, -0.953107>,
  <0.7, -0.7>,
  <0.680427, -0.468>,
  <-0.006, -0.002876>,
  <0.77923, -0.184071>,
  <1.00521, 0.00521>,
  <0.7, 0.7>,
  <0.0, 1.0>,
  <-0.689579, 0.689579>,
  <-1.0, 0.0>,
  <-0.726052, -0.710421>,
  <0.010421, -0.953107>,
  <0.7, -0.7>
  rotate -x*90
}
#declare PadSubtract = prism {
  linear_sweep
  quadratic_spline
  -0.1,0.0
  13  // control points
  <0.005333, -0.94293>,
  <0.689824, -0.684735>,
  <0.630075, -0.452894>,
  <-0.000964, -0.007911>,
  <0.77923, -0.16393>,
  <0.989946, 0.000122>,
  <0.689824, 0.689824>,
  <0.0, 0.989824>,
  <-0.679403, 0.679403>,
  <-0.984735, 0.0>,
  <-0.705805, -0.705386>,
  <0.005333, -0.94293>,
  <0.689824, -0.684735>
  rotate -x*90
  translate  0.01*z
}
#declare LillyPad = difference {
  object { PadBase }
  object { PadSubtract }
  texture {
    LeafTexture
  }
  scale 8.0
  rotate 130.0*z
  translate  <15.5, -47.5, 5.5>
}
union { // Group001
  object { sPatchGroup }
  object { LillyPad }
  translate  <-16.0, -4.5, 0.0>
}


union { // Tiles
  object { // CSG14->CSG009
    CSG009
    translate  30.0*z
  }
  object { // CSG13->CSG009
    CSG009
    translate  20.0*z
  }
  object { // CSG12->CSG009
    CSG009
    translate  10.0*z
  }
  object { CSG009 }
  object { // CSG11->CSG008
    CSG008
    translate  30.0*z
  }
  object { // CSG10->CSG008
    CSG008
    translate  20.0*z
  }
  object { // CSG9->CSG008
    CSG008
    translate  10.0*z
  }
  object { CSG008 }
  translate  <0.4, -0.4, 0.0>
}


#declare CSG010 = union {
  object { // Cylndr14->Cylndr010
    Cylndr010
    translate  <-4.5, 4.5, 0.0>
  }
  object { // Cylndr13->Cylndr010
    Cylndr010
    translate  -9.0*x
  }
  object { // Cylndr12->Cylndr010
    Cylndr010
    translate  <-4.5, -4.5, 0.0>
  }
  object { Cylndr010 }
}
difference { // Faucet1
  superellipsoid { // SuperQ005
    <1.0, 0.2>
    scale <4.0, 4.0, 3.0>
  }
  object { CSG010 }
  texture {
    Dark_Chrome
  }
  rotate -90.0*x
  translate  <-12.5, -69.5, 37.5>
}


sphere { // Sphere003
  <0,0,0>,1
  texture {
    Red
  }
  scale <2.0, 0.5, 2.0>
  translate  <12.5, -66.5, 37.5>
}


superellipsoid { // SuperQ003
  <0.1, 0.1>
  texture {
    Dark_Chrome
  }
  scale <20.0, 2.0, 7.0>
  translate  <0.0, -75.0, 37.5>
}


plane { // Wall1
  z,0
  texture {
    Wall
  }
  rotate -90.0*x
  translate  -75.0*y
}


plane { // Plane001
  z,0
  texture {
    Floor
  }
  scale 10.0
  translate  <47.5, -85.0, -20.0>
}


box { // Bath_Water
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Water
  }
  hollow
  scale <35.0, 70.0, 12.0>
  translate  <-0.5, 0.0, -6.5>
}


#declare CSG003 = union {
  torus { // Torus001
    20.0, 10.0  rotate -x*90
    scale <1.0, 0.666667, 0.5>
    translate  <0.0, 45.0, -20.0>
  }
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 5.0, 90.0>
    rotate 90.0*x
    translate  <20.0, 44.5, -20.0>
  }
  cylinder { // Cylndr3
    <0,0,1>, <0,0,0>, 1 
    scale <10.0, 5.0, 90.0>
    rotate 90.0*x
    translate  <-20.0, 45.0, -20.0>
  }
  torus { // Torus2
    20.0, 10.0  rotate -x*90
    scale <1.0, 0.666667, 0.5>
    translate  <0.0, -45.0, -20.0>
  }
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Grippy_Bit
    }
    scale <20.0, 45.0, 5.0>
    translate  -20.0*z
  }
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    scale <20.0, 13.333333, 10.0>
    translate  <0.0, 45.0, -25.0>
  }
  cylinder { // Cylndr4
    <0,0,1>, <0,0,0>, 1 
    scale <20.0, 13.333333, 10.0>
    translate  <0.0, -45.0, -25.0>
  }
  scale <1.0, 1.0, 2.0>
  translate  20.0*z
}
#declare CSG001 = union {
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale <30.0, 45.0, 20.0>
  }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    scale <30.0, 20.0, 40.0>
    translate  <0.0, 45.0, -20.0>
  }
  cylinder { // Cylndr2
    <0,0,1>, <0,0,0>, 1 
    scale <30.0, 20.0, 40.0>
    translate  <0.0, -45.0, -20.0>
  }
  object { CSG003 }
  texture {
    Bathtub
  }
  translate  13.0*z
}
#declare CSG002 = difference {
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <37.5, 75.0, 20.0>
  }
  object { CSG001 }
}
#declare CSG2 = union {
  box { // Cube3
    <-1, -1, -1>, <1, 1, 1>
    scale <32.0, 47.0, 20.0>
  }
  cylinder { // Cylndr5
    <0,0,1>, <0,0,0>, 1 
    scale <32.0, 21.0, 40.0>
    translate  <0.0, 45.0, -20.0>
  }
  cylinder { // Cylndr6
    <0,0,1>, <0,0,0>, 1 
    scale <32.0, 21.0, 40.0>
    translate  <0.0, -45.0, -20.0>
  }
  texture {
    Bathtub
  }
  translate  38.0*z
}
#declare CSG004 = difference {
  object { CSG002 }
  object { CSG2 }
}
#declare CSG005 = intersection {
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale <40.0, 20.0, 5.0>
    translate  <1.0, 65.0, 18.0>
  }
  torus { // Torus002
    32.0, 2.0  rotate -x*90
    scale <1.0, 0.666667, 1.0>
    translate  <0.0, 45.0, 18.0>
  }
}
#declare CSG6 = intersection {
  box { // Cube5
    <-1, -1, -1>, <1, 1, 1>
    scale <40.0, 20.0, 5.0>
    translate  <1.0, 65.0, 18.0>
  }
  torus { // Torus3
    32.0, 2.0  rotate -x*90
    scale <1.0, 0.666667, 1.0>
    translate  <0.0, 45.0, 18.0>
  }
  rotate 180.0*z
}
#declare Drain = union {
  torus { // Torus004
    3.0, 0.5  rotate -x*90
  }
  cylinder { // Cylndr006
    <0,0,1>, <0,0,0>, 1 
    scale <3.0, 3.0, 0.5>
  }
}
#declare CSG006 = difference {
  object { Drain }
  cylinder { // Cylndr007
    <0,0,1>, <0,0,0>, 1 
    scale <2.5, 2.5, 2.0>
    translate  -1.0*z
  }
}
#declare Plug = union {
  torus { // Torus007
    1.5, 0.1  rotate -x*90
    texture {
      Chrome
    }
    rotate -5.0*x
    translate  <0.0, 1.5, 1.4>
  }
  superellipsoid { // SuperQ002
    <1.0, 0.1>
    texture {
      Rubber
    }
    scale <0.3, 0.4, 0.1>
    rotate -90.0*y
    translate  1.5*z
  }
  sphere { // Sphere002
    <0,0,0>,1
    texture {
      Rubber
    }
    scale <0.5, 0.5, 0.2>
    translate  1.15*z
  }
  sphere { // Sphere001
    <0,0,0>,1
    texture {
      Rubber
    }
    scale <2.0, 2.0, 0.2>
    translate  1.0*z
  }
  torus { // Torus006
    2.0, 0.1  rotate -x*90
    texture {
      Rubber
    }
    translate  1.0*z
  }
  cone { // Cone001
    <0,0,0>, 1.75, <0,0,1>, 2.0
    texture {
      Rubber
    }
    scale <1.0, 1.0, 1.5>
    translate  -0.5*z
  }
  scale <1.0, 1.0, 2.0>
}
#declare CSG007 = union {
  torus { // Torus005
    2.5, 1.0  rotate -x*90
    texture {
      Chrome
    }
    translate  -0.5*z
  }
  object { CSG006 }
  object { Plug }
  texture {
    Chrome
  }
  scale <1.0, 1.0, 0.5>
  translate  <0.0, -47.5, -17.0>
}
#declare Metal_ThingMaMmaMbob = union {
  torus { // Torus003
    3.5, 0.5  rotate -x*90
  }
  cylinder { // Cylndr005
    <0,0,1>, <0,0,0>, 1 
    scale <3.5, 3.5, 0.5>
    translate  -0.5*z
  }
  sphere { // Screw_1
    <0,0,0>,1
    texture {
      Rust
    }
    scale <-0.5, -0.5, -0.125>
    translate  <1.0, 1.5, -0.5>
  }
  superellipsoid { // SuperQ001
    <0.1, 0.1>
    scale <0.1, 2.0, 0.1>
    translate  <-1.5, 0.0, -0.5>
  }
  sphere { // Screw_2
    <0,0,0>,1
    texture {
      Rust
    }
    scale <0.5, 0.5, 0.125>
    translate  <1.0, -1.5, -0.5>
  }
  texture {
    Chrome
  }
  rotate <-90.0, -90.0, 0.0>
  translate  <0.0, -64.5, 7.1>
}
#declare DripGuard_2 = difference {
  box { // Cube7
    <-1, -1, -1>, <1, 1, 1>
    scale <37.5, 2.0, 2.0>
    translate  <0.0, 73.0, 22.0>
  }
  cylinder { // Cylndr10
    <0,0,1>, <0,0,0>, 1 
    scale <3.5, 3.5, 76.0>
    rotate 90.0*y
    translate  <-38.0, 71.0, 24.0>
  }
  texture {
    Rubber
  }
  scale <1.0, 0.5, 1.0>
  rotate 180.0*z
  translate  -37.5*y
}
#declare DripGuard_3 = difference {
  box { // Cube8
    <-1, -1, -1>, <1, 1, 1>
    scale <37.5, 2.0, 2.0>
    translate  <0.0, 73.0, 22.0>
  }
  cylinder { // Cylndr11
    <0,0,1>, <0,0,0>, 1 
    scale <3.5, 3.5, 76.0>
    rotate 90.0*y
    translate  <-38.0, 71.0, 24.0>
  }
  texture {
    Rubber
  }
  scale <2.0, 0.5, 1.0>
  rotate -90.0*z
}
#declare DripGuard_1 = difference {
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <37.5, 2.0, 2.0>
    translate  <0.0, 73.0, 22.0>
  }
  cylinder { // Cylndr009
    <0,0,1>, <0,0,0>, 1 
    scale <3.5, 3.5, 76.0>
    rotate 90.0*y
    translate  <-38.0, 71.0, 24.0>
  }
  texture {
    Rubber
  }
  scale <1.0, 0.5, 1.0>
  translate  37.5*y
}
union { // Bath
  object { CSG004 }
  cylinder { // Cylndr004
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 2.0, 90.0>
    rotate -90.0*x
    translate  <-32.0, -45.0, 18.0>
  }
  object { CSG005 }
  cylinder { // Cylndr7
    <0,0,1>, <0,0,0>, 1 
    scale <2.0, 2.0, 90.0>
    rotate -90.0*x
    translate  <32.0, -45.0, 18.0>
  }
  object { CSG6 }
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    scale <2.5, 75.0, 17.5>
    translate  <-40.0, 0.0, -2.5>
  }
  cylinder { // Cylndr008
    <0,0,1>, <0,0,0>, 1 
    scale <5.0, 5.0, 150.0>
    rotate 90.0*x
    translate  <-37.5, 75.0, 15.0>
  }
  object { CSG007 }
  object { Metal_ThingMaMmaMbob }
  object { DripGuard_2 }
  object { DripGuard_3 }
  object { DripGuard_1 }
  texture {
    Bathtub
  }
  hollow
}




union { // sPatchObj1
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.632931, 3.882911, -1.078247>, <-0.482237, 4.033600, -1.079449>, <0.482237, 4.033600, -1.079449>, <0.632931, 3.882911, -1.078247>, 
      <-0.632931, 3.887163, -1.116516>, <-0.482237, 4.037852, -1.117718>, <0.482237, 4.037852, -1.117718>, <0.632931, 3.887163, -1.116516>, 
      <-0.626398, 3.901634, -1.268181>, <-0.475704, 4.052323, -1.269383>, <0.475704, 4.052323, -1.269383>, <0.626398, 3.901634, -1.268181>, 
      <-0.632931, 3.908168, -1.305561>, <-0.482237, 4.058857, -1.306762>, <0.482237, 4.058857, -1.306762>, <0.632931, 3.908168, -1.305561>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.632931, 2.617089, -1.068154>, <-0.783625, 2.767778, -1.069355>, <-0.783625, 3.732222, -1.077046>, <-0.632931, 3.882911, -1.078247>, 
      <-0.632931, 2.621341, -1.106423>, <-0.783625, 2.772031, -1.107625>, <-0.783625, 3.736474, -1.115315>, <-0.632931, 3.887163, -1.116516>, 
      <-0.626381, 2.648897, -1.258094>, <-0.777075, 2.799586, -1.259295>, <-0.777092, 3.750945, -1.266980>, <-0.626398, 3.901634, -1.268181>, 
      <-0.632931, 2.642346, -1.295468>, <-0.783625, 2.793036, -1.296669>, <-0.783625, 3.757479, -1.304359>, <-0.632931, 3.908168, -1.305561>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.632931, 2.617089, -1.068154>, <0.482237, 2.466400, -1.066952>, <-0.482237, 2.466400, -1.066952>, <-0.632931, 2.617089, -1.068154>, 
      <0.632931, 2.621341, -1.106423>, <0.482237, 2.470652, -1.105222>, <-0.482237, 2.470652, -1.105222>, <-0.632931, 2.621341, -1.106423>, 
      <0.626381, 2.648897, -1.258094>, <0.475686, 2.498208, -1.256892>, <-0.475686, 2.498208, -1.256892>, <-0.626381, 2.648897, -1.258094>, 
      <0.632931, 2.642346, -1.295468>, <0.482237, 2.491657, -1.294266>, <-0.482237, 2.491657, -1.294266>, <-0.632931, 2.642346, -1.295468>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.632931, 2.617089, -1.068154>, <0.632931, 2.621341, -1.106423>, <0.626381, 2.648897, -1.258094>, <0.632931, 2.642346, -1.295468>, 
      <0.783625, 2.767778, -1.069355>, <0.783625, 2.772031, -1.107625>, <0.777075, 2.799586, -1.259295>, <0.783625, 2.793036, -1.296669>, 
      <0.783625, 3.732222, -1.077046>, <0.783625, 3.736474, -1.115315>, <0.777092, 3.750945, -1.266980>, <0.783625, 3.757479, -1.304359>, 
      <0.632931, 3.882911, -1.078247>, <0.632931, 3.887163, -1.116516>, <0.626398, 3.901634, -1.268181>, <0.632931, 3.908168, -1.305561>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.663876, 3.913855, -1.255293>, <-0.663434, 3.913993, -1.265266>, <-0.634625, 3.909862, -1.315253>, <-0.632931, 3.908168, -1.305561>, 
      <-0.505815, 4.071912, -1.256554>, <-0.505372, 4.072049, -1.266527>, <-0.483931, 4.060551, -1.316454>, <-0.482237, 4.058857, -1.306762>, 
      <0.505815, 4.071912, -1.256554>, <0.505372, 4.072049, -1.266527>, <0.483931, 4.060551, -1.316454>, <0.482237, 4.058857, -1.306762>, 
      <0.663876, 3.913855, -1.255293>, <0.663434, 3.913993, -1.265266>, <0.634625, 3.909862, -1.315253>, <0.632931, 3.908168, -1.305561>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.663876, 2.586145, -1.244707>, <-0.662829, 2.587529, -1.258370>, <-0.635274, 2.640003, -1.308836>, <-0.632931, 2.642346, -1.295468>, 
      <-0.821938, 2.744202, -1.245967>, <-0.820891, 2.745586, -1.259630>, <-0.785968, 2.790692, -1.310038>, <-0.783625, 2.793036, -1.296669>, 
      <-0.821938, 3.755798, -1.254033>, <-0.821496, 3.755936, -1.264006>, <-0.785319, 3.759173, -1.314051>, <-0.783625, 3.757479, -1.304359>, 
      <-0.663876, 3.913855, -1.255293>, <-0.663434, 3.913993, -1.265266>, <-0.634625, 3.909862, -1.315253>, <-0.632931, 3.908168, -1.305561>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.663876, 2.586145, -1.244707>, <0.662829, 2.587529, -1.258370>, <0.635274, 2.640003, -1.308836>, <0.632931, 2.642346, -1.295468>, 
      <0.505815, 2.428088, -1.243446>, <0.504767, 2.429472, -1.257110>, <0.484580, 2.489314, -1.307635>, <0.482237, 2.491657, -1.294266>, 
      <-0.505815, 2.428088, -1.243446>, <-0.504767, 2.429472, -1.257110>, <-0.484580, 2.489314, -1.307635>, <-0.482237, 2.491657, -1.294266>, 
      <-0.663876, 2.586145, -1.244707>, <-0.662829, 2.587529, -1.258370>, <-0.635274, 2.640003, -1.308836>, <-0.632931, 2.642346, -1.295468>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.663876, 2.586145, -1.244707>, <0.821938, 2.744202, -1.245967>, <0.821938, 3.755798, -1.254033>, <0.663876, 3.913855, -1.255293>, 
      <0.662829, 2.587529, -1.258370>, <0.820891, 2.745586, -1.259630>, <0.821496, 3.755936, -1.264006>, <0.663434, 3.913993, -1.265266>, 
      <0.635274, 2.640003, -1.308836>, <0.785968, 2.790692, -1.310038>, <0.785319, 3.759173, -1.314051>, <0.634625, 3.909862, -1.315253>, 
      <0.632931, 2.642346, -1.295468>, <0.783625, 2.793036, -1.296669>, <0.783625, 3.757479, -1.304359>, <0.632931, 3.908168, -1.305561>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.663876, 3.898551, -0.608178>, <-0.663876, 3.927367, -0.713274>, <-0.668707, 3.912354, -1.146435>, <-0.663876, 3.913855, -1.255293>, 
      <-0.505815, 4.052964, -0.574411>, <-0.505815, 4.081780, -0.679508>, <-0.510645, 4.070411, -1.147696>, <-0.505815, 4.071912, -1.256554>, 
      <0.505815, 4.052964, -0.574411>, <0.505815, 4.081780, -0.679508>, <0.510645, 4.070411, -1.147696>, <0.505815, 4.071912, -1.256554>, 
      <0.663876, 3.898551, -0.608178>, <0.663876, 3.927367, -0.713274>, <0.668707, 3.912354, -1.146435>, <0.663876, 3.913855, -1.255293>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.663876, 2.601449, -0.891822>, <-0.663876, 2.611903, -0.950362>, <-0.668399, 2.580168, -1.185715>, <-0.663876, 2.586145, -1.244707>, 
      <-0.821938, 2.755862, -0.858056>, <-0.821938, 2.766316, -0.916595>, <-0.826461, 2.738225, -1.186976>, <-0.821938, 2.744202, -1.245967>, 
      <-0.821938, 3.744138, -0.641944>, <-0.821938, 3.772954, -0.747040>, <-0.826768, 3.754297, -1.145175>, <-0.821938, 3.755798, -1.254033>, 
      <-0.663876, 3.898551, -0.608178>, <-0.663876, 3.927367, -0.713274>, <-0.668707, 3.912354, -1.146435>, <-0.663876, 3.913855, -1.255293>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.663876, 2.601449, -0.891822>, <0.663876, 2.611903, -0.950362>, <0.668399, 2.580168, -1.185715>, <0.663876, 2.586145, -1.244707>, 
      <0.505815, 2.447036, -0.925589>, <0.505815, 2.457490, -0.984128>, <0.510337, 2.422111, -1.184455>, <0.505815, 2.428088, -1.243446>, 
      <-0.505815, 2.447036, -0.925589>, <-0.505815, 2.457490, -0.984128>, <-0.510337, 2.422111, -1.184455>, <-0.505815, 2.428088, -1.243446>, 
      <-0.663876, 2.601449, -0.891822>, <-0.663876, 2.611903, -0.950362>, <-0.668399, 2.580168, -1.185715>, <-0.663876, 2.586145, -1.244707>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.663876, 2.601449, -0.891822>, <0.821938, 2.755862, -0.858056>, <0.821938, 3.744138, -0.641944>, <0.663876, 3.898551, -0.608178>, 
      <0.663876, 2.611903, -0.950362>, <0.821938, 2.766316, -0.916595>, <0.821938, 3.772954, -0.747040>, <0.663876, 3.927367, -0.713274>, 
      <0.668399, 2.580168, -1.185715>, <0.826461, 2.738225, -1.186976>, <0.826768, 3.754297, -1.145175>, <0.668707, 3.912354, -1.146435>, 
      <0.663876, 2.586145, -1.244707>, <0.821938, 2.744202, -1.245967>, <0.821938, 3.755798, -1.254033>, <0.663876, 3.913855, -1.255293>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.663876, 3.517148, 0.191538>, <-0.663876, 3.623852, 0.087307>, <-0.663876, 3.859107, -0.464324>, <-0.663876, 3.898551, -0.608178>, 
      <-0.506763, 3.639537, 0.293044>, <-0.506763, 3.746240, 0.188812>, <-0.505815, 4.013520, -0.430557>, <-0.505815, 4.052964, -0.574411>, 
      <0.506763, 3.639537, 0.293044>, <0.506763, 3.746240, 0.188812>, <0.505815, 4.013520, -0.430557>, <0.505815, 4.052964, -0.574411>, 
      <0.663876, 3.517148, 0.191538>, <0.663876, 3.623852, 0.087307>, <0.663876, 3.859107, -0.464324>, <0.663876, 3.898551, -0.608178>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.663876, 2.482852, -0.666281>, <-0.663876, 2.515631, -0.693958>, <-0.663876, 2.593908, -0.849590>, <-0.663876, 2.601449, -0.891822>, 
      <-0.822881, 2.606714, -0.563553>, <-0.822881, 2.639493, -0.591230>, <-0.821938, 2.748321, -0.815824>, <-0.821938, 2.755862, -0.858056>, 
      <-0.822881, 3.393286, 0.088810>, <-0.822881, 3.499990, -0.015421>, <-0.821938, 3.704694, -0.498090>, <-0.821938, 3.744138, -0.641944>, 
      <-0.663876, 3.517148, 0.191538>, <-0.663876, 3.623852, 0.087307>, <-0.663876, 3.859107, -0.464324>, <-0.663876, 3.898551, -0.608178>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.663876, 2.482852, -0.666281>, <0.663876, 2.515631, -0.693958>, <0.663876, 2.593908, -0.849590>, <0.663876, 2.601449, -0.891822>, 
      <0.506763, 2.360463, -0.767787>, <0.506763, 2.393242, -0.795463>, <0.505815, 2.439495, -0.883356>, <0.505815, 2.447036, -0.925589>, 
      <-0.506763, 2.360463, -0.767787>, <-0.506763, 2.393242, -0.795463>, <-0.505815, 2.439495, -0.883356>, <-0.505815, 2.447036, -0.925589>, 
      <-0.663876, 2.482852, -0.666281>, <-0.663876, 2.515631, -0.693958>, <-0.663876, 2.593908, -0.849590>, <-0.663876, 2.601449, -0.891822>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.663876, 2.482852, -0.666281>, <0.822881, 2.606714, -0.563553>, <0.822881, 3.393286, 0.088810>, <0.663876, 3.517148, 0.191538>, 
      <0.663876, 2.515631, -0.693958>, <0.822881, 2.639493, -0.591230>, <0.822881, 3.499990, -0.015421>, <0.663876, 3.623852, 0.087307>, 
      <0.663876, 2.593908, -0.849590>, <0.821938, 2.748321, -0.815824>, <0.821938, 3.704694, -0.498090>, <0.663876, 3.859107, -0.464324>, 
      <0.663876, 2.601449, -0.891822>, <0.821938, 2.755862, -0.858056>, <0.821938, 3.744138, -0.641944>, <0.663876, 3.898551, -0.608178>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.663876, 2.708167, 0.554624>, <-0.663876, 3.419857, 0.333051>, <-0.663876, 3.410358, 0.295853>, <-0.663876, 3.517148, 0.191538>, 
      <-0.501489, 2.759086, 0.699554>, <-0.501489, 3.470776, 0.477982>, <-0.506763, 3.532747, 0.397359>, <-0.506763, 3.639537, 0.293044>, 
      <0.501489, 2.759086, 0.699554>, <0.501489, 2.901622, 0.655178>, <0.506763, 3.532747, 0.397359>, <0.506763, 3.639537, 0.293044>, 
      <0.663876, 2.708167, 0.554624>, <0.663876, 2.850703, 0.510248>, <0.663876, 3.410358, 0.295853>, <0.663876, 3.517148, 0.191538>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.663876, 2.291833, -0.630395>, <-0.663876, 2.324554, -0.630558>, <-0.663876, 2.457851, -0.645171>, <-0.663876, 2.482852, -0.666281>, 
      <-0.817491, 2.340001, -0.493294>, <-0.817491, 2.372722, -0.493457>, <-0.822881, 2.581712, -0.542443>, <-0.822881, 2.606714, -0.563553>, 
      <-0.817491, 2.659999, 0.417523>, <-0.817491, 3.371689, 0.195950>, <-0.822881, 3.286496, 0.193126>, <-0.822881, 3.393286, 0.088810>, 
      <-0.663876, 2.708167, 0.554624>, <-0.663876, 3.419857, 0.333051>, <-0.663876, 3.410358, 0.295853>, <-0.663876, 3.517148, 0.191538>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.663876, 2.291833, -0.630395>, <0.663876, 2.324554, -0.630558>, <0.663876, 2.457851, -0.645171>, <0.663876, 2.482852, -0.666281>, 
      <0.501489, 2.240914, -0.775326>, <0.501489, 2.273635, -0.775489>, <0.506763, 2.335462, -0.746677>, <0.506763, 2.360463, -0.767787>, 
      <-0.501489, 2.240914, -0.775326>, <-0.501489, 2.273635, -0.775489>, <-0.506763, 2.335462, -0.746677>, <-0.506763, 2.360463, -0.767787>, 
      <-0.663876, 2.291833, -0.630395>, <-0.663876, 2.324554, -0.630558>, <-0.663876, 2.457851, -0.645171>, <-0.663876, 2.482852, -0.666281>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.663876, 2.291833, -0.630395>, <0.817491, 2.340001, -0.493294>, <0.817491, 2.659999, 0.417523>, <0.663876, 2.708167, 0.554624>, 
      <0.663876, 2.324554, -0.630558>, <0.817491, 2.372722, -0.493457>, <0.817491, 2.802535, 0.373147>, <0.663876, 2.850703, 0.510248>, 
      <0.663876, 2.457851, -0.645171>, <0.822881, 2.581712, -0.542443>, <0.822881, 3.286496, 0.193126>, <0.663876, 3.410358, 0.295853>, 
      <0.663876, 2.482852, -0.666281>, <0.822881, 2.606714, -0.563553>, <0.822881, 3.393286, 0.088810>, <0.663876, 3.517148, 0.191538>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.663876, 2.000000, 0.663876>, <-0.661834, 2.120223, 0.654145>, <-0.663876, 2.133065, 0.733672>, <-0.663876, 2.708167, 0.554624>, 
      <-0.505815, 2.000000, 0.821938>, <-0.503772, 2.120223, 0.812207>, <-0.501489, 2.183983, 0.878603>, <-0.501489, 2.759086, 0.699554>, 
      <0.505815, 2.000000, 0.821938>, <0.503772, 2.120223, 0.812207>, <0.501489, 2.643905, 0.735414>, <0.501489, 2.759086, 0.699554>, 
      <0.663876, 2.000000, 0.663876>, <0.661834, 2.120223, 0.654145>, <0.663876, 2.592987, 0.590484>, <0.663876, 2.708167, 0.554624>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.663876, 2.000000, -0.663876>, <-0.662767, 2.049383, -0.661487>, <-0.663876, 2.242380, -0.630149>, <-0.663876, 2.291833, -0.630395>, 
      <-0.821938, 2.000000, -0.505815>, <-0.820829, 2.049383, -0.503425>, <-0.817491, 2.290548, -0.493048>, <-0.817491, 2.340001, -0.493294>, 
      <-0.821938, 2.000000, 0.505815>, <-0.819896, 2.120223, 0.496083>, <-0.817491, 2.084897, 0.596571>, <-0.817491, 2.659999, 0.417523>, 
      <-0.663876, 2.000000, 0.663876>, <-0.661834, 2.120223, 0.654145>, <-0.663876, 2.133065, 0.733672>, <-0.663876, 2.708167, 0.554624>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.663876, 2.000000, -0.663876>, <0.662767, 2.049383, -0.661487>, <0.663876, 2.242380, -0.630149>, <0.663876, 2.291833, -0.630395>, 
      <0.505815, 2.000000, -0.821938>, <0.504705, 2.049383, -0.819549>, <0.501489, 2.191461, -0.775079>, <0.501489, 2.240914, -0.775326>, 
      <-0.505815, 2.000000, -0.821938>, <-0.504705, 2.049383, -0.819549>, <-0.501489, 2.191461, -0.775079>, <-0.501489, 2.240914, -0.775326>, 
      <-0.663876, 2.000000, -0.663876>, <-0.662767, 2.049383, -0.661487>, <-0.663876, 2.242380, -0.630149>, <-0.663876, 2.291833, -0.630395>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.663876, 2.000000, -0.663876>, <0.821938, 2.000000, -0.505815>, <0.821938, 2.000000, 0.505815>, <0.663876, 2.000000, 0.663876>, 
      <0.662767, 2.049383, -0.661487>, <0.820829, 2.049383, -0.503425>, <0.819896, 2.120223, 0.496083>, <0.661834, 2.120223, 0.654145>, 
      <0.663876, 2.242380, -0.630149>, <0.817491, 2.290548, -0.493048>, <0.817491, 2.544819, 0.453382>, <0.663876, 2.592987, 0.590484>, 
      <0.663876, 2.291833, -0.630395>, <0.817491, 2.340001, -0.493294>, <0.817491, 2.659999, 0.417523>, <0.663876, 2.708167, 0.554624>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.692893, 1.000000, 0.692893>, <-0.685651, 1.168185, 0.685651>, <-0.666729, 1.832077, 0.677469>, <-0.663876, 2.000000, 0.663876>, 
      <-0.527923, 1.000000, 0.857864>, <-0.520681, 1.168185, 0.850622>, <-0.508667, 1.832077, 0.835531>, <-0.505815, 2.000000, 0.821938>, 
      <0.527923, 1.000000, 0.857864>, <0.520681, 1.168185, 0.850622>, <0.508667, 1.832077, 0.835531>, <0.505815, 2.000000, 0.821938>, 
      <0.692893, 1.000000, 0.692893>, <0.685651, 1.168185, 0.685651>, <0.666729, 1.832077, 0.677469>, <0.663876, 2.000000, 0.663876>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.692893, 1.000000, -0.692893>, <-0.685651, 1.168185, -0.685651>, <-0.667656, 1.831743, -0.672017>, <-0.663876, 2.000000, -0.663876>, 
      <-0.857864, 1.000000, -0.527923>, <-0.850622, 1.168185, -0.520681>, <-0.825717, 1.831743, -0.513955>, <-0.821938, 2.000000, -0.505815>, 
      <-0.857864, 1.000000, 0.527923>, <-0.850622, 1.168185, 0.520681>, <-0.824791, 1.832077, 0.519407>, <-0.821938, 2.000000, 0.505815>, 
      <-0.692893, 1.000000, 0.692893>, <-0.685651, 1.168185, 0.685651>, <-0.666729, 1.832077, 0.677469>, <-0.663876, 2.000000, 0.663876>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.692893, 1.000000, -0.692893>, <0.685651, 1.168185, -0.685651>, <0.667656, 1.831743, -0.672017>, <0.663876, 2.000000, -0.663876>, 
      <0.527923, 1.000000, -0.857864>, <0.520681, 1.168185, -0.850622>, <0.509594, 1.831743, -0.830078>, <0.505815, 2.000000, -0.821938>, 
      <-0.527923, 1.000000, -0.857864>, <-0.520681, 1.168185, -0.850622>, <-0.509594, 1.831743, -0.830078>, <-0.505815, 2.000000, -0.821938>, 
      <-0.692893, 1.000000, -0.692893>, <-0.685651, 1.168185, -0.685651>, <-0.667656, 1.831743, -0.672017>, <-0.663876, 2.000000, -0.663876>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.692893, 1.000000, -0.692893>, <0.857864, 1.000000, -0.527923>, <0.857864, 1.000000, 0.527923>, <0.692893, 1.000000, 0.692893>, 
      <0.685651, 1.168185, -0.685651>, <0.850622, 1.168185, -0.520681>, <0.850622, 1.168185, 0.520681>, <0.685651, 1.168185, 0.685651>, 
      <0.667656, 1.831743, -0.672017>, <0.825717, 1.831743, -0.513955>, <0.824791, 1.832077, 0.519407>, <0.666729, 1.832077, 0.677469>, 
      <0.663876, 2.000000, -0.663876>, <0.821938, 2.000000, -0.505815>, <0.821938, 2.000000, 0.505815>, <0.663876, 2.000000, 0.663876>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.750000, 0.000000, 0.750000>, <-0.740386, 0.168354, 0.740386>, <-0.700153, 0.831410, 0.700153>, <-0.692893, 1.000000, 0.692893>, 
      <-0.571433, 0.000000, 0.928567>, <-0.561819, 0.168354, 0.918953>, <-0.535183, 0.831410, 0.865124>, <-0.527923, 1.000000, 0.857864>, 
      <0.571433, 0.000000, 0.928567>, <0.561819, 0.168354, 0.918953>, <0.535183, 0.831410, 0.865124>, <0.527923, 1.000000, 0.857864>, 
      <0.750000, 0.000000, 0.750000>, <0.740386, 0.168354, 0.740386>, <0.700153, 0.831410, 0.700153>, <0.692893, 1.000000, 0.692893>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.750000, 0.000000, -0.750000>, <-0.740386, 0.168354, -0.740386>, <-0.700153, 0.831410, -0.700153>, <-0.692893, 1.000000, -0.692893>, 
      <-0.928567, 0.000000, -0.571433>, <-0.918953, 0.168354, -0.561819>, <-0.865124, 0.831410, -0.535183>, <-0.857864, 1.000000, -0.527923>, 
      <-0.928567, 0.000000, 0.571433>, <-0.918953, 0.168354, 0.561819>, <-0.865124, 0.831410, 0.535183>, <-0.857864, 1.000000, 0.527923>, 
      <-0.750000, 0.000000, 0.750000>, <-0.740386, 0.168354, 0.740386>, <-0.700153, 0.831410, 0.700153>, <-0.692893, 1.000000, 0.692893>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.750000, 0.000000, -0.750000>, <0.740386, 0.168354, -0.740386>, <0.700153, 0.831410, -0.700153>, <0.692893, 1.000000, -0.692893>, 
      <0.571433, 0.000000, -0.928567>, <0.561819, 0.168354, -0.918953>, <0.535183, 0.831410, -0.865124>, <0.527923, 1.000000, -0.857864>, 
      <-0.571433, 0.000000, -0.928567>, <-0.561819, 0.168354, -0.918953>, <-0.535183, 0.831410, -0.865124>, <-0.527923, 1.000000, -0.857864>, 
      <-0.750000, 0.000000, -0.750000>, <-0.740386, 0.168354, -0.740386>, <-0.700153, 0.831410, -0.700153>, <-0.692893, 1.000000, -0.692893>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.750000, 0.000000, -0.750000>, <0.928567, 0.000000, -0.571433>, <0.928567, 0.000000, 0.571433>, <0.750000, 0.000000, 0.750000>, 
      <0.740386, 0.168354, -0.740386>, <0.918953, 0.168354, -0.561819>, <0.918953, 0.168354, 0.561819>, <0.740386, 0.168354, 0.740386>, 
      <0.700153, 0.831410, -0.700153>, <0.865124, 0.831410, -0.535183>, <0.865124, 0.831410, 0.535183>, <0.700153, 0.831410, 0.700153>, 
      <0.692893, 1.000000, -0.692893>, <0.857864, 1.000000, -0.527923>, <0.857864, 1.000000, 0.527923>, <0.692893, 1.000000, 0.692893>
    }
  }
  texture {
    Chrome
  }
  scale <4.0, 5.0, 4.0>
  translate  <0.0, -73.5, 37.0>
}


plane { // Wall2
  z,0
  texture {
    Wall
  }
  rotate <-90.0, 0.0, -90.0>
  translate  <37.5, -58.0, 0.0>
}


sphere { // Sphere4
  <0,0,0>,1
  texture {
    Blue
  }
  scale <2.0, 0.5, 2.0>
  translate  <-12.5, -66.5, 37.5>
}


#declare CSG15 = union {
  object { // Cylndr15->Cylndr18
    Cylndr18
    translate  <-4.5, 4.5, 0.0>
  }
  object { // Cylndr16->Cylndr18
    Cylndr18
    translate  -9.0*x
  }
  object { // Cylndr17->Cylndr18
    Cylndr18
    translate  <-4.5, -4.5, 0.0>
  }
  object { Cylndr18 }
}
difference { // Faucet2
  superellipsoid { // SuperQ21
    <1.0, 0.2>
    scale <4.0, 4.0, 3.0>
  }
  object { CSG15 }
  texture {
    Dark_Chrome
  }
  rotate -90.0*x
  translate  <12.5, -69.5, 37.5>
}


#declare sPatchObj5 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.123346, -0.061304, 0.139477>, <0.133952, -0.049606, 0.109500>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.115190, -0.055673, 0.138893>, <0.125795, -0.043975, 0.108917>, 
      <0.081791, -0.110599, 0.188959>, <0.087627, -0.090882, 0.164582>, <0.112807, -0.059367, 0.137278>, <0.111057, -0.046296, 0.108242>, 
      <0.081791, -0.110599, 0.188959>, <0.087627, -0.090882, 0.164582>, <0.102995, -0.057949, 0.136739>, <0.101244, -0.044877, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.081791, -0.110599, 0.188959>, <0.102947, -0.101460, 0.165678>, <0.135743, -0.080243, 0.139614>, <0.152311, -0.080136, 0.111355>, 
      <0.081791, -0.110599, 0.188959>, <0.102947, -0.101460, 0.165678>, <0.130235, -0.071084, 0.139058>, <0.146804, -0.070977, 0.110798>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.132138, -0.067374, 0.140105>, <0.142743, -0.055676, 0.110129>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.123346, -0.061304, 0.139477>, <0.133952, -0.049606, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.147158, -0.038496, 0.004197>, <0.128073, -0.025320, 0.004197>, <0.093603, -0.030745, 0.004197>, <0.070651, -0.027423, 0.004197>, 
      <0.143196, -0.041829, 0.035788>, <0.124111, -0.028653, 0.035788>, <0.102781, -0.035981, 0.035249>, <0.079829, -0.032659, 0.035249>, 
      <0.143972, -0.038553, 0.081177>, <0.135816, -0.032922, 0.080593>, <0.109256, -0.032852, 0.078378>, <0.099444, -0.031433, 0.077838>, 
      <0.133952, -0.049606, 0.109500>, <0.125795, -0.043975, 0.108917>, <0.111057, -0.046296, 0.108242>, <0.101244, -0.044877, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.190118, -0.109900, 0.004197>, <0.177230, -0.088479, 0.004197>, <0.167731, -0.052699, 0.004197>, <0.147158, -0.038496, 0.004197>, 
      <0.178776, -0.100971, 0.036344>, <0.165888, -0.079550, 0.036344>, <0.163769, -0.056032, 0.035788>, <0.143196, -0.041829, 0.035788>, 
      <0.170135, -0.080021, 0.080955>, <0.164627, -0.070862, 0.080399>, <0.152764, -0.044623, 0.081806>, <0.143972, -0.038553, 0.081177>, 
      <0.152311, -0.080136, 0.111355>, <0.146804, -0.070977, 0.110798>, <0.142743, -0.055676, 0.110129>, <0.133952, -0.049606, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.151823, -0.120416, 0.139458>, <0.167434, -0.119152, 0.109500>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.153118, -0.110589, 0.138875>, <0.168729, -0.109325, 0.108917>, 
      <0.087651, -0.123490, 0.188959>, <0.108376, -0.112808, 0.164582>, <0.148708, -0.110027, 0.137375>, <0.159945, -0.097264, 0.108242>, 
      <0.087651, -0.123490, 0.188959>, <0.108376, -0.112808, 0.164582>, <0.145499, -0.100647, 0.136835>, <0.156736, -0.087884, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.087651, -0.123490, 0.188959>, <0.105944, -0.131265, 0.165678>, <0.140704, -0.139868, 0.139343>, <0.148627, -0.149408, 0.111355>, 
      <0.087651, -0.123490, 0.188959>, <0.105944, -0.131265, 0.165678>, <0.146346, -0.130791, 0.138786>, <0.154269, -0.140331, 0.110798>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.150427, -0.131008, 0.140087>, <0.166038, -0.129744, 0.110129>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.151823, -0.120416, 0.139458>, <0.167434, -0.119152, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.183932, -0.115692, 0.004197>, <0.186961, -0.092699, 0.004197>, <0.166423, -0.064489, 0.004197>, <0.158919, -0.042545, 0.004197>, 
      <0.178982, -0.116730, 0.035788>, <0.182012, -0.093737, 0.035788>, <0.165768, -0.078091, 0.035249>, <0.158264, -0.056147, 0.035249>, 
      <0.182209, -0.117955, 0.081148>, <0.183504, -0.108129, 0.080565>, <0.171241, -0.084435, 0.078959>, <0.168031, -0.075055, 0.078420>, 
      <0.167434, -0.119152, 0.109500>, <0.168729, -0.109325, 0.108917>, <0.159945, -0.097264, 0.108242>, <0.156736, -0.087884, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139955, -0.186473, 0.004197>, <0.153148, -0.165239, 0.004197>, <0.180666, -0.140477, 0.004197>, <0.183932, -0.115692, 0.004197>, 
      <0.142557, -0.175354, 0.036344>, <0.155750, -0.154119, 0.036344>, <0.175717, -0.141515, 0.035788>, <0.178982, -0.116730, 0.035788>, 
      <0.157457, -0.160041, 0.080164>, <0.163099, -0.150964, 0.079608>, <0.180813, -0.128547, 0.081777>, <0.182209, -0.117955, 0.081148>, 
      <0.148627, -0.149408, 0.111355>, <0.154269, -0.140331, 0.110798>, <0.166038, -0.129744, 0.110129>, <0.167434, -0.119152, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.119746, -0.184875, 0.139153>, <0.129356, -0.196048, 0.109500>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.128282, -0.179838, 0.138570>, <0.137893, -0.191011, 0.108917>, 
      <0.080525, -0.137015, 0.188959>, <0.100583, -0.146416, 0.164582>, <0.126053, -0.175906, 0.137066>, <0.141976, -0.176660, 0.108242>, 
      <0.080525, -0.137015, 0.188959>, <0.100583, -0.146416, 0.164582>, <0.131462, -0.167597, 0.136526>, <0.147385, -0.168351, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080525, -0.137015, 0.188959>, <0.084549, -0.155877, 0.165678>, <0.097373, -0.188128, 0.138993>, <0.093938, -0.199887, 0.111355>, 
      <0.080525, -0.137015, 0.188959>, <0.084549, -0.155877, 0.165678>, <0.107999, -0.186976, 0.138437>, <0.104564, -0.198735, 0.110798>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.110544, -0.190304, 0.139782>, <0.120155, -0.201477, 0.110129>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.119746, -0.184875, 0.139153>, <0.129356, -0.196048, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.140408, -0.206628, 0.004197>, <0.160381, -0.194842, 0.004197>, <0.169937, -0.161281, 0.004197>, <0.182592, -0.141847, 0.004197>, 
      <0.137092, -0.203454, 0.035788>, <0.157066, -0.191668, 0.035788>, <0.159375, -0.169232, 0.035249>, <0.172030, -0.149798, 0.035249>, 
      <0.138622, -0.206818, 0.080913>, <0.147158, -0.201781, 0.080330>, <0.158291, -0.177432, 0.078709>, <0.163700, -0.169123, 0.078169>, 
      <0.129356, -0.196048, 0.109500>, <0.137893, -0.191011, 0.108917>, <0.141976, -0.176660, 0.108242>, <0.147385, -0.168351, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.057564, -0.215624, 0.004197>, <0.082418, -0.212925, 0.004197>, <0.118878, -0.219333, 0.004197>, <0.140408, -0.206628, 0.004197>, 
      <0.068477, -0.210903, 0.036344>, <0.093330, -0.208204, 0.036344>, <0.115562, -0.216158, 0.035788>, <0.137092, -0.203454, 0.035788>, 
      <0.090044, -0.213219, 0.080019>, <0.100670, -0.212067, 0.079463>, <0.129420, -0.212247, 0.081542>, <0.138622, -0.206818, 0.080913>, 
      <0.093938, -0.199887, 0.111355>, <0.104564, -0.198735, 0.110798>, <0.120155, -0.201477, 0.110129>, <0.129356, -0.196048, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.051125, -0.197542, 0.138900>, <0.047940, -0.211239, 0.109500>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.060295, -0.201306, 0.138317>, <0.057109, -0.215003, 0.108917>, 
      <0.065887, -0.139366, 0.188959>, <0.070392, -0.160223, 0.164582>, <0.062186, -0.197131, 0.136812>, <0.071015, -0.209595, 0.108242>, 
      <0.065887, -0.139366, 0.188959>, <0.070392, -0.160223, 0.164582>, <0.072076, -0.196426, 0.136273>, <0.080904, -0.208890, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.065887, -0.139366, 0.188959>, <0.053169, -0.153153, 0.165678>, <0.034931, -0.181550, 0.138720>, <0.023496, -0.185323, 0.111355>, 
      <0.065887, -0.139366, 0.188959>, <0.053169, -0.153153, 0.165678>, <0.042264, -0.189325, 0.138163>, <0.030829, -0.193098, 0.110798>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.041242, -0.193485, 0.139529>, <0.038057, -0.207182, 0.110129>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.051125, -0.197542, 0.138900>, <0.047940, -0.211239, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.045868, -0.225449, 0.004197>, <0.067322, -0.234255, 0.004197>, <0.099845, -0.221610, 0.004197>, <0.122978, -0.219965, 0.004197>, 
      <0.046490, -0.221186, 0.035788>, <0.067944, -0.229992, 0.035788>, <0.087223, -0.218288, 0.035249>, <0.110356, -0.216642, 0.035249>, 
      <0.044824, -0.224640, 0.080738>, <0.053993, -0.228404, 0.080155>, <0.080194, -0.222553, 0.078537>, <0.090083, -0.221848, 0.077997>, 
      <0.047940, -0.211239, 0.109500>, <0.057109, -0.215003, 0.108917>, <0.071015, -0.209595, 0.108242>, <0.080904, -0.208890, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.011320, -0.164840, 0.004197>, <0.005836, -0.183023, 0.004197>, <0.022741, -0.215956, 0.004197>, <0.045868, -0.225449, 0.004197>, 
      <-0.000875, -0.170985, 0.036344>, <0.016281, -0.189168, 0.036344>, <0.023363, -0.211693, 0.035788>, <0.046490, -0.221186, 0.035788>, 
      <0.010355, -0.189659, 0.079909>, <0.017689, -0.197434, 0.079353>, <0.034940, -0.220583, 0.081367>, <0.044824, -0.224640, 0.080738>, 
      <0.023496, -0.185323, 0.111355>, <0.030829, -0.193098, 0.110798>, <0.038057, -0.207182, 0.110129>, <0.047940, -0.211239, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.000011, -0.155109, 0.138969>, <-0.012905, -0.161346, 0.109500>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.002698, -0.164650, 0.138386>, <-0.010217, -0.170887, 0.108917>, 
      <0.055246, -0.130093, 0.188959>, <0.041451, -0.146822, 0.164582>, <0.007129, -0.163551, 0.136885>, <0.002613, -0.178503, 0.108242>, 
      <0.055246, -0.130093, 0.188959>, <0.041451, -0.146822, 0.164582>, <0.013780, -0.170904, 0.136346>, <0.009263, -0.185856, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.055246, -0.130093, 0.188959>, <0.036403, -0.128902, 0.165678>, <0.002615, -0.132555, 0.138806>, <-0.007562, -0.126124, 0.111355>, 
      <0.055246, -0.130093, 0.188959>, <0.036403, -0.128902, 0.165678>, <0.001012, -0.143122, 0.138249>, <-0.009165, -0.136690, 0.110798>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <-0.002886, -0.144826, 0.139598>, <-0.015801, -0.151063, 0.110129>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.000011, -0.155109, 0.138969>, <-0.012905, -0.161346, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.025731, -0.169195, 0.004197>, <-0.019442, -0.191518, 0.004197>, <0.010561, -0.209334, 0.004197>, <0.026115, -0.226537, 0.004197>, 
      <-0.021883, -0.166840, 0.035788>, <-0.015594, -0.189163, 0.035788>, <0.005506, -0.197130, 0.035249>, <0.021059, -0.214333, 0.035249>, 
      <-0.025480, -0.167419, 0.080807>, <-0.022793, -0.176959, 0.080223>, <-0.002058, -0.193967, 0.078615>, <0.004592, -0.201320, 0.078076>, 
      <-0.012905, -0.161346, 0.109500>, <-0.010217, -0.170887, 0.108917>, <0.002613, -0.178503, 0.108242>, <0.009263, -0.185856, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.013253, -0.086805, 0.004197>, <-0.016996, -0.111522, 0.004197>, <-0.032510, -0.145133, 0.004197>, <-0.025731, -0.169195, 0.004197>, 
      <-0.011546, -0.098600, 0.036344>, <-0.015289, -0.123318, 0.036344>, <-0.028662, -0.142778, 0.035788>, <-0.021883, -0.166840, 0.035788>, 
      <-0.019203, -0.118767, 0.079956>, <-0.020806, -0.129334, 0.079400>, <-0.028377, -0.157135, 0.081435>, <-0.025480, -0.167419, 0.080807>, 
      <-0.007562, -0.126124, 0.111355>, <-0.009165, -0.136690, 0.110798>, <-0.015801, -0.151063, 0.110129>, <-0.012905, -0.161346, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.003646, -0.093559, 0.139269>, <-0.017742, -0.087839, 0.109500>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.007736, -0.102588, 0.138685>, <-0.021832, -0.096868, 0.108917>, 
      <0.054707, -0.117082, 0.188959>, <0.033323, -0.118217, 0.164582>, <-0.003670, -0.104430, 0.137130>, <-0.016924, -0.110959, 0.108242>, 
      <0.054707, -0.117082, 0.188959>, <0.033323, -0.118217, 0.164582>, <-0.003319, -0.114338, 0.136590>, <-0.016573, -0.120867, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.054707, -0.117082, 0.188959>, <0.041004, -0.101259, 0.165678>, <0.012789, -0.078009, 0.139268>, <0.009032, -0.064339, 0.111355>, 
      <0.054707, -0.117082, 0.188959>, <0.041004, -0.101259, 0.165678>, <0.004757, -0.085059, 0.138711>, <0.000999, -0.071389, 0.110798>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <0.000762, -0.083828, 0.139898>, <-0.013334, -0.078108, 0.110129>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.003646, -0.093559, 0.139269>, <-0.017742, -0.087839, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.032783, -0.081579, 0.004197>, <-0.042352, -0.102705, 0.004197>, <-0.030879, -0.135659, 0.004197>, <-0.030062, -0.158836, 0.004197>, 
      <-0.028271, -0.083458, 0.035788>, <-0.037839, -0.104583, 0.035788>, <-0.026832, -0.124268, 0.035249>, <-0.026016, -0.147445, 0.035249>, 
      <-0.031221, -0.082370, 0.081035>, <-0.035311, -0.091398, 0.080451>, <-0.030535, -0.117663, 0.078575>, <-0.030184, -0.127571, 0.078036>, 
      <-0.017742, -0.087839, 0.109500>, <-0.021832, -0.096868, 0.108917>, <-0.016924, -0.110959, 0.108242>, <-0.016573, -0.120867, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.029833, -0.026595, 0.004197>, <0.011048, -0.043091, 0.004197>, <-0.022469, -0.058807, 0.004197>, <-0.032783, -0.081579, 0.004197>, 
      <0.023592, -0.037919, 0.036344>, <0.004808, -0.054414, 0.036344>, <-0.017957, -0.060685, 0.035788>, <-0.028271, -0.083458, 0.035788>, 
      <0.004873, -0.049209, 0.080462>, <-0.003160, -0.056259, 0.079905>, <-0.026813, -0.072638, 0.081664>, <-0.031221, -0.082370, 0.081035>, 
      <0.009032, -0.064339, 0.111355>, <0.000999, -0.071389, 0.110798>, <-0.013334, -0.078108, 0.110129>, <-0.017742, -0.087839, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.052223, -0.054540, 0.138419>, <0.048958, -0.042290, 0.109500>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.042556, -0.056731, 0.137835>, <0.039291, -0.044481, 0.108917>, 
      <0.066771, -0.108976, 0.188959>, <0.053740, -0.095232, 0.164582>, <0.043261, -0.061362, 0.136228>, <0.031022, -0.056900, 0.108242>, 
      <0.066771, -0.108976, 0.188959>, <0.053740, -0.095232, 0.164582>, <0.035575, -0.067624, 0.135689>, <0.023335, -0.063162, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.066771, -0.108976, 0.188959>, <0.071897, -0.091117, 0.165678>, <0.074983, -0.058432, 0.138332>, <0.083857, -0.049445, 0.111355>, 
      <0.066771, -0.108976, 0.188959>, <0.071897, -0.091117, 0.165678>, <0.064513, -0.056285, 0.137775>, <0.073387, -0.047298, 0.110798>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.062642, -0.052179, 0.139048>, <0.059377, -0.039928, 0.110129>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.052223, -0.054540, 0.138419>, <0.048958, -0.042290, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.045911, -0.030705, 0.004197>, <0.023293, -0.035833, 0.004197>, <0.003950, -0.064875, 0.004197>, <-0.014034, -0.079519, 0.004197>, 
      <0.046825, -0.034181, 0.035788>, <0.024207, -0.039308, 0.035788>, <0.015160, -0.059968, 0.035249>, <-0.002823, -0.074611, 0.035249>, 
      <0.045670, -0.029954, 0.080381>, <0.036003, -0.032145, 0.079798>, <0.017788, -0.052076, 0.077983>, <0.010101, -0.058337, 0.077444>, 
      <0.048958, -0.042290, 0.109500>, <0.039291, -0.044481, 0.108917>, <0.031022, -0.056900, 0.108242>, <0.023335, -0.063162, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127546, -0.047424, 0.004197>, <0.103055, -0.042409, 0.004197>, <0.070291, -0.025179, 0.004197>, <0.045911, -0.030705, 0.004197>, 
      <0.114439, -0.048030, 0.036344>, <0.089949, -0.043015, 0.036344>, <0.071205, -0.028654, 0.035788>, <0.046825, -0.034181, 0.035788>, 
      <0.094200, -0.038969, 0.079909>, <0.083731, -0.036822, 0.079352>, <0.056089, -0.027592, 0.081010>, <0.045670, -0.029954, 0.080381>, 
      <0.083857, -0.049445, 0.111355>, <0.073387, -0.047298, 0.110798>, <0.059377, -0.039928, 0.110129>, <0.048958, -0.042290, 0.109500>
    }
  }
  texture {
    Pinkish
    scale 0.2
  }
}
#declare sPatchObj6 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.023540, -0.001090, 0.154383>, <0.019830, 0.012614, 0.123223>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.010076, -0.007002, 0.153916>, <0.006366, 0.006702, 0.122756>, 
      <0.042454, -0.058750, 0.209380>, <0.026234, -0.048623, 0.183101>, <0.011435, -0.014603, 0.151712>, <-0.002180, -0.013711, 0.122216>, 
      <0.042454, -0.058750, 0.209380>, <0.026234, -0.048623, 0.183101>, <0.002002, -0.025885, 0.151281>, <-0.011612, -0.024993, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.042454, -0.058750, 0.209380>, <0.051518, -0.037521, 0.183978>, <0.059411, -0.000574, 0.153756>, <0.072669, 0.012015, 0.124707>, 
      <0.042454, -0.058750, 0.209380>, <0.051518, -0.037521, 0.183978>, <0.043559, -0.000394, 0.153311>, <0.056818, 0.012195, 0.124262>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.038053, 0.005283, 0.154886>, <0.034344, 0.018987, 0.123726>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.023540, -0.001090, 0.154383>, <0.019830, 0.012614, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017748, 0.032511, 0.001863>, <-0.012683, 0.019147, 0.001863>, <-0.032005, -0.026980, 0.001863>, <-0.053327, -0.052476, 0.001863>, 
      <0.018373, 0.026542, 0.038271>, <-0.012059, 0.013177, 0.038271>, <-0.019490, -0.018735, 0.037839>, <-0.040813, -0.044231, 0.037839>, 
      <0.015833, 0.027381, 0.089644>, <0.002369, 0.021469, 0.089177>, <-0.018506, -0.012642, 0.086843>, <-0.027939, -0.023924, 0.086412>, 
      <0.019830, 0.012614, 0.123223>, <0.006366, 0.006702, 0.122756>, <-0.002180, -0.013711, 0.122216>, <-0.011612, -0.024993, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.137167, 0.031181, 0.001863>, <0.101342, 0.031580, 0.001863>, <0.050552, 0.046917, 0.001863>, <0.017748, 0.032511, 0.001863>, 
      <0.117818, 0.025431, 0.038716>, <0.081992, 0.025830, 0.038716>, <0.051177, 0.040948, 0.038271>, <0.018373, 0.026542, 0.038271>, 
      <0.088900, 0.027426, 0.089145>, <0.073049, 0.027606, 0.088699>, <0.030346, 0.033754, 0.090147>, <0.015833, 0.027381, 0.089644>, 
      <0.072669, 0.012015, 0.124707>, <0.056818, 0.012195, 0.124262>, <0.034344, 0.018987, 0.123726>, <0.019830, 0.012614, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.127618, -0.012097, 0.154435>, <0.133701, 0.000720, 0.123223>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.116219, -0.002807, 0.153968>, <0.122302, 0.010010, 0.122756>, 
      <0.099135, -0.065936, 0.209380>, <0.095163, -0.042686, 0.183101>, <0.110009, -0.007551, 0.152212>, <0.100238, 0.008313, 0.122216>, 
      <0.099135, -0.065936, 0.209380>, <0.095163, -0.042686, 0.183101>, <0.095668, -0.004297, 0.151781>, <0.085896, 0.011566, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.099135, -0.065936, 0.209380>, <0.116570, -0.060131, 0.183978>, <0.144408, -0.043612, 0.153153>, <0.157250, -0.046585, 0.124707>, 
      <0.099135, -0.065936, 0.209380>, <0.116570, -0.060131, 0.183978>, <0.137343, -0.029421, 0.152707>, <0.150186, -0.032393, 0.124262>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.139906, -0.022111, 0.154938>, <0.145988, -0.009293, 0.123726>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.127618, -0.012097, 0.154435>, <0.133701, 0.000720, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139577, 0.019277, 0.001863>, <0.113812, 0.040274, 0.001863>, <0.063949, 0.036450, 0.001863>, <0.031537, 0.043809, 0.001863>, 
      <0.137814, 0.013710, 0.038271>, <0.112049, 0.034707, 0.038271>, <0.080257, 0.026777, 0.037839>, <0.047845, 0.034136, 0.037839>, 
      <0.140243, 0.014505, 0.089654>, <0.128844, 0.023795, 0.089187>, <0.088984, 0.026582, 0.087670>, <0.074643, 0.029836, 0.087238>, 
      <0.133701, 0.000720, 0.123223>, <0.122302, 0.010010, 0.122756>, <0.100238, 0.008313, 0.122216>, <0.085896, 0.011566, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.192820, -0.087623, 0.001863>, <0.176847, -0.055553, 0.001863>, <0.167351, -0.003356, 0.001863>, <0.139577, 0.019277, 0.001863>, 
      <0.182149, -0.075311, 0.038716>, <0.166176, -0.043241, 0.038716>, <0.165588, -0.008923, 0.038271>, <0.137814, 0.013710, 0.038271>, 
      <0.173755, -0.050406, 0.088147>, <0.166690, -0.036214, 0.087702>, <0.152530, 0.004491, 0.090158>, <0.140243, 0.014505, 0.089654>, 
      <0.157250, -0.046585, 0.124707>, <0.150186, -0.032393, 0.124262>, <0.145988, -0.009293, 0.123726>, <0.133701, 0.000720, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188128, -0.109740, 0.154119>, <0.201120, -0.107235, 0.123223>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188418, -0.095038, 0.153652>, <0.201409, -0.092533, 0.122756>, 
      <0.130487, -0.119060, 0.209380>, <0.145400, -0.102214, 0.183101>, <0.180747, -0.092963, 0.151933>, <0.186473, -0.076204, 0.122216>, 
      <0.130487, -0.119060, 0.209380>, <0.145400, -0.102214, 0.183101>, <0.174470, -0.079664, 0.151502>, <0.180196, -0.062906, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.130487, -0.119060, 0.209380>, <0.144856, -0.129823, 0.183978>, <0.173517, -0.142599, 0.152843>, <0.178383, -0.154937, 0.124707>, 
      <0.130487, -0.119060, 0.209380>, <0.144856, -0.129823, 0.183978>, <0.180338, -0.128289, 0.152398>, <0.185204, -0.140626, 0.124262>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.187816, -0.125588, 0.154623>, <0.200808, -0.123083, 0.123726>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188128, -0.109740, 0.154119>, <0.201120, -0.107235, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.217744, -0.102236, 0.001863>, <0.218398, -0.069005, 0.001863>, <0.184653, -0.032097, 0.001863>, <0.170471, -0.002038, 0.001863>, 
      <0.212757, -0.103736, 0.038271>, <0.213410, -0.070505, 0.038271>, <0.187571, -0.050358, 0.037839>, <0.173389, -0.020298, 0.037839>, 
      <0.215336, -0.104494, 0.089414>, <0.215626, -0.089792, 0.088947>, <0.193168, -0.056609, 0.087467>, <0.186891, -0.043311, 0.087036>, 
      <0.201120, -0.107235, 0.123223>, <0.201409, -0.092533, 0.122756>, <0.186473, -0.076204, 0.122216>, <0.180196, -0.062906, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.166380, -0.210052, 0.001863>, <0.181790, -0.177707, 0.001863>, <0.217040, -0.138057, 0.001863>, <0.217744, -0.102236, 0.001863>, 
      <0.169981, -0.193518, 0.038716>, <0.185390, -0.161173, 0.038716>, <0.212053, -0.139557, 0.038271>, <0.212757, -0.103736, 0.038271>, 
      <0.184728, -0.171021, 0.088025>, <0.191549, -0.156711, 0.087580>, <0.215024, -0.120342, 0.089917>, <0.215336, -0.104494, 0.089414>, 
      <0.178383, -0.154937, 0.124707>, <0.185204, -0.140626, 0.124262>, <0.200808, -0.123083, 0.123726>, <0.201120, -0.107235, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.147752, -0.213387, 0.153808>, <0.156892, -0.221847, 0.123223>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.159647, -0.204741, 0.153341>, <0.168787, -0.213202, 0.122756>, 
      <0.107549, -0.174309, 0.209380>, <0.129164, -0.175537, 0.183101>, <0.156702, -0.197223, 0.151662>, <0.172786, -0.191436, 0.122216>, 
      <0.107549, -0.174309, 0.209380>, <0.129164, -0.175537, 0.183101>, <0.163514, -0.184190, 0.151230>, <0.179598, -0.178403, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.107549, -0.174309, 0.209380>, <0.106826, -0.191773, 0.183978>, <0.112516, -0.221572, 0.152571>, <0.105138, -0.232523, 0.124707>, 
      <0.107549, -0.174309, 0.209380>, <0.106826, -0.191773, 0.183978>, <0.128042, -0.218370, 0.152126>, <0.120664, -0.229320, 0.124262>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.134930, -0.222706, 0.154311>, <0.144070, -0.231167, 0.123726>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.147752, -0.213387, 0.153808>, <0.156892, -0.221847, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.169563, -0.231711, 0.001863>, <0.196448, -0.212169, 0.001863>, <0.205496, -0.162985, 0.001863>, <0.220897, -0.133531, 0.001863>, 
      <0.165762, -0.228752, 0.038271>, <0.192647, -0.209210, 0.038271>, <0.193107, -0.176447, 0.037839>, <0.208507, -0.146993, 0.037839>, 
      <0.167056, -0.231256, 0.089209>, <0.178951, -0.222610, 0.088742>, <0.191852, -0.184577, 0.087309>, <0.198664, -0.171544, 0.086878>, 
      <0.156892, -0.221847, 0.123223>, <0.168787, -0.213202, 0.122756>, <0.172786, -0.191436, 0.122216>, <0.179598, -0.178403, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.052604, -0.255860, 0.001863>, <0.087692, -0.248615, 0.001863>, <0.140582, -0.252777, 0.001863>, <0.169563, -0.231711, 0.001863>, 
      <0.068364, -0.248859, 0.038716>, <0.103452, -0.241614, 0.038716>, <0.136781, -0.249818, 0.038271>, <0.165762, -0.228752, 0.038271>, 
      <0.095403, -0.246972, 0.087937>, <0.110929, -0.243770, 0.087492>, <0.154234, -0.240575, 0.089713>, <0.167056, -0.231256, 0.089209>, 
      <0.105138, -0.232523, 0.124707>, <0.120664, -0.229320, 0.124262>, <0.144070, -0.231167, 0.123726>, <0.156892, -0.221847, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.047418, -0.247196, 0.153814>, <0.046521, -0.259801, 0.123223>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.061558, -0.251234, 0.153347>, <0.060660, -0.263840, 0.122756>, 
      <0.053162, -0.191205, 0.209380>, <0.065631, -0.209115, 0.183101>, <0.065665, -0.244288, 0.151668>, <0.080265, -0.253573, 0.122216>, 
      <0.053162, -0.191205, 0.209380>, <0.065631, -0.209115, 0.183101>, <0.080127, -0.241619, 0.151237>, <0.094726, -0.250904, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053162, -0.191205, 0.209380>, <0.039078, -0.201531, 0.183978>, <0.019283, -0.224512, 0.152604>, <0.006216, -0.225627, 0.124707>, 
      <0.053162, -0.191205, 0.209380>, <0.039078, -0.201531, 0.183978>, <0.031374, -0.234764, 0.152159>, <0.018308, -0.235879, 0.124262>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.032177, -0.242843, 0.154317>, <0.031279, -0.255448, 0.123726>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.047418, -0.247196, 0.153814>, <0.046521, -0.259801, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.047073, -0.276714, 0.001863>, <0.079032, -0.285840, 0.001863>, <0.123340, -0.262651, 0.001863>, <0.156026, -0.256624, 0.001863>, 
      <0.046907, -0.271640, 0.038271>, <0.078867, -0.280766, 0.038271>, <0.104950, -0.260935, 0.037839>, <0.137636, -0.254908, 0.037839>, 
      <0.045524, -0.273801, 0.089247>, <0.059663, -0.277839, 0.088780>, <0.097549, -0.264566, 0.087346>, <0.112010, -0.261897, 0.086915>, 
      <0.046521, -0.259801, 0.123223>, <0.060660, -0.263840, 0.122756>, <0.080265, -0.253573, 0.122216>, <0.094726, -0.250904, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.044032, -0.199498, 0.001863>, <-0.016701, -0.222663, 0.001863>, <0.012622, -0.266876, 0.001863>, <0.047073, -0.276714, 0.001863>, 
      <-0.028958, -0.207336, 0.038716>, <-0.001626, -0.230501, 0.038716>, <0.012457, -0.261803, 0.038271>, <0.046907, -0.271640, 0.038271>, 
      <-0.010985, -0.227094, 0.087981>, <0.001106, -0.237347, 0.087535>, <0.030282, -0.269448, 0.089750>, <0.045524, -0.273801, 0.089247>, 
      <0.006216, -0.225627, 0.124707>, <0.018308, -0.235879, 0.124262>, <0.031279, -0.255448, 0.123726>, <0.046521, -0.259801, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.039272, -0.200649, 0.154076>, <-0.050042, -0.208662, 0.123223>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.031057, -0.212845, 0.153609>, <-0.041828, -0.220859, 0.122756>, 
      <0.007339, -0.165492, 0.209380>, <0.002906, -0.185716, 0.183101>, <-0.023606, -0.210189, 0.151698>, <-0.020219, -0.225634, 0.122216>, 
      <0.007339, -0.165492, 0.209380>, <0.002906, -0.185716, 0.183101>, <-0.010825, -0.217462, 0.151267>, <-0.007438, -0.232907, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.007339, -0.165492, 0.209380>, <-0.012520, -0.162812, 0.183978>, <-0.046190, -0.165316, 0.153162>, <-0.058858, -0.156560, 0.124707>, 
      <0.007339, -0.165492, 0.209380>, <-0.012520, -0.162812, 0.183978>, <-0.043545, -0.180946, 0.152716>, <-0.056214, -0.172191, 0.124262>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.048127, -0.187501, 0.154579>, <-0.058897, -0.195515, 0.123726>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.039272, -0.200649, 0.154076>, <-0.050042, -0.208662, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.065101, -0.219388, 0.001863>, <-0.046534, -0.246955, 0.001863>, <0.002295, -0.257758, 0.001863>, <0.031178, -0.274203, 0.001863>, 
      <-0.060584, -0.216170, 0.038271>, <-0.042016, -0.243737, 0.038271>, <-0.009290, -0.245370, 0.037839>, <0.019594, -0.261814, 0.037839>, 
      <-0.061831, -0.217433, 0.089453>, <-0.053616, -0.229629, 0.088986>, <-0.016193, -0.243996, 0.087164>, <-0.003411, -0.251270, 0.086733>, 
      <-0.050042, -0.208662, 0.123223>, <-0.041828, -0.220859, 0.122756>, <-0.020219, -0.225634, 0.122216>, <-0.007438, -0.232907, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.085051, -0.101640, 0.001863>, <-0.079066, -0.136964, 0.001863>, <-0.085116, -0.189672, 0.001863>, <-0.065101, -0.219388, 0.001863>, 
      <-0.077193, -0.118116, 0.038716>, <-0.071208, -0.153441, 0.038716>, <-0.080599, -0.186454, 0.038271>, <-0.060584, -0.216170, 0.038271>, 
      <-0.074961, -0.145431, 0.088538>, <-0.072317, -0.161062, 0.088092>, <-0.070686, -0.204286, 0.089956>, <-0.061831, -0.217433, 0.089453>, 
      <-0.058858, -0.156560, 0.124707>, <-0.056214, -0.172191, 0.124262>, <-0.058897, -0.195515, 0.123726>, <-0.050042, -0.208662, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.045010, -0.092143, 0.153323>, <-0.055599, -0.088986, 0.123223>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.049773, -0.106055, 0.152856>, <-0.060362, -0.102898, 0.122756>, 
      <0.005064, -0.106889, 0.209380>, <-0.011217, -0.116099, 0.183101>, <-0.043012, -0.110809, 0.150953>, <-0.051123, -0.123007, 0.122216>, 
      <0.005064, -0.106889, 0.209380>, <-0.011217, -0.116099, 0.183101>, <-0.041094, -0.125389, 0.150522>, <-0.049205, -0.137587, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005064, -0.106889, 0.209380>, <-0.002272, -0.089973, 0.183978>, <-0.020568, -0.065061, 0.152489>, <-0.019388, -0.050501, 0.124707>, 
      <0.005064, -0.106889, 0.209380>, <-0.002272, -0.089973, 0.183978>, <-0.031432, -0.076607, 0.152043>, <-0.030251, -0.062046, 0.124262>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.039875, -0.077147, 0.153826>, <-0.050465, -0.073989, 0.123726>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.045010, -0.092143, 0.153323>, <-0.055599, -0.088986, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.067940, -0.085122, 0.001863>, <-0.078705, -0.116567, 0.001863>, <-0.057837, -0.162014, 0.001863>, <-0.053507, -0.194968, 0.001863>, 
      <-0.064238, -0.086281, 0.038271>, <-0.075003, -0.117726, 0.038271>, <-0.056546, -0.144800, 0.037839>, <-0.052216, -0.177754, 0.037839>, 
      <-0.067691, -0.085380, 0.088851>, <-0.072454, -0.099292, 0.088384>, <-0.061158, -0.138096, 0.086664>, <-0.059239, -0.152676, 0.086232>, 
      <-0.055599, -0.088986, 0.123223>, <-0.060362, -0.102898, 0.122756>, <-0.051123, -0.123007, 0.122216>, <-0.049205, -0.137587, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.013881, 0.001871, 0.001863>, <-0.010665, -0.024227, 0.001863>, <-0.056335, -0.051226, 0.001863>, <-0.067940, -0.085122, 0.001863>, 
      <0.003900, -0.013841, 0.038716>, <-0.020646, -0.039938, 0.038716>, <-0.052633, -0.052385, 0.038271>, <-0.064238, -0.086281, 0.038271>, 
      <-0.017835, -0.031349, 0.088164>, <-0.028698, -0.042894, 0.087718>, <-0.062556, -0.070384, 0.089355>, <-0.067691, -0.085380, 0.088851>, 
      <-0.019388, -0.050501, 0.124707>, <-0.030251, -0.062046, 0.124262>, <-0.050465, -0.073989, 0.123726>, <-0.055599, -0.088986, 0.123223>
    }
  }
  texture {
    Pinkish
    scale 0.21
  }
}
#declare sPatchObj7 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.223511, 0.057504, 0.170375>, <0.217555, 0.049795, 0.141318>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.204433, 0.070676, 0.169639>, <0.198477, 0.062967, 0.140582>, 
      <0.231191, 0.063931, 0.241567>, <0.204153, 0.063008, 0.210812>, <0.186374, 0.064228, 0.173390>, <0.164013, 0.057536, 0.139731>, 
      <0.231191, 0.063931, 0.241567>, <0.204153, 0.063008, 0.210812>, <0.163427, 0.067545, 0.172710>, <0.141067, 0.060854, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.231191, 0.063931, 0.241567>, <0.239981, 0.038272, 0.212195>, <0.258752, 0.001173, 0.176473>, <0.260490, -0.021600, 0.143659>, 
      <0.231191, 0.063931, 0.241567>, <0.239981, 0.038272, 0.212195>, <0.245871, 0.022592, 0.175771>, <0.247610, -0.000181, 0.142957>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.244076, 0.043305, 0.171169>, <0.238120, 0.035596, 0.142112>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.223511, 0.057504, 0.170375>, <0.217555, 0.049795, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.181706, -0.000121, 0.000126>, <0.154040, 0.018979, 0.000126>, <0.104070, 0.011116, 0.000126>, <0.070798, 0.015931, 0.000126>, 
      <0.192461, 0.014854, 0.042484>, <0.164795, 0.033954, 0.042484>, <0.125151, 0.024592, 0.041803>, <0.091878, 0.029408, 0.041803>, 
      <0.208578, 0.038175, 0.097518>, <0.189500, 0.051347, 0.096782>, <0.137476, 0.049595, 0.099784>, <0.114530, 0.052912, 0.099104>, 
      <0.217555, 0.049795, 0.141318>, <0.198477, 0.062967, 0.140582>, <0.164013, 0.057536, 0.139731>, <0.141067, 0.060854, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.243982, -0.103631, 0.000126>, <0.225300, -0.072578, 0.000126>, <0.211530, -0.020710, 0.000126>, <0.181706, -0.000121, 0.000126>, 
      <0.248935, -0.079022, 0.043186>, <0.230252, -0.047969, 0.043186>, <0.222284, -0.005736, 0.042484>, <0.192461, 0.014854, 0.042484>, 
      <0.262658, -0.049991, 0.102750>, <0.249777, -0.028573, 0.102048>, <0.229143, 0.023977, 0.098312>, <0.208578, 0.038175, 0.097518>, 
      <0.260490, -0.021600, 0.143659>, <0.247610, -0.000181, 0.142957>, <0.238120, 0.035596, 0.142112>, <0.217555, 0.049795, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.305431, -0.113714, 0.170420>, <0.295855, -0.112841, 0.141318>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.308460, -0.090729, 0.169684>, <0.298884, -0.089857, 0.140582>, 
      <0.314467, -0.119264, 0.241567>, <0.301378, -0.095401, 0.210812>, <0.294689, -0.077658, 0.173839>, <0.278342, -0.061656, 0.139731>, 
      <0.314467, -0.119264, 0.241567>, <0.301378, -0.095401, 0.210812>, <0.287183, -0.055721, 0.173159>, <0.270837, -0.039719, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.314467, -0.119264, 0.241567>, <0.295689, -0.138564, 0.212195>, <0.271121, -0.170779, 0.176110>, <0.251874, -0.183597, 0.143659>, 
      <0.314467, -0.119264, 0.241567>, <0.295689, -0.138564, 0.212195>, <0.284315, -0.149552, 0.175408>, <0.265068, -0.162371, 0.142957>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.302165, -0.138490, 0.171214>, <0.292589, -0.137618, 0.142112>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.305431, -0.113714, 0.170420>, <0.295855, -0.112841, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.235015, -0.112027, 0.000126>, <0.239407, -0.078696, 0.000126>, <0.209634, -0.037802, 0.000126>, <0.198756, -0.005991, 0.000126>, 
      <0.253267, -0.112272, 0.042484>, <0.257659, -0.078940, 0.042484>, <0.231258, -0.047920, 0.041803>, <0.220380, -0.016109, 0.041803>, 
      <0.281443, -0.111529, 0.097524>, <0.284472, -0.088544, 0.096788>, <0.259225, -0.042941, 0.099840>, <0.251719, -0.021004, 0.099160>, 
      <0.295855, -0.112841, 0.141318>, <0.298884, -0.089857, 0.140582>, <0.278342, -0.061656, 0.139731>, <0.270837, -0.039719, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171264, -0.214635, 0.000126>, <0.190389, -0.183853, 0.000126>, <0.230281, -0.147957, 0.000126>, <0.235015, -0.112027, 0.000126>, 
      <0.195447, -0.205324, 0.043186>, <0.214572, -0.174541, 0.043186>, <0.248533, -0.148201, 0.042484>, <0.253267, -0.112272, 0.042484>, 
      <0.227599, -0.199764, 0.102732>, <0.240793, -0.178537, 0.102030>, <0.278178, -0.136305, 0.098318>, <0.281443, -0.111529, 0.097524>, 
      <0.251874, -0.183597, 0.143659>, <0.265068, -0.162371, 0.142957>, <0.292589, -0.137618, 0.142112>, <0.295855, -0.112841, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.211789, -0.300825, 0.170450>, <0.206808, -0.292665, 0.141318>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.231756, -0.289044, 0.169713>, <0.226775, -0.280884, 0.140582>, 
      <0.213203, -0.311481, 0.241567>, <0.223933, -0.286405, 0.210812>, <0.233516, -0.270132, 0.173817>, <0.236321, -0.247326, 0.139731>, 
      <0.213203, -0.311481, 0.241567>, <0.223933, -0.286405, 0.210812>, <0.246164, -0.250700, 0.173136>, <0.248969, -0.227895, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.213203, -0.311481, 0.241567>, <0.186437, -0.308530, 0.212195>, <0.145744, -0.309004, 0.176218>, <0.123982, -0.301643, 0.143659>, 
      <0.213203, -0.311481, 0.241567>, <0.186437, -0.308530, 0.212195>, <0.170592, -0.306311, 0.175516>, <0.148830, -0.298950, 0.142957>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.190266, -0.313525, 0.171243>, <0.185285, -0.305365, 0.142112>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.211789, -0.300825, 0.170450>, <0.206808, -0.292665, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171921, -0.243853, 0.000126>, <0.200875, -0.226767, 0.000126>, <0.214727, -0.178116, 0.000126>, <0.233072, -0.149943, 0.000126>, 
      <0.182387, -0.258497, 0.042484>, <0.211341, -0.241411, 0.042484>, <0.219496, -0.201502, 0.041803>, <0.237842, -0.173329, 0.041803>, 
      <0.199331, -0.280417, 0.097589>, <0.219298, -0.268635, 0.096853>, <0.239598, -0.220682, 0.099907>, <0.252246, -0.201251, 0.099226>, 
      <0.206808, -0.292665, 0.141318>, <0.226775, -0.280884, 0.140582>, <0.236321, -0.247326, 0.139731>, <0.248969, -0.227895, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.051827, -0.256894, 0.000126>, <0.087855, -0.252982, 0.000126>, <0.140710, -0.262270, 0.000126>, <0.171921, -0.243853, 0.000126>, 
      <0.073474, -0.270319, 0.043186>, <0.109502, -0.266406, 0.043186>, <0.151176, -0.276914, 0.042484>, <0.182387, -0.258497, 0.042484>, 
      <0.096659, -0.292401, 0.102781>, <0.121507, -0.289708, 0.102079>, <0.177808, -0.293116, 0.098383>, <0.199331, -0.280417, 0.097589>, 
      <0.123982, -0.301643, 0.143659>, <0.148830, -0.298950, 0.142957>, <0.185285, -0.305365, 0.142112>, <0.206808, -0.292665, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.012828, -0.337093, 0.170454>, <0.016412, -0.328192, 0.141318>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.034275, -0.345897, 0.169718>, <0.037858, -0.336996, 0.140582>, 
      <0.005173, -0.344890, 0.241567>, <0.031671, -0.338232, 0.210812>, <0.050408, -0.335875, 0.173801>, <0.070373, -0.324346, 0.139731>, 
      <0.005173, -0.344890, 0.241567>, <0.031671, -0.338232, 0.210812>, <0.073535, -0.334226, 0.173121>, <0.093500, -0.322697, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005173, -0.344890, 0.241567>, <-0.008604, -0.321699, 0.212195>, <-0.033568, -0.289406, 0.176258>, <-0.040752, -0.267586, 0.143659>, 
      <0.005173, -0.344890, 0.241567>, <-0.008604, -0.321699, 0.212195>, <-0.016419, -0.307588, 0.175555>, <-0.023603, -0.285768, 0.142957>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <-0.010291, -0.327602, 0.171248>, <-0.006707, -0.318702, 0.142112>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.012828, -0.337093, 0.170454>, <0.016412, -0.328192, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034871, -0.271136, 0.000126>, <0.065973, -0.283902, 0.000126>, <0.113119, -0.265572, 0.000126>, <0.146654, -0.263187, 0.000126>, 
      <0.029333, -0.288253, 0.042484>, <0.060435, -0.301019, 0.042484>, <0.097173, -0.283425, 0.041803>, <0.130708, -0.281040, 0.041803>, 
      <0.021788, -0.314840, 0.097608>, <0.043235, -0.323644, 0.096871>, <0.093699, -0.310875, 0.099925>, <0.116825, -0.309227, 0.099245>, 
      <0.016412, -0.328192, 0.141318>, <0.037858, -0.336996, 0.140582>, <0.070373, -0.324346, 0.139731>, <0.093500, -0.322697, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.048032, -0.183276, 0.000126>, <-0.023161, -0.209634, 0.000126>, <0.001346, -0.257375, 0.000126>, <0.034871, -0.271136, 0.000126>, 
      <-0.045848, -0.208568, 0.043186>, <-0.020977, -0.234927, 0.043186>, <-0.004192, -0.274492, 0.042484>, <0.029333, -0.288253, 0.042484>, 
      <-0.049756, -0.240235, 0.102799>, <-0.032607, -0.258417, 0.102097>, <-0.001330, -0.305349, 0.098401>, <0.021788, -0.314840, 0.097608>, 
      <-0.040752, -0.267586, 0.143659>, <-0.023603, -0.285768, 0.142957>, <-0.006707, -0.318702, 0.142112>, <0.016412, -0.328192, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.135172, -0.214349, 0.170420>, <-0.125876, -0.211514, 0.141318>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.128886, -0.236664, 0.169683>, <-0.119590, -0.233829, 0.140582>, 
      <-0.146046, -0.213107, 0.241567>, <-0.124443, -0.229824, 0.210812>, <-0.111068, -0.243228, 0.173788>, <-0.089587, -0.251636, 0.139731>, 
      <-0.146046, -0.213107, 0.241567>, <-0.124443, -0.229824, 0.210812>, <-0.095516, -0.260423, 0.173108>, <-0.074035, -0.268831, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.146046, -0.213107, 0.241567>, <-0.136247, -0.187918, 0.212195>, <-0.126209, -0.148403, 0.176184>, <-0.113383, -0.129145, 0.143659>, 
      <-0.146046, -0.213107, 0.241567>, <-0.136247, -0.187918, 0.212195>, <-0.129957, -0.173114, 0.175482>, <-0.117131, -0.153856, 0.142957>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.141948, -0.190295, 0.171213>, <-0.132652, -0.187460, 0.142112>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.135172, -0.214349, 0.170420>, <-0.125876, -0.211514, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.068922, -0.189588, 0.000126>, <-0.059805, -0.221948, 0.000126>, <-0.016312, -0.247776, 0.000126>, <0.006236, -0.272713, 0.000126>, 
      <-0.086008, -0.196166, 0.042484>, <-0.076891, -0.228526, 0.042484>, <-0.040393, -0.246611, 0.041803>, <-0.017845, -0.271549, 0.041803>, 
      <-0.111895, -0.207251, 0.097549>, <-0.105609, -0.229566, 0.096813>, <-0.064444, -0.261478, 0.099866>, <-0.048891, -0.278673, 0.099185>, 
      <-0.125876, -0.211514, 0.141318>, <-0.119590, -0.233829, 0.140582>, <-0.089587, -0.251636, 0.139731>, <-0.074035, -0.268831, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.050833, -0.070151, 0.000126>, <-0.056260, -0.105982, 0.000126>, <-0.078750, -0.154706, 0.000126>, <-0.068922, -0.189588, 0.000126>, 
      <-0.069598, -0.087849, 0.043186>, <-0.075025, -0.123680, 0.043186>, <-0.095836, -0.161284, 0.042484>, <-0.086008, -0.196166, 0.042484>, 
      <-0.097254, -0.104928, 0.102758>, <-0.101002, -0.129639, 0.102056>, <-0.118671, -0.183196, 0.098343>, <-0.111895, -0.207251, 0.097549>, 
      <-0.113383, -0.129145, 0.143659>, <-0.117131, -0.153856, 0.142957>, <-0.132652, -0.187460, 0.142112>, <-0.125876, -0.211514, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.146157, -0.035481, 0.170357>, <-0.137189, -0.039615, 0.141318>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.155723, -0.056599, 0.169621>, <-0.146755, -0.060733, 0.140582>, 
      <-0.153707, -0.028201, 0.241567>, <-0.147931, -0.054795, 0.210812>, <-0.146277, -0.073168, 0.173565>, <-0.135275, -0.093680, 0.139731>, 
      <-0.153707, -0.028201, 0.241567>, <-0.147931, -0.054795, 0.210812>, <-0.145457, -0.096339, 0.172885>, <-0.134455, -0.116851, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.153707, -0.028201, 0.241567>, <-0.129968, -0.015138, 0.212195>, <-0.096889, 0.009225, 0.176242>, <-0.074577, 0.015342, 0.143659>, 
      <-0.153707, -0.028201, 0.241567>, <-0.129968, -0.015138, 0.212195>, <-0.115672, -0.007262, 0.175540>, <-0.093360, -0.001145, 0.142957>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.135846, -0.012717, 0.171151>, <-0.126878, -0.016851, 0.142112>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.146157, -0.035481, 0.170357>, <-0.137189, -0.039615, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.079145, -0.062576, 0.000126>, <-0.093016, -0.093201, 0.000126>, <-0.076384, -0.140973, 0.000126>, <-0.075201, -0.174572, 0.000126>, 
      <-0.096559, -0.055688, 0.042484>, <-0.110429, -0.086313, 0.042484>, <-0.094161, -0.123657, 0.041803>, <-0.092977, -0.157255, 0.041803>, 
      <-0.123648, -0.045858, 0.097472>, <-0.133214, -0.066976, 0.096736>, <-0.122281, -0.117907, 0.099768>, <-0.121461, -0.141078, 0.099087>, 
      <-0.137189, -0.039615, 0.141318>, <-0.146755, -0.060733, 0.140582>, <-0.135275, -0.093680, 0.139731>, <-0.134455, -0.116851, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011626, 0.017131, 0.000126>, <-0.015606, -0.006781, 0.000126>, <-0.064194, -0.029564, 0.000126>, <-0.079145, -0.062576, 0.000126>, 
      <-0.014235, 0.016594, 0.043186>, <-0.041466, -0.007318, 0.043186>, <-0.081607, -0.022676, 0.042484>, <-0.096559, -0.055688, 0.042484>, 
      <-0.046530, 0.023032, 0.102702>, <-0.065314, 0.006545, 0.102000>, <-0.113337, -0.023094, 0.098266>, <-0.123648, -0.045858, 0.097472>, 
      <-0.074577, 0.015342, 0.143659>, <-0.093360, -0.001145, 0.142957>, <-0.126878, -0.016851, 0.142112>, <-0.137189, -0.039615, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.016714, 0.076074, 0.170516>, <0.018792, 0.066905, 0.141318>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <-0.005896, 0.070949, 0.169780>, <-0.003818, 0.061781, 0.140582>, 
      <0.017749, 0.086989, 0.241567>, <0.000086, 0.066321, 0.210812>, <-0.013315, 0.053419, 0.173797>, <-0.023152, 0.032738, 0.139731>, 
      <0.017749, 0.086989, 0.241567>, <0.000086, 0.066321, 0.210812>, <-0.031291, 0.038776, 0.173117>, <-0.041128, 0.018095, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017749, 0.086989, 0.241567>, <0.042546, 0.075944, 0.212195>, <0.081993, 0.063765, 0.176459>, <0.100405, 0.050173, 0.143659>, 
      <0.017749, 0.086989, 0.241567>, <0.042546, 0.075944, 0.212195>, <0.057509, 0.068785, 0.175757>, <0.075921, 0.055193, 0.142957>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.041086, 0.081598, 0.171310>, <0.043164, 0.072429, 0.142112>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.016714, 0.076074, 0.170516>, <0.018792, 0.066905, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034933, 0.011173, 0.000126>, <0.002145, 0.003740, 0.000126>, <-0.025896, -0.038360, 0.000126>, <-0.051965, -0.059589, 0.000126>, 
      <0.030090, 0.027893, 0.042484>, <-0.002697, 0.020460, 0.042484>, <-0.022645, -0.015055, 0.041803>, <-0.048714, -0.036284, 0.041803>, 
      <0.021894, 0.053217, 0.097727>, <-0.000716, 0.048092, 0.096991>, <-0.034621, 0.008624, 0.100011>, <-0.052597, -0.006019, 0.099330>, 
      <0.018792, 0.066905, 0.141318>, <-0.003818, 0.061781, 0.140582>, <-0.023152, 0.032738, 0.139731>, <-0.041128, 0.018095, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.153276, -0.013063, 0.000126>, <0.117773, -0.005792, 0.000126>, <0.070276, 0.019185, 0.000126>, <0.034933, 0.011173, 0.000126>, 
      <0.137415, 0.005908, 0.043186>, <0.101912, 0.013178, 0.043186>, <0.065434, 0.035904, 0.042484>, <0.030090, 0.027893, 0.042484>, 
      <0.123263, 0.033298, 0.102936>, <0.098780, 0.038317, 0.102234>, <0.046266, 0.058741, 0.098521>, <0.021894, 0.053217, 0.097727>, 
      <0.100405, 0.050173, 0.143659>, <0.075921, 0.055193, 0.142957>, <0.043164, 0.072429, 0.142112>, <0.018792, 0.066905, 0.141318>
    }
  }
  texture {
    Pinkish
    scale 0.25
  }
  scale 0.95
}
#declare sPatchObj8 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.347403, 0.059594, 0.212801>, <0.332208, 0.049062, 0.178393>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.327301, 0.084443, 0.211786>, <0.312105, 0.073911, 0.177378>, 
      <0.358453, 0.063875, 0.305059>, <0.321523, 0.072753, 0.266121>, <0.298231, 0.086092, 0.218390>, <0.264410, 0.080147, 0.176204>, 
      <0.358453, 0.063875, 0.305059>, <0.321523, 0.072753, 0.266121>, <0.269175, 0.099414, 0.217451>, <0.235354, 0.093470, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.358453, 0.063875, 0.305059>, <0.359275, 0.026089, 0.268027>, <0.375031, -0.032257, 0.223080>, <0.361192, -0.062079, 0.181620>, 
      <0.358453, 0.063875, 0.305059>, <0.359275, 0.026089, 0.268027>, <0.366336, 0.001085, 0.222112>, <0.352497, -0.028737, 0.180652>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.369073, 0.032808, 0.213895>, <0.353878, 0.022276, 0.179487>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.347403, 0.059594, 0.212801>, <0.332208, 0.049062, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.223731, -0.029497, 0.000000>, <0.200927, -0.001311, 0.000000>, <0.146837, 0.005774, 0.000000>, <0.113883, 0.020890, 0.000000>, 
      <0.256274, -0.005929, 0.053518>, <0.233470, 0.022257, 0.053518>, <0.183279, 0.027548, 0.052580>, <0.150324, 0.042664, 0.052580>, 
      <0.306173, 0.031019, 0.119442>, <0.286071, 0.055868, 0.118426>, <0.222393, 0.072763, 0.123795>, <0.193337, 0.086085, 0.122857>, 
      <0.332208, 0.049062, 0.178393>, <0.312105, 0.073911, 0.177378>, <0.264410, 0.080147, 0.176204>, <0.235354, 0.093470, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.256630, -0.155547, 0.000000>, <0.246760, -0.117732, 0.000000>, <0.248312, -0.059880, 0.000000>, <0.223731, -0.029497, 0.000000>, 
      <0.287999, -0.127507, 0.054486>, <0.278129, -0.089692, 0.054486>, <0.280855, -0.036312, 0.053518>, <0.256274, -0.005929, 0.053518>, 
      <0.343188, -0.100877, 0.127680>, <0.334493, -0.067535, 0.126712>, <0.327843, 0.004233, 0.120536>, <0.306173, 0.031019, 0.119442>, 
      <0.361192, -0.062079, 0.181620>, <0.352497, -0.028737, 0.180652>, <0.353878, 0.022276, 0.179487>, <0.332208, 0.049062, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.389731, -0.202364, 0.212925>, <0.372436, -0.196520, 0.178393>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.402687, -0.173146, 0.211910>, <0.385392, -0.167301, 0.177378>, 
      <0.397582, -0.213130, 0.305059>, <0.388654, -0.176212, 0.266121>, <0.391566, -0.146399, 0.219376>, <0.369206, -0.122006, 0.176204>, 
      <0.397582, -0.213130, 0.305059>, <0.388654, -0.176212, 0.266121>, <0.390181, -0.114465, 0.218438>, <0.367821, -0.090071, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.397582, -0.213130, 0.305059>, <0.364323, -0.231083, 0.268027>, <0.320125, -0.268282, 0.222385>, <0.286719, -0.272973, 0.181620>, 
      <0.397582, -0.213130, 0.305059>, <0.364323, -0.231083, 0.268027>, <0.345841, -0.245346, 0.221417>, <0.312434, -0.250038, 0.180652>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.375765, -0.233861, 0.214019>, <0.358470, -0.228017, 0.179487>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.389731, -0.202364, 0.212925>, <0.372436, -0.196520, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.244796, -0.161502, 0.000000>, <0.259491, -0.128358, 0.000000>, <0.241146, -0.076984, 0.000000>, <0.239581, -0.040762, 0.000000>, 
      <0.283088, -0.172008, 0.053518>, <0.297783, -0.138864, 0.053518>, <0.279617, -0.091777, 0.052580>, <0.278053, -0.055555, 0.052580>, 
      <0.342930, -0.186550, 0.119480>, <0.355886, -0.157331, 0.118465>, <0.341742, -0.092045, 0.123179>, <0.340357, -0.060111, 0.122241>, 
      <0.372436, -0.196520, 0.178393>, <0.385392, -0.167301, 0.177378>, <0.369206, -0.122006, 0.176204>, <0.367821, -0.090071, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.147593, -0.248235, 0.000000>, <0.176754, -0.222215, 0.000000>, <0.228955, -0.197230, 0.000000>, <0.244796, -0.161502, 0.000000>, 
      <0.189331, -0.255657, 0.054486>, <0.218492, -0.229637, 0.054486>, <0.267247, -0.207735, 0.053518>, <0.283088, -0.172008, 0.053518>, 
      <0.243134, -0.279094, 0.128434>, <0.268849, -0.256158, 0.127466>, <0.328964, -0.218046, 0.120574>, <0.342930, -0.186550, 0.119480>, 
      <0.286719, -0.272973, 0.181620>, <0.312434, -0.250038, 0.180652>, <0.358470, -0.228017, 0.179487>, <0.372436, -0.196520, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.190069, -0.416838, 0.213059>, <0.184649, -0.399673, 0.178393>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.221063, -0.409031, 0.212044>, <0.215643, -0.391866, 0.177378>, 
      <0.187068, -0.429712, 0.305059>, <0.210636, -0.399927, 0.266121>, <0.235084, -0.383693, 0.219378>, <0.241335, -0.351201, 0.176204>, 
      <0.187068, -0.429712, 0.305059>, <0.210636, -0.399927, 0.266121>, <0.259378, -0.362919, 0.218440>, <0.265629, -0.330428, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.187068, -0.429712, 0.305059>, <0.152431, -0.414587, 0.268027>, <0.095305, -0.402751, 0.222709>, <0.071612, -0.379296, 0.181620>, 
      <0.187068, -0.429712, 0.305059>, <0.152431, -0.414587, 0.268027>, <0.129216, -0.408864, 0.221741>, <0.105523, -0.385409, 0.180652>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.156659, -0.425253, 0.214153>, <0.151239, -0.408088, 0.179487>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.190069, -0.416838, 0.213059>, <0.184649, -0.399673, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139373, -0.278661, 0.000000>, <0.174531, -0.269804, 0.000000>, <0.203679, -0.223693, 0.000000>, <0.231238, -0.200135, 0.000000>, 
      <0.152956, -0.314964, 0.053518>, <0.188113, -0.306108, 0.053518>, <0.213996, -0.262781, 0.052580>, <0.241556, -0.239223, 0.052580>, 
      <0.175480, -0.370634, 0.119747>, <0.206475, -0.362828, 0.118732>, <0.248958, -0.311584, 0.123561>, <0.273252, -0.290811, 0.122623>, 
      <0.184649, -0.399673, 0.178393>, <0.215643, -0.391866, 0.177378>, <0.241335, -0.351201, 0.176204>, <0.265629, -0.330428, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011162, -0.255575, 0.000000>, <0.049625, -0.262501, 0.000000>, <0.101475, -0.288208, 0.000000>, <0.139373, -0.278661, 0.000000>, 
      <0.029297, -0.292691, 0.054486>, <0.067760, -0.299617, 0.054486>, <0.115058, -0.324512, 0.053518>, <0.152956, -0.314964, 0.053518>, 
      <0.040995, -0.348987, 0.128524>, <0.074906, -0.355100, 0.127556>, <0.142070, -0.379049, 0.120842>, <0.175480, -0.370634, 0.119747>, 
      <0.071612, -0.379296, 0.181620>, <0.105523, -0.385409, 0.180652>, <0.151239, -0.408088, 0.179487>, <0.184649, -0.399673, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.091545, -0.387021, 0.213095>, <-0.080992, -0.372524, 0.178393>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.066608, -0.407015, 0.212080>, <-0.056056, -0.392518, 0.177378>, 
      <-0.103478, -0.392588, 0.305059>, <-0.065505, -0.393393, 0.266121>, <-0.037953, -0.402824, 0.219361>, <-0.008128, -0.388447, 0.176204>, 
      <-0.103478, -0.392588, 0.305059>, <-0.065505, -0.393393, 0.266121>, <-0.006726, -0.409648, 0.218423>, <0.023100, -0.395272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.103478, -0.392588, 0.305059>, <-0.112333, -0.355845, 0.268027>, <-0.137553, -0.303005, 0.222815>, <-0.132995, -0.270111, 0.181620>, 
      <-0.103478, -0.392588, 0.305059>, <-0.112333, -0.355845, 0.268027>, <-0.121952, -0.333728, 0.221847>, <-0.117394, -0.300835, 0.180652>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.118425, -0.365468, 0.214189>, <-0.107873, -0.350971, 0.179487>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.091545, -0.387021, 0.213095>, <-0.080992, -0.372524, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.010717, -0.265145, 0.000000>, <0.017570, -0.287824, 0.000000>, <0.071927, -0.283220, 0.000000>, <0.107346, -0.290967, 0.000000>, 
      <-0.031799, -0.297358, 0.053518>, <-0.003513, -0.320037, 0.053518>, <0.046653, -0.314512, 0.052580>, <0.082072, -0.322258, 0.052580>, 
      <-0.063183, -0.348055, 0.119823>, <-0.038247, -0.368050, 0.118808>, <0.028171, -0.370950, 0.123680>, <0.059399, -0.377775, 0.122742>, 
      <-0.080992, -0.372524, 0.178393>, <-0.056056, -0.392518, 0.177378>, <-0.008128, -0.388447, 0.176204>, <0.023100, -0.395272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.069722, -0.149001, 0.000000>, <-0.052020, -0.183844, 0.000000>, <-0.041208, -0.240698, 0.000000>, <-0.010717, -0.265145, 0.000000>, 
      <-0.088704, -0.185334, 0.054486>, <-0.071002, -0.220177, 0.054486>, <-0.062291, -0.272911, 0.053518>, <-0.031799, -0.297358, 0.053518>, 
      <-0.127121, -0.227723, 0.128536>, <-0.111520, -0.258447, 0.127568>, <-0.090063, -0.326502, 0.120917>, <-0.063183, -0.348055, 0.119823>, 
      <-0.132995, -0.270111, 0.181620>, <-0.117394, -0.300835, 0.180652>, <-0.107873, -0.350971, 0.179487>, <-0.080992, -0.372524, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241893, -0.163749, 0.212968>, <-0.223743, -0.162809, 0.178393>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.242269, -0.195710, 0.211952>, <-0.224118, -0.194769, 0.177378>, 
      <-0.253402, -0.157469, 0.305059>, <-0.230631, -0.187868, 0.266121>, <-0.221391, -0.215798, 0.219283>, <-0.191372, -0.230002, 0.176204>, 
      <-0.253402, -0.157469, 0.305059>, <-0.230631, -0.187868, 0.266121>, <-0.207518, -0.244595, 0.218345>, <-0.177498, -0.258799, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.253402, -0.157469, 0.305059>, <-0.229926, -0.127849, 0.268027>, <-0.204043, -0.075699, 0.222573>, <-0.175149, -0.058736, 0.181620>, 
      <-0.253402, -0.157469, 0.305059>, <-0.229926, -0.127849, 0.268027>, <-0.218622, -0.106920, 0.221605>, <-0.189727, -0.089958, 0.180652>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241489, -0.129298, 0.214062>, <-0.223338, -0.128357, 0.179487>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241893, -0.163749, 0.212968>, <-0.223743, -0.162809, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.093255, -0.149169, 0.000000>, <-0.093680, -0.185422, 0.000000>, <-0.056551, -0.225389, 0.000000>, <-0.040821, -0.258055, 0.000000>, 
      <-0.132402, -0.153261, 0.053518>, <-0.132826, -0.189514, 0.053518>, <-0.097555, -0.225612, 0.052580>, <-0.081824, -0.258278, 0.052580>, 
      <-0.192873, -0.161209, 0.119590>, <-0.193248, -0.193169, 0.118575>, <-0.154573, -0.247414, 0.123397>, <-0.140699, -0.276211, 0.122459>, 
      <-0.223743, -0.162809, 0.178393>, <-0.224118, -0.194769, 0.177378>, <-0.191372, -0.230002, 0.176204>, <-0.177498, -0.258799, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.038164, -0.031118, 0.000000>, <-0.054692, -0.066533, 0.000000>, <-0.092798, -0.110090, 0.000000>, <-0.093255, -0.149169, 0.000000>, 
      <-0.079260, -0.039404, 0.054486>, <-0.095787, -0.074819, 0.054486>, <-0.131944, -0.114182, 0.053518>, <-0.132402, -0.153261, 0.053518>, 
      <-0.137607, -0.036698, 0.128412>, <-0.152185, -0.067920, 0.127444>, <-0.192468, -0.126757, 0.120684>, <-0.192873, -0.161209, 0.119590>, 
      <-0.175149, -0.058736, 0.181620>, <-0.189727, -0.089958, 0.180652>, <-0.223338, -0.128357, 0.179487>, <-0.223743, -0.162809, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.185946, 0.080967, 0.212747>, <-0.171771, 0.068941, 0.178393>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.206820, 0.056762, 0.211732>, <-0.192646, 0.044736, 0.177378>, 
      <-0.191019, 0.092130, 0.305059>, <-0.193182, 0.054209, 0.266121>, <-0.203649, 0.027887, 0.218716>, <-0.190292, -0.003308, 0.176204>, 
      <-0.191019, 0.092130, 0.305059>, <-0.193182, 0.054209, 0.266121>, <-0.211586, -0.003076, 0.217778>, <-0.198230, -0.034272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.191019, 0.092130, 0.305059>, <-0.153983, 0.099664, 0.268027>, <-0.100331, 0.124223, 0.222577>, <-0.067565, 0.117245, 0.181620>, 
      <-0.191019, 0.092130, 0.305059>, <-0.153983, 0.099664, 0.268027>, <-0.131593, 0.109732, 0.221609>, <-0.098827, 0.102754, 0.180652>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.163445, 0.107058, 0.213841>, <-0.149271, 0.095032, 0.179487>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.185946, 0.080967, 0.212747>, <-0.171771, 0.068941, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.065147, -0.014659, 0.000000>, <-0.088824, -0.042116, 0.000000>, <-0.086168, -0.096603, 0.000000>, <-0.095177, -0.131721, 0.000000>, 
      <-0.097134, 0.010421, 0.053518>, <-0.120811, -0.017036, 0.053518>, <-0.117084, -0.067368, 0.052580>, <-0.126093, -0.102486, 0.052580>, 
      <-0.147384, 0.048250, 0.119287>, <-0.168258, 0.024045, 0.118272>, <-0.173684, -0.042099, 0.123341>, <-0.181622, -0.073062, 0.122403>, 
      <-0.171771, 0.068941, 0.178393>, <-0.192646, 0.044736, 0.177378>, <-0.190292, -0.003308, 0.176204>, <-0.198230, -0.034272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053034, 0.040153, 0.000000>, <0.017580, 0.023709, 0.000000>, <-0.039624, 0.014938, 0.000000>, <-0.065147, -0.014659, 0.000000>, 
      <0.016854, 0.063280, 0.054486>, <-0.018600, 0.046837, 0.054486>, <-0.071612, 0.040018, 0.053518>, <-0.097134, 0.010421, 0.053518>, 
      <-0.024606, 0.108096, 0.127923>, <-0.055868, 0.093604, 0.126955>, <-0.124883, 0.074342, 0.120381>, <-0.147384, 0.048250, 0.119287>, 
      <-0.067565, 0.117245, 0.181620>, <-0.098827, 0.102754, 0.180652>, <-0.149271, 0.095032, 0.179487>, <-0.171771, 0.068941, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.076859, 0.166457, 0.213366>, <0.075996, 0.149084, 0.178393>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.044961, 0.168484, 0.212351>, <0.044098, 0.151110, 0.177377>, 
      <0.082861, 0.178428, 0.305059>, <0.051326, 0.157258, 0.266121>, <0.024127, 0.148403, 0.219553>, <0.007220, 0.120228, 0.176204>, 
      <0.082861, 0.178428, 0.305059>, <0.051326, 0.157258, 0.266121>, <-0.005349, 0.136036, 0.218615>, <-0.022256, 0.107861, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082861, 0.178428, 0.305059>, <0.111228, 0.153453, 0.268027>, <0.162721, 0.124245, 0.223320>, <0.177418, 0.095177, 0.181620>, 
      <0.082861, 0.178428, 0.305059>, <0.111228, 0.153453, 0.268027>, <0.132295, 0.140418, 0.222351>, <0.146991, 0.111349, 0.180652>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.111244, 0.164273, 0.214461>, <0.110380, 0.146900, 0.179487>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.076859, 0.166457, 0.213366>, <0.075996, 0.149084, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.075331, 0.026891, 0.000000>, <0.039148, 0.029188, 0.000000>, <-0.002684, -0.005825, 0.000000>, <-0.036119, -0.019847, 0.000000>, 
      <0.075531, 0.063549, 0.053518>, <0.039348, 0.065846, 0.053518>, <0.001475, 0.032487, 0.052580>, <-0.031960, 0.018465, 0.052580>, 
      <0.074562, 0.120232, 0.120311>, <0.042664, 0.122258, 0.119296>, <-0.013043, 0.086461, 0.124252>, <-0.042518, 0.074094, 0.123314>, 
      <0.075996, 0.149084, 0.178393>, <0.044098, 0.151110, 0.177377>, <0.007220, 0.120228, 0.176204>, <-0.022256, 0.107861, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.190377, -0.034227, 0.000000>, <0.155863, -0.015892, 0.000000>, <0.114334, 0.024414, 0.000000>, <0.075331, 0.026891, 0.000000>, 
      <0.186489, 0.004594, 0.054486>, <0.151975, 0.022930, 0.054486>, <0.114534, 0.061072, 0.053518>, <0.075531, 0.063549, 0.053518>, 
      <0.196031, 0.058362, 0.128808>, <0.165604, 0.074534, 0.127840>, <0.108947, 0.118048, 0.121405>, <0.074562, 0.120232, 0.120311>, 
      <0.177418, 0.095177, 0.181620>, <0.146991, 0.111349, 0.180652>, <0.110380, 0.146900, 0.179487>, <0.075996, 0.149084, 0.178393>
    }
  }
  texture {
    Pinkish
    scale 0.3
  }
}
#declare sPatchGroup1 = union {
  object { sPatchObj5 }
  object { sPatchObj6 }
  object { sPatchObj7 }
  object { sPatchObj8 }
  scale 15.0
  rotate 40.0*z
  translate  <13.0, -47.0, 6.5>
}
#declare PadBase1 = prism {
  linear_sweep
  quadratic_spline
  -0.1,0.0
  13  // control points
  <0.010421, -0.953107>,
  <0.7, -0.7>,
  <0.680427, -0.468>,
  <-0.006, -0.002876>,
  <0.77923, -0.184071>,
  <1.00521, 0.00521>,
  <0.7, 0.7>,
  <0.0, 1.0>,
  <-0.689579, 0.689579>,
  <-1.0, 0.0>,
  <-0.726052, -0.710421>,
  <0.010421, -0.953107>,
  <0.7, -0.7>
  rotate -x*90
}
#declare PadSubtract1 = prism {
  linear_sweep
  quadratic_spline
  -0.1,0.0
  13  // control points
  <0.005333, -0.94293>,
  <0.689824, -0.684735>,
  <0.630075, -0.452894>,
  <-0.000964, -0.007911>,
  <0.77923, -0.16393>,
  <0.989946, 0.000122>,
  <0.689824, 0.689824>,
  <0.0, 0.989824>,
  <-0.679403, 0.679403>,
  <-0.984735, 0.0>,
  <-0.705805, -0.705386>,
  <0.005333, -0.94293>,
  <0.689824, -0.684735>
  rotate -x*90
  translate  0.01*z
}
#declare LillyPad1 = difference {
  object { PadBase1 }
  object { PadSubtract1 }
  texture {
    LeafTexture
  }
  scale 8.0
  rotate -135.0*z
  translate  <15.5, -47.5, 5.5>
}
union { // Group2
  object { sPatchGroup1 }
  object { LillyPad1 }
  scale <1.0, 0.9, 1.0>
  translate  <-21.5, 19.0, 0.0>
}


#declare sPatchObj9 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.123346, -0.061304, 0.139477>, <0.133952, -0.049606, 0.109500>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.115190, -0.055673, 0.138893>, <0.125795, -0.043975, 0.108917>, 
      <0.081791, -0.110599, 0.188959>, <0.087627, -0.090882, 0.164582>, <0.112807, -0.059367, 0.137278>, <0.111057, -0.046296, 0.108242>, 
      <0.081791, -0.110599, 0.188959>, <0.087627, -0.090882, 0.164582>, <0.102995, -0.057949, 0.136739>, <0.101244, -0.044877, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.081791, -0.110599, 0.188959>, <0.102947, -0.101460, 0.165678>, <0.135743, -0.080243, 0.139614>, <0.152311, -0.080136, 0.111355>, 
      <0.081791, -0.110599, 0.188959>, <0.102947, -0.101460, 0.165678>, <0.130235, -0.071084, 0.139058>, <0.146804, -0.070977, 0.110798>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.132138, -0.067374, 0.140105>, <0.142743, -0.055676, 0.110129>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.123346, -0.061304, 0.139477>, <0.133952, -0.049606, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.147158, -0.038496, 0.004197>, <0.128073, -0.025320, 0.004197>, <0.093603, -0.030745, 0.004197>, <0.070651, -0.027423, 0.004197>, 
      <0.143196, -0.041829, 0.035788>, <0.124111, -0.028653, 0.035788>, <0.102781, -0.035981, 0.035249>, <0.079829, -0.032659, 0.035249>, 
      <0.143972, -0.038553, 0.081177>, <0.135816, -0.032922, 0.080593>, <0.109256, -0.032852, 0.078378>, <0.099444, -0.031433, 0.077838>, 
      <0.133952, -0.049606, 0.109500>, <0.125795, -0.043975, 0.108917>, <0.111057, -0.046296, 0.108242>, <0.101244, -0.044877, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.190118, -0.109900, 0.004197>, <0.177230, -0.088479, 0.004197>, <0.167731, -0.052699, 0.004197>, <0.147158, -0.038496, 0.004197>, 
      <0.178776, -0.100971, 0.036344>, <0.165888, -0.079550, 0.036344>, <0.163769, -0.056032, 0.035788>, <0.143196, -0.041829, 0.035788>, 
      <0.170135, -0.080021, 0.080955>, <0.164627, -0.070862, 0.080399>, <0.152764, -0.044623, 0.081806>, <0.143972, -0.038553, 0.081177>, 
      <0.152311, -0.080136, 0.111355>, <0.146804, -0.070977, 0.110798>, <0.142743, -0.055676, 0.110129>, <0.133952, -0.049606, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.151823, -0.120416, 0.139458>, <0.167434, -0.119152, 0.109500>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.153118, -0.110589, 0.138875>, <0.168729, -0.109325, 0.108917>, 
      <0.087651, -0.123490, 0.188959>, <0.108376, -0.112808, 0.164582>, <0.148708, -0.110027, 0.137375>, <0.159945, -0.097264, 0.108242>, 
      <0.087651, -0.123490, 0.188959>, <0.108376, -0.112808, 0.164582>, <0.145499, -0.100647, 0.136835>, <0.156736, -0.087884, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.087651, -0.123490, 0.188959>, <0.105944, -0.131265, 0.165678>, <0.140704, -0.139868, 0.139343>, <0.148627, -0.149408, 0.111355>, 
      <0.087651, -0.123490, 0.188959>, <0.105944, -0.131265, 0.165678>, <0.146346, -0.130791, 0.138786>, <0.154269, -0.140331, 0.110798>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.150427, -0.131008, 0.140087>, <0.166038, -0.129744, 0.110129>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.151823, -0.120416, 0.139458>, <0.167434, -0.119152, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.183932, -0.115692, 0.004197>, <0.186961, -0.092699, 0.004197>, <0.166423, -0.064489, 0.004197>, <0.158919, -0.042545, 0.004197>, 
      <0.178982, -0.116730, 0.035788>, <0.182012, -0.093737, 0.035788>, <0.165768, -0.078091, 0.035249>, <0.158264, -0.056147, 0.035249>, 
      <0.182209, -0.117955, 0.081148>, <0.183504, -0.108129, 0.080565>, <0.171241, -0.084435, 0.078959>, <0.168031, -0.075055, 0.078420>, 
      <0.167434, -0.119152, 0.109500>, <0.168729, -0.109325, 0.108917>, <0.159945, -0.097264, 0.108242>, <0.156736, -0.087884, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139955, -0.186473, 0.004197>, <0.153148, -0.165239, 0.004197>, <0.180666, -0.140477, 0.004197>, <0.183932, -0.115692, 0.004197>, 
      <0.142557, -0.175354, 0.036344>, <0.155750, -0.154119, 0.036344>, <0.175717, -0.141515, 0.035788>, <0.178982, -0.116730, 0.035788>, 
      <0.157457, -0.160041, 0.080164>, <0.163099, -0.150964, 0.079608>, <0.180813, -0.128547, 0.081777>, <0.182209, -0.117955, 0.081148>, 
      <0.148627, -0.149408, 0.111355>, <0.154269, -0.140331, 0.110798>, <0.166038, -0.129744, 0.110129>, <0.167434, -0.119152, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.119746, -0.184875, 0.139153>, <0.129356, -0.196048, 0.109500>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.128282, -0.179838, 0.138570>, <0.137893, -0.191011, 0.108917>, 
      <0.080525, -0.137015, 0.188959>, <0.100583, -0.146416, 0.164582>, <0.126053, -0.175906, 0.137066>, <0.141976, -0.176660, 0.108242>, 
      <0.080525, -0.137015, 0.188959>, <0.100583, -0.146416, 0.164582>, <0.131462, -0.167597, 0.136526>, <0.147385, -0.168351, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080525, -0.137015, 0.188959>, <0.084549, -0.155877, 0.165678>, <0.097373, -0.188128, 0.138993>, <0.093938, -0.199887, 0.111355>, 
      <0.080525, -0.137015, 0.188959>, <0.084549, -0.155877, 0.165678>, <0.107999, -0.186976, 0.138437>, <0.104564, -0.198735, 0.110798>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.110544, -0.190304, 0.139782>, <0.120155, -0.201477, 0.110129>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.119746, -0.184875, 0.139153>, <0.129356, -0.196048, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.140408, -0.206628, 0.004197>, <0.160381, -0.194842, 0.004197>, <0.169937, -0.161281, 0.004197>, <0.182592, -0.141847, 0.004197>, 
      <0.137092, -0.203454, 0.035788>, <0.157066, -0.191668, 0.035788>, <0.159375, -0.169232, 0.035249>, <0.172030, -0.149798, 0.035249>, 
      <0.138622, -0.206818, 0.080913>, <0.147158, -0.201781, 0.080330>, <0.158291, -0.177432, 0.078709>, <0.163700, -0.169123, 0.078169>, 
      <0.129356, -0.196048, 0.109500>, <0.137893, -0.191011, 0.108917>, <0.141976, -0.176660, 0.108242>, <0.147385, -0.168351, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.057564, -0.215624, 0.004197>, <0.082418, -0.212925, 0.004197>, <0.118878, -0.219333, 0.004197>, <0.140408, -0.206628, 0.004197>, 
      <0.068477, -0.210903, 0.036344>, <0.093330, -0.208204, 0.036344>, <0.115562, -0.216158, 0.035788>, <0.137092, -0.203454, 0.035788>, 
      <0.090044, -0.213219, 0.080019>, <0.100670, -0.212067, 0.079463>, <0.129420, -0.212247, 0.081542>, <0.138622, -0.206818, 0.080913>, 
      <0.093938, -0.199887, 0.111355>, <0.104564, -0.198735, 0.110798>, <0.120155, -0.201477, 0.110129>, <0.129356, -0.196048, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.051125, -0.197542, 0.138900>, <0.047940, -0.211239, 0.109500>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.060295, -0.201306, 0.138317>, <0.057109, -0.215003, 0.108917>, 
      <0.065887, -0.139366, 0.188959>, <0.070392, -0.160223, 0.164582>, <0.062186, -0.197131, 0.136812>, <0.071015, -0.209595, 0.108242>, 
      <0.065887, -0.139366, 0.188959>, <0.070392, -0.160223, 0.164582>, <0.072076, -0.196426, 0.136273>, <0.080904, -0.208890, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.065887, -0.139366, 0.188959>, <0.053169, -0.153153, 0.165678>, <0.034931, -0.181550, 0.138720>, <0.023496, -0.185323, 0.111355>, 
      <0.065887, -0.139366, 0.188959>, <0.053169, -0.153153, 0.165678>, <0.042264, -0.189325, 0.138163>, <0.030829, -0.193098, 0.110798>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.041242, -0.193485, 0.139529>, <0.038057, -0.207182, 0.110129>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.051125, -0.197542, 0.138900>, <0.047940, -0.211239, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.045868, -0.225449, 0.004197>, <0.067322, -0.234255, 0.004197>, <0.099845, -0.221610, 0.004197>, <0.122978, -0.219965, 0.004197>, 
      <0.046490, -0.221186, 0.035788>, <0.067944, -0.229992, 0.035788>, <0.087223, -0.218288, 0.035249>, <0.110356, -0.216642, 0.035249>, 
      <0.044824, -0.224640, 0.080738>, <0.053993, -0.228404, 0.080155>, <0.080194, -0.222553, 0.078537>, <0.090083, -0.221848, 0.077997>, 
      <0.047940, -0.211239, 0.109500>, <0.057109, -0.215003, 0.108917>, <0.071015, -0.209595, 0.108242>, <0.080904, -0.208890, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.011320, -0.164840, 0.004197>, <0.005836, -0.183023, 0.004197>, <0.022741, -0.215956, 0.004197>, <0.045868, -0.225449, 0.004197>, 
      <-0.000875, -0.170985, 0.036344>, <0.016281, -0.189168, 0.036344>, <0.023363, -0.211693, 0.035788>, <0.046490, -0.221186, 0.035788>, 
      <0.010355, -0.189659, 0.079909>, <0.017689, -0.197434, 0.079353>, <0.034940, -0.220583, 0.081367>, <0.044824, -0.224640, 0.080738>, 
      <0.023496, -0.185323, 0.111355>, <0.030829, -0.193098, 0.110798>, <0.038057, -0.207182, 0.110129>, <0.047940, -0.211239, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.000011, -0.155109, 0.138969>, <-0.012905, -0.161346, 0.109500>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.002698, -0.164650, 0.138386>, <-0.010217, -0.170887, 0.108917>, 
      <0.055246, -0.130093, 0.188959>, <0.041451, -0.146822, 0.164582>, <0.007129, -0.163551, 0.136885>, <0.002613, -0.178503, 0.108242>, 
      <0.055246, -0.130093, 0.188959>, <0.041451, -0.146822, 0.164582>, <0.013780, -0.170904, 0.136346>, <0.009263, -0.185856, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.055246, -0.130093, 0.188959>, <0.036403, -0.128902, 0.165678>, <0.002615, -0.132555, 0.138806>, <-0.007562, -0.126124, 0.111355>, 
      <0.055246, -0.130093, 0.188959>, <0.036403, -0.128902, 0.165678>, <0.001012, -0.143122, 0.138249>, <-0.009165, -0.136690, 0.110798>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <-0.002886, -0.144826, 0.139598>, <-0.015801, -0.151063, 0.110129>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.000011, -0.155109, 0.138969>, <-0.012905, -0.161346, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.025731, -0.169195, 0.004197>, <-0.019442, -0.191518, 0.004197>, <0.010561, -0.209334, 0.004197>, <0.026115, -0.226537, 0.004197>, 
      <-0.021883, -0.166840, 0.035788>, <-0.015594, -0.189163, 0.035788>, <0.005506, -0.197130, 0.035249>, <0.021059, -0.214333, 0.035249>, 
      <-0.025480, -0.167419, 0.080807>, <-0.022793, -0.176959, 0.080223>, <-0.002058, -0.193967, 0.078615>, <0.004592, -0.201320, 0.078076>, 
      <-0.012905, -0.161346, 0.109500>, <-0.010217, -0.170887, 0.108917>, <0.002613, -0.178503, 0.108242>, <0.009263, -0.185856, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.013253, -0.086805, 0.004197>, <-0.016996, -0.111522, 0.004197>, <-0.032510, -0.145133, 0.004197>, <-0.025731, -0.169195, 0.004197>, 
      <-0.011546, -0.098600, 0.036344>, <-0.015289, -0.123318, 0.036344>, <-0.028662, -0.142778, 0.035788>, <-0.021883, -0.166840, 0.035788>, 
      <-0.019203, -0.118767, 0.079956>, <-0.020806, -0.129334, 0.079400>, <-0.028377, -0.157135, 0.081435>, <-0.025480, -0.167419, 0.080807>, 
      <-0.007562, -0.126124, 0.111355>, <-0.009165, -0.136690, 0.110798>, <-0.015801, -0.151063, 0.110129>, <-0.012905, -0.161346, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.003646, -0.093559, 0.139269>, <-0.017742, -0.087839, 0.109500>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.007736, -0.102588, 0.138685>, <-0.021832, -0.096868, 0.108917>, 
      <0.054707, -0.117082, 0.188959>, <0.033323, -0.118217, 0.164582>, <-0.003670, -0.104430, 0.137130>, <-0.016924, -0.110959, 0.108242>, 
      <0.054707, -0.117082, 0.188959>, <0.033323, -0.118217, 0.164582>, <-0.003319, -0.114338, 0.136590>, <-0.016573, -0.120867, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.054707, -0.117082, 0.188959>, <0.041004, -0.101259, 0.165678>, <0.012789, -0.078009, 0.139268>, <0.009032, -0.064339, 0.111355>, 
      <0.054707, -0.117082, 0.188959>, <0.041004, -0.101259, 0.165678>, <0.004757, -0.085059, 0.138711>, <0.000999, -0.071389, 0.110798>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <0.000762, -0.083828, 0.139898>, <-0.013334, -0.078108, 0.110129>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.003646, -0.093559, 0.139269>, <-0.017742, -0.087839, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.032783, -0.081579, 0.004197>, <-0.042352, -0.102705, 0.004197>, <-0.030879, -0.135659, 0.004197>, <-0.030062, -0.158836, 0.004197>, 
      <-0.028271, -0.083458, 0.035788>, <-0.037839, -0.104583, 0.035788>, <-0.026832, -0.124268, 0.035249>, <-0.026016, -0.147445, 0.035249>, 
      <-0.031221, -0.082370, 0.081035>, <-0.035311, -0.091398, 0.080451>, <-0.030535, -0.117663, 0.078575>, <-0.030184, -0.127571, 0.078036>, 
      <-0.017742, -0.087839, 0.109500>, <-0.021832, -0.096868, 0.108917>, <-0.016924, -0.110959, 0.108242>, <-0.016573, -0.120867, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.029833, -0.026595, 0.004197>, <0.011048, -0.043091, 0.004197>, <-0.022469, -0.058807, 0.004197>, <-0.032783, -0.081579, 0.004197>, 
      <0.023592, -0.037919, 0.036344>, <0.004808, -0.054414, 0.036344>, <-0.017957, -0.060685, 0.035788>, <-0.028271, -0.083458, 0.035788>, 
      <0.004873, -0.049209, 0.080462>, <-0.003160, -0.056259, 0.079905>, <-0.026813, -0.072638, 0.081664>, <-0.031221, -0.082370, 0.081035>, 
      <0.009032, -0.064339, 0.111355>, <0.000999, -0.071389, 0.110798>, <-0.013334, -0.078108, 0.110129>, <-0.017742, -0.087839, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.052223, -0.054540, 0.138419>, <0.048958, -0.042290, 0.109500>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.042556, -0.056731, 0.137835>, <0.039291, -0.044481, 0.108917>, 
      <0.066771, -0.108976, 0.188959>, <0.053740, -0.095232, 0.164582>, <0.043261, -0.061362, 0.136228>, <0.031022, -0.056900, 0.108242>, 
      <0.066771, -0.108976, 0.188959>, <0.053740, -0.095232, 0.164582>, <0.035575, -0.067624, 0.135689>, <0.023335, -0.063162, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.066771, -0.108976, 0.188959>, <0.071897, -0.091117, 0.165678>, <0.074983, -0.058432, 0.138332>, <0.083857, -0.049445, 0.111355>, 
      <0.066771, -0.108976, 0.188959>, <0.071897, -0.091117, 0.165678>, <0.064513, -0.056285, 0.137775>, <0.073387, -0.047298, 0.110798>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.062642, -0.052179, 0.139048>, <0.059377, -0.039928, 0.110129>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.052223, -0.054540, 0.138419>, <0.048958, -0.042290, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.045911, -0.030705, 0.004197>, <0.023293, -0.035833, 0.004197>, <0.003950, -0.064875, 0.004197>, <-0.014034, -0.079519, 0.004197>, 
      <0.046825, -0.034181, 0.035788>, <0.024207, -0.039308, 0.035788>, <0.015160, -0.059968, 0.035249>, <-0.002823, -0.074611, 0.035249>, 
      <0.045670, -0.029954, 0.080381>, <0.036003, -0.032145, 0.079798>, <0.017788, -0.052076, 0.077983>, <0.010101, -0.058337, 0.077444>, 
      <0.048958, -0.042290, 0.109500>, <0.039291, -0.044481, 0.108917>, <0.031022, -0.056900, 0.108242>, <0.023335, -0.063162, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127546, -0.047424, 0.004197>, <0.103055, -0.042409, 0.004197>, <0.070291, -0.025179, 0.004197>, <0.045911, -0.030705, 0.004197>, 
      <0.114439, -0.048030, 0.036344>, <0.089949, -0.043015, 0.036344>, <0.071205, -0.028654, 0.035788>, <0.046825, -0.034181, 0.035788>, 
      <0.094200, -0.038969, 0.079909>, <0.083731, -0.036822, 0.079352>, <0.056089, -0.027592, 0.081010>, <0.045670, -0.029954, 0.080381>, 
      <0.083857, -0.049445, 0.111355>, <0.073387, -0.047298, 0.110798>, <0.059377, -0.039928, 0.110129>, <0.048958, -0.042290, 0.109500>
    }
  }
  texture {
    Pinkish
    scale 0.2
  }
}
#declare sPatchObj10 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.023540, -0.001090, 0.154383>, <0.019830, 0.012614, 0.123223>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.010076, -0.007002, 0.153916>, <0.006366, 0.006702, 0.122756>, 
      <0.042454, -0.058750, 0.209380>, <0.026234, -0.048623, 0.183101>, <0.011435, -0.014603, 0.151712>, <-0.002180, -0.013711, 0.122216>, 
      <0.042454, -0.058750, 0.209380>, <0.026234, -0.048623, 0.183101>, <0.002002, -0.025885, 0.151281>, <-0.011612, -0.024993, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.042454, -0.058750, 0.209380>, <0.051518, -0.037521, 0.183978>, <0.059411, -0.000574, 0.153756>, <0.072669, 0.012015, 0.124707>, 
      <0.042454, -0.058750, 0.209380>, <0.051518, -0.037521, 0.183978>, <0.043559, -0.000394, 0.153311>, <0.056818, 0.012195, 0.124262>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.038053, 0.005283, 0.154886>, <0.034344, 0.018987, 0.123726>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.023540, -0.001090, 0.154383>, <0.019830, 0.012614, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017748, 0.032511, 0.001863>, <-0.012683, 0.019147, 0.001863>, <-0.032005, -0.026980, 0.001863>, <-0.053327, -0.052476, 0.001863>, 
      <0.018373, 0.026542, 0.038271>, <-0.012059, 0.013177, 0.038271>, <-0.019490, -0.018735, 0.037839>, <-0.040813, -0.044231, 0.037839>, 
      <0.015833, 0.027381, 0.089644>, <0.002369, 0.021469, 0.089177>, <-0.018506, -0.012642, 0.086843>, <-0.027939, -0.023924, 0.086412>, 
      <0.019830, 0.012614, 0.123223>, <0.006366, 0.006702, 0.122756>, <-0.002180, -0.013711, 0.122216>, <-0.011612, -0.024993, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.137167, 0.031181, 0.001863>, <0.101342, 0.031580, 0.001863>, <0.050552, 0.046917, 0.001863>, <0.017748, 0.032511, 0.001863>, 
      <0.117818, 0.025431, 0.038716>, <0.081992, 0.025830, 0.038716>, <0.051177, 0.040948, 0.038271>, <0.018373, 0.026542, 0.038271>, 
      <0.088900, 0.027426, 0.089145>, <0.073049, 0.027606, 0.088699>, <0.030346, 0.033754, 0.090147>, <0.015833, 0.027381, 0.089644>, 
      <0.072669, 0.012015, 0.124707>, <0.056818, 0.012195, 0.124262>, <0.034344, 0.018987, 0.123726>, <0.019830, 0.012614, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.127618, -0.012097, 0.154435>, <0.133701, 0.000720, 0.123223>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.116219, -0.002807, 0.153968>, <0.122302, 0.010010, 0.122756>, 
      <0.099135, -0.065936, 0.209380>, <0.095163, -0.042686, 0.183101>, <0.110009, -0.007551, 0.152212>, <0.100238, 0.008313, 0.122216>, 
      <0.099135, -0.065936, 0.209380>, <0.095163, -0.042686, 0.183101>, <0.095668, -0.004297, 0.151781>, <0.085896, 0.011566, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.099135, -0.065936, 0.209380>, <0.116570, -0.060131, 0.183978>, <0.144408, -0.043612, 0.153153>, <0.157250, -0.046585, 0.124707>, 
      <0.099135, -0.065936, 0.209380>, <0.116570, -0.060131, 0.183978>, <0.137343, -0.029421, 0.152707>, <0.150186, -0.032393, 0.124262>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.139906, -0.022111, 0.154938>, <0.145988, -0.009293, 0.123726>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.127618, -0.012097, 0.154435>, <0.133701, 0.000720, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139577, 0.019277, 0.001863>, <0.113812, 0.040274, 0.001863>, <0.063949, 0.036450, 0.001863>, <0.031537, 0.043809, 0.001863>, 
      <0.137814, 0.013710, 0.038271>, <0.112049, 0.034707, 0.038271>, <0.080257, 0.026777, 0.037839>, <0.047845, 0.034136, 0.037839>, 
      <0.140243, 0.014505, 0.089654>, <0.128844, 0.023795, 0.089187>, <0.088984, 0.026582, 0.087670>, <0.074643, 0.029836, 0.087238>, 
      <0.133701, 0.000720, 0.123223>, <0.122302, 0.010010, 0.122756>, <0.100238, 0.008313, 0.122216>, <0.085896, 0.011566, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.192820, -0.087623, 0.001863>, <0.176847, -0.055553, 0.001863>, <0.167351, -0.003356, 0.001863>, <0.139577, 0.019277, 0.001863>, 
      <0.182149, -0.075311, 0.038716>, <0.166176, -0.043241, 0.038716>, <0.165588, -0.008923, 0.038271>, <0.137814, 0.013710, 0.038271>, 
      <0.173755, -0.050406, 0.088147>, <0.166690, -0.036214, 0.087702>, <0.152530, 0.004491, 0.090158>, <0.140243, 0.014505, 0.089654>, 
      <0.157250, -0.046585, 0.124707>, <0.150186, -0.032393, 0.124262>, <0.145988, -0.009293, 0.123726>, <0.133701, 0.000720, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188128, -0.109740, 0.154119>, <0.201120, -0.107235, 0.123223>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188418, -0.095038, 0.153652>, <0.201409, -0.092533, 0.122756>, 
      <0.130487, -0.119060, 0.209380>, <0.145400, -0.102214, 0.183101>, <0.180747, -0.092963, 0.151933>, <0.186473, -0.076204, 0.122216>, 
      <0.130487, -0.119060, 0.209380>, <0.145400, -0.102214, 0.183101>, <0.174470, -0.079664, 0.151502>, <0.180196, -0.062906, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.130487, -0.119060, 0.209380>, <0.144856, -0.129823, 0.183978>, <0.173517, -0.142599, 0.152843>, <0.178383, -0.154937, 0.124707>, 
      <0.130487, -0.119060, 0.209380>, <0.144856, -0.129823, 0.183978>, <0.180338, -0.128289, 0.152398>, <0.185204, -0.140626, 0.124262>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.187816, -0.125588, 0.154623>, <0.200808, -0.123083, 0.123726>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188128, -0.109740, 0.154119>, <0.201120, -0.107235, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.217744, -0.102236, 0.001863>, <0.218398, -0.069005, 0.001863>, <0.184653, -0.032097, 0.001863>, <0.170471, -0.002038, 0.001863>, 
      <0.212757, -0.103736, 0.038271>, <0.213410, -0.070505, 0.038271>, <0.187571, -0.050358, 0.037839>, <0.173389, -0.020298, 0.037839>, 
      <0.215336, -0.104494, 0.089414>, <0.215626, -0.089792, 0.088947>, <0.193168, -0.056609, 0.087467>, <0.186891, -0.043311, 0.087036>, 
      <0.201120, -0.107235, 0.123223>, <0.201409, -0.092533, 0.122756>, <0.186473, -0.076204, 0.122216>, <0.180196, -0.062906, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.166380, -0.210052, 0.001863>, <0.181790, -0.177707, 0.001863>, <0.217040, -0.138057, 0.001863>, <0.217744, -0.102236, 0.001863>, 
      <0.169981, -0.193518, 0.038716>, <0.185390, -0.161173, 0.038716>, <0.212053, -0.139557, 0.038271>, <0.212757, -0.103736, 0.038271>, 
      <0.184728, -0.171021, 0.088025>, <0.191549, -0.156711, 0.087580>, <0.215024, -0.120342, 0.089917>, <0.215336, -0.104494, 0.089414>, 
      <0.178383, -0.154937, 0.124707>, <0.185204, -0.140626, 0.124262>, <0.200808, -0.123083, 0.123726>, <0.201120, -0.107235, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.147752, -0.213387, 0.153808>, <0.156892, -0.221847, 0.123223>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.159647, -0.204741, 0.153341>, <0.168787, -0.213202, 0.122756>, 
      <0.107549, -0.174309, 0.209380>, <0.129164, -0.175537, 0.183101>, <0.156702, -0.197223, 0.151662>, <0.172786, -0.191436, 0.122216>, 
      <0.107549, -0.174309, 0.209380>, <0.129164, -0.175537, 0.183101>, <0.163514, -0.184190, 0.151230>, <0.179598, -0.178403, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.107549, -0.174309, 0.209380>, <0.106826, -0.191773, 0.183978>, <0.112516, -0.221572, 0.152571>, <0.105138, -0.232523, 0.124707>, 
      <0.107549, -0.174309, 0.209380>, <0.106826, -0.191773, 0.183978>, <0.128042, -0.218370, 0.152126>, <0.120664, -0.229320, 0.124262>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.134930, -0.222706, 0.154311>, <0.144070, -0.231167, 0.123726>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.147752, -0.213387, 0.153808>, <0.156892, -0.221847, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.169563, -0.231711, 0.001863>, <0.196448, -0.212169, 0.001863>, <0.205496, -0.162985, 0.001863>, <0.220897, -0.133531, 0.001863>, 
      <0.165762, -0.228752, 0.038271>, <0.192647, -0.209210, 0.038271>, <0.193107, -0.176447, 0.037839>, <0.208507, -0.146993, 0.037839>, 
      <0.167056, -0.231256, 0.089209>, <0.178951, -0.222610, 0.088742>, <0.191852, -0.184577, 0.087309>, <0.198664, -0.171544, 0.086878>, 
      <0.156892, -0.221847, 0.123223>, <0.168787, -0.213202, 0.122756>, <0.172786, -0.191436, 0.122216>, <0.179598, -0.178403, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.052604, -0.255860, 0.001863>, <0.087692, -0.248615, 0.001863>, <0.140582, -0.252777, 0.001863>, <0.169563, -0.231711, 0.001863>, 
      <0.068364, -0.248859, 0.038716>, <0.103452, -0.241614, 0.038716>, <0.136781, -0.249818, 0.038271>, <0.165762, -0.228752, 0.038271>, 
      <0.095403, -0.246972, 0.087937>, <0.110929, -0.243770, 0.087492>, <0.154234, -0.240575, 0.089713>, <0.167056, -0.231256, 0.089209>, 
      <0.105138, -0.232523, 0.124707>, <0.120664, -0.229320, 0.124262>, <0.144070, -0.231167, 0.123726>, <0.156892, -0.221847, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.047418, -0.247196, 0.153814>, <0.046521, -0.259801, 0.123223>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.061558, -0.251234, 0.153347>, <0.060660, -0.263840, 0.122756>, 
      <0.053162, -0.191205, 0.209380>, <0.065631, -0.209115, 0.183101>, <0.065665, -0.244288, 0.151668>, <0.080265, -0.253573, 0.122216>, 
      <0.053162, -0.191205, 0.209380>, <0.065631, -0.209115, 0.183101>, <0.080127, -0.241619, 0.151237>, <0.094726, -0.250904, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053162, -0.191205, 0.209380>, <0.039078, -0.201531, 0.183978>, <0.019283, -0.224512, 0.152604>, <0.006216, -0.225627, 0.124707>, 
      <0.053162, -0.191205, 0.209380>, <0.039078, -0.201531, 0.183978>, <0.031374, -0.234764, 0.152159>, <0.018308, -0.235879, 0.124262>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.032177, -0.242843, 0.154317>, <0.031279, -0.255448, 0.123726>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.047418, -0.247196, 0.153814>, <0.046521, -0.259801, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.047073, -0.276714, 0.001863>, <0.079032, -0.285840, 0.001863>, <0.123340, -0.262651, 0.001863>, <0.156026, -0.256624, 0.001863>, 
      <0.046907, -0.271640, 0.038271>, <0.078867, -0.280766, 0.038271>, <0.104950, -0.260935, 0.037839>, <0.137636, -0.254908, 0.037839>, 
      <0.045524, -0.273801, 0.089247>, <0.059663, -0.277839, 0.088780>, <0.097549, -0.264566, 0.087346>, <0.112010, -0.261897, 0.086915>, 
      <0.046521, -0.259801, 0.123223>, <0.060660, -0.263840, 0.122756>, <0.080265, -0.253573, 0.122216>, <0.094726, -0.250904, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.044032, -0.199498, 0.001863>, <-0.016701, -0.222663, 0.001863>, <0.012622, -0.266876, 0.001863>, <0.047073, -0.276714, 0.001863>, 
      <-0.028958, -0.207336, 0.038716>, <-0.001626, -0.230501, 0.038716>, <0.012457, -0.261803, 0.038271>, <0.046907, -0.271640, 0.038271>, 
      <-0.010985, -0.227094, 0.087981>, <0.001106, -0.237347, 0.087535>, <0.030282, -0.269448, 0.089750>, <0.045524, -0.273801, 0.089247>, 
      <0.006216, -0.225627, 0.124707>, <0.018308, -0.235879, 0.124262>, <0.031279, -0.255448, 0.123726>, <0.046521, -0.259801, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.039272, -0.200649, 0.154076>, <-0.050042, -0.208662, 0.123223>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.031057, -0.212845, 0.153609>, <-0.041828, -0.220859, 0.122756>, 
      <0.007339, -0.165492, 0.209380>, <0.002906, -0.185716, 0.183101>, <-0.023606, -0.210189, 0.151698>, <-0.020219, -0.225634, 0.122216>, 
      <0.007339, -0.165492, 0.209380>, <0.002906, -0.185716, 0.183101>, <-0.010825, -0.217462, 0.151267>, <-0.007438, -0.232907, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.007339, -0.165492, 0.209380>, <-0.012520, -0.162812, 0.183978>, <-0.046190, -0.165316, 0.153162>, <-0.058858, -0.156560, 0.124707>, 
      <0.007339, -0.165492, 0.209380>, <-0.012520, -0.162812, 0.183978>, <-0.043545, -0.180946, 0.152716>, <-0.056214, -0.172191, 0.124262>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.048127, -0.187501, 0.154579>, <-0.058897, -0.195515, 0.123726>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.039272, -0.200649, 0.154076>, <-0.050042, -0.208662, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.065101, -0.219388, 0.001863>, <-0.046534, -0.246955, 0.001863>, <0.002295, -0.257758, 0.001863>, <0.031178, -0.274203, 0.001863>, 
      <-0.060584, -0.216170, 0.038271>, <-0.042016, -0.243737, 0.038271>, <-0.009290, -0.245370, 0.037839>, <0.019594, -0.261814, 0.037839>, 
      <-0.061831, -0.217433, 0.089453>, <-0.053616, -0.229629, 0.088986>, <-0.016193, -0.243996, 0.087164>, <-0.003411, -0.251270, 0.086733>, 
      <-0.050042, -0.208662, 0.123223>, <-0.041828, -0.220859, 0.122756>, <-0.020219, -0.225634, 0.122216>, <-0.007438, -0.232907, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.085051, -0.101640, 0.001863>, <-0.079066, -0.136964, 0.001863>, <-0.085116, -0.189672, 0.001863>, <-0.065101, -0.219388, 0.001863>, 
      <-0.077193, -0.118116, 0.038716>, <-0.071208, -0.153441, 0.038716>, <-0.080599, -0.186454, 0.038271>, <-0.060584, -0.216170, 0.038271>, 
      <-0.074961, -0.145431, 0.088538>, <-0.072317, -0.161062, 0.088092>, <-0.070686, -0.204286, 0.089956>, <-0.061831, -0.217433, 0.089453>, 
      <-0.058858, -0.156560, 0.124707>, <-0.056214, -0.172191, 0.124262>, <-0.058897, -0.195515, 0.123726>, <-0.050042, -0.208662, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.045010, -0.092143, 0.153323>, <-0.055599, -0.088986, 0.123223>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.049773, -0.106055, 0.152856>, <-0.060362, -0.102898, 0.122756>, 
      <0.005064, -0.106889, 0.209380>, <-0.011217, -0.116099, 0.183101>, <-0.043012, -0.110809, 0.150953>, <-0.051123, -0.123007, 0.122216>, 
      <0.005064, -0.106889, 0.209380>, <-0.011217, -0.116099, 0.183101>, <-0.041094, -0.125389, 0.150522>, <-0.049205, -0.137587, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005064, -0.106889, 0.209380>, <-0.002272, -0.089973, 0.183978>, <-0.020568, -0.065061, 0.152489>, <-0.019388, -0.050501, 0.124707>, 
      <0.005064, -0.106889, 0.209380>, <-0.002272, -0.089973, 0.183978>, <-0.031432, -0.076607, 0.152043>, <-0.030251, -0.062046, 0.124262>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.039875, -0.077147, 0.153826>, <-0.050465, -0.073989, 0.123726>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.045010, -0.092143, 0.153323>, <-0.055599, -0.088986, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.067940, -0.085122, 0.001863>, <-0.078705, -0.116567, 0.001863>, <-0.057837, -0.162014, 0.001863>, <-0.053507, -0.194968, 0.001863>, 
      <-0.064238, -0.086281, 0.038271>, <-0.075003, -0.117726, 0.038271>, <-0.056546, -0.144800, 0.037839>, <-0.052216, -0.177754, 0.037839>, 
      <-0.067691, -0.085380, 0.088851>, <-0.072454, -0.099292, 0.088384>, <-0.061158, -0.138096, 0.086664>, <-0.059239, -0.152676, 0.086232>, 
      <-0.055599, -0.088986, 0.123223>, <-0.060362, -0.102898, 0.122756>, <-0.051123, -0.123007, 0.122216>, <-0.049205, -0.137587, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.013881, 0.001871, 0.001863>, <-0.010665, -0.024227, 0.001863>, <-0.056335, -0.051226, 0.001863>, <-0.067940, -0.085122, 0.001863>, 
      <0.003900, -0.013841, 0.038716>, <-0.020646, -0.039938, 0.038716>, <-0.052633, -0.052385, 0.038271>, <-0.064238, -0.086281, 0.038271>, 
      <-0.017835, -0.031349, 0.088164>, <-0.028698, -0.042894, 0.087718>, <-0.062556, -0.070384, 0.089355>, <-0.067691, -0.085380, 0.088851>, 
      <-0.019388, -0.050501, 0.124707>, <-0.030251, -0.062046, 0.124262>, <-0.050465, -0.073989, 0.123726>, <-0.055599, -0.088986, 0.123223>
    }
  }
  texture {
    Pinkish
    scale 0.21
  }
}
#declare sPatchObj11 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.223511, 0.057504, 0.170375>, <0.217555, 0.049795, 0.141318>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.204433, 0.070676, 0.169639>, <0.198477, 0.062967, 0.140582>, 
      <0.231191, 0.063931, 0.241567>, <0.204153, 0.063008, 0.210812>, <0.186374, 0.064228, 0.173390>, <0.164013, 0.057536, 0.139731>, 
      <0.231191, 0.063931, 0.241567>, <0.204153, 0.063008, 0.210812>, <0.163427, 0.067545, 0.172710>, <0.141067, 0.060854, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.231191, 0.063931, 0.241567>, <0.239981, 0.038272, 0.212195>, <0.258752, 0.001173, 0.176473>, <0.260490, -0.021600, 0.143659>, 
      <0.231191, 0.063931, 0.241567>, <0.239981, 0.038272, 0.212195>, <0.245871, 0.022592, 0.175771>, <0.247610, -0.000181, 0.142957>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.244076, 0.043305, 0.171169>, <0.238120, 0.035596, 0.142112>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.223511, 0.057504, 0.170375>, <0.217555, 0.049795, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.181706, -0.000121, 0.000126>, <0.154040, 0.018979, 0.000126>, <0.104070, 0.011116, 0.000126>, <0.070798, 0.015931, 0.000126>, 
      <0.192461, 0.014854, 0.042484>, <0.164795, 0.033954, 0.042484>, <0.125151, 0.024592, 0.041803>, <0.091878, 0.029408, 0.041803>, 
      <0.208578, 0.038175, 0.097518>, <0.189500, 0.051347, 0.096782>, <0.137476, 0.049595, 0.099784>, <0.114530, 0.052912, 0.099104>, 
      <0.217555, 0.049795, 0.141318>, <0.198477, 0.062967, 0.140582>, <0.164013, 0.057536, 0.139731>, <0.141067, 0.060854, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.243982, -0.103631, 0.000126>, <0.225300, -0.072578, 0.000126>, <0.211530, -0.020710, 0.000126>, <0.181706, -0.000121, 0.000126>, 
      <0.248935, -0.079022, 0.043186>, <0.230252, -0.047969, 0.043186>, <0.222284, -0.005736, 0.042484>, <0.192461, 0.014854, 0.042484>, 
      <0.262658, -0.049991, 0.102750>, <0.249777, -0.028573, 0.102048>, <0.229143, 0.023977, 0.098312>, <0.208578, 0.038175, 0.097518>, 
      <0.260490, -0.021600, 0.143659>, <0.247610, -0.000181, 0.142957>, <0.238120, 0.035596, 0.142112>, <0.217555, 0.049795, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.305431, -0.113714, 0.170420>, <0.295855, -0.112841, 0.141318>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.308460, -0.090729, 0.169684>, <0.298884, -0.089857, 0.140582>, 
      <0.314467, -0.119264, 0.241567>, <0.301378, -0.095401, 0.210812>, <0.294689, -0.077658, 0.173839>, <0.278342, -0.061656, 0.139731>, 
      <0.314467, -0.119264, 0.241567>, <0.301378, -0.095401, 0.210812>, <0.287183, -0.055721, 0.173159>, <0.270837, -0.039719, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.314467, -0.119264, 0.241567>, <0.295689, -0.138564, 0.212195>, <0.271121, -0.170779, 0.176110>, <0.251874, -0.183597, 0.143659>, 
      <0.314467, -0.119264, 0.241567>, <0.295689, -0.138564, 0.212195>, <0.284315, -0.149552, 0.175408>, <0.265068, -0.162371, 0.142957>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.302165, -0.138490, 0.171214>, <0.292589, -0.137618, 0.142112>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.305431, -0.113714, 0.170420>, <0.295855, -0.112841, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.235015, -0.112027, 0.000126>, <0.239407, -0.078696, 0.000126>, <0.209634, -0.037802, 0.000126>, <0.198756, -0.005991, 0.000126>, 
      <0.253267, -0.112272, 0.042484>, <0.257659, -0.078940, 0.042484>, <0.231258, -0.047920, 0.041803>, <0.220380, -0.016109, 0.041803>, 
      <0.281443, -0.111529, 0.097524>, <0.284472, -0.088544, 0.096788>, <0.259225, -0.042941, 0.099840>, <0.251719, -0.021004, 0.099160>, 
      <0.295855, -0.112841, 0.141318>, <0.298884, -0.089857, 0.140582>, <0.278342, -0.061656, 0.139731>, <0.270837, -0.039719, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171264, -0.214635, 0.000126>, <0.190389, -0.183853, 0.000126>, <0.230281, -0.147957, 0.000126>, <0.235015, -0.112027, 0.000126>, 
      <0.195447, -0.205324, 0.043186>, <0.214572, -0.174541, 0.043186>, <0.248533, -0.148201, 0.042484>, <0.253267, -0.112272, 0.042484>, 
      <0.227599, -0.199764, 0.102732>, <0.240793, -0.178537, 0.102030>, <0.278178, -0.136305, 0.098318>, <0.281443, -0.111529, 0.097524>, 
      <0.251874, -0.183597, 0.143659>, <0.265068, -0.162371, 0.142957>, <0.292589, -0.137618, 0.142112>, <0.295855, -0.112841, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.211789, -0.300825, 0.170450>, <0.206808, -0.292665, 0.141318>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.231756, -0.289044, 0.169713>, <0.226775, -0.280884, 0.140582>, 
      <0.213203, -0.311481, 0.241567>, <0.223933, -0.286405, 0.210812>, <0.233516, -0.270132, 0.173817>, <0.236321, -0.247326, 0.139731>, 
      <0.213203, -0.311481, 0.241567>, <0.223933, -0.286405, 0.210812>, <0.246164, -0.250700, 0.173136>, <0.248969, -0.227895, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.213203, -0.311481, 0.241567>, <0.186437, -0.308530, 0.212195>, <0.145744, -0.309004, 0.176218>, <0.123982, -0.301643, 0.143659>, 
      <0.213203, -0.311481, 0.241567>, <0.186437, -0.308530, 0.212195>, <0.170592, -0.306311, 0.175516>, <0.148830, -0.298950, 0.142957>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.190266, -0.313525, 0.171243>, <0.185285, -0.305365, 0.142112>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.211789, -0.300825, 0.170450>, <0.206808, -0.292665, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171921, -0.243853, 0.000126>, <0.200875, -0.226767, 0.000126>, <0.214727, -0.178116, 0.000126>, <0.233072, -0.149943, 0.000126>, 
      <0.182387, -0.258497, 0.042484>, <0.211341, -0.241411, 0.042484>, <0.219496, -0.201502, 0.041803>, <0.237842, -0.173329, 0.041803>, 
      <0.199331, -0.280417, 0.097589>, <0.219298, -0.268635, 0.096853>, <0.239598, -0.220682, 0.099907>, <0.252246, -0.201251, 0.099226>, 
      <0.206808, -0.292665, 0.141318>, <0.226775, -0.280884, 0.140582>, <0.236321, -0.247326, 0.139731>, <0.248969, -0.227895, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.051827, -0.256894, 0.000126>, <0.087855, -0.252982, 0.000126>, <0.140710, -0.262270, 0.000126>, <0.171921, -0.243853, 0.000126>, 
      <0.073474, -0.270319, 0.043186>, <0.109502, -0.266406, 0.043186>, <0.151176, -0.276914, 0.042484>, <0.182387, -0.258497, 0.042484>, 
      <0.096659, -0.292401, 0.102781>, <0.121507, -0.289708, 0.102079>, <0.177808, -0.293116, 0.098383>, <0.199331, -0.280417, 0.097589>, 
      <0.123982, -0.301643, 0.143659>, <0.148830, -0.298950, 0.142957>, <0.185285, -0.305365, 0.142112>, <0.206808, -0.292665, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.012828, -0.337093, 0.170454>, <0.016412, -0.328192, 0.141318>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.034275, -0.345897, 0.169718>, <0.037858, -0.336996, 0.140582>, 
      <0.005173, -0.344890, 0.241567>, <0.031671, -0.338232, 0.210812>, <0.050408, -0.335875, 0.173801>, <0.070373, -0.324346, 0.139731>, 
      <0.005173, -0.344890, 0.241567>, <0.031671, -0.338232, 0.210812>, <0.073535, -0.334226, 0.173121>, <0.093500, -0.322697, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005173, -0.344890, 0.241567>, <-0.008604, -0.321699, 0.212195>, <-0.033568, -0.289406, 0.176258>, <-0.040752, -0.267586, 0.143659>, 
      <0.005173, -0.344890, 0.241567>, <-0.008604, -0.321699, 0.212195>, <-0.016419, -0.307588, 0.175555>, <-0.023603, -0.285768, 0.142957>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <-0.010291, -0.327602, 0.171248>, <-0.006707, -0.318702, 0.142112>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.012828, -0.337093, 0.170454>, <0.016412, -0.328192, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034871, -0.271136, 0.000126>, <0.065973, -0.283902, 0.000126>, <0.113119, -0.265572, 0.000126>, <0.146654, -0.263187, 0.000126>, 
      <0.029333, -0.288253, 0.042484>, <0.060435, -0.301019, 0.042484>, <0.097173, -0.283425, 0.041803>, <0.130708, -0.281040, 0.041803>, 
      <0.021788, -0.314840, 0.097608>, <0.043235, -0.323644, 0.096871>, <0.093699, -0.310875, 0.099925>, <0.116825, -0.309227, 0.099245>, 
      <0.016412, -0.328192, 0.141318>, <0.037858, -0.336996, 0.140582>, <0.070373, -0.324346, 0.139731>, <0.093500, -0.322697, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.048032, -0.183276, 0.000126>, <-0.023161, -0.209634, 0.000126>, <0.001346, -0.257375, 0.000126>, <0.034871, -0.271136, 0.000126>, 
      <-0.045848, -0.208568, 0.043186>, <-0.020977, -0.234927, 0.043186>, <-0.004192, -0.274492, 0.042484>, <0.029333, -0.288253, 0.042484>, 
      <-0.049756, -0.240235, 0.102799>, <-0.032607, -0.258417, 0.102097>, <-0.001330, -0.305349, 0.098401>, <0.021788, -0.314840, 0.097608>, 
      <-0.040752, -0.267586, 0.143659>, <-0.023603, -0.285768, 0.142957>, <-0.006707, -0.318702, 0.142112>, <0.016412, -0.328192, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.135172, -0.214349, 0.170420>, <-0.125876, -0.211514, 0.141318>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.128886, -0.236664, 0.169683>, <-0.119590, -0.233829, 0.140582>, 
      <-0.146046, -0.213107, 0.241567>, <-0.124443, -0.229824, 0.210812>, <-0.111068, -0.243228, 0.173788>, <-0.089587, -0.251636, 0.139731>, 
      <-0.146046, -0.213107, 0.241567>, <-0.124443, -0.229824, 0.210812>, <-0.095516, -0.260423, 0.173108>, <-0.074035, -0.268831, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.146046, -0.213107, 0.241567>, <-0.136247, -0.187918, 0.212195>, <-0.126209, -0.148403, 0.176184>, <-0.113383, -0.129145, 0.143659>, 
      <-0.146046, -0.213107, 0.241567>, <-0.136247, -0.187918, 0.212195>, <-0.129957, -0.173114, 0.175482>, <-0.117131, -0.153856, 0.142957>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.141948, -0.190295, 0.171213>, <-0.132652, -0.187460, 0.142112>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.135172, -0.214349, 0.170420>, <-0.125876, -0.211514, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.068922, -0.189588, 0.000126>, <-0.059805, -0.221948, 0.000126>, <-0.016312, -0.247776, 0.000126>, <0.006236, -0.272713, 0.000126>, 
      <-0.086008, -0.196166, 0.042484>, <-0.076891, -0.228526, 0.042484>, <-0.040393, -0.246611, 0.041803>, <-0.017845, -0.271549, 0.041803>, 
      <-0.111895, -0.207251, 0.097549>, <-0.105609, -0.229566, 0.096813>, <-0.064444, -0.261478, 0.099866>, <-0.048891, -0.278673, 0.099185>, 
      <-0.125876, -0.211514, 0.141318>, <-0.119590, -0.233829, 0.140582>, <-0.089587, -0.251636, 0.139731>, <-0.074035, -0.268831, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.050833, -0.070151, 0.000126>, <-0.056260, -0.105982, 0.000126>, <-0.078750, -0.154706, 0.000126>, <-0.068922, -0.189588, 0.000126>, 
      <-0.069598, -0.087849, 0.043186>, <-0.075025, -0.123680, 0.043186>, <-0.095836, -0.161284, 0.042484>, <-0.086008, -0.196166, 0.042484>, 
      <-0.097254, -0.104928, 0.102758>, <-0.101002, -0.129639, 0.102056>, <-0.118671, -0.183196, 0.098343>, <-0.111895, -0.207251, 0.097549>, 
      <-0.113383, -0.129145, 0.143659>, <-0.117131, -0.153856, 0.142957>, <-0.132652, -0.187460, 0.142112>, <-0.125876, -0.211514, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.146157, -0.035481, 0.170357>, <-0.137189, -0.039615, 0.141318>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.155723, -0.056599, 0.169621>, <-0.146755, -0.060733, 0.140582>, 
      <-0.153707, -0.028201, 0.241567>, <-0.147931, -0.054795, 0.210812>, <-0.146277, -0.073168, 0.173565>, <-0.135275, -0.093680, 0.139731>, 
      <-0.153707, -0.028201, 0.241567>, <-0.147931, -0.054795, 0.210812>, <-0.145457, -0.096339, 0.172885>, <-0.134455, -0.116851, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.153707, -0.028201, 0.241567>, <-0.129968, -0.015138, 0.212195>, <-0.096889, 0.009225, 0.176242>, <-0.074577, 0.015342, 0.143659>, 
      <-0.153707, -0.028201, 0.241567>, <-0.129968, -0.015138, 0.212195>, <-0.115672, -0.007262, 0.175540>, <-0.093360, -0.001145, 0.142957>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.135846, -0.012717, 0.171151>, <-0.126878, -0.016851, 0.142112>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.146157, -0.035481, 0.170357>, <-0.137189, -0.039615, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.079145, -0.062576, 0.000126>, <-0.093016, -0.093201, 0.000126>, <-0.076384, -0.140973, 0.000126>, <-0.075201, -0.174572, 0.000126>, 
      <-0.096559, -0.055688, 0.042484>, <-0.110429, -0.086313, 0.042484>, <-0.094161, -0.123657, 0.041803>, <-0.092977, -0.157255, 0.041803>, 
      <-0.123648, -0.045858, 0.097472>, <-0.133214, -0.066976, 0.096736>, <-0.122281, -0.117907, 0.099768>, <-0.121461, -0.141078, 0.099087>, 
      <-0.137189, -0.039615, 0.141318>, <-0.146755, -0.060733, 0.140582>, <-0.135275, -0.093680, 0.139731>, <-0.134455, -0.116851, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011626, 0.017131, 0.000126>, <-0.015606, -0.006781, 0.000126>, <-0.064194, -0.029564, 0.000126>, <-0.079145, -0.062576, 0.000126>, 
      <-0.014235, 0.016594, 0.043186>, <-0.041466, -0.007318, 0.043186>, <-0.081607, -0.022676, 0.042484>, <-0.096559, -0.055688, 0.042484>, 
      <-0.046530, 0.023032, 0.102702>, <-0.065314, 0.006545, 0.102000>, <-0.113337, -0.023094, 0.098266>, <-0.123648, -0.045858, 0.097472>, 
      <-0.074577, 0.015342, 0.143659>, <-0.093360, -0.001145, 0.142957>, <-0.126878, -0.016851, 0.142112>, <-0.137189, -0.039615, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.016714, 0.076074, 0.170516>, <0.018792, 0.066905, 0.141318>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <-0.005896, 0.070949, 0.169780>, <-0.003818, 0.061781, 0.140582>, 
      <0.017749, 0.086989, 0.241567>, <0.000086, 0.066321, 0.210812>, <-0.013315, 0.053419, 0.173797>, <-0.023152, 0.032738, 0.139731>, 
      <0.017749, 0.086989, 0.241567>, <0.000086, 0.066321, 0.210812>, <-0.031291, 0.038776, 0.173117>, <-0.041128, 0.018095, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017749, 0.086989, 0.241567>, <0.042546, 0.075944, 0.212195>, <0.081993, 0.063765, 0.176459>, <0.100405, 0.050173, 0.143659>, 
      <0.017749, 0.086989, 0.241567>, <0.042546, 0.075944, 0.212195>, <0.057509, 0.068785, 0.175757>, <0.075921, 0.055193, 0.142957>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.041086, 0.081598, 0.171310>, <0.043164, 0.072429, 0.142112>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.016714, 0.076074, 0.170516>, <0.018792, 0.066905, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034933, 0.011173, 0.000126>, <0.002145, 0.003740, 0.000126>, <-0.025896, -0.038360, 0.000126>, <-0.051965, -0.059589, 0.000126>, 
      <0.030090, 0.027893, 0.042484>, <-0.002697, 0.020460, 0.042484>, <-0.022645, -0.015055, 0.041803>, <-0.048714, -0.036284, 0.041803>, 
      <0.021894, 0.053217, 0.097727>, <-0.000716, 0.048092, 0.096991>, <-0.034621, 0.008624, 0.100011>, <-0.052597, -0.006019, 0.099330>, 
      <0.018792, 0.066905, 0.141318>, <-0.003818, 0.061781, 0.140582>, <-0.023152, 0.032738, 0.139731>, <-0.041128, 0.018095, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.153276, -0.013063, 0.000126>, <0.117773, -0.005792, 0.000126>, <0.070276, 0.019185, 0.000126>, <0.034933, 0.011173, 0.000126>, 
      <0.137415, 0.005908, 0.043186>, <0.101912, 0.013178, 0.043186>, <0.065434, 0.035904, 0.042484>, <0.030090, 0.027893, 0.042484>, 
      <0.123263, 0.033298, 0.102936>, <0.098780, 0.038317, 0.102234>, <0.046266, 0.058741, 0.098521>, <0.021894, 0.053217, 0.097727>, 
      <0.100405, 0.050173, 0.143659>, <0.075921, 0.055193, 0.142957>, <0.043164, 0.072429, 0.142112>, <0.018792, 0.066905, 0.141318>
    }
  }
  texture {
    Pinkish
    scale 0.25
  }
  scale 0.95
}
#declare sPatchObj12 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.347403, 0.059594, 0.212801>, <0.332208, 0.049062, 0.178393>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.327301, 0.084443, 0.211786>, <0.312105, 0.073911, 0.177378>, 
      <0.358453, 0.063875, 0.305059>, <0.321523, 0.072753, 0.266121>, <0.298231, 0.086092, 0.218390>, <0.264410, 0.080147, 0.176204>, 
      <0.358453, 0.063875, 0.305059>, <0.321523, 0.072753, 0.266121>, <0.269175, 0.099414, 0.217451>, <0.235354, 0.093470, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.358453, 0.063875, 0.305059>, <0.359275, 0.026089, 0.268027>, <0.375031, -0.032257, 0.223080>, <0.361192, -0.062079, 0.181620>, 
      <0.358453, 0.063875, 0.305059>, <0.359275, 0.026089, 0.268027>, <0.366336, 0.001085, 0.222112>, <0.352497, -0.028737, 0.180652>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.369073, 0.032808, 0.213895>, <0.353878, 0.022276, 0.179487>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.347403, 0.059594, 0.212801>, <0.332208, 0.049062, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.223731, -0.029497, 0.000000>, <0.200927, -0.001311, 0.000000>, <0.146837, 0.005774, 0.000000>, <0.113883, 0.020890, 0.000000>, 
      <0.256274, -0.005929, 0.053518>, <0.233470, 0.022257, 0.053518>, <0.183279, 0.027548, 0.052580>, <0.150324, 0.042664, 0.052580>, 
      <0.306173, 0.031019, 0.119442>, <0.286071, 0.055868, 0.118426>, <0.222393, 0.072763, 0.123795>, <0.193337, 0.086085, 0.122857>, 
      <0.332208, 0.049062, 0.178393>, <0.312105, 0.073911, 0.177378>, <0.264410, 0.080147, 0.176204>, <0.235354, 0.093470, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.256630, -0.155547, 0.000000>, <0.246760, -0.117732, 0.000000>, <0.248312, -0.059880, 0.000000>, <0.223731, -0.029497, 0.000000>, 
      <0.287999, -0.127507, 0.054486>, <0.278129, -0.089692, 0.054486>, <0.280855, -0.036312, 0.053518>, <0.256274, -0.005929, 0.053518>, 
      <0.343188, -0.100877, 0.127680>, <0.334493, -0.067535, 0.126712>, <0.327843, 0.004233, 0.120536>, <0.306173, 0.031019, 0.119442>, 
      <0.361192, -0.062079, 0.181620>, <0.352497, -0.028737, 0.180652>, <0.353878, 0.022276, 0.179487>, <0.332208, 0.049062, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.389731, -0.202364, 0.212925>, <0.372436, -0.196520, 0.178393>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.402687, -0.173146, 0.211910>, <0.385392, -0.167301, 0.177378>, 
      <0.397582, -0.213130, 0.305059>, <0.388654, -0.176212, 0.266121>, <0.391566, -0.146399, 0.219376>, <0.369206, -0.122006, 0.176204>, 
      <0.397582, -0.213130, 0.305059>, <0.388654, -0.176212, 0.266121>, <0.390181, -0.114465, 0.218438>, <0.367821, -0.090071, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.397582, -0.213130, 0.305059>, <0.364323, -0.231083, 0.268027>, <0.320125, -0.268282, 0.222385>, <0.286719, -0.272973, 0.181620>, 
      <0.397582, -0.213130, 0.305059>, <0.364323, -0.231083, 0.268027>, <0.345841, -0.245346, 0.221417>, <0.312434, -0.250038, 0.180652>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.375765, -0.233861, 0.214019>, <0.358470, -0.228017, 0.179487>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.389731, -0.202364, 0.212925>, <0.372436, -0.196520, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.244796, -0.161502, 0.000000>, <0.259491, -0.128358, 0.000000>, <0.241146, -0.076984, 0.000000>, <0.239581, -0.040762, 0.000000>, 
      <0.283088, -0.172008, 0.053518>, <0.297783, -0.138864, 0.053518>, <0.279617, -0.091777, 0.052580>, <0.278053, -0.055555, 0.052580>, 
      <0.342930, -0.186550, 0.119480>, <0.355886, -0.157331, 0.118465>, <0.341742, -0.092045, 0.123179>, <0.340357, -0.060111, 0.122241>, 
      <0.372436, -0.196520, 0.178393>, <0.385392, -0.167301, 0.177378>, <0.369206, -0.122006, 0.176204>, <0.367821, -0.090071, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.147593, -0.248235, 0.000000>, <0.176754, -0.222215, 0.000000>, <0.228955, -0.197230, 0.000000>, <0.244796, -0.161502, 0.000000>, 
      <0.189331, -0.255657, 0.054486>, <0.218492, -0.229637, 0.054486>, <0.267247, -0.207735, 0.053518>, <0.283088, -0.172008, 0.053518>, 
      <0.243134, -0.279094, 0.128434>, <0.268849, -0.256158, 0.127466>, <0.328964, -0.218046, 0.120574>, <0.342930, -0.186550, 0.119480>, 
      <0.286719, -0.272973, 0.181620>, <0.312434, -0.250038, 0.180652>, <0.358470, -0.228017, 0.179487>, <0.372436, -0.196520, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.190069, -0.416838, 0.213059>, <0.184649, -0.399673, 0.178393>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.221063, -0.409031, 0.212044>, <0.215643, -0.391866, 0.177378>, 
      <0.187068, -0.429712, 0.305059>, <0.210636, -0.399927, 0.266121>, <0.235084, -0.383693, 0.219378>, <0.241335, -0.351201, 0.176204>, 
      <0.187068, -0.429712, 0.305059>, <0.210636, -0.399927, 0.266121>, <0.259378, -0.362919, 0.218440>, <0.265629, -0.330428, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.187068, -0.429712, 0.305059>, <0.152431, -0.414587, 0.268027>, <0.095305, -0.402751, 0.222709>, <0.071612, -0.379296, 0.181620>, 
      <0.187068, -0.429712, 0.305059>, <0.152431, -0.414587, 0.268027>, <0.129216, -0.408864, 0.221741>, <0.105523, -0.385409, 0.180652>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.156659, -0.425253, 0.214153>, <0.151239, -0.408088, 0.179487>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.190069, -0.416838, 0.213059>, <0.184649, -0.399673, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139373, -0.278661, 0.000000>, <0.174531, -0.269804, 0.000000>, <0.203679, -0.223693, 0.000000>, <0.231238, -0.200135, 0.000000>, 
      <0.152956, -0.314964, 0.053518>, <0.188113, -0.306108, 0.053518>, <0.213996, -0.262781, 0.052580>, <0.241556, -0.239223, 0.052580>, 
      <0.175480, -0.370634, 0.119747>, <0.206475, -0.362828, 0.118732>, <0.248958, -0.311584, 0.123561>, <0.273252, -0.290811, 0.122623>, 
      <0.184649, -0.399673, 0.178393>, <0.215643, -0.391866, 0.177378>, <0.241335, -0.351201, 0.176204>, <0.265629, -0.330428, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011162, -0.255575, 0.000000>, <0.049625, -0.262501, 0.000000>, <0.101475, -0.288208, 0.000000>, <0.139373, -0.278661, 0.000000>, 
      <0.029297, -0.292691, 0.054486>, <0.067760, -0.299617, 0.054486>, <0.115058, -0.324512, 0.053518>, <0.152956, -0.314964, 0.053518>, 
      <0.040995, -0.348987, 0.128524>, <0.074906, -0.355100, 0.127556>, <0.142070, -0.379049, 0.120842>, <0.175480, -0.370634, 0.119747>, 
      <0.071612, -0.379296, 0.181620>, <0.105523, -0.385409, 0.180652>, <0.151239, -0.408088, 0.179487>, <0.184649, -0.399673, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.091545, -0.387021, 0.213095>, <-0.080992, -0.372524, 0.178393>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.066608, -0.407015, 0.212080>, <-0.056056, -0.392518, 0.177378>, 
      <-0.103478, -0.392588, 0.305059>, <-0.065505, -0.393393, 0.266121>, <-0.037953, -0.402824, 0.219361>, <-0.008128, -0.388447, 0.176204>, 
      <-0.103478, -0.392588, 0.305059>, <-0.065505, -0.393393, 0.266121>, <-0.006726, -0.409648, 0.218423>, <0.023100, -0.395272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.103478, -0.392588, 0.305059>, <-0.112333, -0.355845, 0.268027>, <-0.137553, -0.303005, 0.222815>, <-0.132995, -0.270111, 0.181620>, 
      <-0.103478, -0.392588, 0.305059>, <-0.112333, -0.355845, 0.268027>, <-0.121952, -0.333728, 0.221847>, <-0.117394, -0.300835, 0.180652>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.118425, -0.365468, 0.214189>, <-0.107873, -0.350971, 0.179487>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.091545, -0.387021, 0.213095>, <-0.080992, -0.372524, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.010717, -0.265145, 0.000000>, <0.017570, -0.287824, 0.000000>, <0.071927, -0.283220, 0.000000>, <0.107346, -0.290967, 0.000000>, 
      <-0.031799, -0.297358, 0.053518>, <-0.003513, -0.320037, 0.053518>, <0.046653, -0.314512, 0.052580>, <0.082072, -0.322258, 0.052580>, 
      <-0.063183, -0.348055, 0.119823>, <-0.038247, -0.368050, 0.118808>, <0.028171, -0.370950, 0.123680>, <0.059399, -0.377775, 0.122742>, 
      <-0.080992, -0.372524, 0.178393>, <-0.056056, -0.392518, 0.177378>, <-0.008128, -0.388447, 0.176204>, <0.023100, -0.395272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.069722, -0.149001, 0.000000>, <-0.052020, -0.183844, 0.000000>, <-0.041208, -0.240698, 0.000000>, <-0.010717, -0.265145, 0.000000>, 
      <-0.088704, -0.185334, 0.054486>, <-0.071002, -0.220177, 0.054486>, <-0.062291, -0.272911, 0.053518>, <-0.031799, -0.297358, 0.053518>, 
      <-0.127121, -0.227723, 0.128536>, <-0.111520, -0.258447, 0.127568>, <-0.090063, -0.326502, 0.120917>, <-0.063183, -0.348055, 0.119823>, 
      <-0.132995, -0.270111, 0.181620>, <-0.117394, -0.300835, 0.180652>, <-0.107873, -0.350971, 0.179487>, <-0.080992, -0.372524, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241893, -0.163749, 0.212968>, <-0.223743, -0.162809, 0.178393>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.242269, -0.195710, 0.211952>, <-0.224118, -0.194769, 0.177378>, 
      <-0.253402, -0.157469, 0.305059>, <-0.230631, -0.187868, 0.266121>, <-0.221391, -0.215798, 0.219283>, <-0.191372, -0.230002, 0.176204>, 
      <-0.253402, -0.157469, 0.305059>, <-0.230631, -0.187868, 0.266121>, <-0.207518, -0.244595, 0.218345>, <-0.177498, -0.258799, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.253402, -0.157469, 0.305059>, <-0.229926, -0.127849, 0.268027>, <-0.204043, -0.075699, 0.222573>, <-0.175149, -0.058736, 0.181620>, 
      <-0.253402, -0.157469, 0.305059>, <-0.229926, -0.127849, 0.268027>, <-0.218622, -0.106920, 0.221605>, <-0.189727, -0.089958, 0.180652>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241489, -0.129298, 0.214062>, <-0.223338, -0.128357, 0.179487>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241893, -0.163749, 0.212968>, <-0.223743, -0.162809, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.093255, -0.149169, 0.000000>, <-0.093680, -0.185422, 0.000000>, <-0.056551, -0.225389, 0.000000>, <-0.040821, -0.258055, 0.000000>, 
      <-0.132402, -0.153261, 0.053518>, <-0.132826, -0.189514, 0.053518>, <-0.097555, -0.225612, 0.052580>, <-0.081824, -0.258278, 0.052580>, 
      <-0.192873, -0.161209, 0.119590>, <-0.193248, -0.193169, 0.118575>, <-0.154573, -0.247414, 0.123397>, <-0.140699, -0.276211, 0.122459>, 
      <-0.223743, -0.162809, 0.178393>, <-0.224118, -0.194769, 0.177378>, <-0.191372, -0.230002, 0.176204>, <-0.177498, -0.258799, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.038164, -0.031118, 0.000000>, <-0.054692, -0.066533, 0.000000>, <-0.092798, -0.110090, 0.000000>, <-0.093255, -0.149169, 0.000000>, 
      <-0.079260, -0.039404, 0.054486>, <-0.095787, -0.074819, 0.054486>, <-0.131944, -0.114182, 0.053518>, <-0.132402, -0.153261, 0.053518>, 
      <-0.137607, -0.036698, 0.128412>, <-0.152185, -0.067920, 0.127444>, <-0.192468, -0.126757, 0.120684>, <-0.192873, -0.161209, 0.119590>, 
      <-0.175149, -0.058736, 0.181620>, <-0.189727, -0.089958, 0.180652>, <-0.223338, -0.128357, 0.179487>, <-0.223743, -0.162809, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.185946, 0.080967, 0.212747>, <-0.171771, 0.068941, 0.178393>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.206820, 0.056762, 0.211732>, <-0.192646, 0.044736, 0.177378>, 
      <-0.191019, 0.092130, 0.305059>, <-0.193182, 0.054209, 0.266121>, <-0.203649, 0.027887, 0.218716>, <-0.190292, -0.003308, 0.176204>, 
      <-0.191019, 0.092130, 0.305059>, <-0.193182, 0.054209, 0.266121>, <-0.211586, -0.003076, 0.217778>, <-0.198230, -0.034272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.191019, 0.092130, 0.305059>, <-0.153983, 0.099664, 0.268027>, <-0.100331, 0.124223, 0.222577>, <-0.067565, 0.117245, 0.181620>, 
      <-0.191019, 0.092130, 0.305059>, <-0.153983, 0.099664, 0.268027>, <-0.131593, 0.109732, 0.221609>, <-0.098827, 0.102754, 0.180652>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.163445, 0.107058, 0.213841>, <-0.149271, 0.095032, 0.179487>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.185946, 0.080967, 0.212747>, <-0.171771, 0.068941, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.065147, -0.014659, 0.000000>, <-0.088824, -0.042116, 0.000000>, <-0.086168, -0.096603, 0.000000>, <-0.095177, -0.131721, 0.000000>, 
      <-0.097134, 0.010421, 0.053518>, <-0.120811, -0.017036, 0.053518>, <-0.117084, -0.067368, 0.052580>, <-0.126093, -0.102486, 0.052580>, 
      <-0.147384, 0.048250, 0.119287>, <-0.168258, 0.024045, 0.118272>, <-0.173684, -0.042099, 0.123341>, <-0.181622, -0.073062, 0.122403>, 
      <-0.171771, 0.068941, 0.178393>, <-0.192646, 0.044736, 0.177378>, <-0.190292, -0.003308, 0.176204>, <-0.198230, -0.034272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053034, 0.040153, 0.000000>, <0.017580, 0.023709, 0.000000>, <-0.039624, 0.014938, 0.000000>, <-0.065147, -0.014659, 0.000000>, 
      <0.016854, 0.063280, 0.054486>, <-0.018600, 0.046837, 0.054486>, <-0.071612, 0.040018, 0.053518>, <-0.097134, 0.010421, 0.053518>, 
      <-0.024606, 0.108096, 0.127923>, <-0.055868, 0.093604, 0.126955>, <-0.124883, 0.074342, 0.120381>, <-0.147384, 0.048250, 0.119287>, 
      <-0.067565, 0.117245, 0.181620>, <-0.098827, 0.102754, 0.180652>, <-0.149271, 0.095032, 0.179487>, <-0.171771, 0.068941, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.076859, 0.166457, 0.213366>, <0.075996, 0.149084, 0.178393>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.044961, 0.168484, 0.212351>, <0.044098, 0.151110, 0.177377>, 
      <0.082861, 0.178428, 0.305059>, <0.051326, 0.157258, 0.266121>, <0.024127, 0.148403, 0.219553>, <0.007220, 0.120228, 0.176204>, 
      <0.082861, 0.178428, 0.305059>, <0.051326, 0.157258, 0.266121>, <-0.005349, 0.136036, 0.218615>, <-0.022256, 0.107861, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082861, 0.178428, 0.305059>, <0.111228, 0.153453, 0.268027>, <0.162721, 0.124245, 0.223320>, <0.177418, 0.095177, 0.181620>, 
      <0.082861, 0.178428, 0.305059>, <0.111228, 0.153453, 0.268027>, <0.132295, 0.140418, 0.222351>, <0.146991, 0.111349, 0.180652>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.111244, 0.164273, 0.214461>, <0.110380, 0.146900, 0.179487>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.076859, 0.166457, 0.213366>, <0.075996, 0.149084, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.075331, 0.026891, 0.000000>, <0.039148, 0.029188, 0.000000>, <-0.002684, -0.005825, 0.000000>, <-0.036119, -0.019847, 0.000000>, 
      <0.075531, 0.063549, 0.053518>, <0.039348, 0.065846, 0.053518>, <0.001475, 0.032487, 0.052580>, <-0.031960, 0.018465, 0.052580>, 
      <0.074562, 0.120232, 0.120311>, <0.042664, 0.122258, 0.119296>, <-0.013043, 0.086461, 0.124252>, <-0.042518, 0.074094, 0.123314>, 
      <0.075996, 0.149084, 0.178393>, <0.044098, 0.151110, 0.177377>, <0.007220, 0.120228, 0.176204>, <-0.022256, 0.107861, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.190377, -0.034227, 0.000000>, <0.155863, -0.015892, 0.000000>, <0.114334, 0.024414, 0.000000>, <0.075331, 0.026891, 0.000000>, 
      <0.186489, 0.004594, 0.054486>, <0.151975, 0.022930, 0.054486>, <0.114534, 0.061072, 0.053518>, <0.075531, 0.063549, 0.053518>, 
      <0.196031, 0.058362, 0.128808>, <0.165604, 0.074534, 0.127840>, <0.108947, 0.118048, 0.121405>, <0.074562, 0.120232, 0.120311>, 
      <0.177418, 0.095177, 0.181620>, <0.146991, 0.111349, 0.180652>, <0.110380, 0.146900, 0.179487>, <0.075996, 0.149084, 0.178393>
    }
  }
  texture {
    Pinkish
    scale 0.3
  }
}
#declare sPatchGroup2 = union {
  object { sPatchObj9 }
  object { sPatchObj10 }
  object { sPatchObj11 }
  object { sPatchObj12 }
  scale 15.0
  rotate 40.0*z
  translate  <13.0, -47.0, 6.5>
}
#declare PadBase2 = prism {
  linear_sweep
  quadratic_spline
  -0.1,0.0
  13  // control points
  <0.010421, -0.953107>,
  <0.7, -0.7>,
  <0.680427, -0.468>,
  <-0.006, -0.002876>,
  <0.77923, -0.184071>,
  <1.00521, 0.00521>,
  <0.7, 0.7>,
  <0.0, 1.0>,
  <-0.689579, 0.689579>,
  <-1.0, 0.0>,
  <-0.726052, -0.710421>,
  <0.010421, -0.953107>,
  <0.7, -0.7>
  rotate -x*90
}
#declare PadSubtract2 = prism {
  linear_sweep
  quadratic_spline
  -0.1,0.0
  13  // control points
  <0.005333, -0.94293>,
  <0.689824, -0.684735>,
  <0.630075, -0.452894>,
  <-0.000964, -0.007911>,
  <0.77923, -0.16393>,
  <0.989946, 0.000122>,
  <0.689824, 0.689824>,
  <0.0, 0.989824>,
  <-0.679403, 0.679403>,
  <-0.984735, 0.0>,
  <-0.705805, -0.705386>,
  <0.005333, -0.94293>,
  <0.689824, -0.684735>
  rotate -x*90
  translate  0.01*z
}
#declare LillyPad2 = difference {
  object { PadBase2 }
  object { PadSubtract2 }
  texture {
    LeafTexture
  }
  scale 8.0
  rotate -135.0*z
  translate  <15.5, -47.5, 5.5>
}
union { // Group3
  object { sPatchGroup2 }
  object { LillyPad2 }
  scale 0.8
  rotate -155.0*z
  translate  <40.5, -62.5, 1.1>
}


#declare sPatchObj13 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.123346, -0.061304, 0.139477>, <0.133952, -0.049606, 0.109500>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.115190, -0.055673, 0.138893>, <0.125795, -0.043975, 0.108917>, 
      <0.081791, -0.110599, 0.188959>, <0.087627, -0.090882, 0.164582>, <0.112807, -0.059367, 0.137278>, <0.111057, -0.046296, 0.108242>, 
      <0.081791, -0.110599, 0.188959>, <0.087627, -0.090882, 0.164582>, <0.102995, -0.057949, 0.136739>, <0.101244, -0.044877, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.081791, -0.110599, 0.188959>, <0.102947, -0.101460, 0.165678>, <0.135743, -0.080243, 0.139614>, <0.152311, -0.080136, 0.111355>, 
      <0.081791, -0.110599, 0.188959>, <0.102947, -0.101460, 0.165678>, <0.130235, -0.071084, 0.139058>, <0.146804, -0.070977, 0.110798>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.132138, -0.067374, 0.140105>, <0.142743, -0.055676, 0.110129>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.123346, -0.061304, 0.139477>, <0.133952, -0.049606, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.147158, -0.038496, 0.004197>, <0.128073, -0.025320, 0.004197>, <0.093603, -0.030745, 0.004197>, <0.070651, -0.027423, 0.004197>, 
      <0.143196, -0.041829, 0.035788>, <0.124111, -0.028653, 0.035788>, <0.102781, -0.035981, 0.035249>, <0.079829, -0.032659, 0.035249>, 
      <0.143972, -0.038553, 0.081177>, <0.135816, -0.032922, 0.080593>, <0.109256, -0.032852, 0.078378>, <0.099444, -0.031433, 0.077838>, 
      <0.133952, -0.049606, 0.109500>, <0.125795, -0.043975, 0.108917>, <0.111057, -0.046296, 0.108242>, <0.101244, -0.044877, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.190118, -0.109900, 0.004197>, <0.177230, -0.088479, 0.004197>, <0.167731, -0.052699, 0.004197>, <0.147158, -0.038496, 0.004197>, 
      <0.178776, -0.100971, 0.036344>, <0.165888, -0.079550, 0.036344>, <0.163769, -0.056032, 0.035788>, <0.143196, -0.041829, 0.035788>, 
      <0.170135, -0.080021, 0.080955>, <0.164627, -0.070862, 0.080399>, <0.152764, -0.044623, 0.081806>, <0.143972, -0.038553, 0.081177>, 
      <0.152311, -0.080136, 0.111355>, <0.146804, -0.070977, 0.110798>, <0.142743, -0.055676, 0.110129>, <0.133952, -0.049606, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.151823, -0.120416, 0.139458>, <0.167434, -0.119152, 0.109500>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.153118, -0.110589, 0.138875>, <0.168729, -0.109325, 0.108917>, 
      <0.087651, -0.123490, 0.188959>, <0.108376, -0.112808, 0.164582>, <0.148708, -0.110027, 0.137375>, <0.159945, -0.097264, 0.108242>, 
      <0.087651, -0.123490, 0.188959>, <0.108376, -0.112808, 0.164582>, <0.145499, -0.100647, 0.136835>, <0.156736, -0.087884, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.087651, -0.123490, 0.188959>, <0.105944, -0.131265, 0.165678>, <0.140704, -0.139868, 0.139343>, <0.148627, -0.149408, 0.111355>, 
      <0.087651, -0.123490, 0.188959>, <0.105944, -0.131265, 0.165678>, <0.146346, -0.130791, 0.138786>, <0.154269, -0.140331, 0.110798>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.150427, -0.131008, 0.140087>, <0.166038, -0.129744, 0.110129>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.151823, -0.120416, 0.139458>, <0.167434, -0.119152, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.183932, -0.115692, 0.004197>, <0.186961, -0.092699, 0.004197>, <0.166423, -0.064489, 0.004197>, <0.158919, -0.042545, 0.004197>, 
      <0.178982, -0.116730, 0.035788>, <0.182012, -0.093737, 0.035788>, <0.165768, -0.078091, 0.035249>, <0.158264, -0.056147, 0.035249>, 
      <0.182209, -0.117955, 0.081148>, <0.183504, -0.108129, 0.080565>, <0.171241, -0.084435, 0.078959>, <0.168031, -0.075055, 0.078420>, 
      <0.167434, -0.119152, 0.109500>, <0.168729, -0.109325, 0.108917>, <0.159945, -0.097264, 0.108242>, <0.156736, -0.087884, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139955, -0.186473, 0.004197>, <0.153148, -0.165239, 0.004197>, <0.180666, -0.140477, 0.004197>, <0.183932, -0.115692, 0.004197>, 
      <0.142557, -0.175354, 0.036344>, <0.155750, -0.154119, 0.036344>, <0.175717, -0.141515, 0.035788>, <0.178982, -0.116730, 0.035788>, 
      <0.157457, -0.160041, 0.080164>, <0.163099, -0.150964, 0.079608>, <0.180813, -0.128547, 0.081777>, <0.182209, -0.117955, 0.081148>, 
      <0.148627, -0.149408, 0.111355>, <0.154269, -0.140331, 0.110798>, <0.166038, -0.129744, 0.110129>, <0.167434, -0.119152, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.119746, -0.184875, 0.139153>, <0.129356, -0.196048, 0.109500>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.128282, -0.179838, 0.138570>, <0.137893, -0.191011, 0.108917>, 
      <0.080525, -0.137015, 0.188959>, <0.100583, -0.146416, 0.164582>, <0.126053, -0.175906, 0.137066>, <0.141976, -0.176660, 0.108242>, 
      <0.080525, -0.137015, 0.188959>, <0.100583, -0.146416, 0.164582>, <0.131462, -0.167597, 0.136526>, <0.147385, -0.168351, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080525, -0.137015, 0.188959>, <0.084549, -0.155877, 0.165678>, <0.097373, -0.188128, 0.138993>, <0.093938, -0.199887, 0.111355>, 
      <0.080525, -0.137015, 0.188959>, <0.084549, -0.155877, 0.165678>, <0.107999, -0.186976, 0.138437>, <0.104564, -0.198735, 0.110798>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.110544, -0.190304, 0.139782>, <0.120155, -0.201477, 0.110129>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.119746, -0.184875, 0.139153>, <0.129356, -0.196048, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.140408, -0.206628, 0.004197>, <0.160381, -0.194842, 0.004197>, <0.169937, -0.161281, 0.004197>, <0.182592, -0.141847, 0.004197>, 
      <0.137092, -0.203454, 0.035788>, <0.157066, -0.191668, 0.035788>, <0.159375, -0.169232, 0.035249>, <0.172030, -0.149798, 0.035249>, 
      <0.138622, -0.206818, 0.080913>, <0.147158, -0.201781, 0.080330>, <0.158291, -0.177432, 0.078709>, <0.163700, -0.169123, 0.078169>, 
      <0.129356, -0.196048, 0.109500>, <0.137893, -0.191011, 0.108917>, <0.141976, -0.176660, 0.108242>, <0.147385, -0.168351, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.057564, -0.215624, 0.004197>, <0.082418, -0.212925, 0.004197>, <0.118878, -0.219333, 0.004197>, <0.140408, -0.206628, 0.004197>, 
      <0.068477, -0.210903, 0.036344>, <0.093330, -0.208204, 0.036344>, <0.115562, -0.216158, 0.035788>, <0.137092, -0.203454, 0.035788>, 
      <0.090044, -0.213219, 0.080019>, <0.100670, -0.212067, 0.079463>, <0.129420, -0.212247, 0.081542>, <0.138622, -0.206818, 0.080913>, 
      <0.093938, -0.199887, 0.111355>, <0.104564, -0.198735, 0.110798>, <0.120155, -0.201477, 0.110129>, <0.129356, -0.196048, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.051125, -0.197542, 0.138900>, <0.047940, -0.211239, 0.109500>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.060295, -0.201306, 0.138317>, <0.057109, -0.215003, 0.108917>, 
      <0.065887, -0.139366, 0.188959>, <0.070392, -0.160223, 0.164582>, <0.062186, -0.197131, 0.136812>, <0.071015, -0.209595, 0.108242>, 
      <0.065887, -0.139366, 0.188959>, <0.070392, -0.160223, 0.164582>, <0.072076, -0.196426, 0.136273>, <0.080904, -0.208890, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.065887, -0.139366, 0.188959>, <0.053169, -0.153153, 0.165678>, <0.034931, -0.181550, 0.138720>, <0.023496, -0.185323, 0.111355>, 
      <0.065887, -0.139366, 0.188959>, <0.053169, -0.153153, 0.165678>, <0.042264, -0.189325, 0.138163>, <0.030829, -0.193098, 0.110798>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.041242, -0.193485, 0.139529>, <0.038057, -0.207182, 0.110129>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.051125, -0.197542, 0.138900>, <0.047940, -0.211239, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.045868, -0.225449, 0.004197>, <0.067322, -0.234255, 0.004197>, <0.099845, -0.221610, 0.004197>, <0.122978, -0.219965, 0.004197>, 
      <0.046490, -0.221186, 0.035788>, <0.067944, -0.229992, 0.035788>, <0.087223, -0.218288, 0.035249>, <0.110356, -0.216642, 0.035249>, 
      <0.044824, -0.224640, 0.080738>, <0.053993, -0.228404, 0.080155>, <0.080194, -0.222553, 0.078537>, <0.090083, -0.221848, 0.077997>, 
      <0.047940, -0.211239, 0.109500>, <0.057109, -0.215003, 0.108917>, <0.071015, -0.209595, 0.108242>, <0.080904, -0.208890, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.011320, -0.164840, 0.004197>, <0.005836, -0.183023, 0.004197>, <0.022741, -0.215956, 0.004197>, <0.045868, -0.225449, 0.004197>, 
      <-0.000875, -0.170985, 0.036344>, <0.016281, -0.189168, 0.036344>, <0.023363, -0.211693, 0.035788>, <0.046490, -0.221186, 0.035788>, 
      <0.010355, -0.189659, 0.079909>, <0.017689, -0.197434, 0.079353>, <0.034940, -0.220583, 0.081367>, <0.044824, -0.224640, 0.080738>, 
      <0.023496, -0.185323, 0.111355>, <0.030829, -0.193098, 0.110798>, <0.038057, -0.207182, 0.110129>, <0.047940, -0.211239, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.000011, -0.155109, 0.138969>, <-0.012905, -0.161346, 0.109500>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.002698, -0.164650, 0.138386>, <-0.010217, -0.170887, 0.108917>, 
      <0.055246, -0.130093, 0.188959>, <0.041451, -0.146822, 0.164582>, <0.007129, -0.163551, 0.136885>, <0.002613, -0.178503, 0.108242>, 
      <0.055246, -0.130093, 0.188959>, <0.041451, -0.146822, 0.164582>, <0.013780, -0.170904, 0.136346>, <0.009263, -0.185856, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.055246, -0.130093, 0.188959>, <0.036403, -0.128902, 0.165678>, <0.002615, -0.132555, 0.138806>, <-0.007562, -0.126124, 0.111355>, 
      <0.055246, -0.130093, 0.188959>, <0.036403, -0.128902, 0.165678>, <0.001012, -0.143122, 0.138249>, <-0.009165, -0.136690, 0.110798>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <-0.002886, -0.144826, 0.139598>, <-0.015801, -0.151063, 0.110129>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.000011, -0.155109, 0.138969>, <-0.012905, -0.161346, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.025731, -0.169195, 0.004197>, <-0.019442, -0.191518, 0.004197>, <0.010561, -0.209334, 0.004197>, <0.026115, -0.226537, 0.004197>, 
      <-0.021883, -0.166840, 0.035788>, <-0.015594, -0.189163, 0.035788>, <0.005506, -0.197130, 0.035249>, <0.021059, -0.214333, 0.035249>, 
      <-0.025480, -0.167419, 0.080807>, <-0.022793, -0.176959, 0.080223>, <-0.002058, -0.193967, 0.078615>, <0.004592, -0.201320, 0.078076>, 
      <-0.012905, -0.161346, 0.109500>, <-0.010217, -0.170887, 0.108917>, <0.002613, -0.178503, 0.108242>, <0.009263, -0.185856, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.013253, -0.086805, 0.004197>, <-0.016996, -0.111522, 0.004197>, <-0.032510, -0.145133, 0.004197>, <-0.025731, -0.169195, 0.004197>, 
      <-0.011546, -0.098600, 0.036344>, <-0.015289, -0.123318, 0.036344>, <-0.028662, -0.142778, 0.035788>, <-0.021883, -0.166840, 0.035788>, 
      <-0.019203, -0.118767, 0.079956>, <-0.020806, -0.129334, 0.079400>, <-0.028377, -0.157135, 0.081435>, <-0.025480, -0.167419, 0.080807>, 
      <-0.007562, -0.126124, 0.111355>, <-0.009165, -0.136690, 0.110798>, <-0.015801, -0.151063, 0.110129>, <-0.012905, -0.161346, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.003646, -0.093559, 0.139269>, <-0.017742, -0.087839, 0.109500>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.007736, -0.102588, 0.138685>, <-0.021832, -0.096868, 0.108917>, 
      <0.054707, -0.117082, 0.188959>, <0.033323, -0.118217, 0.164582>, <-0.003670, -0.104430, 0.137130>, <-0.016924, -0.110959, 0.108242>, 
      <0.054707, -0.117082, 0.188959>, <0.033323, -0.118217, 0.164582>, <-0.003319, -0.114338, 0.136590>, <-0.016573, -0.120867, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.054707, -0.117082, 0.188959>, <0.041004, -0.101259, 0.165678>, <0.012789, -0.078009, 0.139268>, <0.009032, -0.064339, 0.111355>, 
      <0.054707, -0.117082, 0.188959>, <0.041004, -0.101259, 0.165678>, <0.004757, -0.085059, 0.138711>, <0.000999, -0.071389, 0.110798>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <0.000762, -0.083828, 0.139898>, <-0.013334, -0.078108, 0.110129>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.003646, -0.093559, 0.139269>, <-0.017742, -0.087839, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.032783, -0.081579, 0.004197>, <-0.042352, -0.102705, 0.004197>, <-0.030879, -0.135659, 0.004197>, <-0.030062, -0.158836, 0.004197>, 
      <-0.028271, -0.083458, 0.035788>, <-0.037839, -0.104583, 0.035788>, <-0.026832, -0.124268, 0.035249>, <-0.026016, -0.147445, 0.035249>, 
      <-0.031221, -0.082370, 0.081035>, <-0.035311, -0.091398, 0.080451>, <-0.030535, -0.117663, 0.078575>, <-0.030184, -0.127571, 0.078036>, 
      <-0.017742, -0.087839, 0.109500>, <-0.021832, -0.096868, 0.108917>, <-0.016924, -0.110959, 0.108242>, <-0.016573, -0.120867, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.029833, -0.026595, 0.004197>, <0.011048, -0.043091, 0.004197>, <-0.022469, -0.058807, 0.004197>, <-0.032783, -0.081579, 0.004197>, 
      <0.023592, -0.037919, 0.036344>, <0.004808, -0.054414, 0.036344>, <-0.017957, -0.060685, 0.035788>, <-0.028271, -0.083458, 0.035788>, 
      <0.004873, -0.049209, 0.080462>, <-0.003160, -0.056259, 0.079905>, <-0.026813, -0.072638, 0.081664>, <-0.031221, -0.082370, 0.081035>, 
      <0.009032, -0.064339, 0.111355>, <0.000999, -0.071389, 0.110798>, <-0.013334, -0.078108, 0.110129>, <-0.017742, -0.087839, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.052223, -0.054540, 0.138419>, <0.048958, -0.042290, 0.109500>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.042556, -0.056731, 0.137835>, <0.039291, -0.044481, 0.108917>, 
      <0.066771, -0.108976, 0.188959>, <0.053740, -0.095232, 0.164582>, <0.043261, -0.061362, 0.136228>, <0.031022, -0.056900, 0.108242>, 
      <0.066771, -0.108976, 0.188959>, <0.053740, -0.095232, 0.164582>, <0.035575, -0.067624, 0.135689>, <0.023335, -0.063162, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.066771, -0.108976, 0.188959>, <0.071897, -0.091117, 0.165678>, <0.074983, -0.058432, 0.138332>, <0.083857, -0.049445, 0.111355>, 
      <0.066771, -0.108976, 0.188959>, <0.071897, -0.091117, 0.165678>, <0.064513, -0.056285, 0.137775>, <0.073387, -0.047298, 0.110798>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.062642, -0.052179, 0.139048>, <0.059377, -0.039928, 0.110129>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.052223, -0.054540, 0.138419>, <0.048958, -0.042290, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.045911, -0.030705, 0.004197>, <0.023293, -0.035833, 0.004197>, <0.003950, -0.064875, 0.004197>, <-0.014034, -0.079519, 0.004197>, 
      <0.046825, -0.034181, 0.035788>, <0.024207, -0.039308, 0.035788>, <0.015160, -0.059968, 0.035249>, <-0.002823, -0.074611, 0.035249>, 
      <0.045670, -0.029954, 0.080381>, <0.036003, -0.032145, 0.079798>, <0.017788, -0.052076, 0.077983>, <0.010101, -0.058337, 0.077444>, 
      <0.048958, -0.042290, 0.109500>, <0.039291, -0.044481, 0.108917>, <0.031022, -0.056900, 0.108242>, <0.023335, -0.063162, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127546, -0.047424, 0.004197>, <0.103055, -0.042409, 0.004197>, <0.070291, -0.025179, 0.004197>, <0.045911, -0.030705, 0.004197>, 
      <0.114439, -0.048030, 0.036344>, <0.089949, -0.043015, 0.036344>, <0.071205, -0.028654, 0.035788>, <0.046825, -0.034181, 0.035788>, 
      <0.094200, -0.038969, 0.079909>, <0.083731, -0.036822, 0.079352>, <0.056089, -0.027592, 0.081010>, <0.045670, -0.029954, 0.080381>, 
      <0.083857, -0.049445, 0.111355>, <0.073387, -0.047298, 0.110798>, <0.059377, -0.039928, 0.110129>, <0.048958, -0.042290, 0.109500>
    }
  }
  texture {
    Pinkish
    scale 0.2
  }
}
#declare sPatchObj14 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.023540, -0.001090, 0.154383>, <0.019830, 0.012614, 0.123223>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.010076, -0.007002, 0.153916>, <0.006366, 0.006702, 0.122756>, 
      <0.042454, -0.058750, 0.209380>, <0.026234, -0.048623, 0.183101>, <0.011435, -0.014603, 0.151712>, <-0.002180, -0.013711, 0.122216>, 
      <0.042454, -0.058750, 0.209380>, <0.026234, -0.048623, 0.183101>, <0.002002, -0.025885, 0.151281>, <-0.011612, -0.024993, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.042454, -0.058750, 0.209380>, <0.051518, -0.037521, 0.183978>, <0.059411, -0.000574, 0.153756>, <0.072669, 0.012015, 0.124707>, 
      <0.042454, -0.058750, 0.209380>, <0.051518, -0.037521, 0.183978>, <0.043559, -0.000394, 0.153311>, <0.056818, 0.012195, 0.124262>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.038053, 0.005283, 0.154886>, <0.034344, 0.018987, 0.123726>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.023540, -0.001090, 0.154383>, <0.019830, 0.012614, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017748, 0.032511, 0.001863>, <-0.012683, 0.019147, 0.001863>, <-0.032005, -0.026980, 0.001863>, <-0.053327, -0.052476, 0.001863>, 
      <0.018373, 0.026542, 0.038271>, <-0.012059, 0.013177, 0.038271>, <-0.019490, -0.018735, 0.037839>, <-0.040813, -0.044231, 0.037839>, 
      <0.015833, 0.027381, 0.089644>, <0.002369, 0.021469, 0.089177>, <-0.018506, -0.012642, 0.086843>, <-0.027939, -0.023924, 0.086412>, 
      <0.019830, 0.012614, 0.123223>, <0.006366, 0.006702, 0.122756>, <-0.002180, -0.013711, 0.122216>, <-0.011612, -0.024993, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.137167, 0.031181, 0.001863>, <0.101342, 0.031580, 0.001863>, <0.050552, 0.046917, 0.001863>, <0.017748, 0.032511, 0.001863>, 
      <0.117818, 0.025431, 0.038716>, <0.081992, 0.025830, 0.038716>, <0.051177, 0.040948, 0.038271>, <0.018373, 0.026542, 0.038271>, 
      <0.088900, 0.027426, 0.089145>, <0.073049, 0.027606, 0.088699>, <0.030346, 0.033754, 0.090147>, <0.015833, 0.027381, 0.089644>, 
      <0.072669, 0.012015, 0.124707>, <0.056818, 0.012195, 0.124262>, <0.034344, 0.018987, 0.123726>, <0.019830, 0.012614, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.127618, -0.012097, 0.154435>, <0.133701, 0.000720, 0.123223>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.116219, -0.002807, 0.153968>, <0.122302, 0.010010, 0.122756>, 
      <0.099135, -0.065936, 0.209380>, <0.095163, -0.042686, 0.183101>, <0.110009, -0.007551, 0.152212>, <0.100238, 0.008313, 0.122216>, 
      <0.099135, -0.065936, 0.209380>, <0.095163, -0.042686, 0.183101>, <0.095668, -0.004297, 0.151781>, <0.085896, 0.011566, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.099135, -0.065936, 0.209380>, <0.116570, -0.060131, 0.183978>, <0.144408, -0.043612, 0.153153>, <0.157250, -0.046585, 0.124707>, 
      <0.099135, -0.065936, 0.209380>, <0.116570, -0.060131, 0.183978>, <0.137343, -0.029421, 0.152707>, <0.150186, -0.032393, 0.124262>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.139906, -0.022111, 0.154938>, <0.145988, -0.009293, 0.123726>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.127618, -0.012097, 0.154435>, <0.133701, 0.000720, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139577, 0.019277, 0.001863>, <0.113812, 0.040274, 0.001863>, <0.063949, 0.036450, 0.001863>, <0.031537, 0.043809, 0.001863>, 
      <0.137814, 0.013710, 0.038271>, <0.112049, 0.034707, 0.038271>, <0.080257, 0.026777, 0.037839>, <0.047845, 0.034136, 0.037839>, 
      <0.140243, 0.014505, 0.089654>, <0.128844, 0.023795, 0.089187>, <0.088984, 0.026582, 0.087670>, <0.074643, 0.029836, 0.087238>, 
      <0.133701, 0.000720, 0.123223>, <0.122302, 0.010010, 0.122756>, <0.100238, 0.008313, 0.122216>, <0.085896, 0.011566, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.192820, -0.087623, 0.001863>, <0.176847, -0.055553, 0.001863>, <0.167351, -0.003356, 0.001863>, <0.139577, 0.019277, 0.001863>, 
      <0.182149, -0.075311, 0.038716>, <0.166176, -0.043241, 0.038716>, <0.165588, -0.008923, 0.038271>, <0.137814, 0.013710, 0.038271>, 
      <0.173755, -0.050406, 0.088147>, <0.166690, -0.036214, 0.087702>, <0.152530, 0.004491, 0.090158>, <0.140243, 0.014505, 0.089654>, 
      <0.157250, -0.046585, 0.124707>, <0.150186, -0.032393, 0.124262>, <0.145988, -0.009293, 0.123726>, <0.133701, 0.000720, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188128, -0.109740, 0.154119>, <0.201120, -0.107235, 0.123223>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188418, -0.095038, 0.153652>, <0.201409, -0.092533, 0.122756>, 
      <0.130487, -0.119060, 0.209380>, <0.145400, -0.102214, 0.183101>, <0.180747, -0.092963, 0.151933>, <0.186473, -0.076204, 0.122216>, 
      <0.130487, -0.119060, 0.209380>, <0.145400, -0.102214, 0.183101>, <0.174470, -0.079664, 0.151502>, <0.180196, -0.062906, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.130487, -0.119060, 0.209380>, <0.144856, -0.129823, 0.183978>, <0.173517, -0.142599, 0.152843>, <0.178383, -0.154937, 0.124707>, 
      <0.130487, -0.119060, 0.209380>, <0.144856, -0.129823, 0.183978>, <0.180338, -0.128289, 0.152398>, <0.185204, -0.140626, 0.124262>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.187816, -0.125588, 0.154623>, <0.200808, -0.123083, 0.123726>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188128, -0.109740, 0.154119>, <0.201120, -0.107235, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.217744, -0.102236, 0.001863>, <0.218398, -0.069005, 0.001863>, <0.184653, -0.032097, 0.001863>, <0.170471, -0.002038, 0.001863>, 
      <0.212757, -0.103736, 0.038271>, <0.213410, -0.070505, 0.038271>, <0.187571, -0.050358, 0.037839>, <0.173389, -0.020298, 0.037839>, 
      <0.215336, -0.104494, 0.089414>, <0.215626, -0.089792, 0.088947>, <0.193168, -0.056609, 0.087467>, <0.186891, -0.043311, 0.087036>, 
      <0.201120, -0.107235, 0.123223>, <0.201409, -0.092533, 0.122756>, <0.186473, -0.076204, 0.122216>, <0.180196, -0.062906, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.166380, -0.210052, 0.001863>, <0.181790, -0.177707, 0.001863>, <0.217040, -0.138057, 0.001863>, <0.217744, -0.102236, 0.001863>, 
      <0.169981, -0.193518, 0.038716>, <0.185390, -0.161173, 0.038716>, <0.212053, -0.139557, 0.038271>, <0.212757, -0.103736, 0.038271>, 
      <0.184728, -0.171021, 0.088025>, <0.191549, -0.156711, 0.087580>, <0.215024, -0.120342, 0.089917>, <0.215336, -0.104494, 0.089414>, 
      <0.178383, -0.154937, 0.124707>, <0.185204, -0.140626, 0.124262>, <0.200808, -0.123083, 0.123726>, <0.201120, -0.107235, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.147752, -0.213387, 0.153808>, <0.156892, -0.221847, 0.123223>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.159647, -0.204741, 0.153341>, <0.168787, -0.213202, 0.122756>, 
      <0.107549, -0.174309, 0.209380>, <0.129164, -0.175537, 0.183101>, <0.156702, -0.197223, 0.151662>, <0.172786, -0.191436, 0.122216>, 
      <0.107549, -0.174309, 0.209380>, <0.129164, -0.175537, 0.183101>, <0.163514, -0.184190, 0.151230>, <0.179598, -0.178403, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.107549, -0.174309, 0.209380>, <0.106826, -0.191773, 0.183978>, <0.112516, -0.221572, 0.152571>, <0.105138, -0.232523, 0.124707>, 
      <0.107549, -0.174309, 0.209380>, <0.106826, -0.191773, 0.183978>, <0.128042, -0.218370, 0.152126>, <0.120664, -0.229320, 0.124262>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.134930, -0.222706, 0.154311>, <0.144070, -0.231167, 0.123726>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.147752, -0.213387, 0.153808>, <0.156892, -0.221847, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.169563, -0.231711, 0.001863>, <0.196448, -0.212169, 0.001863>, <0.205496, -0.162985, 0.001863>, <0.220897, -0.133531, 0.001863>, 
      <0.165762, -0.228752, 0.038271>, <0.192647, -0.209210, 0.038271>, <0.193107, -0.176447, 0.037839>, <0.208507, -0.146993, 0.037839>, 
      <0.167056, -0.231256, 0.089209>, <0.178951, -0.222610, 0.088742>, <0.191852, -0.184577, 0.087309>, <0.198664, -0.171544, 0.086878>, 
      <0.156892, -0.221847, 0.123223>, <0.168787, -0.213202, 0.122756>, <0.172786, -0.191436, 0.122216>, <0.179598, -0.178403, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.052604, -0.255860, 0.001863>, <0.087692, -0.248615, 0.001863>, <0.140582, -0.252777, 0.001863>, <0.169563, -0.231711, 0.001863>, 
      <0.068364, -0.248859, 0.038716>, <0.103452, -0.241614, 0.038716>, <0.136781, -0.249818, 0.038271>, <0.165762, -0.228752, 0.038271>, 
      <0.095403, -0.246972, 0.087937>, <0.110929, -0.243770, 0.087492>, <0.154234, -0.240575, 0.089713>, <0.167056, -0.231256, 0.089209>, 
      <0.105138, -0.232523, 0.124707>, <0.120664, -0.229320, 0.124262>, <0.144070, -0.231167, 0.123726>, <0.156892, -0.221847, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.047418, -0.247196, 0.153814>, <0.046521, -0.259801, 0.123223>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.061558, -0.251234, 0.153347>, <0.060660, -0.263840, 0.122756>, 
      <0.053162, -0.191205, 0.209380>, <0.065631, -0.209115, 0.183101>, <0.065665, -0.244288, 0.151668>, <0.080265, -0.253573, 0.122216>, 
      <0.053162, -0.191205, 0.209380>, <0.065631, -0.209115, 0.183101>, <0.080127, -0.241619, 0.151237>, <0.094726, -0.250904, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053162, -0.191205, 0.209380>, <0.039078, -0.201531, 0.183978>, <0.019283, -0.224512, 0.152604>, <0.006216, -0.225627, 0.124707>, 
      <0.053162, -0.191205, 0.209380>, <0.039078, -0.201531, 0.183978>, <0.031374, -0.234764, 0.152159>, <0.018308, -0.235879, 0.124262>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.032177, -0.242843, 0.154317>, <0.031279, -0.255448, 0.123726>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.047418, -0.247196, 0.153814>, <0.046521, -0.259801, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.047073, -0.276714, 0.001863>, <0.079032, -0.285840, 0.001863>, <0.123340, -0.262651, 0.001863>, <0.156026, -0.256624, 0.001863>, 
      <0.046907, -0.271640, 0.038271>, <0.078867, -0.280766, 0.038271>, <0.104950, -0.260935, 0.037839>, <0.137636, -0.254908, 0.037839>, 
      <0.045524, -0.273801, 0.089247>, <0.059663, -0.277839, 0.088780>, <0.097549, -0.264566, 0.087346>, <0.112010, -0.261897, 0.086915>, 
      <0.046521, -0.259801, 0.123223>, <0.060660, -0.263840, 0.122756>, <0.080265, -0.253573, 0.122216>, <0.094726, -0.250904, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.044032, -0.199498, 0.001863>, <-0.016701, -0.222663, 0.001863>, <0.012622, -0.266876, 0.001863>, <0.047073, -0.276714, 0.001863>, 
      <-0.028958, -0.207336, 0.038716>, <-0.001626, -0.230501, 0.038716>, <0.012457, -0.261803, 0.038271>, <0.046907, -0.271640, 0.038271>, 
      <-0.010985, -0.227094, 0.087981>, <0.001106, -0.237347, 0.087535>, <0.030282, -0.269448, 0.089750>, <0.045524, -0.273801, 0.089247>, 
      <0.006216, -0.225627, 0.124707>, <0.018308, -0.235879, 0.124262>, <0.031279, -0.255448, 0.123726>, <0.046521, -0.259801, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.039272, -0.200649, 0.154076>, <-0.050042, -0.208662, 0.123223>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.031057, -0.212845, 0.153609>, <-0.041828, -0.220859, 0.122756>, 
      <0.007339, -0.165492, 0.209380>, <0.002906, -0.185716, 0.183101>, <-0.023606, -0.210189, 0.151698>, <-0.020219, -0.225634, 0.122216>, 
      <0.007339, -0.165492, 0.209380>, <0.002906, -0.185716, 0.183101>, <-0.010825, -0.217462, 0.151267>, <-0.007438, -0.232907, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.007339, -0.165492, 0.209380>, <-0.012520, -0.162812, 0.183978>, <-0.046190, -0.165316, 0.153162>, <-0.058858, -0.156560, 0.124707>, 
      <0.007339, -0.165492, 0.209380>, <-0.012520, -0.162812, 0.183978>, <-0.043545, -0.180946, 0.152716>, <-0.056214, -0.172191, 0.124262>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.048127, -0.187501, 0.154579>, <-0.058897, -0.195515, 0.123726>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.039272, -0.200649, 0.154076>, <-0.050042, -0.208662, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.065101, -0.219388, 0.001863>, <-0.046534, -0.246955, 0.001863>, <0.002295, -0.257758, 0.001863>, <0.031178, -0.274203, 0.001863>, 
      <-0.060584, -0.216170, 0.038271>, <-0.042016, -0.243737, 0.038271>, <-0.009290, -0.245370, 0.037839>, <0.019594, -0.261814, 0.037839>, 
      <-0.061831, -0.217433, 0.089453>, <-0.053616, -0.229629, 0.088986>, <-0.016193, -0.243996, 0.087164>, <-0.003411, -0.251270, 0.086733>, 
      <-0.050042, -0.208662, 0.123223>, <-0.041828, -0.220859, 0.122756>, <-0.020219, -0.225634, 0.122216>, <-0.007438, -0.232907, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.085051, -0.101640, 0.001863>, <-0.079066, -0.136964, 0.001863>, <-0.085116, -0.189672, 0.001863>, <-0.065101, -0.219388, 0.001863>, 
      <-0.077193, -0.118116, 0.038716>, <-0.071208, -0.153441, 0.038716>, <-0.080599, -0.186454, 0.038271>, <-0.060584, -0.216170, 0.038271>, 
      <-0.074961, -0.145431, 0.088538>, <-0.072317, -0.161062, 0.088092>, <-0.070686, -0.204286, 0.089956>, <-0.061831, -0.217433, 0.089453>, 
      <-0.058858, -0.156560, 0.124707>, <-0.056214, -0.172191, 0.124262>, <-0.058897, -0.195515, 0.123726>, <-0.050042, -0.208662, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.045010, -0.092143, 0.153323>, <-0.055599, -0.088986, 0.123223>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.049773, -0.106055, 0.152856>, <-0.060362, -0.102898, 0.122756>, 
      <0.005064, -0.106889, 0.209380>, <-0.011217, -0.116099, 0.183101>, <-0.043012, -0.110809, 0.150953>, <-0.051123, -0.123007, 0.122216>, 
      <0.005064, -0.106889, 0.209380>, <-0.011217, -0.116099, 0.183101>, <-0.041094, -0.125389, 0.150522>, <-0.049205, -0.137587, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005064, -0.106889, 0.209380>, <-0.002272, -0.089973, 0.183978>, <-0.020568, -0.065061, 0.152489>, <-0.019388, -0.050501, 0.124707>, 
      <0.005064, -0.106889, 0.209380>, <-0.002272, -0.089973, 0.183978>, <-0.031432, -0.076607, 0.152043>, <-0.030251, -0.062046, 0.124262>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.039875, -0.077147, 0.153826>, <-0.050465, -0.073989, 0.123726>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.045010, -0.092143, 0.153323>, <-0.055599, -0.088986, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.067940, -0.085122, 0.001863>, <-0.078705, -0.116567, 0.001863>, <-0.057837, -0.162014, 0.001863>, <-0.053507, -0.194968, 0.001863>, 
      <-0.064238, -0.086281, 0.038271>, <-0.075003, -0.117726, 0.038271>, <-0.056546, -0.144800, 0.037839>, <-0.052216, -0.177754, 0.037839>, 
      <-0.067691, -0.085380, 0.088851>, <-0.072454, -0.099292, 0.088384>, <-0.061158, -0.138096, 0.086664>, <-0.059239, -0.152676, 0.086232>, 
      <-0.055599, -0.088986, 0.123223>, <-0.060362, -0.102898, 0.122756>, <-0.051123, -0.123007, 0.122216>, <-0.049205, -0.137587, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.013881, 0.001871, 0.001863>, <-0.010665, -0.024227, 0.001863>, <-0.056335, -0.051226, 0.001863>, <-0.067940, -0.085122, 0.001863>, 
      <0.003900, -0.013841, 0.038716>, <-0.020646, -0.039938, 0.038716>, <-0.052633, -0.052385, 0.038271>, <-0.064238, -0.086281, 0.038271>, 
      <-0.017835, -0.031349, 0.088164>, <-0.028698, -0.042894, 0.087718>, <-0.062556, -0.070384, 0.089355>, <-0.067691, -0.085380, 0.088851>, 
      <-0.019388, -0.050501, 0.124707>, <-0.030251, -0.062046, 0.124262>, <-0.050465, -0.073989, 0.123726>, <-0.055599, -0.088986, 0.123223>
    }
  }
  texture {
    Pinkish
    scale 0.21
  }
}
#declare sPatchObj15 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.223511, 0.057504, 0.170375>, <0.217555, 0.049795, 0.141318>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.204433, 0.070676, 0.169639>, <0.198477, 0.062967, 0.140582>, 
      <0.231191, 0.063931, 0.241567>, <0.204153, 0.063008, 0.210812>, <0.186374, 0.064228, 0.173390>, <0.164013, 0.057536, 0.139731>, 
      <0.231191, 0.063931, 0.241567>, <0.204153, 0.063008, 0.210812>, <0.163427, 0.067545, 0.172710>, <0.141067, 0.060854, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.231191, 0.063931, 0.241567>, <0.239981, 0.038272, 0.212195>, <0.258752, 0.001173, 0.176473>, <0.260490, -0.021600, 0.143659>, 
      <0.231191, 0.063931, 0.241567>, <0.239981, 0.038272, 0.212195>, <0.245871, 0.022592, 0.175771>, <0.247610, -0.000181, 0.142957>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.244076, 0.043305, 0.171169>, <0.238120, 0.035596, 0.142112>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.223511, 0.057504, 0.170375>, <0.217555, 0.049795, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.181706, -0.000121, 0.000126>, <0.154040, 0.018979, 0.000126>, <0.104070, 0.011116, 0.000126>, <0.070798, 0.015931, 0.000126>, 
      <0.192461, 0.014854, 0.042484>, <0.164795, 0.033954, 0.042484>, <0.125151, 0.024592, 0.041803>, <0.091878, 0.029408, 0.041803>, 
      <0.208578, 0.038175, 0.097518>, <0.189500, 0.051347, 0.096782>, <0.137476, 0.049595, 0.099784>, <0.114530, 0.052912, 0.099104>, 
      <0.217555, 0.049795, 0.141318>, <0.198477, 0.062967, 0.140582>, <0.164013, 0.057536, 0.139731>, <0.141067, 0.060854, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.243982, -0.103631, 0.000126>, <0.225300, -0.072578, 0.000126>, <0.211530, -0.020710, 0.000126>, <0.181706, -0.000121, 0.000126>, 
      <0.248935, -0.079022, 0.043186>, <0.230252, -0.047969, 0.043186>, <0.222284, -0.005736, 0.042484>, <0.192461, 0.014854, 0.042484>, 
      <0.262658, -0.049991, 0.102750>, <0.249777, -0.028573, 0.102048>, <0.229143, 0.023977, 0.098312>, <0.208578, 0.038175, 0.097518>, 
      <0.260490, -0.021600, 0.143659>, <0.247610, -0.000181, 0.142957>, <0.238120, 0.035596, 0.142112>, <0.217555, 0.049795, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.305431, -0.113714, 0.170420>, <0.295855, -0.112841, 0.141318>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.308460, -0.090729, 0.169684>, <0.298884, -0.089857, 0.140582>, 
      <0.314467, -0.119264, 0.241567>, <0.301378, -0.095401, 0.210812>, <0.294689, -0.077658, 0.173839>, <0.278342, -0.061656, 0.139731>, 
      <0.314467, -0.119264, 0.241567>, <0.301378, -0.095401, 0.210812>, <0.287183, -0.055721, 0.173159>, <0.270837, -0.039719, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.314467, -0.119264, 0.241567>, <0.295689, -0.138564, 0.212195>, <0.271121, -0.170779, 0.176110>, <0.251874, -0.183597, 0.143659>, 
      <0.314467, -0.119264, 0.241567>, <0.295689, -0.138564, 0.212195>, <0.284315, -0.149552, 0.175408>, <0.265068, -0.162371, 0.142957>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.302165, -0.138490, 0.171214>, <0.292589, -0.137618, 0.142112>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.305431, -0.113714, 0.170420>, <0.295855, -0.112841, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.235015, -0.112027, 0.000126>, <0.239407, -0.078696, 0.000126>, <0.209634, -0.037802, 0.000126>, <0.198756, -0.005991, 0.000126>, 
      <0.253267, -0.112272, 0.042484>, <0.257659, -0.078940, 0.042484>, <0.231258, -0.047920, 0.041803>, <0.220380, -0.016109, 0.041803>, 
      <0.281443, -0.111529, 0.097524>, <0.284472, -0.088544, 0.096788>, <0.259225, -0.042941, 0.099840>, <0.251719, -0.021004, 0.099160>, 
      <0.295855, -0.112841, 0.141318>, <0.298884, -0.089857, 0.140582>, <0.278342, -0.061656, 0.139731>, <0.270837, -0.039719, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171264, -0.214635, 0.000126>, <0.190389, -0.183853, 0.000126>, <0.230281, -0.147957, 0.000126>, <0.235015, -0.112027, 0.000126>, 
      <0.195447, -0.205324, 0.043186>, <0.214572, -0.174541, 0.043186>, <0.248533, -0.148201, 0.042484>, <0.253267, -0.112272, 0.042484>, 
      <0.227599, -0.199764, 0.102732>, <0.240793, -0.178537, 0.102030>, <0.278178, -0.136305, 0.098318>, <0.281443, -0.111529, 0.097524>, 
      <0.251874, -0.183597, 0.143659>, <0.265068, -0.162371, 0.142957>, <0.292589, -0.137618, 0.142112>, <0.295855, -0.112841, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.211789, -0.300825, 0.170450>, <0.206808, -0.292665, 0.141318>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.231756, -0.289044, 0.169713>, <0.226775, -0.280884, 0.140582>, 
      <0.213203, -0.311481, 0.241567>, <0.223933, -0.286405, 0.210812>, <0.233516, -0.270132, 0.173817>, <0.236321, -0.247326, 0.139731>, 
      <0.213203, -0.311481, 0.241567>, <0.223933, -0.286405, 0.210812>, <0.246164, -0.250700, 0.173136>, <0.248969, -0.227895, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.213203, -0.311481, 0.241567>, <0.186437, -0.308530, 0.212195>, <0.145744, -0.309004, 0.176218>, <0.123982, -0.301643, 0.143659>, 
      <0.213203, -0.311481, 0.241567>, <0.186437, -0.308530, 0.212195>, <0.170592, -0.306311, 0.175516>, <0.148830, -0.298950, 0.142957>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.190266, -0.313525, 0.171243>, <0.185285, -0.305365, 0.142112>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.211789, -0.300825, 0.170450>, <0.206808, -0.292665, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171921, -0.243853, 0.000126>, <0.200875, -0.226767, 0.000126>, <0.214727, -0.178116, 0.000126>, <0.233072, -0.149943, 0.000126>, 
      <0.182387, -0.258497, 0.042484>, <0.211341, -0.241411, 0.042484>, <0.219496, -0.201502, 0.041803>, <0.237842, -0.173329, 0.041803>, 
      <0.199331, -0.280417, 0.097589>, <0.219298, -0.268635, 0.096853>, <0.239598, -0.220682, 0.099907>, <0.252246, -0.201251, 0.099226>, 
      <0.206808, -0.292665, 0.141318>, <0.226775, -0.280884, 0.140582>, <0.236321, -0.247326, 0.139731>, <0.248969, -0.227895, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.051827, -0.256894, 0.000126>, <0.087855, -0.252982, 0.000126>, <0.140710, -0.262270, 0.000126>, <0.171921, -0.243853, 0.000126>, 
      <0.073474, -0.270319, 0.043186>, <0.109502, -0.266406, 0.043186>, <0.151176, -0.276914, 0.042484>, <0.182387, -0.258497, 0.042484>, 
      <0.096659, -0.292401, 0.102781>, <0.121507, -0.289708, 0.102079>, <0.177808, -0.293116, 0.098383>, <0.199331, -0.280417, 0.097589>, 
      <0.123982, -0.301643, 0.143659>, <0.148830, -0.298950, 0.142957>, <0.185285, -0.305365, 0.142112>, <0.206808, -0.292665, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.012828, -0.337093, 0.170454>, <0.016412, -0.328192, 0.141318>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.034275, -0.345897, 0.169718>, <0.037858, -0.336996, 0.140582>, 
      <0.005173, -0.344890, 0.241567>, <0.031671, -0.338232, 0.210812>, <0.050408, -0.335875, 0.173801>, <0.070373, -0.324346, 0.139731>, 
      <0.005173, -0.344890, 0.241567>, <0.031671, -0.338232, 0.210812>, <0.073535, -0.334226, 0.173121>, <0.093500, -0.322697, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005173, -0.344890, 0.241567>, <-0.008604, -0.321699, 0.212195>, <-0.033568, -0.289406, 0.176258>, <-0.040752, -0.267586, 0.143659>, 
      <0.005173, -0.344890, 0.241567>, <-0.008604, -0.321699, 0.212195>, <-0.016419, -0.307588, 0.175555>, <-0.023603, -0.285768, 0.142957>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <-0.010291, -0.327602, 0.171248>, <-0.006707, -0.318702, 0.142112>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.012828, -0.337093, 0.170454>, <0.016412, -0.328192, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034871, -0.271136, 0.000126>, <0.065973, -0.283902, 0.000126>, <0.113119, -0.265572, 0.000126>, <0.146654, -0.263187, 0.000126>, 
      <0.029333, -0.288253, 0.042484>, <0.060435, -0.301019, 0.042484>, <0.097173, -0.283425, 0.041803>, <0.130708, -0.281040, 0.041803>, 
      <0.021788, -0.314840, 0.097608>, <0.043235, -0.323644, 0.096871>, <0.093699, -0.310875, 0.099925>, <0.116825, -0.309227, 0.099245>, 
      <0.016412, -0.328192, 0.141318>, <0.037858, -0.336996, 0.140582>, <0.070373, -0.324346, 0.139731>, <0.093500, -0.322697, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.048032, -0.183276, 0.000126>, <-0.023161, -0.209634, 0.000126>, <0.001346, -0.257375, 0.000126>, <0.034871, -0.271136, 0.000126>, 
      <-0.045848, -0.208568, 0.043186>, <-0.020977, -0.234927, 0.043186>, <-0.004192, -0.274492, 0.042484>, <0.029333, -0.288253, 0.042484>, 
      <-0.049756, -0.240235, 0.102799>, <-0.032607, -0.258417, 0.102097>, <-0.001330, -0.305349, 0.098401>, <0.021788, -0.314840, 0.097608>, 
      <-0.040752, -0.267586, 0.143659>, <-0.023603, -0.285768, 0.142957>, <-0.006707, -0.318702, 0.142112>, <0.016412, -0.328192, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.135172, -0.214349, 0.170420>, <-0.125876, -0.211514, 0.141318>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.128886, -0.236664, 0.169683>, <-0.119590, -0.233829, 0.140582>, 
      <-0.146046, -0.213107, 0.241567>, <-0.124443, -0.229824, 0.210812>, <-0.111068, -0.243228, 0.173788>, <-0.089587, -0.251636, 0.139731>, 
      <-0.146046, -0.213107, 0.241567>, <-0.124443, -0.229824, 0.210812>, <-0.095516, -0.260423, 0.173108>, <-0.074035, -0.268831, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.146046, -0.213107, 0.241567>, <-0.136247, -0.187918, 0.212195>, <-0.126209, -0.148403, 0.176184>, <-0.113383, -0.129145, 0.143659>, 
      <-0.146046, -0.213107, 0.241567>, <-0.136247, -0.187918, 0.212195>, <-0.129957, -0.173114, 0.175482>, <-0.117131, -0.153856, 0.142957>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.141948, -0.190295, 0.171213>, <-0.132652, -0.187460, 0.142112>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.135172, -0.214349, 0.170420>, <-0.125876, -0.211514, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.068922, -0.189588, 0.000126>, <-0.059805, -0.221948, 0.000126>, <-0.016312, -0.247776, 0.000126>, <0.006236, -0.272713, 0.000126>, 
      <-0.086008, -0.196166, 0.042484>, <-0.076891, -0.228526, 0.042484>, <-0.040393, -0.246611, 0.041803>, <-0.017845, -0.271549, 0.041803>, 
      <-0.111895, -0.207251, 0.097549>, <-0.105609, -0.229566, 0.096813>, <-0.064444, -0.261478, 0.099866>, <-0.048891, -0.278673, 0.099185>, 
      <-0.125876, -0.211514, 0.141318>, <-0.119590, -0.233829, 0.140582>, <-0.089587, -0.251636, 0.139731>, <-0.074035, -0.268831, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.050833, -0.070151, 0.000126>, <-0.056260, -0.105982, 0.000126>, <-0.078750, -0.154706, 0.000126>, <-0.068922, -0.189588, 0.000126>, 
      <-0.069598, -0.087849, 0.043186>, <-0.075025, -0.123680, 0.043186>, <-0.095836, -0.161284, 0.042484>, <-0.086008, -0.196166, 0.042484>, 
      <-0.097254, -0.104928, 0.102758>, <-0.101002, -0.129639, 0.102056>, <-0.118671, -0.183196, 0.098343>, <-0.111895, -0.207251, 0.097549>, 
      <-0.113383, -0.129145, 0.143659>, <-0.117131, -0.153856, 0.142957>, <-0.132652, -0.187460, 0.142112>, <-0.125876, -0.211514, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.146157, -0.035481, 0.170357>, <-0.137189, -0.039615, 0.141318>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.155723, -0.056599, 0.169621>, <-0.146755, -0.060733, 0.140582>, 
      <-0.153707, -0.028201, 0.241567>, <-0.147931, -0.054795, 0.210812>, <-0.146277, -0.073168, 0.173565>, <-0.135275, -0.093680, 0.139731>, 
      <-0.153707, -0.028201, 0.241567>, <-0.147931, -0.054795, 0.210812>, <-0.145457, -0.096339, 0.172885>, <-0.134455, -0.116851, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.153707, -0.028201, 0.241567>, <-0.129968, -0.015138, 0.212195>, <-0.096889, 0.009225, 0.176242>, <-0.074577, 0.015342, 0.143659>, 
      <-0.153707, -0.028201, 0.241567>, <-0.129968, -0.015138, 0.212195>, <-0.115672, -0.007262, 0.175540>, <-0.093360, -0.001145, 0.142957>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.135846, -0.012717, 0.171151>, <-0.126878, -0.016851, 0.142112>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.146157, -0.035481, 0.170357>, <-0.137189, -0.039615, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.079145, -0.062576, 0.000126>, <-0.093016, -0.093201, 0.000126>, <-0.076384, -0.140973, 0.000126>, <-0.075201, -0.174572, 0.000126>, 
      <-0.096559, -0.055688, 0.042484>, <-0.110429, -0.086313, 0.042484>, <-0.094161, -0.123657, 0.041803>, <-0.092977, -0.157255, 0.041803>, 
      <-0.123648, -0.045858, 0.097472>, <-0.133214, -0.066976, 0.096736>, <-0.122281, -0.117907, 0.099768>, <-0.121461, -0.141078, 0.099087>, 
      <-0.137189, -0.039615, 0.141318>, <-0.146755, -0.060733, 0.140582>, <-0.135275, -0.093680, 0.139731>, <-0.134455, -0.116851, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011626, 0.017131, 0.000126>, <-0.015606, -0.006781, 0.000126>, <-0.064194, -0.029564, 0.000126>, <-0.079145, -0.062576, 0.000126>, 
      <-0.014235, 0.016594, 0.043186>, <-0.041466, -0.007318, 0.043186>, <-0.081607, -0.022676, 0.042484>, <-0.096559, -0.055688, 0.042484>, 
      <-0.046530, 0.023032, 0.102702>, <-0.065314, 0.006545, 0.102000>, <-0.113337, -0.023094, 0.098266>, <-0.123648, -0.045858, 0.097472>, 
      <-0.074577, 0.015342, 0.143659>, <-0.093360, -0.001145, 0.142957>, <-0.126878, -0.016851, 0.142112>, <-0.137189, -0.039615, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.016714, 0.076074, 0.170516>, <0.018792, 0.066905, 0.141318>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <-0.005896, 0.070949, 0.169780>, <-0.003818, 0.061781, 0.140582>, 
      <0.017749, 0.086989, 0.241567>, <0.000086, 0.066321, 0.210812>, <-0.013315, 0.053419, 0.173797>, <-0.023152, 0.032738, 0.139731>, 
      <0.017749, 0.086989, 0.241567>, <0.000086, 0.066321, 0.210812>, <-0.031291, 0.038776, 0.173117>, <-0.041128, 0.018095, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017749, 0.086989, 0.241567>, <0.042546, 0.075944, 0.212195>, <0.081993, 0.063765, 0.176459>, <0.100405, 0.050173, 0.143659>, 
      <0.017749, 0.086989, 0.241567>, <0.042546, 0.075944, 0.212195>, <0.057509, 0.068785, 0.175757>, <0.075921, 0.055193, 0.142957>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.041086, 0.081598, 0.171310>, <0.043164, 0.072429, 0.142112>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.016714, 0.076074, 0.170516>, <0.018792, 0.066905, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034933, 0.011173, 0.000126>, <0.002145, 0.003740, 0.000126>, <-0.025896, -0.038360, 0.000126>, <-0.051965, -0.059589, 0.000126>, 
      <0.030090, 0.027893, 0.042484>, <-0.002697, 0.020460, 0.042484>, <-0.022645, -0.015055, 0.041803>, <-0.048714, -0.036284, 0.041803>, 
      <0.021894, 0.053217, 0.097727>, <-0.000716, 0.048092, 0.096991>, <-0.034621, 0.008624, 0.100011>, <-0.052597, -0.006019, 0.099330>, 
      <0.018792, 0.066905, 0.141318>, <-0.003818, 0.061781, 0.140582>, <-0.023152, 0.032738, 0.139731>, <-0.041128, 0.018095, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.153276, -0.013063, 0.000126>, <0.117773, -0.005792, 0.000126>, <0.070276, 0.019185, 0.000126>, <0.034933, 0.011173, 0.000126>, 
      <0.137415, 0.005908, 0.043186>, <0.101912, 0.013178, 0.043186>, <0.065434, 0.035904, 0.042484>, <0.030090, 0.027893, 0.042484>, 
      <0.123263, 0.033298, 0.102936>, <0.098780, 0.038317, 0.102234>, <0.046266, 0.058741, 0.098521>, <0.021894, 0.053217, 0.097727>, 
      <0.100405, 0.050173, 0.143659>, <0.075921, 0.055193, 0.142957>, <0.043164, 0.072429, 0.142112>, <0.018792, 0.066905, 0.141318>
    }
  }
  texture {
    Pinkish
    scale 0.25
  }
  scale 0.95
}
#declare sPatchObj16 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.347403, 0.059594, 0.212801>, <0.332208, 0.049062, 0.178393>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.327301, 0.084443, 0.211786>, <0.312105, 0.073911, 0.177378>, 
      <0.358453, 0.063875, 0.305059>, <0.321523, 0.072753, 0.266121>, <0.298231, 0.086092, 0.218390>, <0.264410, 0.080147, 0.176204>, 
      <0.358453, 0.063875, 0.305059>, <0.321523, 0.072753, 0.266121>, <0.269175, 0.099414, 0.217451>, <0.235354, 0.093470, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.358453, 0.063875, 0.305059>, <0.359275, 0.026089, 0.268027>, <0.375031, -0.032257, 0.223080>, <0.361192, -0.062079, 0.181620>, 
      <0.358453, 0.063875, 0.305059>, <0.359275, 0.026089, 0.268027>, <0.366336, 0.001085, 0.222112>, <0.352497, -0.028737, 0.180652>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.369073, 0.032808, 0.213895>, <0.353878, 0.022276, 0.179487>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.347403, 0.059594, 0.212801>, <0.332208, 0.049062, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.223731, -0.029497, 0.000000>, <0.200927, -0.001311, 0.000000>, <0.146837, 0.005774, 0.000000>, <0.113883, 0.020890, 0.000000>, 
      <0.256274, -0.005929, 0.053518>, <0.233470, 0.022257, 0.053518>, <0.183279, 0.027548, 0.052580>, <0.150324, 0.042664, 0.052580>, 
      <0.306173, 0.031019, 0.119442>, <0.286071, 0.055868, 0.118426>, <0.222393, 0.072763, 0.123795>, <0.193337, 0.086085, 0.122857>, 
      <0.332208, 0.049062, 0.178393>, <0.312105, 0.073911, 0.177378>, <0.264410, 0.080147, 0.176204>, <0.235354, 0.093470, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.256630, -0.155547, 0.000000>, <0.246760, -0.117732, 0.000000>, <0.248312, -0.059880, 0.000000>, <0.223731, -0.029497, 0.000000>, 
      <0.287999, -0.127507, 0.054486>, <0.278129, -0.089692, 0.054486>, <0.280855, -0.036312, 0.053518>, <0.256274, -0.005929, 0.053518>, 
      <0.343188, -0.100877, 0.127680>, <0.334493, -0.067535, 0.126712>, <0.327843, 0.004233, 0.120536>, <0.306173, 0.031019, 0.119442>, 
      <0.361192, -0.062079, 0.181620>, <0.352497, -0.028737, 0.180652>, <0.353878, 0.022276, 0.179487>, <0.332208, 0.049062, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.389731, -0.202364, 0.212925>, <0.372436, -0.196520, 0.178393>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.402687, -0.173146, 0.211910>, <0.385392, -0.167301, 0.177378>, 
      <0.397582, -0.213130, 0.305059>, <0.388654, -0.176212, 0.266121>, <0.391566, -0.146399, 0.219376>, <0.369206, -0.122006, 0.176204>, 
      <0.397582, -0.213130, 0.305059>, <0.388654, -0.176212, 0.266121>, <0.390181, -0.114465, 0.218438>, <0.367821, -0.090071, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.397582, -0.213130, 0.305059>, <0.364323, -0.231083, 0.268027>, <0.320125, -0.268282, 0.222385>, <0.286719, -0.272973, 0.181620>, 
      <0.397582, -0.213130, 0.305059>, <0.364323, -0.231083, 0.268027>, <0.345841, -0.245346, 0.221417>, <0.312434, -0.250038, 0.180652>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.375765, -0.233861, 0.214019>, <0.358470, -0.228017, 0.179487>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.389731, -0.202364, 0.212925>, <0.372436, -0.196520, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.244796, -0.161502, 0.000000>, <0.259491, -0.128358, 0.000000>, <0.241146, -0.076984, 0.000000>, <0.239581, -0.040762, 0.000000>, 
      <0.283088, -0.172008, 0.053518>, <0.297783, -0.138864, 0.053518>, <0.279617, -0.091777, 0.052580>, <0.278053, -0.055555, 0.052580>, 
      <0.342930, -0.186550, 0.119480>, <0.355886, -0.157331, 0.118465>, <0.341742, -0.092045, 0.123179>, <0.340357, -0.060111, 0.122241>, 
      <0.372436, -0.196520, 0.178393>, <0.385392, -0.167301, 0.177378>, <0.369206, -0.122006, 0.176204>, <0.367821, -0.090071, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.147593, -0.248235, 0.000000>, <0.176754, -0.222215, 0.000000>, <0.228955, -0.197230, 0.000000>, <0.244796, -0.161502, 0.000000>, 
      <0.189331, -0.255657, 0.054486>, <0.218492, -0.229637, 0.054486>, <0.267247, -0.207735, 0.053518>, <0.283088, -0.172008, 0.053518>, 
      <0.243134, -0.279094, 0.128434>, <0.268849, -0.256158, 0.127466>, <0.328964, -0.218046, 0.120574>, <0.342930, -0.186550, 0.119480>, 
      <0.286719, -0.272973, 0.181620>, <0.312434, -0.250038, 0.180652>, <0.358470, -0.228017, 0.179487>, <0.372436, -0.196520, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.190069, -0.416838, 0.213059>, <0.184649, -0.399673, 0.178393>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.221063, -0.409031, 0.212044>, <0.215643, -0.391866, 0.177378>, 
      <0.187068, -0.429712, 0.305059>, <0.210636, -0.399927, 0.266121>, <0.235084, -0.383693, 0.219378>, <0.241335, -0.351201, 0.176204>, 
      <0.187068, -0.429712, 0.305059>, <0.210636, -0.399927, 0.266121>, <0.259378, -0.362919, 0.218440>, <0.265629, -0.330428, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.187068, -0.429712, 0.305059>, <0.152431, -0.414587, 0.268027>, <0.095305, -0.402751, 0.222709>, <0.071612, -0.379296, 0.181620>, 
      <0.187068, -0.429712, 0.305059>, <0.152431, -0.414587, 0.268027>, <0.129216, -0.408864, 0.221741>, <0.105523, -0.385409, 0.180652>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.156659, -0.425253, 0.214153>, <0.151239, -0.408088, 0.179487>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.190069, -0.416838, 0.213059>, <0.184649, -0.399673, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139373, -0.278661, 0.000000>, <0.174531, -0.269804, 0.000000>, <0.203679, -0.223693, 0.000000>, <0.231238, -0.200135, 0.000000>, 
      <0.152956, -0.314964, 0.053518>, <0.188113, -0.306108, 0.053518>, <0.213996, -0.262781, 0.052580>, <0.241556, -0.239223, 0.052580>, 
      <0.175480, -0.370634, 0.119747>, <0.206475, -0.362828, 0.118732>, <0.248958, -0.311584, 0.123561>, <0.273252, -0.290811, 0.122623>, 
      <0.184649, -0.399673, 0.178393>, <0.215643, -0.391866, 0.177378>, <0.241335, -0.351201, 0.176204>, <0.265629, -0.330428, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011162, -0.255575, 0.000000>, <0.049625, -0.262501, 0.000000>, <0.101475, -0.288208, 0.000000>, <0.139373, -0.278661, 0.000000>, 
      <0.029297, -0.292691, 0.054486>, <0.067760, -0.299617, 0.054486>, <0.115058, -0.324512, 0.053518>, <0.152956, -0.314964, 0.053518>, 
      <0.040995, -0.348987, 0.128524>, <0.074906, -0.355100, 0.127556>, <0.142070, -0.379049, 0.120842>, <0.175480, -0.370634, 0.119747>, 
      <0.071612, -0.379296, 0.181620>, <0.105523, -0.385409, 0.180652>, <0.151239, -0.408088, 0.179487>, <0.184649, -0.399673, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.091545, -0.387021, 0.213095>, <-0.080992, -0.372524, 0.178393>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.066608, -0.407015, 0.212080>, <-0.056056, -0.392518, 0.177378>, 
      <-0.103478, -0.392588, 0.305059>, <-0.065505, -0.393393, 0.266121>, <-0.037953, -0.402824, 0.219361>, <-0.008128, -0.388447, 0.176204>, 
      <-0.103478, -0.392588, 0.305059>, <-0.065505, -0.393393, 0.266121>, <-0.006726, -0.409648, 0.218423>, <0.023100, -0.395272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.103478, -0.392588, 0.305059>, <-0.112333, -0.355845, 0.268027>, <-0.137553, -0.303005, 0.222815>, <-0.132995, -0.270111, 0.181620>, 
      <-0.103478, -0.392588, 0.305059>, <-0.112333, -0.355845, 0.268027>, <-0.121952, -0.333728, 0.221847>, <-0.117394, -0.300835, 0.180652>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.118425, -0.365468, 0.214189>, <-0.107873, -0.350971, 0.179487>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.091545, -0.387021, 0.213095>, <-0.080992, -0.372524, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.010717, -0.265145, 0.000000>, <0.017570, -0.287824, 0.000000>, <0.071927, -0.283220, 0.000000>, <0.107346, -0.290967, 0.000000>, 
      <-0.031799, -0.297358, 0.053518>, <-0.003513, -0.320037, 0.053518>, <0.046653, -0.314512, 0.052580>, <0.082072, -0.322258, 0.052580>, 
      <-0.063183, -0.348055, 0.119823>, <-0.038247, -0.368050, 0.118808>, <0.028171, -0.370950, 0.123680>, <0.059399, -0.377775, 0.122742>, 
      <-0.080992, -0.372524, 0.178393>, <-0.056056, -0.392518, 0.177378>, <-0.008128, -0.388447, 0.176204>, <0.023100, -0.395272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.069722, -0.149001, 0.000000>, <-0.052020, -0.183844, 0.000000>, <-0.041208, -0.240698, 0.000000>, <-0.010717, -0.265145, 0.000000>, 
      <-0.088704, -0.185334, 0.054486>, <-0.071002, -0.220177, 0.054486>, <-0.062291, -0.272911, 0.053518>, <-0.031799, -0.297358, 0.053518>, 
      <-0.127121, -0.227723, 0.128536>, <-0.111520, -0.258447, 0.127568>, <-0.090063, -0.326502, 0.120917>, <-0.063183, -0.348055, 0.119823>, 
      <-0.132995, -0.270111, 0.181620>, <-0.117394, -0.300835, 0.180652>, <-0.107873, -0.350971, 0.179487>, <-0.080992, -0.372524, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241893, -0.163749, 0.212968>, <-0.223743, -0.162809, 0.178393>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.242269, -0.195710, 0.211952>, <-0.224118, -0.194769, 0.177378>, 
      <-0.253402, -0.157469, 0.305059>, <-0.230631, -0.187868, 0.266121>, <-0.221391, -0.215798, 0.219283>, <-0.191372, -0.230002, 0.176204>, 
      <-0.253402, -0.157469, 0.305059>, <-0.230631, -0.187868, 0.266121>, <-0.207518, -0.244595, 0.218345>, <-0.177498, -0.258799, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.253402, -0.157469, 0.305059>, <-0.229926, -0.127849, 0.268027>, <-0.204043, -0.075699, 0.222573>, <-0.175149, -0.058736, 0.181620>, 
      <-0.253402, -0.157469, 0.305059>, <-0.229926, -0.127849, 0.268027>, <-0.218622, -0.106920, 0.221605>, <-0.189727, -0.089958, 0.180652>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241489, -0.129298, 0.214062>, <-0.223338, -0.128357, 0.179487>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241893, -0.163749, 0.212968>, <-0.223743, -0.162809, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.093255, -0.149169, 0.000000>, <-0.093680, -0.185422, 0.000000>, <-0.056551, -0.225389, 0.000000>, <-0.040821, -0.258055, 0.000000>, 
      <-0.132402, -0.153261, 0.053518>, <-0.132826, -0.189514, 0.053518>, <-0.097555, -0.225612, 0.052580>, <-0.081824, -0.258278, 0.052580>, 
      <-0.192873, -0.161209, 0.119590>, <-0.193248, -0.193169, 0.118575>, <-0.154573, -0.247414, 0.123397>, <-0.140699, -0.276211, 0.122459>, 
      <-0.223743, -0.162809, 0.178393>, <-0.224118, -0.194769, 0.177378>, <-0.191372, -0.230002, 0.176204>, <-0.177498, -0.258799, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.038164, -0.031118, 0.000000>, <-0.054692, -0.066533, 0.000000>, <-0.092798, -0.110090, 0.000000>, <-0.093255, -0.149169, 0.000000>, 
      <-0.079260, -0.039404, 0.054486>, <-0.095787, -0.074819, 0.054486>, <-0.131944, -0.114182, 0.053518>, <-0.132402, -0.153261, 0.053518>, 
      <-0.137607, -0.036698, 0.128412>, <-0.152185, -0.067920, 0.127444>, <-0.192468, -0.126757, 0.120684>, <-0.192873, -0.161209, 0.119590>, 
      <-0.175149, -0.058736, 0.181620>, <-0.189727, -0.089958, 0.180652>, <-0.223338, -0.128357, 0.179487>, <-0.223743, -0.162809, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.185946, 0.080967, 0.212747>, <-0.171771, 0.068941, 0.178393>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.206820, 0.056762, 0.211732>, <-0.192646, 0.044736, 0.177378>, 
      <-0.191019, 0.092130, 0.305059>, <-0.193182, 0.054209, 0.266121>, <-0.203649, 0.027887, 0.218716>, <-0.190292, -0.003308, 0.176204>, 
      <-0.191019, 0.092130, 0.305059>, <-0.193182, 0.054209, 0.266121>, <-0.211586, -0.003076, 0.217778>, <-0.198230, -0.034272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.191019, 0.092130, 0.305059>, <-0.153983, 0.099664, 0.268027>, <-0.100331, 0.124223, 0.222577>, <-0.067565, 0.117245, 0.181620>, 
      <-0.191019, 0.092130, 0.305059>, <-0.153983, 0.099664, 0.268027>, <-0.131593, 0.109732, 0.221609>, <-0.098827, 0.102754, 0.180652>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.163445, 0.107058, 0.213841>, <-0.149271, 0.095032, 0.179487>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.185946, 0.080967, 0.212747>, <-0.171771, 0.068941, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.065147, -0.014659, 0.000000>, <-0.088824, -0.042116, 0.000000>, <-0.086168, -0.096603, 0.000000>, <-0.095177, -0.131721, 0.000000>, 
      <-0.097134, 0.010421, 0.053518>, <-0.120811, -0.017036, 0.053518>, <-0.117084, -0.067368, 0.052580>, <-0.126093, -0.102486, 0.052580>, 
      <-0.147384, 0.048250, 0.119287>, <-0.168258, 0.024045, 0.118272>, <-0.173684, -0.042099, 0.123341>, <-0.181622, -0.073062, 0.122403>, 
      <-0.171771, 0.068941, 0.178393>, <-0.192646, 0.044736, 0.177378>, <-0.190292, -0.003308, 0.176204>, <-0.198230, -0.034272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053034, 0.040153, 0.000000>, <0.017580, 0.023709, 0.000000>, <-0.039624, 0.014938, 0.000000>, <-0.065147, -0.014659, 0.000000>, 
      <0.016854, 0.063280, 0.054486>, <-0.018600, 0.046837, 0.054486>, <-0.071612, 0.040018, 0.053518>, <-0.097134, 0.010421, 0.053518>, 
      <-0.024606, 0.108096, 0.127923>, <-0.055868, 0.093604, 0.126955>, <-0.124883, 0.074342, 0.120381>, <-0.147384, 0.048250, 0.119287>, 
      <-0.067565, 0.117245, 0.181620>, <-0.098827, 0.102754, 0.180652>, <-0.149271, 0.095032, 0.179487>, <-0.171771, 0.068941, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.076859, 0.166457, 0.213366>, <0.075996, 0.149084, 0.178393>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.044961, 0.168484, 0.212351>, <0.044098, 0.151110, 0.177377>, 
      <0.082861, 0.178428, 0.305059>, <0.051326, 0.157258, 0.266121>, <0.024127, 0.148403, 0.219553>, <0.007220, 0.120228, 0.176204>, 
      <0.082861, 0.178428, 0.305059>, <0.051326, 0.157258, 0.266121>, <-0.005349, 0.136036, 0.218615>, <-0.022256, 0.107861, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082861, 0.178428, 0.305059>, <0.111228, 0.153453, 0.268027>, <0.162721, 0.124245, 0.223320>, <0.177418, 0.095177, 0.181620>, 
      <0.082861, 0.178428, 0.305059>, <0.111228, 0.153453, 0.268027>, <0.132295, 0.140418, 0.222351>, <0.146991, 0.111349, 0.180652>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.111244, 0.164273, 0.214461>, <0.110380, 0.146900, 0.179487>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.076859, 0.166457, 0.213366>, <0.075996, 0.149084, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.075331, 0.026891, 0.000000>, <0.039148, 0.029188, 0.000000>, <-0.002684, -0.005825, 0.000000>, <-0.036119, -0.019847, 0.000000>, 
      <0.075531, 0.063549, 0.053518>, <0.039348, 0.065846, 0.053518>, <0.001475, 0.032487, 0.052580>, <-0.031960, 0.018465, 0.052580>, 
      <0.074562, 0.120232, 0.120311>, <0.042664, 0.122258, 0.119296>, <-0.013043, 0.086461, 0.124252>, <-0.042518, 0.074094, 0.123314>, 
      <0.075996, 0.149084, 0.178393>, <0.044098, 0.151110, 0.177377>, <0.007220, 0.120228, 0.176204>, <-0.022256, 0.107861, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.190377, -0.034227, 0.000000>, <0.155863, -0.015892, 0.000000>, <0.114334, 0.024414, 0.000000>, <0.075331, 0.026891, 0.000000>, 
      <0.186489, 0.004594, 0.054486>, <0.151975, 0.022930, 0.054486>, <0.114534, 0.061072, 0.053518>, <0.075531, 0.063549, 0.053518>, 
      <0.196031, 0.058362, 0.128808>, <0.165604, 0.074534, 0.127840>, <0.108947, 0.118048, 0.121405>, <0.074562, 0.120232, 0.120311>, 
      <0.177418, 0.095177, 0.181620>, <0.146991, 0.111349, 0.180652>, <0.110380, 0.146900, 0.179487>, <0.075996, 0.149084, 0.178393>
    }
  }
  texture {
    Pinkish
    scale 0.3
  }
}
#declare sPatchGroup3 = union {
  object { sPatchObj13 }
  object { sPatchObj14 }
  object { sPatchObj15 }
  object { sPatchObj16 }
  scale 15.0
  rotate 40.0*z
  translate  <13.0, -47.0, 6.5>
}
#declare PadBase3 = prism {
  linear_sweep
  quadratic_spline
  -0.1,0.0
  13  // control points
  <0.010421, -0.953107>,
  <0.7, -0.7>,
  <0.680427, -0.468>,
  <-0.006, -0.002876>,
  <0.77923, -0.184071>,
  <1.00521, 0.00521>,
  <0.7, 0.7>,
  <0.0, 1.0>,
  <-0.689579, 0.689579>,
  <-1.0, 0.0>,
  <-0.726052, -0.710421>,
  <0.010421, -0.953107>,
  <0.7, -0.7>
  rotate -x*90
}
#declare PadSubtract3 = prism {
  linear_sweep
  quadratic_spline
  -0.1,0.0
  13  // control points
  <0.005333, -0.94293>,
  <0.689824, -0.684735>,
  <0.630075, -0.452894>,
  <-0.000964, -0.007911>,
  <0.77923, -0.16393>,
  <0.989946, 0.000122>,
  <0.689824, 0.689824>,
  <0.0, 0.989824>,
  <-0.679403, 0.679403>,
  <-0.984735, 0.0>,
  <-0.705805, -0.705386>,
  <0.005333, -0.94293>,
  <0.689824, -0.684735>
  rotate -x*90
  translate  0.01*z
}
#declare LillyPad3 = difference {
  object { PadBase3 }
  object { PadSubtract3 }
  texture {
    LeafTexture
  }
  scale 8.0
  rotate -135.0*z
  translate  <15.5, -47.5, 5.5>
}
union { // Group4
  object { sPatchGroup3 }
  object { LillyPad3 }
  scale <1.0, 0.9, 1.0>
  rotate -155.0*z
  translate  <16.5, -35.5, 0.0>
}


#declare sPatchObj17 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.215516, -0.433003, -0.145776>, <0.199380, -0.363855, -0.103154>, <0.113010, -0.209593, -0.080900>, <0.113931, -0.222370, 0.000919>, 
      <0.220453, -0.454160, -0.158816>, <0.204317, -0.385011, -0.116195>, <0.117521, -0.220160, -0.079029>, <0.118441, -0.232937, 0.002790>, 
      <0.187675, -0.480555, -0.175232>, <0.172432, -0.406475, -0.121187>, <0.117745, -0.242674, -0.086319>, <0.124521, -0.246868, 0.006296>, 
      <0.179774, -0.504525, -0.172993>, <0.164531, -0.430446, -0.118949>, <0.122188, -0.253399, -0.085459>, <0.128964, -0.257593, 0.007156>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.193318, -0.500344, -0.139486>, <0.193915, -0.507363, -0.147823>, <0.176370, -0.514851, -0.172029>, <0.179774, -0.504525, -0.172993>, 
      <0.189799, -0.458904, -0.090263>, <0.190395, -0.465923, -0.098600>, <0.161127, -0.440771, -0.117984>, <0.164531, -0.430446, -0.118949>, 
      <0.154817, -0.344880, -0.052066>, <0.143523, -0.317299, -0.053254>, <0.133572, -0.280880, -0.083255>, <0.122188, -0.253399, -0.085459>, 
      <0.166608, -0.349528, 0.011115>, <0.155315, -0.321948, 0.009928>, <0.140349, -0.285074, 0.009360>, <0.128964, -0.257593, 0.007156>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.258768, -0.526144, 0.211193>, <0.245974, -0.474174, 0.145542>, <0.182108, -0.355638, 0.094163>, <0.166608, -0.349528, 0.011115>, 
      <0.261172, -0.535910, 0.223530>, <0.248378, -0.483940, 0.157879>, <0.170815, -0.328058, 0.092976>, <0.155315, -0.321948, 0.009928>, 
      <0.220653, -0.533001, 0.225615>, <0.196565, -0.453446, 0.158772>, <0.148125, -0.289886, 0.115630>, <0.140349, -0.285074, 0.009360>, 
      <0.209259, -0.522774, 0.229966>, <0.185171, -0.443220, 0.163123>, <0.136740, -0.262406, 0.113427>, <0.128964, -0.257593, 0.007156>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.219699, -0.491077, 0.226112>, <0.222165, -0.498847, 0.232037>, <0.202045, -0.516298, 0.232721>, <0.209259, -0.522774, 0.229966>, 
      <0.192818, -0.406369, 0.161526>, <0.195284, -0.414140, 0.167451>, <0.177956, -0.436744, 0.165878>, <0.185171, -0.443220, 0.163123>, 
      <0.115151, -0.239318, 0.109457>, <0.119661, -0.249886, 0.111328>, <0.132297, -0.251681, 0.112567>, <0.136740, -0.262406, 0.113427>, 
      <0.113931, -0.222370, 0.000919>, <0.118441, -0.232937, 0.002790>, <0.124521, -0.246868, 0.006296>, <0.128964, -0.257593, 0.007156>
    }
  }
  texture {
    Fin
    scale <0.3, 0.4, 0.4>
    rotate <20.0, -90.0, 0.0>
    translate <0.150000, -0.250000, 0.000000>
  }
}
#declare sPatchObj18 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.067614, 0.444472, 0.000000>, <-0.065255, 0.439610, 0.000000>, <-0.062023, 0.433169, 0.000000>, <-0.059750, 0.428266, 0.000000>, 
      <-0.152092, 0.419896, 0.002991>, <-0.149733, 0.415034, 0.002991>, <-0.148519, 0.395797, -0.004187>, <-0.146247, 0.390894, -0.004187>, 
      <-0.264731, 0.387127, 0.006979>, <-0.264389, 0.369470, -0.000199>, <-0.269413, 0.358443, -0.009771>, <-0.261574, 0.341066, -0.009771>, 
      <-0.349210, 0.362551, 0.009970>, <-0.348868, 0.344894, 0.002792>, <-0.355909, 0.321072, -0.013958>, <-0.348071, 0.303695, -0.013958>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.040528, 0.384467, 0.000000>, <-0.092009, 0.314693, 0.004786>, <-0.160651, 0.221662, 0.011166>, <-0.212133, 0.151888, 0.015952>, 
      <-0.044035, 0.388507, 0.000000>, <-0.095517, 0.318733, 0.004786>, <-0.174300, 0.232704, 0.002792>, <-0.225782, 0.162930, 0.007577>, 
      <-0.050068, 0.393035, 0.000000>, <-0.111691, 0.330264, -0.003589>, <-0.183059, 0.236980, -0.007463>, <-0.244682, 0.174208, -0.011052>, 
      <-0.052220, 0.397934, 0.000000>, <-0.113843, 0.335162, -0.003589>, <-0.196007, 0.251467, -0.008375>, <-0.257630, 0.188696, -0.011964>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.053775, 0.414623, 0.000000>, <-0.052564, 0.409743, 0.000000>, <-0.054242, 0.402538, 0.000000>, <-0.052220, 0.397934, 0.000000>, 
      <-0.126753, 0.364302, 0.002991>, <-0.125541, 0.359422, 0.002991>, <-0.115865, 0.339766, -0.003589>, <-0.113843, 0.335162, -0.003589>, 
      <-0.224056, 0.297207, 0.006979>, <-0.210404, 0.279848, 0.007280>, <-0.210708, 0.267917, -0.009411>, <-0.196007, 0.251467, -0.008375>, 
      <-0.297034, 0.246886, 0.009970>, <-0.283382, 0.229527, 0.010271>, <-0.272331, 0.205145, -0.013000>, <-0.257630, 0.188696, -0.011964>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.053775, 0.414623, 0.000000>, <-0.126753, 0.364302, 0.002991>, <-0.224056, 0.297207, 0.006979>, <-0.297034, 0.246886, 0.009970>, 
      <-0.054852, 0.418959, 0.000000>, <-0.127830, 0.368638, 0.002991>, <-0.238896, 0.316077, 0.006652>, <-0.311874, 0.265756, 0.009643>, 
      <-0.057871, 0.424212, 0.000000>, <-0.144367, 0.386841, -0.004187>, <-0.251702, 0.319181, -0.009771>, <-0.338198, 0.281810, -0.013958>, 
      <-0.059750, 0.428266, 0.000000>, <-0.146247, 0.390894, -0.004187>, <-0.261574, 0.341066, -0.009771>, <-0.348071, 0.303695, -0.013958>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.094538, 0.444472, 0.000000>, <0.092180, 0.439610, 0.000000>, <0.088948, 0.433169, 0.000000>, <0.086676, 0.428266, 0.000000>, 
      <0.179017, 0.419896, 0.002991>, <0.176658, 0.415034, 0.002991>, <0.175444, 0.395797, -0.004187>, <0.173172, 0.390894, -0.004187>, 
      <0.291656, 0.387127, 0.006979>, <0.291314, 0.369470, -0.000199>, <0.296338, 0.358443, -0.009771>, <0.288500, 0.341066, -0.009771>, 
      <0.376134, 0.362551, 0.009970>, <0.375793, 0.344894, 0.002792>, <0.382834, 0.321072, -0.013958>, <0.374995, 0.303695, -0.013958>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.067452, 0.384467, 0.000000>, <0.118934, 0.314693, 0.004786>, <0.187576, 0.221662, 0.011166>, <0.239058, 0.151888, 0.015952>, 
      <0.070960, 0.388507, 0.000000>, <0.122442, 0.318733, 0.004786>, <0.201225, 0.232704, 0.002792>, <0.252707, 0.162930, 0.007577>, 
      <0.076993, 0.393035, 0.000000>, <0.138616, 0.330264, -0.003589>, <0.209984, 0.236980, -0.007463>, <0.271607, 0.174208, -0.011052>, 
      <0.079145, 0.397934, 0.000000>, <0.140767, 0.335162, -0.003589>, <0.222932, 0.251467, -0.008375>, <0.284554, 0.188696, -0.011964>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080700, 0.414623, 0.000000>, <0.079489, 0.409743, 0.000000>, <0.081167, 0.402538, 0.000000>, <0.079145, 0.397934, 0.000000>, 
      <0.153678, 0.364302, 0.002991>, <0.152466, 0.359422, 0.002991>, <0.142790, 0.339766, -0.003589>, <0.140767, 0.335162, -0.003589>, 
      <0.250981, 0.297207, 0.006979>, <0.237329, 0.279848, 0.007280>, <0.237633, 0.267917, -0.009411>, <0.222932, 0.251467, -0.008375>, 
      <0.323958, 0.246886, 0.009970>, <0.310307, 0.229527, 0.010271>, <0.299256, 0.205145, -0.013000>, <0.284554, 0.188696, -0.011964>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080700, 0.414623, 0.000000>, <0.153678, 0.364302, 0.002991>, <0.250981, 0.297207, 0.006979>, <0.323958, 0.246886, 0.009970>, 
      <0.081777, 0.418959, 0.000000>, <0.154755, 0.368638, 0.002991>, <0.265821, 0.316077, 0.006652>, <0.338799, 0.265756, 0.009643>, 
      <0.084796, 0.424212, 0.000000>, <0.171292, 0.386841, -0.004187>, <0.278627, 0.319181, -0.009771>, <0.365123, 0.281810, -0.013958>, 
      <0.086676, 0.428266, 0.000000>, <0.173172, 0.390894, -0.004187>, <0.288500, 0.341066, -0.009771>, <0.374995, 0.303695, -0.013958>
    }
  }
  texture {
    Fin
    scale 0.3
    translate <0.000000, 0.450000, 0.000000>
  }
  scale 0.95
}
#declare sPatchObj19 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.004859, 0.188682, 0.079978>, <0.004859, 0.193874, 0.080768>, <0.004859, 0.200948, 0.081133>, <0.004859, 0.205986, 0.082612>, 
      <0.009110, 0.156351, 0.125782>, <0.009110, 0.161542, 0.126573>, <0.004252, 0.174202, 0.130902>, <0.004252, 0.179241, 0.132381>, 
      <0.014779, 0.113242, 0.186855>, <0.009920, 0.124019, 0.191609>, <0.003055, 0.132823, 0.191920>, <0.003442, 0.143580, 0.198739>, 
      <0.019030, 0.080910, 0.232659>, <0.014171, 0.091688, 0.237414>, <0.002447, 0.106077, 0.241689>, <0.002834, 0.116834, 0.248508>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.004859, 0.224577, 0.090513>, <0.009718, 0.198364, 0.143862>, <0.016196, 0.163413, 0.214994>, <0.021054, 0.137200, 0.268343>, 
      <0.003652, 0.219312, 0.087766>, <0.008511, 0.193099, 0.141115>, <0.015454, 0.154535, 0.210174>, <0.020313, 0.128322, 0.263523>, 
      <0.004859, 0.211801, 0.084319>, <0.004252, 0.185056, 0.134087>, <0.003749, 0.152132, 0.204160>, <0.003141, 0.125386, 0.253929>, 
      <0.004859, 0.205986, 0.082612>, <0.004252, 0.179241, 0.132381>, <0.003442, 0.143580, 0.198739>, <0.002834, 0.116834, 0.248508>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.012957, 0.241328, 0.101047>, <0.011135, 0.218534, 0.153186>, <0.008705, 0.188142, 0.222706>, <0.006883, 0.165348, 0.274845>, 
      <0.010958, 0.235816, 0.098447>, <0.009136, 0.213022, 0.150586>, <0.008705, 0.179885, 0.217705>, <0.006883, 0.157091, 0.269845>, 
      <0.006136, 0.230151, 0.093420>, <0.010995, 0.203937, 0.146769>, <0.016902, 0.171875, 0.219587>, <0.021760, 0.145661, 0.272936>, 
      <0.004859, 0.224577, 0.090513>, <0.009718, 0.198364, 0.143862>, <0.016196, 0.163413, 0.214994>, <0.021054, 0.137200, 0.268343>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017006, 0.258079, 0.106315>, <0.018220, 0.234193, 0.162419>, <0.019840, 0.202343, 0.237223>, <0.021054, 0.178456, 0.293327>, 
      <0.017006, 0.252936, 0.104650>, <0.018220, 0.229049, 0.160754>, <0.017534, 0.195640, 0.233477>, <0.018749, 0.171753, 0.289581>, 
      <0.014642, 0.245975, 0.103239>, <0.012819, 0.223181, 0.155378>, <0.008705, 0.195000, 0.226859>, <0.006883, 0.172206, 0.278998>, 
      <0.012957, 0.241328, 0.101047>, <0.011135, 0.218534, 0.153186>, <0.008705, 0.188142, 0.222706>, <0.006883, 0.165348, 0.274845>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.012957, 0.282009, 0.114216>, <0.014779, 0.257607, 0.168327>, <0.017208, 0.225071, 0.240474>, <0.019030, 0.200668, 0.294585>, 
      <0.014951, 0.274939, 0.112055>, <0.016773, 0.250537, 0.166165>, <0.017530, 0.218786, 0.238168>, <0.019351, 0.194384, 0.292279>, 
      <0.017006, 0.265364, 0.108673>, <0.018220, 0.241477, 0.164777>, <0.021767, 0.207946, 0.240355>, <0.022981, 0.184059, 0.296459>, 
      <0.017006, 0.258079, 0.106315>, <0.018220, 0.234193, 0.162419>, <0.019840, 0.202343, 0.237223>, <0.021054, 0.178456, 0.293327>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.004859, 0.301153, 0.119483>, <0.009110, 0.276216, 0.175993>, <0.014779, 0.242967, 0.251339>, <0.019030, 0.218030, 0.307848>, 
      <0.003580, 0.295174, 0.117486>, <0.007831, 0.270237, 0.173995>, <0.014779, 0.236793, 0.249138>, <0.019030, 0.211856, 0.305648>, 
      <0.011282, 0.287949, 0.116032>, <0.013104, 0.263547, 0.170143>, <0.016894, 0.231217, 0.242730>, <0.018716, 0.206815, 0.296840>, 
      <0.012957, 0.282009, 0.114216>, <0.014779, 0.257607, 0.168327>, <0.017208, 0.225071, 0.240474>, <0.019030, 0.200668, 0.294585>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.023079, 0.329315, 0.130018>, <0.021864, 0.302926, 0.183737>, <0.020245, 0.267739, 0.255363>, <0.019030, 0.241349, 0.309082>, 
      <0.023079, 0.319580, 0.125961>, <0.021864, 0.293190, 0.179680>, <0.022821, 0.261890, 0.252494>, <0.021606, 0.235500, 0.306214>, 
      <0.006957, 0.310957, 0.122758>, <0.011208, 0.286021, 0.179267>, <0.014779, 0.249566, 0.253690>, <0.019030, 0.224629, 0.310200>, 
      <0.004859, 0.301153, 0.119483>, <0.009110, 0.276216, 0.175993>, <0.014779, 0.242967, 0.251339>, <0.019030, 0.218030, 0.307848>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.004859, 0.358032, 0.143185>, <0.004859, 0.325684, 0.197317>, <0.004859, 0.282552, 0.269494>, <0.004859, 0.250203, 0.323626>, 
      <0.005618, 0.348063, 0.138743>, <0.005618, 0.315714, 0.192876>, <0.007729, 0.277253, 0.266693>, <0.007729, 0.244904, 0.320825>, 
      <0.023079, 0.339414, 0.134226>, <0.021864, 0.313025, 0.187946>, <0.017801, 0.273288, 0.258084>, <0.016586, 0.246898, 0.311803>, 
      <0.023079, 0.329315, 0.130018>, <0.021864, 0.302926, 0.183737>, <0.020245, 0.267739, 0.255363>, <0.019030, 0.241349, 0.309082>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.019030, 0.382515, 0.153720>, <0.014171, 0.349136, 0.205069>, <0.007693, 0.304631, 0.273535>, <0.002834, 0.271251, 0.324884>, 
      <0.018014, 0.373738, 0.151737>, <0.013155, 0.340359, 0.203086>, <0.005332, 0.299247, 0.271120>, <0.000473, 0.265868, 0.322469>, 
      <0.004231, 0.366285, 0.146862>, <0.004231, 0.333936, 0.200994>, <0.002114, 0.287619, 0.272172>, <0.002114, 0.255271, 0.326304>, 
      <0.004859, 0.358032, 0.143185>, <0.004859, 0.325684, 0.197317>, <0.004859, 0.282552, 0.269494>, <0.004859, 0.250203, 0.323626>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.012957, 0.427983, 0.158988>, <0.014779, 0.384344, 0.212728>, <0.017208, 0.326159, 0.284382>, <0.019030, 0.282520, 0.338123>, 
      <0.014779, 0.414343, 0.157408>, <0.016601, 0.370704, 0.211148>, <0.012349, 0.322779, 0.280411>, <0.014171, 0.279140, 0.334151>, 
      <0.020584, 0.395942, 0.156753>, <0.015726, 0.362562, 0.208102>, <0.010341, 0.310669, 0.276244>, <0.005482, 0.277290, 0.327593>, 
      <0.019030, 0.382515, 0.153720>, <0.014171, 0.349136, 0.205069>, <0.007693, 0.304631, 0.273535>, <0.002834, 0.271251, 0.324884>
    }
  }
  texture {
    Top_Fin
    scale 0.4
    rotate -90.0*z
    translate <0.000000, 0.000000, 0.200000>
  }
}
#declare sPatchObj20 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.126773, -0.256800, -0.039323>, <0.135622, -0.253886, -0.039323>, <0.132723, -0.206521, -0.041946>, <0.130521, -0.185898, -0.047368>, 
      <0.117923, -0.259715, -0.039323>, <0.126772, -0.256801, -0.039323>, <0.128558, -0.207892, -0.051257>, <0.126356, -0.187270, -0.056679>, 
      <0.092084, -0.219907, -0.041946>, <0.096249, -0.218535, -0.051256>, <0.106059, -0.193954, -0.070030>, <0.115834, -0.190735, -0.070030>, 
      <0.081597, -0.202010, -0.047368>, <0.085762, -0.200639, -0.056679>, <0.096284, -0.197173, -0.070030>, <0.106059, -0.193954, -0.070030>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.126773, -0.256800, -0.039323>, <0.135622, -0.253886, -0.039323>, <0.132723, -0.206521, -0.041946>, <0.130521, -0.185898, -0.047368>, 
      <0.126773, -0.256800, -0.039323>, <0.132921, -0.245692, -0.043327>, <0.128558, -0.207892, -0.051257>, <0.126356, -0.187270, -0.056679>, 
      <0.126773, -0.256800, -0.039323>, <0.132921, -0.245692, -0.043327>, <0.122063, -0.209643, -0.060940>, <0.115834, -0.190735, -0.070030>, 
      <0.126773, -0.256800, -0.039323>, <0.124072, -0.248606, -0.043327>, <0.112287, -0.212862, -0.060940>, <0.106059, -0.193954, -0.070030>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.126773, -0.256800, -0.039323>, <0.124072, -0.248606, -0.043327>, <0.112287, -0.212862, -0.060940>, <0.106059, -0.193954, -0.070030>, 
      <0.126773, -0.256800, -0.039323>, <0.115222, -0.251521, -0.043327>, <0.102512, -0.216082, -0.060940>, <0.096284, -0.197173, -0.070030>, 
      <0.126773, -0.256800, -0.039323>, <0.115222, -0.251521, -0.043327>, <0.096249, -0.218535, -0.051256>, <0.085762, -0.200639, -0.056679>, 
      <0.126773, -0.256800, -0.039323>, <0.117923, -0.259715, -0.039323>, <0.092084, -0.219907, -0.041946>, <0.081597, -0.202010, -0.047368>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.129894, -0.272568, 0.020946>, <0.141246, -0.268830, 0.020946>, <0.141590, -0.209973, 0.009286>, <0.140659, -0.182559, 0.007313>, 
      <0.129871, -0.272317, 0.012817>, <0.141223, -0.268579, 0.012817>, <0.141590, -0.209973, -0.007428>, <0.140659, -0.182559, -0.009401>, 
      <0.127180, -0.258856, -0.031465>, <0.136029, -0.255942, -0.031465>, <0.139487, -0.204293, -0.026826>, <0.137285, -0.183670, -0.032247>, 
      <0.126773, -0.256800, -0.039323>, <0.135622, -0.253886, -0.039323>, <0.132723, -0.206521, -0.041946>, <0.130521, -0.185898, -0.047368>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.129894, -0.272568, 0.020946>, <0.118736, -0.276243, 0.020946>, <0.086398, -0.227793, 0.009261>, <0.071460, -0.205348, 0.007313>, 
      <0.129871, -0.272317, 0.012817>, <0.118713, -0.275992, 0.012817>, <0.086398, -0.227793, -0.007453>, <0.071460, -0.205348, -0.009401>, 
      <0.127180, -0.258856, -0.031465>, <0.118330, -0.261771, -0.031465>, <0.085320, -0.222135, -0.026825>, <0.074833, -0.204238, -0.032247>, 
      <0.126773, -0.256800, -0.039323>, <0.117923, -0.259715, -0.039323>, <0.092084, -0.219907, -0.041946>, <0.081597, -0.202010, -0.047368>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.129894, -0.272568, 0.020946>, <0.141246, -0.268830, 0.020946>, <0.141590, -0.209973, 0.009286>, <0.140659, -0.182559, 0.007313>, 
      <0.129871, -0.272317, 0.012817>, <0.141223, -0.268579, 0.012817>, <0.141590, -0.209973, -0.007428>, <0.140659, -0.182559, -0.009401>, 
      <0.127180, -0.258856, -0.031465>, <0.136029, -0.255942, -0.031465>, <0.139487, -0.204293, -0.026826>, <0.137285, -0.183670, -0.032247>, 
      <0.126773, -0.256800, -0.039323>, <0.135622, -0.253886, -0.039323>, <0.132723, -0.206521, -0.041946>, <0.130521, -0.185898, -0.047368>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.129894, -0.272568, 0.020946>, <0.129871, -0.272317, 0.012817>, <0.127180, -0.258856, -0.031465>, <0.126773, -0.256800, -0.039323>, 
      <0.118736, -0.276243, 0.020946>, <0.118713, -0.275992, 0.012817>, <0.118330, -0.261771, -0.031465>, <0.117923, -0.259715, -0.039323>, 
      <0.086398, -0.227793, 0.009261>, <0.086398, -0.227793, -0.007453>, <0.085320, -0.222135, -0.026825>, <0.092084, -0.219907, -0.041946>, 
      <0.071460, -0.205348, 0.007313>, <0.071460, -0.205348, -0.009401>, <0.074833, -0.204238, -0.032247>, <0.081597, -0.202010, -0.047368>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127069, -0.260057, 0.066315>, <0.136278, -0.257024, 0.066315>, <0.132852, -0.207778, 0.058316>, <0.130521, -0.185898, 0.061995>, 
      <0.117922, -0.263070, 0.066315>, <0.127131, -0.260037, 0.066315>, <0.128687, -0.209150, 0.067627>, <0.126356, -0.187270, 0.071305>, 
      <0.092533, -0.220932, 0.058336>, <0.096698, -0.219561, 0.067647>, <0.106059, -0.193954, 0.084656>, <0.115834, -0.190735, 0.084656>, 
      <0.081597, -0.202010, 0.061995>, <0.085762, -0.200639, 0.071305>, <0.096284, -0.197173, 0.084656>, <0.106059, -0.193954, 0.084656>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127069, -0.260057, 0.066315>, <0.136278, -0.257024, 0.066315>, <0.132852, -0.207778, 0.058316>, <0.130521, -0.185898, 0.061995>, 
      <0.127437, -0.261688, 0.060400>, <0.136646, -0.258655, 0.060400>, <0.139617, -0.205551, 0.043195>, <0.137285, -0.183670, 0.046874>, 
      <0.129911, -0.272758, 0.027090>, <0.141263, -0.269019, 0.027090>, <0.141590, -0.209973, 0.026000>, <0.140659, -0.182559, 0.024027>, 
      <0.129894, -0.272568, 0.020946>, <0.141246, -0.268830, 0.020946>, <0.141590, -0.209973, 0.009286>, <0.140659, -0.182559, 0.007313>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127069, -0.260057, 0.066315>, <0.117922, -0.263070, 0.066315>, <0.092533, -0.220932, 0.058336>, <0.081597, -0.202010, 0.061995>, 
      <0.127437, -0.261688, 0.060400>, <0.118290, -0.264701, 0.060400>, <0.085768, -0.223160, 0.043216>, <0.074833, -0.204238, 0.046874>, 
      <0.129911, -0.272758, 0.027090>, <0.118753, -0.276432, 0.027090>, <0.086398, -0.227793, 0.025975>, <0.071460, -0.205348, 0.024027>, 
      <0.129894, -0.272568, 0.020946>, <0.118736, -0.276243, 0.020946>, <0.086398, -0.227793, 0.009261>, <0.071460, -0.205348, 0.007313>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127069, -0.260057, 0.066315>, <0.136278, -0.257024, 0.066315>, <0.132852, -0.207778, 0.058316>, <0.130521, -0.185898, 0.061995>, 
      <0.127437, -0.261688, 0.060400>, <0.136646, -0.258655, 0.060400>, <0.139617, -0.205551, 0.043195>, <0.137285, -0.183670, 0.046874>, 
      <0.129911, -0.272758, 0.027090>, <0.141263, -0.269019, 0.027090>, <0.141590, -0.209973, 0.026000>, <0.140659, -0.182559, 0.024027>, 
      <0.129894, -0.272568, 0.020946>, <0.141246, -0.268830, 0.020946>, <0.141590, -0.209973, 0.009286>, <0.140659, -0.182559, 0.007313>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127069, -0.260057, 0.066315>, <0.127437, -0.261688, 0.060400>, <0.129911, -0.272758, 0.027090>, <0.129894, -0.272568, 0.020946>, 
      <0.117922, -0.263070, 0.066315>, <0.118290, -0.264701, 0.060400>, <0.118753, -0.276432, 0.027090>, <0.118736, -0.276243, 0.020946>, 
      <0.092533, -0.220932, 0.058336>, <0.085768, -0.223160, 0.043216>, <0.086398, -0.227793, 0.025975>, <0.086398, -0.227793, 0.009261>, 
      <0.081597, -0.202010, 0.061995>, <0.074833, -0.204238, 0.046874>, <0.071460, -0.205348, 0.024027>, <0.071460, -0.205348, 0.007313>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127069, -0.260057, 0.066315>, <0.117922, -0.263070, 0.066315>, <0.092533, -0.220932, 0.058336>, <0.081597, -0.202010, 0.061995>, 
      <0.127069, -0.260057, 0.066315>, <0.115183, -0.254451, 0.068706>, <0.096698, -0.219561, 0.067647>, <0.085762, -0.200639, 0.071305>, 
      <0.127069, -0.260057, 0.066315>, <0.115183, -0.254451, 0.068706>, <0.102562, -0.216443, 0.077409>, <0.096284, -0.197173, 0.084656>, 
      <0.127069, -0.260057, 0.066315>, <0.124330, -0.251439, 0.068706>, <0.112337, -0.213224, 0.077409>, <0.106059, -0.193954, 0.084656>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127069, -0.260057, 0.066315>, <0.124330, -0.251439, 0.068706>, <0.112337, -0.213224, 0.077409>, <0.106059, -0.193954, 0.084656>, 
      <0.127069, -0.260057, 0.066315>, <0.133539, -0.248406, 0.068706>, <0.122112, -0.210005, 0.077409>, <0.115834, -0.190735, 0.084656>, 
      <0.127069, -0.260057, 0.066315>, <0.133539, -0.248406, 0.068706>, <0.128687, -0.209150, 0.067627>, <0.126356, -0.187270, 0.071305>, 
      <0.127069, -0.260057, 0.066315>, <0.136278, -0.257024, 0.066315>, <0.132852, -0.207778, 0.058316>, <0.130521, -0.185898, 0.061995>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.121419, -0.023135, 0.002993>, <0.126624, -0.071039, 0.003759>, <0.139027, -0.134519, 0.003855>, <0.140659, -0.182559, 0.007313>, 
      <0.121419, -0.023135, 0.034203>, <0.126624, -0.071039, 0.034970>, <0.139027, -0.134519, 0.020570>, <0.140659, -0.182559, 0.024027>, 
      <0.115120, -0.025210, 0.076865>, <0.123053, -0.072072, 0.063299>, <0.132120, -0.135194, 0.055024>, <0.137285, -0.183670, 0.046874>, 
      <0.102489, -0.029369, 0.105100>, <0.110422, -0.076232, 0.091534>, <0.125356, -0.137422, 0.070145>, <0.130521, -0.185898, 0.061995>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.102489, -0.029369, -0.099113>, <0.110472, -0.076524, -0.083965>, <0.125368, -0.137635, -0.060056>, <0.130521, -0.185898, -0.047368>, 
      <0.115120, -0.025210, -0.070878>, <0.123103, -0.072365, -0.055730>, <0.132132, -0.135408, -0.044935>, <0.137285, -0.183670, -0.032247>, 
      <0.121419, -0.023135, -0.028217>, <0.126624, -0.071039, -0.027451>, <0.139027, -0.134519, -0.012859>, <0.140659, -0.182559, -0.009401>, 
      <0.121419, -0.023135, 0.002993>, <0.126624, -0.071039, 0.003759>, <0.139027, -0.134519, 0.003855>, <0.140659, -0.182559, 0.007313>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.056811, -0.044411, -0.141429>, <0.071049, -0.090062, -0.121353>, <0.091299, -0.149145, -0.091572>, <0.106059, -0.193954, -0.070030>, 
      <0.075064, -0.038400, -0.141429>, <0.089302, -0.084051, -0.121353>, <0.101074, -0.145926, -0.091572>, <0.115834, -0.190735, -0.070030>, 
      <0.094711, -0.031930, -0.116499>, <0.102694, -0.079086, -0.101350>, <0.121203, -0.139007, -0.069366>, <0.126356, -0.187270, -0.056679>, 
      <0.102489, -0.029369, -0.099113>, <0.110472, -0.076524, -0.083965>, <0.125368, -0.137635, -0.060056>, <0.130521, -0.185898, -0.047368>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011134, -0.059454, -0.099113>, <0.030926, -0.103486, -0.085466>, <0.057058, -0.160133, -0.060056>, <0.081597, -0.202010, -0.047368>, 
      <0.018911, -0.056893, -0.116498>, <0.038704, -0.100925, -0.102851>, <0.061223, -0.158761, -0.069366>, <0.085762, -0.200639, -0.056679>, 
      <0.038558, -0.050422, -0.141429>, <0.052797, -0.096073, -0.121353>, <0.081523, -0.152364, -0.091572>, <0.096284, -0.197173, -0.070030>, 
      <0.056811, -0.044411, -0.141429>, <0.071049, -0.090062, -0.121353>, <0.091299, -0.149145, -0.091572>, <0.106059, -0.193954, -0.070030>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.007797, -0.065688, 0.002993>, <0.013929, -0.108700, 0.003647>, <0.044828, -0.165334, 0.003841>, <0.071460, -0.205348, 0.007313>, 
      <-0.007797, -0.065688, -0.028217>, <0.013929, -0.108700, -0.027563>, <0.044828, -0.165334, -0.012873>, <0.071460, -0.205348, -0.009401>, 
      <-0.001497, -0.063614, -0.070878>, <0.018295, -0.107646, -0.057231>, <0.050294, -0.162360, -0.044935>, <0.074833, -0.204238, -0.032247>, 
      <0.011134, -0.059454, -0.099113>, <0.030926, -0.103486, -0.085466>, <0.057058, -0.160133, -0.060056>, <0.081597, -0.202010, -0.047368>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011134, -0.059454, 0.105100>, <0.030771, -0.103141, 0.092898>, <0.057204, -0.159803, 0.070155>, <0.081597, -0.202010, 0.061995>, 
      <-0.001497, -0.063614, 0.076865>, <0.018140, -0.107301, 0.064663>, <0.050440, -0.162030, 0.055035>, <0.074833, -0.204238, 0.046874>, 
      <-0.007797, -0.065688, 0.034203>, <0.013929, -0.108700, 0.034857>, <0.044828, -0.165334, 0.020555>, <0.071460, -0.205348, 0.024027>, 
      <-0.007797, -0.065688, 0.002993>, <0.013929, -0.108700, 0.003647>, <0.044828, -0.165334, 0.003841>, <0.071460, -0.205348, 0.007313>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.056811, -0.044411, 0.147416>, <0.070916, -0.089634, 0.128938>, <0.091227, -0.148431, 0.101777>, <0.106059, -0.193954, 0.084656>, 
      <0.038558, -0.050422, 0.147416>, <0.052663, -0.095645, 0.128938>, <0.081452, -0.151650, 0.101777>, <0.096284, -0.197173, 0.084656>, 
      <0.018911, -0.056893, 0.122485>, <0.038548, -0.100580, 0.110283>, <0.061369, -0.158431, 0.079466>, <0.085762, -0.200639, 0.071305>, 
      <0.011134, -0.059454, 0.105100>, <0.030771, -0.103141, 0.092898>, <0.057204, -0.159803, 0.070155>, <0.081597, -0.202010, 0.061995>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.056811, -0.044411, 0.147416>, <0.075064, -0.038400, 0.147416>, <0.094712, -0.031930, 0.122486>, <0.102489, -0.029369, 0.105100>, 
      <0.070916, -0.089634, 0.128938>, <0.089169, -0.083623, 0.128938>, <0.102645, -0.078793, 0.108919>, <0.110422, -0.076232, 0.091534>, 
      <0.091227, -0.148431, 0.101777>, <0.101002, -0.145212, 0.101777>, <0.121191, -0.138793, 0.079456>, <0.125356, -0.137422, 0.070145>, 
      <0.106059, -0.193954, 0.084656>, <0.115834, -0.190735, 0.084656>, <0.126356, -0.187270, 0.071305>, <0.130521, -0.185898, 0.061995>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.111319, 0.087492, 0.002993>, <0.114055, 0.054279, 0.002993>, <0.117820, 0.009992, 0.002463>, <0.121419, -0.023135, 0.002993>, 
      <0.111319, 0.087492, 0.045105>, <0.114055, 0.054279, 0.045105>, <0.117820, 0.009992, 0.033673>, <0.121419, -0.023135, 0.034203>, 
      <0.102380, 0.087066, 0.102669>, <0.106434, 0.051043, 0.097017>, <0.109232, 0.009575, 0.086934>, <0.115120, -0.025210, 0.076865>, 
      <0.084457, 0.086210, 0.140767>, <0.088511, 0.050187, 0.135115>, <0.096600, 0.005415, 0.115170>, <0.102489, -0.029369, 0.105100>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.084457, 0.086210, -0.134780>, <0.088511, 0.050187, -0.129128>, <0.096651, 0.005116, -0.110191>, <0.102489, -0.029369, -0.099113>, 
      <0.102380, 0.087066, -0.096682>, <0.106434, 0.051043, -0.091031>, <0.109282, 0.009276, -0.081956>, <0.115120, -0.025210, -0.070878>, 
      <0.111319, 0.087492, -0.039119>, <0.114055, 0.054279, -0.039119>, <0.117820, 0.009992, -0.028747>, <0.121419, -0.023135, -0.028217>, 
      <0.111319, 0.087492, 0.002993>, <0.114055, 0.054279, 0.002993>, <0.117820, 0.009992, 0.002463>, <0.121419, -0.023135, 0.002993>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.019641, 0.083114, -0.191878>, <0.026865, 0.041924, -0.183620>, <0.045108, -0.006890, -0.157930>, <0.056811, -0.044411, -0.141429>, 
      <0.045542, 0.084351, -0.191878>, <0.052766, 0.043161, -0.183620>, <0.063361, -0.000879, -0.157930>, <0.075064, -0.038400, -0.141429>, 
      <0.073421, 0.085683, -0.158239>, <0.077474, 0.049660, -0.152587>, <0.088874, 0.002555, -0.127577>, <0.094711, -0.031930, -0.116499>, 
      <0.084457, 0.086210, -0.134780>, <0.088511, 0.050187, -0.129128>, <0.096651, 0.005116, -0.110191>, <0.102489, -0.029369, -0.099113>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.045174, 0.080019, -0.134780>, <-0.034983, 0.035152, -0.128980>, <-0.007162, -0.018751, -0.111728>, <0.011134, -0.059454, -0.099113>, 
      <-0.034138, 0.080546, -0.158238>, <-0.023946, 0.035679, -0.152439>, <0.000616, -0.016190, -0.129114>, <0.018911, -0.056893, -0.116498>, 
      <-0.006260, 0.081877, -0.191878>, <0.000964, 0.040687, -0.183620>, <0.026855, -0.012901, -0.157930>, <0.038558, -0.050422, -0.141429>, 
      <0.019641, 0.083114, -0.191878>, <0.026865, 0.041924, -0.183620>, <0.045108, -0.006890, -0.157930>, <0.056811, -0.044411, -0.141429>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.072036, 0.078736, 0.002993>, <-0.060707, 0.032689, 0.002993>, <-0.029175, -0.023365, 0.002349>, <-0.007797, -0.065688, 0.002993>, 
      <-0.072036, 0.078736, -0.039119>, <-0.060707, 0.032689, -0.039119>, <-0.029175, -0.023365, -0.028861>, <-0.007797, -0.065688, -0.028217>, 
      <-0.063097, 0.079163, -0.096682>, <-0.052906, 0.034296, -0.090883>, <-0.019793, -0.022911, -0.083493>, <-0.001497, -0.063614, -0.070878>, 
      <-0.045174, 0.080019, -0.134780>, <-0.034983, 0.035152, -0.128980>, <-0.007162, -0.018751, -0.111728>, <0.011134, -0.059454, -0.099113>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.045174, 0.080019, 0.140767>, <-0.034983, 0.035152, 0.134967>, <-0.007290, -0.018465, 0.116548>, <0.011134, -0.059454, 0.105100>, 
      <-0.063097, 0.079163, 0.102669>, <-0.052906, 0.034296, 0.096869>, <-0.019922, -0.022625, 0.088313>, <-0.001497, -0.063614, 0.076865>, 
      <-0.072036, 0.078736, 0.045105>, <-0.060707, 0.032689, 0.045105>, <-0.029175, -0.023365, 0.033560>, <-0.007797, -0.065688, 0.034203>, 
      <-0.072036, 0.078736, 0.002993>, <-0.060707, 0.032689, 0.002993>, <-0.029175, -0.023365, 0.002349>, <-0.007797, -0.065688, 0.002993>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.019641, 0.083114, 0.197864>, <0.026865, 0.041924, 0.189606>, <0.044986, -0.006500, 0.162906>, <0.056811, -0.044411, 0.147416>, 
      <-0.006259, 0.081877, 0.197864>, <0.000964, 0.040687, 0.189606>, <0.026734, -0.012511, 0.162906>, <0.038558, -0.050422, 0.147416>, 
      <-0.034138, 0.080546, 0.164225>, <-0.023947, 0.035679, 0.158426>, <0.000487, -0.015904, 0.133934>, <0.018911, -0.056893, 0.122485>, 
      <-0.045174, 0.080019, 0.140767>, <-0.034983, 0.035152, 0.134967>, <-0.007290, -0.018465, 0.116548>, <0.011134, -0.059454, 0.105100>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.019641, 0.083114, 0.197864>, <0.045542, 0.084351, 0.197864>, <0.073421, 0.085683, 0.164225>, <0.084457, 0.086210, 0.140767>, 
      <0.026865, 0.041924, 0.189606>, <0.052765, 0.043161, 0.189606>, <0.077475, 0.049660, 0.158574>, <0.088511, 0.050187, 0.135115>, 
      <0.044986, -0.006500, 0.162906>, <0.063239, -0.000489, 0.162906>, <0.088823, 0.002854, 0.132555>, <0.096600, 0.005415, 0.115170>, 
      <0.056811, -0.044411, 0.147416>, <0.075064, -0.038400, 0.147416>, <0.094712, -0.031930, 0.122486>, <0.102489, -0.029369, 0.105100>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.103525, 0.194126, 0.002993>, <0.104108, 0.162056, 0.002993>, <0.108686, 0.119460, 0.002993>, <0.111319, 0.087492, 0.002993>, 
      <0.103525, 0.194126, 0.045105>, <0.104108, 0.162056, 0.045105>, <0.108686, 0.119460, 0.045105>, <0.111319, 0.087492, 0.045105>, 
      <0.094668, 0.195403, 0.102669>, <0.094947, 0.161842, 0.104319>, <0.098668, 0.120059, 0.107845>, <0.102380, 0.087066, 0.102669>, 
      <0.076908, 0.197963, 0.140767>, <0.077187, 0.164403, 0.142417>, <0.080744, 0.119203, 0.145943>, <0.084457, 0.086210, 0.140767>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.076908, 0.197963, -0.134780>, <0.077187, 0.164403, -0.136430>, <0.080744, 0.119203, -0.139956>, <0.084457, 0.086210, -0.134780>, 
      <0.094668, 0.195403, -0.096682>, <0.094947, 0.161842, -0.098332>, <0.098668, 0.120059, -0.101859>, <0.102380, 0.087066, -0.096682>, 
      <0.103525, 0.194126, -0.039119>, <0.104108, 0.162056, -0.039119>, <0.108686, 0.119460, -0.039119>, <0.111319, 0.087492, -0.039119>, 
      <0.103525, 0.194126, 0.002993>, <0.104108, 0.162056, 0.002993>, <0.108686, 0.119460, 0.002993>, <0.111319, 0.087492, 0.002993>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.012682, 0.207221, -0.191878>, <0.012137, 0.170020, -0.194400>, <0.013322, 0.119149, -0.199102>, <0.019641, 0.083114, -0.191878>, 
      <0.038347, 0.203521, -0.191878>, <0.037802, 0.166320, -0.194400>, <0.039222, 0.120385, -0.199102>, <0.045542, 0.084351, -0.191878>, 
      <0.065972, 0.199539, -0.158239>, <0.066251, 0.165979, -0.159888>, <0.069708, 0.118676, -0.163415>, <0.073421, 0.085683, -0.158239>, 
      <0.076908, 0.197963, -0.134780>, <0.077187, 0.164403, -0.136430>, <0.080744, 0.119203, -0.139956>, <0.084457, 0.086210, -0.134780>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.051543, 0.216479, -0.134780>, <-0.053035, 0.175568, -0.136693>, <-0.054180, 0.119670, -0.139905>, <-0.045174, 0.080019, -0.134780>, 
      <-0.040608, 0.214903, -0.158238>, <-0.042099, 0.173992, -0.160152>, <-0.043145, 0.120197, -0.163364>, <-0.034138, 0.080546, -0.158238>, 
      <-0.012983, 0.210921, -0.191878>, <-0.013527, 0.173720, -0.194400>, <-0.012579, 0.117912, -0.199102>, <-0.006260, 0.081877, -0.191878>, 
      <0.012682, 0.207221, -0.191878>, <0.012137, 0.170020, -0.194400>, <0.013322, 0.119149, -0.199102>, <0.019641, 0.083114, -0.191878>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.078160, 0.220315, 0.002993>, <-0.080080, 0.177845, 0.002993>, <-0.082192, 0.120019, 0.002993>, <-0.072036, 0.078736, 0.002993>, 
      <-0.078160, 0.220315, -0.039119>, <-0.080080, 0.177845, -0.039119>, <-0.082192, 0.120019, -0.039119>, <-0.072036, 0.078736, -0.039119>, 
      <-0.069303, 0.219039, -0.096682>, <-0.070795, 0.178128, -0.098595>, <-0.072104, 0.118814, -0.101807>, <-0.063097, 0.079163, -0.096682>, 
      <-0.051543, 0.216479, -0.134780>, <-0.053035, 0.175568, -0.136693>, <-0.054180, 0.119670, -0.139905>, <-0.045174, 0.080019, -0.134780>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.051543, 0.216479, 0.140767>, <-0.053035, 0.175568, 0.142680>, <-0.054180, 0.119670, 0.145892>, <-0.045174, 0.080019, 0.140767>, 
      <-0.069303, 0.219039, 0.102669>, <-0.070795, 0.178128, 0.104582>, <-0.072104, 0.118814, 0.107794>, <-0.063097, 0.079163, 0.102669>, 
      <-0.078160, 0.220315, 0.045105>, <-0.080080, 0.177845, 0.045105>, <-0.082192, 0.120019, 0.045105>, <-0.072036, 0.078736, 0.045105>, 
      <-0.078160, 0.220315, 0.002993>, <-0.080080, 0.177845, 0.002993>, <-0.082192, 0.120019, 0.002993>, <-0.072036, 0.078736, 0.002993>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.012682, 0.207221, 0.197864>, <0.012137, 0.170020, 0.200386>, <0.013322, 0.119149, 0.205088>, <0.019641, 0.083114, 0.197864>, 
      <-0.012983, 0.210921, 0.197864>, <-0.013527, 0.173719, 0.200386>, <-0.012579, 0.117912, 0.205088>, <-0.006259, 0.081877, 0.197864>, 
      <-0.040608, 0.214903, 0.164225>, <-0.042100, 0.173992, 0.166139>, <-0.043145, 0.120197, 0.169350>, <-0.034138, 0.080546, 0.164225>, 
      <-0.051543, 0.216479, 0.140767>, <-0.053035, 0.175568, 0.142680>, <-0.054180, 0.119670, 0.145892>, <-0.045174, 0.080019, 0.140767>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.012682, 0.207221, 0.197864>, <0.038346, 0.203521, 0.197864>, <0.065972, 0.199539, 0.164225>, <0.076908, 0.197963, 0.140767>, 
      <0.012137, 0.170020, 0.200386>, <0.037802, 0.166320, 0.200386>, <0.066251, 0.165979, 0.165875>, <0.077187, 0.164403, 0.142417>, 
      <0.013322, 0.119149, 0.205088>, <0.039222, 0.120386, 0.205088>, <0.069708, 0.118676, 0.169402>, <0.080744, 0.119203, 0.145943>, 
      <0.019641, 0.083114, 0.197864>, <0.045542, 0.084351, 0.197864>, <0.073421, 0.085683, 0.164225>, <0.084457, 0.086210, 0.140767>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.041779, 0.626189, 0.002305>, <0.041779, 0.636814, 0.002821>, <0.035687, 0.670297, 0.004705>, <0.041779, 0.661604, 0.004024>, 
      <0.041779, 0.623660, 0.020631>, <0.041779, 0.634284, 0.021147>, <0.035687, 0.667768, 0.023031>, <0.041779, 0.659075, 0.022350>, 
      <0.039147, 0.665250, 0.021183>, <0.039147, 0.675874, 0.021698>, <0.033664, 0.694734, 0.015979>, <0.039147, 0.700665, 0.022901>, 
      <0.034340, 0.681840, 0.027808>, <0.034340, 0.692465, 0.028323>, <0.028857, 0.711324, 0.022604>, <0.034340, 0.717255, 0.029526>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034340, 0.687836, -0.015632>, <0.034340, 0.698460, -0.015116>, <0.029236, 0.716024, -0.008006>, <0.034340, 0.723249, -0.013912>, 
      <0.039410, 0.669940, -0.010155>, <0.039410, 0.680564, -0.009639>, <0.034306, 0.698129, -0.002529>, <0.039410, 0.705354, -0.008436>, 
      <0.041779, 0.628840, -0.016903>, <0.041779, 0.639465, -0.016387>, <0.035687, 0.672948, -0.014502>, <0.041779, 0.664254, -0.015183>, 
      <0.041779, 0.626189, 0.002305>, <0.041779, 0.636814, 0.002821>, <0.035687, 0.670297, 0.004705>, <0.041779, 0.661604, 0.004024>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.016389, 0.715810, -0.025121>, <0.016389, 0.726434, -0.024605>, <0.016389, 0.741970, -0.018156>, <0.016389, 0.751223, -0.023402>, 
      <0.026743, 0.716387, -0.025121>, <0.026743, 0.727011, -0.024605>, <0.026743, 0.742547, -0.018156>, <0.026743, 0.751799, -0.023402>, 
      <0.031628, 0.697407, -0.018561>, <0.031628, 0.708031, -0.018045>, <0.026524, 0.725595, -0.010935>, <0.031628, 0.732820, -0.016841>, 
      <0.034340, 0.687836, -0.015632>, <0.034340, 0.698460, -0.015116>, <0.029236, 0.716024, -0.008006>, <0.034340, 0.723249, -0.013912>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.001561, 0.685837, -0.015632>, <-0.001561, 0.696461, -0.015116>, <0.003730, 0.714349, -0.007789>, <-0.001561, 0.721251, -0.013912>, 
      <0.001278, 0.695861, -0.018700>, <0.001278, 0.706485, -0.018184>, <0.006570, 0.724373, -0.010856>, <0.001278, 0.731275, -0.016980>, 
      <0.005545, 0.715206, -0.025121>, <0.005545, 0.725830, -0.024605>, <0.005545, 0.741367, -0.018156>, <0.005545, 0.750620, -0.023402>, 
      <0.016389, 0.715810, -0.025121>, <0.016389, 0.726434, -0.024605>, <0.016389, 0.741970, -0.018156>, <0.016389, 0.751223, -0.023402>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.009000, 0.626189, 0.002305>, <-0.009000, 0.636814, 0.002821>, <-0.002908, 0.670297, 0.004705>, <-0.009000, 0.661604, 0.004024>, 
      <-0.009000, 0.627913, -0.016435>, <-0.009000, 0.638538, -0.015919>, <-0.002908, 0.672021, -0.014034>, <-0.009000, 0.663328, -0.014715>, 
      <-0.006482, 0.668468, -0.010317>, <-0.006482, 0.679092, -0.009801>, <-0.001190, 0.696980, -0.002473>, <-0.006482, 0.703882, -0.008597>, 
      <-0.001561, 0.685837, -0.015632>, <-0.001561, 0.696461, -0.015116>, <0.003730, 0.714349, -0.007789>, <-0.001561, 0.721251, -0.013912>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.001561, 0.681840, 0.027808>, <-0.001561, 0.692465, 0.028323>, <0.003921, 0.711324, 0.022604>, <-0.001561, 0.717255, 0.029526>, 
      <-0.006368, 0.665250, 0.021183>, <-0.006368, 0.675874, 0.021698>, <-0.000886, 0.694734, 0.015979>, <-0.006369, 0.700665, 0.022901>, 
      <-0.009000, 0.624494, 0.020727>, <-0.009000, 0.635119, 0.021243>, <-0.002908, 0.668602, 0.023127>, <-0.009000, 0.659909, 0.022446>, 
      <-0.009000, 0.626189, 0.002305>, <-0.009000, 0.636814, 0.002821>, <-0.002908, 0.670297, 0.004705>, <-0.009000, 0.661604, 0.004024>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.016389, 0.713812, 0.037297>, <0.016389, 0.724436, 0.037813>, <0.016389, 0.740209, 0.033374>, <0.016389, 0.749225, 0.039016>, 
      <0.005026, 0.713812, 0.037297>, <0.005026, 0.724436, 0.037813>, <0.005027, 0.740209, 0.033374>, <0.005027, 0.749225, 0.039016>, 
      <0.001391, 0.692029, 0.031877>, <0.001391, 0.702654, 0.032392>, <0.006874, 0.721513, 0.026673>, <0.001391, 0.727444, 0.033595>, 
      <-0.001561, 0.681840, 0.027808>, <-0.001561, 0.692465, 0.028323>, <0.003921, 0.711324, 0.022604>, <-0.001561, 0.717255, 0.029526>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.016389, 0.713812, 0.037297>, <0.027751, 0.713812, 0.037297>, <0.031387, 0.692030, 0.031877>, <0.034340, 0.681840, 0.027808>, 
      <0.016389, 0.724436, 0.037813>, <0.027751, 0.724436, 0.037813>, <0.031387, 0.702654, 0.032393>, <0.034340, 0.692465, 0.028323>, 
      <0.016389, 0.740209, 0.033374>, <0.027751, 0.740209, 0.033374>, <0.025905, 0.721514, 0.026673>, <0.028857, 0.711324, 0.022604>, 
      <0.016389, 0.749225, 0.039016>, <0.027751, 0.749225, 0.039016>, <0.031387, 0.727444, 0.033595>, <0.034340, 0.717255, 0.029526>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.051004, 0.613025, 0.001274>, <0.051004, 0.609577, 0.026259>, <0.047416, 0.666277, 0.027009>, <0.040862, 0.688895, 0.036042>, 
      <0.048764, 0.627710, 0.001516>, <0.048764, 0.624262, 0.026501>, <0.046629, 0.674661, 0.023988>, <0.040075, 0.697279, 0.033021>, 
      <0.050288, 0.649462, 0.003073>, <0.050288, 0.646933, 0.021399>, <0.043758, 0.705653, 0.028722>, <0.038951, 0.722243, 0.035348>, 
      <0.041779, 0.661604, 0.004024>, <0.041779, 0.659075, 0.022350>, <0.039147, 0.700665, 0.022901>, <0.034340, 0.717255, 0.029526>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.040862, 0.697068, -0.023179>, <0.047774, 0.672670, -0.015713>, <0.051004, 0.616639, -0.024912>, <0.051004, 0.613025, 0.001274>, 
      <0.040190, 0.704830, -0.019637>, <0.047102, 0.680433, -0.012171>, <0.048764, 0.631324, -0.024670>, <0.048764, 0.627710, 0.001516>, 
      <0.038447, 0.729062, -0.018664>, <0.043517, 0.711167, -0.013188>, <0.050288, 0.652112, -0.016134>, <0.050288, 0.649462, 0.003073>, 
      <0.034340, 0.723249, -0.013912>, <0.039410, 0.705354, -0.008436>, <0.041779, 0.664254, -0.015183>, <0.041779, 0.661604, 0.004024>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.016389, 0.735205, -0.036117>, <0.030504, 0.735991, -0.036117>, <0.037165, 0.710116, -0.027172>, <0.040862, 0.697068, -0.023179>, 
      <0.016389, 0.740797, -0.033593>, <0.030504, 0.741583, -0.033593>, <0.036493, 0.717878, -0.023631>, <0.040190, 0.704830, -0.019637>, 
      <0.016389, 0.756560, -0.026428>, <0.026743, 0.757136, -0.026428>, <0.035735, 0.738634, -0.021593>, <0.038447, 0.729062, -0.018664>, 
      <0.016389, 0.751223, -0.023402>, <0.026743, 0.751799, -0.023402>, <0.031628, 0.732820, -0.016841>, <0.034340, 0.723249, -0.013912>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.008083, 0.694344, -0.023179>, <-0.004212, 0.708010, -0.027361>, <0.001605, 0.734382, -0.036117>, <0.016389, 0.735205, -0.036117>, 
      <-0.007381, 0.702251, -0.019477>, <-0.003509, 0.715916, -0.023659>, <0.001605, 0.739975, -0.033593>, <0.016389, 0.740797, -0.033593>, 
      <-0.005919, 0.726935, -0.018954>, <-0.003079, 0.736959, -0.022022>, <0.005545, 0.755957, -0.026428>, <0.016389, 0.756560, -0.026428>, 
      <-0.001561, 0.721251, -0.013912>, <0.001278, 0.731275, -0.016980>, <0.005545, 0.750620, -0.023402>, <0.016389, 0.751223, -0.023402>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.018225, 0.613025, 0.001274>, <-0.018225, 0.615376, -0.024274>, <-0.014792, 0.670665, -0.015932>, <-0.008083, 0.694344, -0.023179>, 
      <-0.015986, 0.627710, 0.001516>, <-0.015986, 0.630061, -0.024032>, <-0.014089, 0.678571, -0.012230>, <-0.007381, 0.702251, -0.019477>, 
      <-0.017509, 0.649462, 0.003073>, <-0.017509, 0.651186, -0.015666>, <-0.010839, 0.709566, -0.013639>, <-0.005919, 0.726935, -0.018954>, 
      <-0.009000, 0.661604, 0.004024>, <-0.009000, 0.663328, -0.014715>, <-0.006482, 0.703882, -0.008597>, <-0.001561, 0.721251, -0.013912>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.008083, 0.688895, 0.036042>, <-0.014637, 0.666277, 0.027009>, <-0.018225, 0.610714, 0.026389>, <-0.018225, 0.613025, 0.001274>, 
      <-0.007297, 0.697279, 0.033021>, <-0.013851, 0.674661, 0.023988>, <-0.015986, 0.625399, 0.026631>, <-0.015986, 0.627710, 0.001516>, 
      <-0.006173, 0.722243, 0.035348>, <-0.010980, 0.705653, 0.028722>, <-0.017509, 0.647767, 0.021495>, <-0.017509, 0.649462, 0.003073>, 
      <-0.001561, 0.717255, 0.029526>, <-0.006369, 0.700665, 0.022901>, <-0.009000, 0.659909, 0.022446>, <-0.009000, 0.661604, 0.004024>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.016389, 0.732481, 0.048980>, <0.000899, 0.732481, 0.048980>, <-0.004058, 0.702786, 0.041590>, <-0.008083, 0.688895, 0.036042>, 
      <0.016389, 0.737968, 0.046965>, <0.000899, 0.737968, 0.046965>, <-0.003272, 0.711170, 0.038569>, <-0.007297, 0.697279, 0.033021>, 
      <0.016389, 0.754180, 0.042117>, <0.005027, 0.754180, 0.042117>, <-0.003220, 0.732432, 0.039417>, <-0.006173, 0.722243, 0.035348>, 
      <0.016389, 0.749225, 0.039016>, <0.005027, 0.749225, 0.039016>, <0.001391, 0.727444, 0.033595>, <-0.001561, 0.717255, 0.029526>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.016389, 0.732481, 0.048980>, <0.016389, 0.737968, 0.046965>, <0.016389, 0.754180, 0.042117>, <0.016389, 0.749225, 0.039016>, 
      <0.031879, 0.732481, 0.048980>, <0.031879, 0.737968, 0.046965>, <0.027751, 0.754180, 0.042117>, <0.027751, 0.749225, 0.039016>, 
      <0.036836, 0.702786, 0.041590>, <0.036050, 0.711170, 0.038569>, <0.035998, 0.732432, 0.039417>, <0.031387, 0.727444, 0.033595>, 
      <0.040862, 0.688895, 0.036042>, <0.040075, 0.697279, 0.033021>, <0.038951, 0.722243, 0.035348>, <0.034340, 0.717255, 0.029526>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.051310, 0.599100, 0.002993>, <0.051310, 0.599100, 0.024200>, <0.048945, 0.634977, 0.038709>, <0.041078, 0.645410, 0.055412>, 
      <0.050217, 0.603165, 0.002925>, <0.050217, 0.603165, 0.024132>, <0.046090, 0.648355, 0.034606>, <0.038223, 0.658788, 0.051309>, 
      <0.051638, 0.608864, 0.001205>, <0.051638, 0.605415, 0.026190>, <0.048671, 0.652893, 0.031832>, <0.042117, 0.675511, 0.040864>, 
      <0.051004, 0.613025, 0.001274>, <0.051004, 0.609577, 0.026259>, <0.047416, 0.666277, 0.027009>, <0.040862, 0.688895, 0.036042>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.041078, 0.645410, -0.049426>, <0.048945, 0.634977, -0.032723>, <0.051310, 0.599100, -0.018214>, <0.051310, 0.599100, 0.002993>, 
      <0.039571, 0.661857, -0.044005>, <0.047439, 0.651425, -0.027302>, <0.050217, 0.603165, -0.018282>, <0.050217, 0.603165, 0.002925>, 
      <0.042227, 0.681302, -0.030372>, <0.049139, 0.656904, -0.022906>, <0.051638, 0.612477, -0.024981>, <0.051638, 0.608864, 0.001205>, 
      <0.040862, 0.697068, -0.023179>, <0.047774, 0.672670, -0.015713>, <0.051004, 0.616639, -0.024912>, <0.051004, 0.613025, 0.001274>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.016389, 0.645410, -0.071150>, <0.026255, 0.645410, -0.071150>, <0.037418, 0.650264, -0.057197>, <0.041078, 0.645410, -0.049426>, 
      <0.016389, 0.672446, -0.060893>, <0.026255, 0.672446, -0.060893>, <0.035911, 0.666711, -0.051776>, <0.039571, 0.661857, -0.044005>, 
      <0.016389, 0.708848, -0.048010>, <0.030504, 0.709634, -0.048010>, <0.038530, 0.694350, -0.034365>, <0.042227, 0.681302, -0.030372>, 
      <0.016389, 0.735205, -0.036117>, <0.030504, 0.735991, -0.036117>, <0.037165, 0.710116, -0.027172>, <0.040862, 0.697068, -0.023179>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.008299, 0.645410, -0.049426>, <-0.004640, 0.650263, -0.057196>, <0.006523, 0.645410, -0.071150>, <0.016389, 0.645410, -0.071150>, 
      <-0.006837, 0.661148, -0.044164>, <-0.003177, 0.666002, -0.051934>, <0.006523, 0.672446, -0.060893>, <0.016389, 0.672446, -0.060893>, 
      <-0.009419, 0.679306, -0.030221>, <-0.005548, 0.692972, -0.034403>, <0.001605, 0.708025, -0.048010>, <0.016389, 0.708848, -0.048010>, 
      <-0.008083, 0.694344, -0.023179>, <-0.004212, 0.708010, -0.027361>, <0.001605, 0.734382, -0.036117>, <0.016389, 0.735205, -0.036117>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.018531, 0.599100, 0.002993>, <-0.018531, 0.599100, -0.018214>, <-0.016166, 0.634977, -0.032723>, <-0.008299, 0.645410, -0.049426>, 
      <-0.017479, 0.603176, 0.002927>, <-0.017479, 0.603176, -0.018280>, <-0.014704, 0.650715, -0.027460>, <-0.006837, 0.661148, -0.044164>, 
      <-0.018860, 0.608864, 0.001205>, <-0.018860, 0.611214, -0.024343>, <-0.016128, 0.655627, -0.022974>, <-0.009419, 0.679306, -0.030221>, 
      <-0.018225, 0.613025, 0.001274>, <-0.018225, 0.615376, -0.024274>, <-0.014792, 0.670665, -0.015932>, <-0.008083, 0.694344, -0.023179>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.008299, 0.645410, 0.055412>, <-0.016166, 0.634977, 0.038709>, <-0.018531, 0.599100, 0.024200>, <-0.018531, 0.599100, 0.002993>, 
      <-0.005194, 0.658737, 0.051325>, <-0.013061, 0.648304, 0.034621>, <-0.017479, 0.603176, 0.024134>, <-0.017479, 0.603176, 0.002927>, 
      <-0.009338, 0.675511, 0.040864>, <-0.015892, 0.652893, 0.031831>, <-0.018860, 0.606553, 0.026321>, <-0.018860, 0.608864, 0.001205>, 
      <-0.008083, 0.688895, 0.036042>, <-0.014637, 0.666277, 0.027009>, <-0.018225, 0.610714, 0.026389>, <-0.018225, 0.613025, 0.001274>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.016389, 0.645410, 0.077136>, <0.006523, 0.645410, 0.077136>, <-0.004640, 0.650263, 0.063182>, <-0.008299, 0.645410, 0.055412>, 
      <0.016786, 0.670525, 0.066056>, <0.006921, 0.670525, 0.066056>, <-0.001534, 0.663590, 0.059095>, <-0.005194, 0.658737, 0.051325>, 
      <0.016389, 0.706710, 0.058443>, <0.000899, 0.706710, 0.058443>, <-0.005313, 0.689402, 0.046412>, <-0.009338, 0.675511, 0.040864>, 
      <0.016389, 0.732481, 0.048980>, <0.000899, 0.732481, 0.048980>, <-0.004058, 0.702786, 0.041590>, <-0.008083, 0.688895, 0.036042>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.016389, 0.645410, 0.077136>, <0.016786, 0.670525, 0.066056>, <0.016389, 0.706710, 0.058443>, <0.016389, 0.732481, 0.048980>, 
      <0.026255, 0.645410, 0.077136>, <0.026652, 0.670525, 0.066056>, <0.031879, 0.706710, 0.058443>, <0.031879, 0.732481, 0.048980>, 
      <0.037418, 0.650264, 0.063183>, <0.034563, 0.663642, 0.059080>, <0.038092, 0.689402, 0.046412>, <0.036836, 0.702786, 0.041590>, 
      <0.041078, 0.645410, 0.055412>, <0.038223, 0.658788, 0.051309>, <0.042117, 0.675511, 0.040864>, <0.040862, 0.688895, 0.036042>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.078581, 0.510418, 0.002993>, <0.081786, 0.510418, 0.029552>, <0.090834, 0.506942, 0.067682>, <0.079837, 0.506244, 0.092059>, 
      <0.072525, 0.537586, 0.002993>, <0.075731, 0.537586, 0.029552>, <0.084782, 0.549949, 0.057059>, <0.073784, 0.549252, 0.081436>, 
      <0.058533, 0.572223, 0.003443>, <0.058533, 0.572223, 0.024650>, <0.057882, 0.593094, 0.051554>, <0.050015, 0.603526, 0.068257>, 
      <0.051310, 0.599100, 0.002993>, <0.051310, 0.599100, 0.024200>, <0.048945, 0.634977, 0.038709>, <0.041078, 0.645410, 0.055412>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.058339, 0.506244, -0.086073>, <0.070476, 0.507059, -0.061488>, <0.075294, 0.510418, -0.024239>, <0.078581, 0.510418, 0.002993>, 
      <0.052453, 0.548069, -0.075742>, <0.064590, 0.548884, -0.051157>, <0.069239, 0.537586, -0.024239>, <0.072525, 0.537586, 0.002993>, 
      <0.044846, 0.604268, -0.062986>, <0.052713, 0.593835, -0.046283>, <0.058533, 0.572223, -0.017764>, <0.058533, 0.572223, 0.003443>, 
      <0.041078, 0.645410, -0.049426>, <0.048945, 0.634977, -0.032723>, <0.051310, 0.599100, -0.018214>, <0.051310, 0.599100, 0.002993>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.016389, 0.506244, -0.122984>, <0.033152, 0.506244, -0.122984>, <0.050922, 0.505746, -0.101098>, <0.058339, 0.506244, -0.086073>, 
      <0.015334, 0.548232, -0.108125>, <0.032097, 0.548232, -0.108125>, <0.045035, 0.547572, -0.090767>, <0.052453, 0.548069, -0.075742>, 
      <0.016389, 0.603756, -0.086954>, <0.026255, 0.603756, -0.086954>, <0.041186, 0.609122, -0.070757>, <0.044846, 0.604268, -0.062986>, 
      <0.016389, 0.645410, -0.071150>, <0.026255, 0.645410, -0.071150>, <0.037418, 0.650264, -0.057197>, <0.041078, 0.645410, -0.049426>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.025560, 0.506244, -0.086073>, <-0.018140, 0.506244, -0.101104>, <-0.000374, 0.506244, -0.122984>, <0.016389, 0.506244, -0.122984>, 
      <-0.021635, 0.548222, -0.075433>, <-0.014215, 0.548222, -0.090464>, <-0.001429, 0.548232, -0.108125>, <0.015334, 0.548232, -0.108125>, 
      <-0.012116, 0.604331, -0.063161>, <-0.008456, 0.609184, -0.070932>, <0.006523, 0.603756, -0.086954>, <0.016389, 0.603756, -0.086954>, 
      <-0.008299, 0.645410, -0.049426>, <-0.004640, 0.650263, -0.057196>, <0.006523, 0.645410, -0.071150>, <0.016389, 0.645410, -0.071150>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.045801, 0.506244, 0.002993>, <-0.041981, 0.506244, -0.024140>, <-0.037690, 0.506244, -0.061503>, <-0.025560, 0.506244, -0.086073>, 
      <-0.040890, 0.534859, 0.002993>, <-0.037070, 0.534859, -0.024140>, <-0.033764, 0.548222, -0.050863>, <-0.021635, 0.548222, -0.075433>, 
      <-0.025790, 0.570992, 0.003446>, <-0.025790, 0.570992, -0.017762>, <-0.019983, 0.593898, -0.046458>, <-0.012116, 0.604331, -0.063161>, 
      <-0.018531, 0.599100, 0.002993>, <-0.018531, 0.599100, -0.018214>, <-0.016166, 0.634977, -0.032723>, <-0.008299, 0.645410, -0.049426>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.050641, 0.506244, 0.092059>, <-0.060622, 0.506244, 0.067231>, <-0.049532, 0.506244, 0.029491>, <-0.045801, 0.506244, 0.002993>, 
      <-0.046579, 0.549689, 0.081047>, <-0.056559, 0.549689, 0.056218>, <-0.044621, 0.534859, 0.029491>, <-0.040890, 0.534859, 0.002993>, 
      <-0.018084, 0.603414, 0.068292>, <-0.025951, 0.592981, 0.051588>, <-0.025790, 0.570992, 0.024653>, <-0.025790, 0.570992, 0.003446>, 
      <-0.008299, 0.645410, 0.055412>, <-0.016166, 0.634977, 0.038709>, <-0.018531, 0.599100, 0.024200>, <-0.018531, 0.599100, 0.002993>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.012806, 0.506244, 0.148789>, <-0.012727, 0.506244, 0.148789>, <-0.041118, 0.506244, 0.115750>, <-0.050641, 0.506244, 0.092059>, 
      <0.011694, 0.550512, 0.133124>, <-0.013840, 0.550512, 0.133124>, <-0.037056, 0.549689, 0.104738>, <-0.046579, 0.549689, 0.081047>, 
      <0.015708, 0.602440, 0.096093>, <0.005843, 0.602440, 0.096093>, <-0.014425, 0.608268, 0.076062>, <-0.018084, 0.603414, 0.068292>, 
      <0.016389, 0.645410, 0.077136>, <0.006523, 0.645410, 0.077136>, <-0.004640, 0.650263, 0.063182>, <-0.008299, 0.645410, 0.055412>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.012806, 0.506244, 0.148789>, <0.011694, 0.550512, 0.133124>, <0.015708, 0.602440, 0.096093>, <0.016389, 0.645410, 0.077136>, 
      <0.039150, 0.506244, 0.148789>, <0.038038, 0.550512, 0.133124>, <0.025574, 0.602440, 0.096093>, <0.026255, 0.645410, 0.077136>, 
      <0.069007, 0.505557, 0.116065>, <0.062954, 0.548564, 0.105442>, <0.046355, 0.608380, 0.076028>, <0.037418, 0.650264, 0.063183>, 
      <0.079837, 0.506244, 0.092059>, <0.073784, 0.549252, 0.081436>, <0.050015, 0.603526, 0.068257>, <0.041078, 0.645410, 0.055412>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.106523, 0.351385, 0.002993>, <0.106523, 0.351385, 0.041097>, <0.098442, 0.351900, 0.093182>, <0.082239, 0.352932, 0.127654>, 
      <0.102714, 0.399676, 0.002993>, <0.102714, 0.399676, 0.041097>, <0.098885, 0.398541, 0.085813>, <0.082682, 0.399574, 0.120285>, 
      <0.089119, 0.463137, 0.002993>, <0.092324, 0.463137, 0.029552>, <0.097227, 0.461519, 0.078902>, <0.086229, 0.460821, 0.103278>, 
      <0.078581, 0.510418, 0.002993>, <0.081786, 0.510418, 0.029552>, <0.090834, 0.506942, 0.067682>, <0.079837, 0.506244, 0.092059>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.106523, 0.351385, 0.002993>, <0.110233, 0.304345, 0.002993>, <0.102667, 0.241305, 0.002993>, <0.103525, 0.194126, 0.002993>, 
      <0.106523, 0.351385, 0.041097>, <0.110233, 0.304345, 0.041097>, <0.102667, 0.241305, 0.045105>, <0.103525, 0.194126, 0.045105>, 
      <0.098442, 0.351900, 0.093182>, <0.098004, 0.305789, 0.100467>, <0.094280, 0.242029, 0.100377>, <0.094668, 0.195403, 0.102669>, 
      <0.082239, 0.352932, 0.127654>, <0.081801, 0.306822, 0.134939>, <0.076520, 0.244589, 0.138475>, <0.076908, 0.197963, 0.140767>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082239, 0.352932, -0.121668>, <0.098442, 0.351900, -0.087196>, <0.106523, 0.351385, -0.035111>, <0.106523, 0.351385, 0.002993>, 
      <0.079402, 0.400022, -0.114228>, <0.095605, 0.398989, -0.079756>, <0.102714, 0.399676, -0.035111>, <0.102714, 0.399676, 0.002993>, 
      <0.064804, 0.460306, -0.097420>, <0.076941, 0.461120, -0.072835>, <0.085833, 0.463137, -0.024239>, <0.089119, 0.463137, 0.002993>, 
      <0.058339, 0.506244, -0.086073>, <0.070476, 0.507059, -0.061488>, <0.075294, 0.510418, -0.024239>, <0.078581, 0.510418, 0.002993>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082239, 0.352932, -0.121668>, <0.085011, 0.306901, -0.128941>, <0.076520, 0.244589, -0.132488>, <0.076908, 0.197963, -0.134780>, 
      <0.098442, 0.351900, -0.087196>, <0.101215, 0.305869, -0.094469>, <0.094280, 0.242029, -0.094390>, <0.094668, 0.195403, -0.096682>, 
      <0.106523, 0.351385, -0.035111>, <0.110233, 0.304345, -0.035111>, <0.102667, 0.241305, -0.039119>, <0.103525, 0.194126, -0.039119>, 
      <0.106523, 0.351385, 0.002993>, <0.110233, 0.304345, 0.002993>, <0.102667, 0.241305, 0.002993>, <0.103525, 0.194126, 0.002993>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.023644, 0.356666, -0.173331>, <0.047058, 0.355174, -0.173331>, <0.072262, 0.353568, -0.142894>, <0.082239, 0.352932, -0.121668>, 
      <0.024216, 0.402850, -0.162690>, <0.047631, 0.401358, -0.162690>, <0.069425, 0.400658, -0.135454>, <0.079402, 0.400022, -0.114228>, 
      <0.017511, 0.461575, -0.138792>, <0.034274, 0.461575, -0.138792>, <0.057386, 0.459808, -0.112444>, <0.064804, 0.460306, -0.097420>, 
      <0.016389, 0.506244, -0.122984>, <0.033152, 0.506244, -0.122984>, <0.050922, 0.505746, -0.101098>, <0.058339, 0.506244, -0.086073>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.023644, 0.356666, -0.173331>, <0.023097, 0.312529, -0.183500>, <0.013343, 0.252409, -0.188814>, <0.012682, 0.207221, -0.191878>, 
      <0.047058, 0.355174, -0.173331>, <0.046511, 0.311037, -0.183500>, <0.039008, 0.248710, -0.188814>, <0.038347, 0.203521, -0.191878>, 
      <0.072262, 0.353568, -0.142894>, <0.075034, 0.307537, -0.150166>, <0.065584, 0.246166, -0.155946>, <0.065972, 0.199539, -0.158239>, 
      <0.082239, 0.352932, -0.121668>, <0.085011, 0.306901, -0.128941>, <0.076520, 0.244589, -0.132488>, <0.076908, 0.197963, -0.134780>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.034950, 0.360399, -0.121668>, <-0.024974, 0.359763, -0.142894>, <0.000229, 0.358158, -0.173331>, <0.023644, 0.356666, -0.173331>, 
      <-0.030975, 0.404728, -0.114217>, <-0.020999, 0.404092, -0.135442>, <0.000802, 0.404342, -0.162690>, <0.024216, 0.402850, -0.162690>, 
      <-0.029634, 0.462680, -0.097115>, <-0.022214, 0.462680, -0.112146>, <0.000748, 0.461575, -0.138792>, <0.017511, 0.461575, -0.138792>, 
      <-0.025560, 0.506244, -0.086073>, <-0.018140, 0.506244, -0.101104>, <-0.000374, 0.506244, -0.122984>, <0.016389, 0.506244, -0.122984>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.034950, 0.360399, -0.121668>, <-0.038794, 0.317530, -0.128874>, <-0.049955, 0.260042, -0.132743>, <-0.051543, 0.216479, -0.134780>, 
      <-0.024974, 0.359763, -0.142894>, <-0.028818, 0.316895, -0.150099>, <-0.039019, 0.258466, -0.156201>, <-0.040608, 0.214903, -0.158238>, 
      <0.000229, 0.358158, -0.173331>, <-0.000318, 0.314021, -0.183500>, <-0.012322, 0.256109, -0.188814>, <-0.012983, 0.210921, -0.191878>, 
      <0.023644, 0.356666, -0.173331>, <0.023097, 0.312529, -0.183500>, <0.013343, 0.252409, -0.188814>, <0.012682, 0.207221, -0.191878>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.059234, 0.361946, 0.002993>, <-0.064055, 0.319351, 0.002993>, <-0.076225, 0.263138, 0.002993>, <-0.078160, 0.220315, 0.002993>, 
      <-0.059234, 0.361946, -0.035111>, <-0.064055, 0.319351, -0.035111>, <-0.076225, 0.263138, -0.039119>, <-0.078160, 0.220315, -0.039119>, 
      <-0.051153, 0.361431, -0.087196>, <-0.054997, 0.318563, -0.094402>, <-0.067715, 0.262602, -0.094645>, <-0.069303, 0.219039, -0.096682>, 
      <-0.034950, 0.360399, -0.121668>, <-0.038794, 0.317530, -0.128874>, <-0.049955, 0.260042, -0.132743>, <-0.051543, 0.216479, -0.134780>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.059234, 0.361946, 0.002993>, <-0.059234, 0.361946, -0.035111>, <-0.051153, 0.361431, -0.087196>, <-0.034950, 0.360399, -0.121668>, 
      <-0.054345, 0.405147, 0.002993>, <-0.054345, 0.405147, -0.035111>, <-0.047178, 0.405760, -0.079745>, <-0.030975, 0.404728, -0.114217>, 
      <-0.053156, 0.463394, 0.002993>, <-0.049335, 0.463394, -0.024140>, <-0.041763, 0.462680, -0.072545>, <-0.029634, 0.462680, -0.097115>, 
      <-0.045801, 0.506244, 0.002993>, <-0.041981, 0.506244, -0.024140>, <-0.037690, 0.506244, -0.061503>, <-0.025560, 0.506244, -0.086073>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.034950, 0.360399, 0.127654>, <-0.035084, 0.317363, 0.134888>, <-0.049955, 0.260042, 0.138730>, <-0.051543, 0.216479, 0.140767>, 
      <-0.051153, 0.361431, 0.093182>, <-0.051287, 0.318396, 0.100416>, <-0.067715, 0.262602, 0.100632>, <-0.069303, 0.219039, 0.102669>, 
      <-0.059234, 0.361946, 0.041097>, <-0.064055, 0.319351, 0.041097>, <-0.076225, 0.263138, 0.045105>, <-0.078160, 0.220315, 0.045105>, 
      <-0.059234, 0.361946, 0.002993>, <-0.064055, 0.319351, 0.002993>, <-0.076225, 0.263138, 0.002993>, <-0.078160, 0.220315, 0.002993>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.034950, 0.360399, 0.127654>, <-0.051153, 0.361431, 0.093182>, <-0.059234, 0.361946, 0.041097>, <-0.059234, 0.361946, 0.002993>, 
      <-0.034811, 0.405055, 0.120148>, <-0.051014, 0.406088, 0.085676>, <-0.054345, 0.405147, 0.041097>, <-0.054345, 0.405147, 0.002993>, 
      <-0.054729, 0.462528, 0.103140>, <-0.064710, 0.462528, 0.078311>, <-0.056887, 0.463394, 0.029491>, <-0.053156, 0.463394, 0.002993>, 
      <-0.050641, 0.506244, 0.092059>, <-0.060622, 0.506244, 0.067231>, <-0.049532, 0.506244, 0.029491>, <-0.045801, 0.506244, 0.002993>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.023644, 0.356666, 0.179317>, <0.023625, 0.311967, 0.186653>, <0.013343, 0.252409, 0.194800>, <0.012682, 0.207221, 0.197864>, 
      <0.000229, 0.358158, 0.179317>, <0.000211, 0.313459, 0.186653>, <-0.012322, 0.256109, 0.194800>, <-0.012983, 0.210921, 0.197864>, 
      <-0.024974, 0.359763, 0.148880>, <-0.025108, 0.316728, 0.156114>, <-0.039019, 0.258466, 0.162188>, <-0.040608, 0.214903, 0.164225>, 
      <-0.034950, 0.360399, 0.127654>, <-0.035084, 0.317363, 0.134888>, <-0.049955, 0.260042, 0.138730>, <-0.051543, 0.216479, 0.140767>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.023644, 0.356666, 0.179317>, <0.000229, 0.358158, 0.179317>, <-0.024974, 0.359763, 0.148880>, <-0.034950, 0.360399, 0.127654>, 
      <0.023663, 0.401974, 0.171881>, <0.000248, 0.403466, 0.171881>, <-0.024835, 0.404420, 0.141373>, <-0.034811, 0.405055, 0.120148>, 
      <0.013893, 0.462973, 0.164102>, <-0.011640, 0.462973, 0.164102>, <-0.045206, 0.462528, 0.126830>, <-0.054729, 0.462528, 0.103140>, 
      <0.012806, 0.506244, 0.148789>, <-0.012727, 0.506244, 0.148789>, <-0.041118, 0.506244, 0.115750>, <-0.050641, 0.506244, 0.092059>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.023644, 0.356666, 0.179317>, <0.023663, 0.401974, 0.171881>, <0.013893, 0.462973, 0.164102>, <0.012806, 0.506244, 0.148789>, 
      <0.047058, 0.355174, 0.179317>, <0.047077, 0.400482, 0.171881>, <0.040237, 0.462973, 0.164102>, <0.039150, 0.506244, 0.148789>, 
      <0.072262, 0.353568, 0.148880>, <0.072705, 0.400210, 0.141510>, <0.075399, 0.460134, 0.127284>, <0.069007, 0.505557, 0.116065>, 
      <0.082239, 0.352932, 0.127654>, <0.082682, 0.399574, 0.120285>, <0.086229, 0.460821, 0.103278>, <0.079837, 0.506244, 0.092059>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.023644, 0.356666, 0.179317>, <0.047058, 0.355174, 0.179317>, <0.072262, 0.353568, 0.148880>, <0.082239, 0.352932, 0.127654>, 
      <0.023625, 0.311967, 0.186653>, <0.047040, 0.310475, 0.186653>, <0.071824, 0.307457, 0.156165>, <0.081801, 0.306822, 0.134939>, 
      <0.013343, 0.252409, 0.194800>, <0.039008, 0.248710, 0.194800>, <0.065584, 0.246166, 0.161933>, <0.076520, 0.244589, 0.138475>, 
      <0.012682, 0.207221, 0.197864>, <0.038346, 0.203521, 0.197864>, <0.065972, 0.199539, 0.164225>, <0.076908, 0.197963, 0.140767>
    }
  }
  texture {
    Scales
  }
}
#declare FishX = union {
  object { sPatchObj17 }
  object { sPatchObj18 }
  object { sPatchObj19 }
  object { sPatchObj20 }
  texture {
    White
  }
  scale 10.0
  rotate -90.0*z
}
union { // Tub_Fish
  sphere { // Sphere2
    <0,0,0>,1
    texture {
      Eye
      rotate -75.0*z
    }
    scale 0.3
    translate  <5.4, -0.5, 0.8>
  }
  object { FishX }
  sphere { // Sphere3
    <0,0,0>,1
    texture {
      Eye
      rotate 75.0*z
    }
    scale 0.3
    translate  <5.4, 0.2, 0.8>
  }
  scale 2.0
  rotate 100.0*z
  translate  <8.6, -5.8, -3.9>
}


#declare sPatchObj21 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.123346, -0.061304, 0.139477>, <0.133952, -0.049606, 0.109500>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.115190, -0.055673, 0.138893>, <0.125795, -0.043975, 0.108917>, 
      <0.081791, -0.110599, 0.188959>, <0.087627, -0.090882, 0.164582>, <0.112807, -0.059367, 0.137278>, <0.111057, -0.046296, 0.108242>, 
      <0.081791, -0.110599, 0.188959>, <0.087627, -0.090882, 0.164582>, <0.102995, -0.057949, 0.136739>, <0.101244, -0.044877, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.081791, -0.110599, 0.188959>, <0.102947, -0.101460, 0.165678>, <0.135743, -0.080243, 0.139614>, <0.152311, -0.080136, 0.111355>, 
      <0.081791, -0.110599, 0.188959>, <0.102947, -0.101460, 0.165678>, <0.130235, -0.071084, 0.139058>, <0.146804, -0.070977, 0.110798>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.132138, -0.067374, 0.140105>, <0.142743, -0.055676, 0.110129>, 
      <0.081791, -0.110599, 0.188959>, <0.097439, -0.092301, 0.165121>, <0.123346, -0.061304, 0.139477>, <0.133952, -0.049606, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.147158, -0.038496, 0.004197>, <0.128073, -0.025320, 0.004197>, <0.093603, -0.030745, 0.004197>, <0.070651, -0.027423, 0.004197>, 
      <0.143196, -0.041829, 0.035788>, <0.124111, -0.028653, 0.035788>, <0.102781, -0.035981, 0.035249>, <0.079829, -0.032659, 0.035249>, 
      <0.143972, -0.038553, 0.081177>, <0.135816, -0.032922, 0.080593>, <0.109256, -0.032852, 0.078378>, <0.099444, -0.031433, 0.077838>, 
      <0.133952, -0.049606, 0.109500>, <0.125795, -0.043975, 0.108917>, <0.111057, -0.046296, 0.108242>, <0.101244, -0.044877, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.190118, -0.109900, 0.004197>, <0.177230, -0.088479, 0.004197>, <0.167731, -0.052699, 0.004197>, <0.147158, -0.038496, 0.004197>, 
      <0.178776, -0.100971, 0.036344>, <0.165888, -0.079550, 0.036344>, <0.163769, -0.056032, 0.035788>, <0.143196, -0.041829, 0.035788>, 
      <0.170135, -0.080021, 0.080955>, <0.164627, -0.070862, 0.080399>, <0.152764, -0.044623, 0.081806>, <0.143972, -0.038553, 0.081177>, 
      <0.152311, -0.080136, 0.111355>, <0.146804, -0.070977, 0.110798>, <0.142743, -0.055676, 0.110129>, <0.133952, -0.049606, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.151823, -0.120416, 0.139458>, <0.167434, -0.119152, 0.109500>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.153118, -0.110589, 0.138875>, <0.168729, -0.109325, 0.108917>, 
      <0.087651, -0.123490, 0.188959>, <0.108376, -0.112808, 0.164582>, <0.148708, -0.110027, 0.137375>, <0.159945, -0.097264, 0.108242>, 
      <0.087651, -0.123490, 0.188959>, <0.108376, -0.112808, 0.164582>, <0.145499, -0.100647, 0.136835>, <0.156736, -0.087884, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.087651, -0.123490, 0.188959>, <0.105944, -0.131265, 0.165678>, <0.140704, -0.139868, 0.139343>, <0.148627, -0.149408, 0.111355>, 
      <0.087651, -0.123490, 0.188959>, <0.105944, -0.131265, 0.165678>, <0.146346, -0.130791, 0.138786>, <0.154269, -0.140331, 0.110798>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.150427, -0.131008, 0.140087>, <0.166038, -0.129744, 0.110129>, 
      <0.087651, -0.123490, 0.188959>, <0.111586, -0.122188, 0.165121>, <0.151823, -0.120416, 0.139458>, <0.167434, -0.119152, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.183932, -0.115692, 0.004197>, <0.186961, -0.092699, 0.004197>, <0.166423, -0.064489, 0.004197>, <0.158919, -0.042545, 0.004197>, 
      <0.178982, -0.116730, 0.035788>, <0.182012, -0.093737, 0.035788>, <0.165768, -0.078091, 0.035249>, <0.158264, -0.056147, 0.035249>, 
      <0.182209, -0.117955, 0.081148>, <0.183504, -0.108129, 0.080565>, <0.171241, -0.084435, 0.078959>, <0.168031, -0.075055, 0.078420>, 
      <0.167434, -0.119152, 0.109500>, <0.168729, -0.109325, 0.108917>, <0.159945, -0.097264, 0.108242>, <0.156736, -0.087884, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139955, -0.186473, 0.004197>, <0.153148, -0.165239, 0.004197>, <0.180666, -0.140477, 0.004197>, <0.183932, -0.115692, 0.004197>, 
      <0.142557, -0.175354, 0.036344>, <0.155750, -0.154119, 0.036344>, <0.175717, -0.141515, 0.035788>, <0.178982, -0.116730, 0.035788>, 
      <0.157457, -0.160041, 0.080164>, <0.163099, -0.150964, 0.079608>, <0.180813, -0.128547, 0.081777>, <0.182209, -0.117955, 0.081148>, 
      <0.148627, -0.149408, 0.111355>, <0.154269, -0.140331, 0.110798>, <0.166038, -0.129744, 0.110129>, <0.167434, -0.119152, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.119746, -0.184875, 0.139153>, <0.129356, -0.196048, 0.109500>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.128282, -0.179838, 0.138570>, <0.137893, -0.191011, 0.108917>, 
      <0.080525, -0.137015, 0.188959>, <0.100583, -0.146416, 0.164582>, <0.126053, -0.175906, 0.137066>, <0.141976, -0.176660, 0.108242>, 
      <0.080525, -0.137015, 0.188959>, <0.100583, -0.146416, 0.164582>, <0.131462, -0.167597, 0.136526>, <0.147385, -0.168351, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.080525, -0.137015, 0.188959>, <0.084549, -0.155877, 0.165678>, <0.097373, -0.188128, 0.138993>, <0.093938, -0.199887, 0.111355>, 
      <0.080525, -0.137015, 0.188959>, <0.084549, -0.155877, 0.165678>, <0.107999, -0.186976, 0.138437>, <0.104564, -0.198735, 0.110798>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.110544, -0.190304, 0.139782>, <0.120155, -0.201477, 0.110129>, 
      <0.080525, -0.137015, 0.188959>, <0.095174, -0.154725, 0.165121>, <0.119746, -0.184875, 0.139153>, <0.129356, -0.196048, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.140408, -0.206628, 0.004197>, <0.160381, -0.194842, 0.004197>, <0.169937, -0.161281, 0.004197>, <0.182592, -0.141847, 0.004197>, 
      <0.137092, -0.203454, 0.035788>, <0.157066, -0.191668, 0.035788>, <0.159375, -0.169232, 0.035249>, <0.172030, -0.149798, 0.035249>, 
      <0.138622, -0.206818, 0.080913>, <0.147158, -0.201781, 0.080330>, <0.158291, -0.177432, 0.078709>, <0.163700, -0.169123, 0.078169>, 
      <0.129356, -0.196048, 0.109500>, <0.137893, -0.191011, 0.108917>, <0.141976, -0.176660, 0.108242>, <0.147385, -0.168351, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.057564, -0.215624, 0.004197>, <0.082418, -0.212925, 0.004197>, <0.118878, -0.219333, 0.004197>, <0.140408, -0.206628, 0.004197>, 
      <0.068477, -0.210903, 0.036344>, <0.093330, -0.208204, 0.036344>, <0.115562, -0.216158, 0.035788>, <0.137092, -0.203454, 0.035788>, 
      <0.090044, -0.213219, 0.080019>, <0.100670, -0.212067, 0.079463>, <0.129420, -0.212247, 0.081542>, <0.138622, -0.206818, 0.080913>, 
      <0.093938, -0.199887, 0.111355>, <0.104564, -0.198735, 0.110798>, <0.120155, -0.201477, 0.110129>, <0.129356, -0.196048, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.051125, -0.197542, 0.138900>, <0.047940, -0.211239, 0.109500>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.060295, -0.201306, 0.138317>, <0.057109, -0.215003, 0.108917>, 
      <0.065887, -0.139366, 0.188959>, <0.070392, -0.160223, 0.164582>, <0.062186, -0.197131, 0.136812>, <0.071015, -0.209595, 0.108242>, 
      <0.065887, -0.139366, 0.188959>, <0.070392, -0.160223, 0.164582>, <0.072076, -0.196426, 0.136273>, <0.080904, -0.208890, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.065887, -0.139366, 0.188959>, <0.053169, -0.153153, 0.165678>, <0.034931, -0.181550, 0.138720>, <0.023496, -0.185323, 0.111355>, 
      <0.065887, -0.139366, 0.188959>, <0.053169, -0.153153, 0.165678>, <0.042264, -0.189325, 0.138163>, <0.030829, -0.193098, 0.110798>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.041242, -0.193485, 0.139529>, <0.038057, -0.207182, 0.110129>, 
      <0.065887, -0.139366, 0.188959>, <0.060503, -0.160928, 0.165121>, <0.051125, -0.197542, 0.138900>, <0.047940, -0.211239, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.045868, -0.225449, 0.004197>, <0.067322, -0.234255, 0.004197>, <0.099845, -0.221610, 0.004197>, <0.122978, -0.219965, 0.004197>, 
      <0.046490, -0.221186, 0.035788>, <0.067944, -0.229992, 0.035788>, <0.087223, -0.218288, 0.035249>, <0.110356, -0.216642, 0.035249>, 
      <0.044824, -0.224640, 0.080738>, <0.053993, -0.228404, 0.080155>, <0.080194, -0.222553, 0.078537>, <0.090083, -0.221848, 0.077997>, 
      <0.047940, -0.211239, 0.109500>, <0.057109, -0.215003, 0.108917>, <0.071015, -0.209595, 0.108242>, <0.080904, -0.208890, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.011320, -0.164840, 0.004197>, <0.005836, -0.183023, 0.004197>, <0.022741, -0.215956, 0.004197>, <0.045868, -0.225449, 0.004197>, 
      <-0.000875, -0.170985, 0.036344>, <0.016281, -0.189168, 0.036344>, <0.023363, -0.211693, 0.035788>, <0.046490, -0.221186, 0.035788>, 
      <0.010355, -0.189659, 0.079909>, <0.017689, -0.197434, 0.079353>, <0.034940, -0.220583, 0.081367>, <0.044824, -0.224640, 0.080738>, 
      <0.023496, -0.185323, 0.111355>, <0.030829, -0.193098, 0.110798>, <0.038057, -0.207182, 0.110129>, <0.047940, -0.211239, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.000011, -0.155109, 0.138969>, <-0.012905, -0.161346, 0.109500>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.002698, -0.164650, 0.138386>, <-0.010217, -0.170887, 0.108917>, 
      <0.055246, -0.130093, 0.188959>, <0.041451, -0.146822, 0.164582>, <0.007129, -0.163551, 0.136885>, <0.002613, -0.178503, 0.108242>, 
      <0.055246, -0.130093, 0.188959>, <0.041451, -0.146822, 0.164582>, <0.013780, -0.170904, 0.136346>, <0.009263, -0.185856, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.055246, -0.130093, 0.188959>, <0.036403, -0.128902, 0.165678>, <0.002615, -0.132555, 0.138806>, <-0.007562, -0.126124, 0.111355>, 
      <0.055246, -0.130093, 0.188959>, <0.036403, -0.128902, 0.165678>, <0.001012, -0.143122, 0.138249>, <-0.009165, -0.136690, 0.110798>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <-0.002886, -0.144826, 0.139598>, <-0.015801, -0.151063, 0.110129>, 
      <0.055246, -0.130093, 0.188959>, <0.034801, -0.139469, 0.165121>, <0.000011, -0.155109, 0.138969>, <-0.012905, -0.161346, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.025731, -0.169195, 0.004197>, <-0.019442, -0.191518, 0.004197>, <0.010561, -0.209334, 0.004197>, <0.026115, -0.226537, 0.004197>, 
      <-0.021883, -0.166840, 0.035788>, <-0.015594, -0.189163, 0.035788>, <0.005506, -0.197130, 0.035249>, <0.021059, -0.214333, 0.035249>, 
      <-0.025480, -0.167419, 0.080807>, <-0.022793, -0.176959, 0.080223>, <-0.002058, -0.193967, 0.078615>, <0.004592, -0.201320, 0.078076>, 
      <-0.012905, -0.161346, 0.109500>, <-0.010217, -0.170887, 0.108917>, <0.002613, -0.178503, 0.108242>, <0.009263, -0.185856, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.013253, -0.086805, 0.004197>, <-0.016996, -0.111522, 0.004197>, <-0.032510, -0.145133, 0.004197>, <-0.025731, -0.169195, 0.004197>, 
      <-0.011546, -0.098600, 0.036344>, <-0.015289, -0.123318, 0.036344>, <-0.028662, -0.142778, 0.035788>, <-0.021883, -0.166840, 0.035788>, 
      <-0.019203, -0.118767, 0.079956>, <-0.020806, -0.129334, 0.079400>, <-0.028377, -0.157135, 0.081435>, <-0.025480, -0.167419, 0.080807>, 
      <-0.007562, -0.126124, 0.111355>, <-0.009165, -0.136690, 0.110798>, <-0.015801, -0.151063, 0.110129>, <-0.012905, -0.161346, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.003646, -0.093559, 0.139269>, <-0.017742, -0.087839, 0.109500>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.007736, -0.102588, 0.138685>, <-0.021832, -0.096868, 0.108917>, 
      <0.054707, -0.117082, 0.188959>, <0.033323, -0.118217, 0.164582>, <-0.003670, -0.104430, 0.137130>, <-0.016924, -0.110959, 0.108242>, 
      <0.054707, -0.117082, 0.188959>, <0.033323, -0.118217, 0.164582>, <-0.003319, -0.114338, 0.136590>, <-0.016573, -0.120867, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.054707, -0.117082, 0.188959>, <0.041004, -0.101259, 0.165678>, <0.012789, -0.078009, 0.139268>, <0.009032, -0.064339, 0.111355>, 
      <0.054707, -0.117082, 0.188959>, <0.041004, -0.101259, 0.165678>, <0.004757, -0.085059, 0.138711>, <0.000999, -0.071389, 0.110798>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <0.000762, -0.083828, 0.139898>, <-0.013334, -0.078108, 0.110129>, 
      <0.054707, -0.117082, 0.188959>, <0.032972, -0.108309, 0.165121>, <-0.003646, -0.093559, 0.139269>, <-0.017742, -0.087839, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.032783, -0.081579, 0.004197>, <-0.042352, -0.102705, 0.004197>, <-0.030879, -0.135659, 0.004197>, <-0.030062, -0.158836, 0.004197>, 
      <-0.028271, -0.083458, 0.035788>, <-0.037839, -0.104583, 0.035788>, <-0.026832, -0.124268, 0.035249>, <-0.026016, -0.147445, 0.035249>, 
      <-0.031221, -0.082370, 0.081035>, <-0.035311, -0.091398, 0.080451>, <-0.030535, -0.117663, 0.078575>, <-0.030184, -0.127571, 0.078036>, 
      <-0.017742, -0.087839, 0.109500>, <-0.021832, -0.096868, 0.108917>, <-0.016924, -0.110959, 0.108242>, <-0.016573, -0.120867, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.029833, -0.026595, 0.004197>, <0.011048, -0.043091, 0.004197>, <-0.022469, -0.058807, 0.004197>, <-0.032783, -0.081579, 0.004197>, 
      <0.023592, -0.037919, 0.036344>, <0.004808, -0.054414, 0.036344>, <-0.017957, -0.060685, 0.035788>, <-0.028271, -0.083458, 0.035788>, 
      <0.004873, -0.049209, 0.080462>, <-0.003160, -0.056259, 0.079905>, <-0.026813, -0.072638, 0.081664>, <-0.031221, -0.082370, 0.081035>, 
      <0.009032, -0.064339, 0.111355>, <0.000999, -0.071389, 0.110798>, <-0.013334, -0.078108, 0.110129>, <-0.017742, -0.087839, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.052223, -0.054540, 0.138419>, <0.048958, -0.042290, 0.109500>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.042556, -0.056731, 0.137835>, <0.039291, -0.044481, 0.108917>, 
      <0.066771, -0.108976, 0.188959>, <0.053740, -0.095232, 0.164582>, <0.043261, -0.061362, 0.136228>, <0.031022, -0.056900, 0.108242>, 
      <0.066771, -0.108976, 0.188959>, <0.053740, -0.095232, 0.164582>, <0.035575, -0.067624, 0.135689>, <0.023335, -0.063162, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.066771, -0.108976, 0.188959>, <0.071897, -0.091117, 0.165678>, <0.074983, -0.058432, 0.138332>, <0.083857, -0.049445, 0.111355>, 
      <0.066771, -0.108976, 0.188959>, <0.071897, -0.091117, 0.165678>, <0.064513, -0.056285, 0.137775>, <0.073387, -0.047298, 0.110798>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.062642, -0.052179, 0.139048>, <0.059377, -0.039928, 0.110129>, 
      <0.066771, -0.108976, 0.188959>, <0.061427, -0.088970, 0.165121>, <0.052223, -0.054540, 0.138419>, <0.048958, -0.042290, 0.109500>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.045911, -0.030705, 0.004197>, <0.023293, -0.035833, 0.004197>, <0.003950, -0.064875, 0.004197>, <-0.014034, -0.079519, 0.004197>, 
      <0.046825, -0.034181, 0.035788>, <0.024207, -0.039308, 0.035788>, <0.015160, -0.059968, 0.035249>, <-0.002823, -0.074611, 0.035249>, 
      <0.045670, -0.029954, 0.080381>, <0.036003, -0.032145, 0.079798>, <0.017788, -0.052076, 0.077983>, <0.010101, -0.058337, 0.077444>, 
      <0.048958, -0.042290, 0.109500>, <0.039291, -0.044481, 0.108917>, <0.031022, -0.056900, 0.108242>, <0.023335, -0.063162, 0.107703>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.127546, -0.047424, 0.004197>, <0.103055, -0.042409, 0.004197>, <0.070291, -0.025179, 0.004197>, <0.045911, -0.030705, 0.004197>, 
      <0.114439, -0.048030, 0.036344>, <0.089949, -0.043015, 0.036344>, <0.071205, -0.028654, 0.035788>, <0.046825, -0.034181, 0.035788>, 
      <0.094200, -0.038969, 0.079909>, <0.083731, -0.036822, 0.079352>, <0.056089, -0.027592, 0.081010>, <0.045670, -0.029954, 0.080381>, 
      <0.083857, -0.049445, 0.111355>, <0.073387, -0.047298, 0.110798>, <0.059377, -0.039928, 0.110129>, <0.048958, -0.042290, 0.109500>
    }
  }
  texture {
    Pinkish
    scale 0.2
  }
}
#declare sPatchObj22 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.023540, -0.001090, 0.154383>, <0.019830, 0.012614, 0.123223>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.010076, -0.007002, 0.153916>, <0.006366, 0.006702, 0.122756>, 
      <0.042454, -0.058750, 0.209380>, <0.026234, -0.048623, 0.183101>, <0.011435, -0.014603, 0.151712>, <-0.002180, -0.013711, 0.122216>, 
      <0.042454, -0.058750, 0.209380>, <0.026234, -0.048623, 0.183101>, <0.002002, -0.025885, 0.151281>, <-0.011612, -0.024993, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.042454, -0.058750, 0.209380>, <0.051518, -0.037521, 0.183978>, <0.059411, -0.000574, 0.153756>, <0.072669, 0.012015, 0.124707>, 
      <0.042454, -0.058750, 0.209380>, <0.051518, -0.037521, 0.183978>, <0.043559, -0.000394, 0.153311>, <0.056818, 0.012195, 0.124262>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.038053, 0.005283, 0.154886>, <0.034344, 0.018987, 0.123726>, 
      <0.042454, -0.058750, 0.209380>, <0.035667, -0.037341, 0.183532>, <0.023540, -0.001090, 0.154383>, <0.019830, 0.012614, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017748, 0.032511, 0.001863>, <-0.012683, 0.019147, 0.001863>, <-0.032005, -0.026980, 0.001863>, <-0.053327, -0.052476, 0.001863>, 
      <0.018373, 0.026542, 0.038271>, <-0.012059, 0.013177, 0.038271>, <-0.019490, -0.018735, 0.037839>, <-0.040813, -0.044231, 0.037839>, 
      <0.015833, 0.027381, 0.089644>, <0.002369, 0.021469, 0.089177>, <-0.018506, -0.012642, 0.086843>, <-0.027939, -0.023924, 0.086412>, 
      <0.019830, 0.012614, 0.123223>, <0.006366, 0.006702, 0.122756>, <-0.002180, -0.013711, 0.122216>, <-0.011612, -0.024993, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.137167, 0.031181, 0.001863>, <0.101342, 0.031580, 0.001863>, <0.050552, 0.046917, 0.001863>, <0.017748, 0.032511, 0.001863>, 
      <0.117818, 0.025431, 0.038716>, <0.081992, 0.025830, 0.038716>, <0.051177, 0.040948, 0.038271>, <0.018373, 0.026542, 0.038271>, 
      <0.088900, 0.027426, 0.089145>, <0.073049, 0.027606, 0.088699>, <0.030346, 0.033754, 0.090147>, <0.015833, 0.027381, 0.089644>, 
      <0.072669, 0.012015, 0.124707>, <0.056818, 0.012195, 0.124262>, <0.034344, 0.018987, 0.123726>, <0.019830, 0.012614, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.127618, -0.012097, 0.154435>, <0.133701, 0.000720, 0.123223>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.116219, -0.002807, 0.153968>, <0.122302, 0.010010, 0.122756>, 
      <0.099135, -0.065936, 0.209380>, <0.095163, -0.042686, 0.183101>, <0.110009, -0.007551, 0.152212>, <0.100238, 0.008313, 0.122216>, 
      <0.099135, -0.065936, 0.209380>, <0.095163, -0.042686, 0.183101>, <0.095668, -0.004297, 0.151781>, <0.085896, 0.011566, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.099135, -0.065936, 0.209380>, <0.116570, -0.060131, 0.183978>, <0.144408, -0.043612, 0.153153>, <0.157250, -0.046585, 0.124707>, 
      <0.099135, -0.065936, 0.209380>, <0.116570, -0.060131, 0.183978>, <0.137343, -0.029421, 0.152707>, <0.150186, -0.032393, 0.124262>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.139906, -0.022111, 0.154938>, <0.145988, -0.009293, 0.123726>, 
      <0.099135, -0.065936, 0.209380>, <0.109505, -0.045940, 0.183532>, <0.127618, -0.012097, 0.154435>, <0.133701, 0.000720, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139577, 0.019277, 0.001863>, <0.113812, 0.040274, 0.001863>, <0.063949, 0.036450, 0.001863>, <0.031537, 0.043809, 0.001863>, 
      <0.137814, 0.013710, 0.038271>, <0.112049, 0.034707, 0.038271>, <0.080257, 0.026777, 0.037839>, <0.047845, 0.034136, 0.037839>, 
      <0.140243, 0.014505, 0.089654>, <0.128844, 0.023795, 0.089187>, <0.088984, 0.026582, 0.087670>, <0.074643, 0.029836, 0.087238>, 
      <0.133701, 0.000720, 0.123223>, <0.122302, 0.010010, 0.122756>, <0.100238, 0.008313, 0.122216>, <0.085896, 0.011566, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.192820, -0.087623, 0.001863>, <0.176847, -0.055553, 0.001863>, <0.167351, -0.003356, 0.001863>, <0.139577, 0.019277, 0.001863>, 
      <0.182149, -0.075311, 0.038716>, <0.166176, -0.043241, 0.038716>, <0.165588, -0.008923, 0.038271>, <0.137814, 0.013710, 0.038271>, 
      <0.173755, -0.050406, 0.088147>, <0.166690, -0.036214, 0.087702>, <0.152530, 0.004491, 0.090158>, <0.140243, 0.014505, 0.089654>, 
      <0.157250, -0.046585, 0.124707>, <0.150186, -0.032393, 0.124262>, <0.145988, -0.009293, 0.123726>, <0.133701, 0.000720, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188128, -0.109740, 0.154119>, <0.201120, -0.107235, 0.123223>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188418, -0.095038, 0.153652>, <0.201409, -0.092533, 0.122756>, 
      <0.130487, -0.119060, 0.209380>, <0.145400, -0.102214, 0.183101>, <0.180747, -0.092963, 0.151933>, <0.186473, -0.076204, 0.122216>, 
      <0.130487, -0.119060, 0.209380>, <0.145400, -0.102214, 0.183101>, <0.174470, -0.079664, 0.151502>, <0.180196, -0.062906, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.130487, -0.119060, 0.209380>, <0.144856, -0.129823, 0.183978>, <0.173517, -0.142599, 0.152843>, <0.178383, -0.154937, 0.124707>, 
      <0.130487, -0.119060, 0.209380>, <0.144856, -0.129823, 0.183978>, <0.180338, -0.128289, 0.152398>, <0.185204, -0.140626, 0.124262>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.187816, -0.125588, 0.154623>, <0.200808, -0.123083, 0.123726>, 
      <0.130487, -0.119060, 0.209380>, <0.151677, -0.115513, 0.183532>, <0.188128, -0.109740, 0.154119>, <0.201120, -0.107235, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.217744, -0.102236, 0.001863>, <0.218398, -0.069005, 0.001863>, <0.184653, -0.032097, 0.001863>, <0.170471, -0.002038, 0.001863>, 
      <0.212757, -0.103736, 0.038271>, <0.213410, -0.070505, 0.038271>, <0.187571, -0.050358, 0.037839>, <0.173389, -0.020298, 0.037839>, 
      <0.215336, -0.104494, 0.089414>, <0.215626, -0.089792, 0.088947>, <0.193168, -0.056609, 0.087467>, <0.186891, -0.043311, 0.087036>, 
      <0.201120, -0.107235, 0.123223>, <0.201409, -0.092533, 0.122756>, <0.186473, -0.076204, 0.122216>, <0.180196, -0.062906, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.166380, -0.210052, 0.001863>, <0.181790, -0.177707, 0.001863>, <0.217040, -0.138057, 0.001863>, <0.217744, -0.102236, 0.001863>, 
      <0.169981, -0.193518, 0.038716>, <0.185390, -0.161173, 0.038716>, <0.212053, -0.139557, 0.038271>, <0.212757, -0.103736, 0.038271>, 
      <0.184728, -0.171021, 0.088025>, <0.191549, -0.156711, 0.087580>, <0.215024, -0.120342, 0.089917>, <0.215336, -0.104494, 0.089414>, 
      <0.178383, -0.154937, 0.124707>, <0.185204, -0.140626, 0.124262>, <0.200808, -0.123083, 0.123726>, <0.201120, -0.107235, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.147752, -0.213387, 0.153808>, <0.156892, -0.221847, 0.123223>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.159647, -0.204741, 0.153341>, <0.168787, -0.213202, 0.122756>, 
      <0.107549, -0.174309, 0.209380>, <0.129164, -0.175537, 0.183101>, <0.156702, -0.197223, 0.151662>, <0.172786, -0.191436, 0.122216>, 
      <0.107549, -0.174309, 0.209380>, <0.129164, -0.175537, 0.183101>, <0.163514, -0.184190, 0.151230>, <0.179598, -0.178403, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.107549, -0.174309, 0.209380>, <0.106826, -0.191773, 0.183978>, <0.112516, -0.221572, 0.152571>, <0.105138, -0.232523, 0.124707>, 
      <0.107549, -0.174309, 0.209380>, <0.106826, -0.191773, 0.183978>, <0.128042, -0.218370, 0.152126>, <0.120664, -0.229320, 0.124262>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.134930, -0.222706, 0.154311>, <0.144070, -0.231167, 0.123726>, 
      <0.107549, -0.174309, 0.209380>, <0.122352, -0.188571, 0.183532>, <0.147752, -0.213387, 0.153808>, <0.156892, -0.221847, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.169563, -0.231711, 0.001863>, <0.196448, -0.212169, 0.001863>, <0.205496, -0.162985, 0.001863>, <0.220897, -0.133531, 0.001863>, 
      <0.165762, -0.228752, 0.038271>, <0.192647, -0.209210, 0.038271>, <0.193107, -0.176447, 0.037839>, <0.208507, -0.146993, 0.037839>, 
      <0.167056, -0.231256, 0.089209>, <0.178951, -0.222610, 0.088742>, <0.191852, -0.184577, 0.087309>, <0.198664, -0.171544, 0.086878>, 
      <0.156892, -0.221847, 0.123223>, <0.168787, -0.213202, 0.122756>, <0.172786, -0.191436, 0.122216>, <0.179598, -0.178403, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.052604, -0.255860, 0.001863>, <0.087692, -0.248615, 0.001863>, <0.140582, -0.252777, 0.001863>, <0.169563, -0.231711, 0.001863>, 
      <0.068364, -0.248859, 0.038716>, <0.103452, -0.241614, 0.038716>, <0.136781, -0.249818, 0.038271>, <0.165762, -0.228752, 0.038271>, 
      <0.095403, -0.246972, 0.087937>, <0.110929, -0.243770, 0.087492>, <0.154234, -0.240575, 0.089713>, <0.167056, -0.231256, 0.089209>, 
      <0.105138, -0.232523, 0.124707>, <0.120664, -0.229320, 0.124262>, <0.144070, -0.231167, 0.123726>, <0.156892, -0.221847, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.047418, -0.247196, 0.153814>, <0.046521, -0.259801, 0.123223>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.061558, -0.251234, 0.153347>, <0.060660, -0.263840, 0.122756>, 
      <0.053162, -0.191205, 0.209380>, <0.065631, -0.209115, 0.183101>, <0.065665, -0.244288, 0.151668>, <0.080265, -0.253573, 0.122216>, 
      <0.053162, -0.191205, 0.209380>, <0.065631, -0.209115, 0.183101>, <0.080127, -0.241619, 0.151237>, <0.094726, -0.250904, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053162, -0.191205, 0.209380>, <0.039078, -0.201531, 0.183978>, <0.019283, -0.224512, 0.152604>, <0.006216, -0.225627, 0.124707>, 
      <0.053162, -0.191205, 0.209380>, <0.039078, -0.201531, 0.183978>, <0.031374, -0.234764, 0.152159>, <0.018308, -0.235879, 0.124262>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.032177, -0.242843, 0.154317>, <0.031279, -0.255448, 0.123726>, 
      <0.053162, -0.191205, 0.209380>, <0.051170, -0.211784, 0.183532>, <0.047418, -0.247196, 0.153814>, <0.046521, -0.259801, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.047073, -0.276714, 0.001863>, <0.079032, -0.285840, 0.001863>, <0.123340, -0.262651, 0.001863>, <0.156026, -0.256624, 0.001863>, 
      <0.046907, -0.271640, 0.038271>, <0.078867, -0.280766, 0.038271>, <0.104950, -0.260935, 0.037839>, <0.137636, -0.254908, 0.037839>, 
      <0.045524, -0.273801, 0.089247>, <0.059663, -0.277839, 0.088780>, <0.097549, -0.264566, 0.087346>, <0.112010, -0.261897, 0.086915>, 
      <0.046521, -0.259801, 0.123223>, <0.060660, -0.263840, 0.122756>, <0.080265, -0.253573, 0.122216>, <0.094726, -0.250904, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.044032, -0.199498, 0.001863>, <-0.016701, -0.222663, 0.001863>, <0.012622, -0.266876, 0.001863>, <0.047073, -0.276714, 0.001863>, 
      <-0.028958, -0.207336, 0.038716>, <-0.001626, -0.230501, 0.038716>, <0.012457, -0.261803, 0.038271>, <0.046907, -0.271640, 0.038271>, 
      <-0.010985, -0.227094, 0.087981>, <0.001106, -0.237347, 0.087535>, <0.030282, -0.269448, 0.089750>, <0.045524, -0.273801, 0.089247>, 
      <0.006216, -0.225627, 0.124707>, <0.018308, -0.235879, 0.124262>, <0.031279, -0.255448, 0.123726>, <0.046521, -0.259801, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.039272, -0.200649, 0.154076>, <-0.050042, -0.208662, 0.123223>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.031057, -0.212845, 0.153609>, <-0.041828, -0.220859, 0.122756>, 
      <0.007339, -0.165492, 0.209380>, <0.002906, -0.185716, 0.183101>, <-0.023606, -0.210189, 0.151698>, <-0.020219, -0.225634, 0.122216>, 
      <0.007339, -0.165492, 0.209380>, <0.002906, -0.185716, 0.183101>, <-0.010825, -0.217462, 0.151267>, <-0.007438, -0.232907, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.007339, -0.165492, 0.209380>, <-0.012520, -0.162812, 0.183978>, <-0.046190, -0.165316, 0.153162>, <-0.058858, -0.156560, 0.124707>, 
      <0.007339, -0.165492, 0.209380>, <-0.012520, -0.162812, 0.183978>, <-0.043545, -0.180946, 0.152716>, <-0.056214, -0.172191, 0.124262>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.048127, -0.187501, 0.154579>, <-0.058897, -0.195515, 0.123726>, 
      <0.007339, -0.165492, 0.209380>, <-0.009875, -0.178443, 0.183532>, <-0.039272, -0.200649, 0.154076>, <-0.050042, -0.208662, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.065101, -0.219388, 0.001863>, <-0.046534, -0.246955, 0.001863>, <0.002295, -0.257758, 0.001863>, <0.031178, -0.274203, 0.001863>, 
      <-0.060584, -0.216170, 0.038271>, <-0.042016, -0.243737, 0.038271>, <-0.009290, -0.245370, 0.037839>, <0.019594, -0.261814, 0.037839>, 
      <-0.061831, -0.217433, 0.089453>, <-0.053616, -0.229629, 0.088986>, <-0.016193, -0.243996, 0.087164>, <-0.003411, -0.251270, 0.086733>, 
      <-0.050042, -0.208662, 0.123223>, <-0.041828, -0.220859, 0.122756>, <-0.020219, -0.225634, 0.122216>, <-0.007438, -0.232907, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.085051, -0.101640, 0.001863>, <-0.079066, -0.136964, 0.001863>, <-0.085116, -0.189672, 0.001863>, <-0.065101, -0.219388, 0.001863>, 
      <-0.077193, -0.118116, 0.038716>, <-0.071208, -0.153441, 0.038716>, <-0.080599, -0.186454, 0.038271>, <-0.060584, -0.216170, 0.038271>, 
      <-0.074961, -0.145431, 0.088538>, <-0.072317, -0.161062, 0.088092>, <-0.070686, -0.204286, 0.089956>, <-0.061831, -0.217433, 0.089453>, 
      <-0.058858, -0.156560, 0.124707>, <-0.056214, -0.172191, 0.124262>, <-0.058897, -0.195515, 0.123726>, <-0.050042, -0.208662, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.045010, -0.092143, 0.153323>, <-0.055599, -0.088986, 0.123223>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.049773, -0.106055, 0.152856>, <-0.060362, -0.102898, 0.122756>, 
      <0.005064, -0.106889, 0.209380>, <-0.011217, -0.116099, 0.183101>, <-0.043012, -0.110809, 0.150953>, <-0.051123, -0.123007, 0.122216>, 
      <0.005064, -0.106889, 0.209380>, <-0.011217, -0.116099, 0.183101>, <-0.041094, -0.125389, 0.150522>, <-0.049205, -0.137587, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005064, -0.106889, 0.209380>, <-0.002272, -0.089973, 0.183978>, <-0.020568, -0.065061, 0.152489>, <-0.019388, -0.050501, 0.124707>, 
      <0.005064, -0.106889, 0.209380>, <-0.002272, -0.089973, 0.183978>, <-0.031432, -0.076607, 0.152043>, <-0.030251, -0.062046, 0.124262>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.039875, -0.077147, 0.153826>, <-0.050465, -0.073989, 0.123726>, 
      <0.005064, -0.106889, 0.209380>, <-0.013135, -0.101518, 0.183532>, <-0.045010, -0.092143, 0.153323>, <-0.055599, -0.088986, 0.123223>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.067940, -0.085122, 0.001863>, <-0.078705, -0.116567, 0.001863>, <-0.057837, -0.162014, 0.001863>, <-0.053507, -0.194968, 0.001863>, 
      <-0.064238, -0.086281, 0.038271>, <-0.075003, -0.117726, 0.038271>, <-0.056546, -0.144800, 0.037839>, <-0.052216, -0.177754, 0.037839>, 
      <-0.067691, -0.085380, 0.088851>, <-0.072454, -0.099292, 0.088384>, <-0.061158, -0.138096, 0.086664>, <-0.059239, -0.152676, 0.086232>, 
      <-0.055599, -0.088986, 0.123223>, <-0.060362, -0.102898, 0.122756>, <-0.051123, -0.123007, 0.122216>, <-0.049205, -0.137587, 0.121784>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.013881, 0.001871, 0.001863>, <-0.010665, -0.024227, 0.001863>, <-0.056335, -0.051226, 0.001863>, <-0.067940, -0.085122, 0.001863>, 
      <0.003900, -0.013841, 0.038716>, <-0.020646, -0.039938, 0.038716>, <-0.052633, -0.052385, 0.038271>, <-0.064238, -0.086281, 0.038271>, 
      <-0.017835, -0.031349, 0.088164>, <-0.028698, -0.042894, 0.087718>, <-0.062556, -0.070384, 0.089355>, <-0.067691, -0.085380, 0.088851>, 
      <-0.019388, -0.050501, 0.124707>, <-0.030251, -0.062046, 0.124262>, <-0.050465, -0.073989, 0.123726>, <-0.055599, -0.088986, 0.123223>
    }
  }
  texture {
    Pinkish
    scale 0.21
  }
}
#declare sPatchObj23 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.223511, 0.057504, 0.170375>, <0.217555, 0.049795, 0.141318>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.204433, 0.070676, 0.169639>, <0.198477, 0.062967, 0.140582>, 
      <0.231191, 0.063931, 0.241567>, <0.204153, 0.063008, 0.210812>, <0.186374, 0.064228, 0.173390>, <0.164013, 0.057536, 0.139731>, 
      <0.231191, 0.063931, 0.241567>, <0.204153, 0.063008, 0.210812>, <0.163427, 0.067545, 0.172710>, <0.141067, 0.060854, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.231191, 0.063931, 0.241567>, <0.239981, 0.038272, 0.212195>, <0.258752, 0.001173, 0.176473>, <0.260490, -0.021600, 0.143659>, 
      <0.231191, 0.063931, 0.241567>, <0.239981, 0.038272, 0.212195>, <0.245871, 0.022592, 0.175771>, <0.247610, -0.000181, 0.142957>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.244076, 0.043305, 0.171169>, <0.238120, 0.035596, 0.142112>, 
      <0.231191, 0.063931, 0.241567>, <0.227100, 0.059690, 0.211492>, <0.223511, 0.057504, 0.170375>, <0.217555, 0.049795, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.181706, -0.000121, 0.000126>, <0.154040, 0.018979, 0.000126>, <0.104070, 0.011116, 0.000126>, <0.070798, 0.015931, 0.000126>, 
      <0.192461, 0.014854, 0.042484>, <0.164795, 0.033954, 0.042484>, <0.125151, 0.024592, 0.041803>, <0.091878, 0.029408, 0.041803>, 
      <0.208578, 0.038175, 0.097518>, <0.189500, 0.051347, 0.096782>, <0.137476, 0.049595, 0.099784>, <0.114530, 0.052912, 0.099104>, 
      <0.217555, 0.049795, 0.141318>, <0.198477, 0.062967, 0.140582>, <0.164013, 0.057536, 0.139731>, <0.141067, 0.060854, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.243982, -0.103631, 0.000126>, <0.225300, -0.072578, 0.000126>, <0.211530, -0.020710, 0.000126>, <0.181706, -0.000121, 0.000126>, 
      <0.248935, -0.079022, 0.043186>, <0.230252, -0.047969, 0.043186>, <0.222284, -0.005736, 0.042484>, <0.192461, 0.014854, 0.042484>, 
      <0.262658, -0.049991, 0.102750>, <0.249777, -0.028573, 0.102048>, <0.229143, 0.023977, 0.098312>, <0.208578, 0.038175, 0.097518>, 
      <0.260490, -0.021600, 0.143659>, <0.247610, -0.000181, 0.142957>, <0.238120, 0.035596, 0.142112>, <0.217555, 0.049795, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.305431, -0.113714, 0.170420>, <0.295855, -0.112841, 0.141318>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.308460, -0.090729, 0.169684>, <0.298884, -0.089857, 0.140582>, 
      <0.314467, -0.119264, 0.241567>, <0.301378, -0.095401, 0.210812>, <0.294689, -0.077658, 0.173839>, <0.278342, -0.061656, 0.139731>, 
      <0.314467, -0.119264, 0.241567>, <0.301378, -0.095401, 0.210812>, <0.287183, -0.055721, 0.173159>, <0.270837, -0.039719, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.314467, -0.119264, 0.241567>, <0.295689, -0.138564, 0.212195>, <0.271121, -0.170779, 0.176110>, <0.251874, -0.183597, 0.143659>, 
      <0.314467, -0.119264, 0.241567>, <0.295689, -0.138564, 0.212195>, <0.284315, -0.149552, 0.175408>, <0.265068, -0.162371, 0.142957>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.302165, -0.138490, 0.171214>, <0.292589, -0.137618, 0.142112>, 
      <0.314467, -0.119264, 0.241567>, <0.308883, -0.117337, 0.211492>, <0.305431, -0.113714, 0.170420>, <0.295855, -0.112841, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.235015, -0.112027, 0.000126>, <0.239407, -0.078696, 0.000126>, <0.209634, -0.037802, 0.000126>, <0.198756, -0.005991, 0.000126>, 
      <0.253267, -0.112272, 0.042484>, <0.257659, -0.078940, 0.042484>, <0.231258, -0.047920, 0.041803>, <0.220380, -0.016109, 0.041803>, 
      <0.281443, -0.111529, 0.097524>, <0.284472, -0.088544, 0.096788>, <0.259225, -0.042941, 0.099840>, <0.251719, -0.021004, 0.099160>, 
      <0.295855, -0.112841, 0.141318>, <0.298884, -0.089857, 0.140582>, <0.278342, -0.061656, 0.139731>, <0.270837, -0.039719, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171264, -0.214635, 0.000126>, <0.190389, -0.183853, 0.000126>, <0.230281, -0.147957, 0.000126>, <0.235015, -0.112027, 0.000126>, 
      <0.195447, -0.205324, 0.043186>, <0.214572, -0.174541, 0.043186>, <0.248533, -0.148201, 0.042484>, <0.253267, -0.112272, 0.042484>, 
      <0.227599, -0.199764, 0.102732>, <0.240793, -0.178537, 0.102030>, <0.278178, -0.136305, 0.098318>, <0.281443, -0.111529, 0.097524>, 
      <0.251874, -0.183597, 0.143659>, <0.265068, -0.162371, 0.142957>, <0.292589, -0.137618, 0.142112>, <0.295855, -0.112841, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.211789, -0.300825, 0.170450>, <0.206808, -0.292665, 0.141318>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.231756, -0.289044, 0.169713>, <0.226775, -0.280884, 0.140582>, 
      <0.213203, -0.311481, 0.241567>, <0.223933, -0.286405, 0.210812>, <0.233516, -0.270132, 0.173817>, <0.236321, -0.247326, 0.139731>, 
      <0.213203, -0.311481, 0.241567>, <0.223933, -0.286405, 0.210812>, <0.246164, -0.250700, 0.173136>, <0.248969, -0.227895, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.213203, -0.311481, 0.241567>, <0.186437, -0.308530, 0.212195>, <0.145744, -0.309004, 0.176218>, <0.123982, -0.301643, 0.143659>, 
      <0.213203, -0.311481, 0.241567>, <0.186437, -0.308530, 0.212195>, <0.170592, -0.306311, 0.175516>, <0.148830, -0.298950, 0.142957>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.190266, -0.313525, 0.171243>, <0.185285, -0.305365, 0.142112>, 
      <0.213203, -0.311481, 0.241567>, <0.211285, -0.305837, 0.211492>, <0.211789, -0.300825, 0.170450>, <0.206808, -0.292665, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.171921, -0.243853, 0.000126>, <0.200875, -0.226767, 0.000126>, <0.214727, -0.178116, 0.000126>, <0.233072, -0.149943, 0.000126>, 
      <0.182387, -0.258497, 0.042484>, <0.211341, -0.241411, 0.042484>, <0.219496, -0.201502, 0.041803>, <0.237842, -0.173329, 0.041803>, 
      <0.199331, -0.280417, 0.097589>, <0.219298, -0.268635, 0.096853>, <0.239598, -0.220682, 0.099907>, <0.252246, -0.201251, 0.099226>, 
      <0.206808, -0.292665, 0.141318>, <0.226775, -0.280884, 0.140582>, <0.236321, -0.247326, 0.139731>, <0.248969, -0.227895, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.051827, -0.256894, 0.000126>, <0.087855, -0.252982, 0.000126>, <0.140710, -0.262270, 0.000126>, <0.171921, -0.243853, 0.000126>, 
      <0.073474, -0.270319, 0.043186>, <0.109502, -0.266406, 0.043186>, <0.151176, -0.276914, 0.042484>, <0.182387, -0.258497, 0.042484>, 
      <0.096659, -0.292401, 0.102781>, <0.121507, -0.289708, 0.102079>, <0.177808, -0.293116, 0.098383>, <0.199331, -0.280417, 0.097589>, 
      <0.123982, -0.301643, 0.143659>, <0.148830, -0.298950, 0.142957>, <0.185285, -0.305365, 0.142112>, <0.206808, -0.292665, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.012828, -0.337093, 0.170454>, <0.016412, -0.328192, 0.141318>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.034275, -0.345897, 0.169718>, <0.037858, -0.336996, 0.140582>, 
      <0.005173, -0.344890, 0.241567>, <0.031671, -0.338232, 0.210812>, <0.050408, -0.335875, 0.173801>, <0.070373, -0.324346, 0.139731>, 
      <0.005173, -0.344890, 0.241567>, <0.031671, -0.338232, 0.210812>, <0.073535, -0.334226, 0.173121>, <0.093500, -0.322697, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.005173, -0.344890, 0.241567>, <-0.008604, -0.321699, 0.212195>, <-0.033568, -0.289406, 0.176258>, <-0.040752, -0.267586, 0.143659>, 
      <0.005173, -0.344890, 0.241567>, <-0.008604, -0.321699, 0.212195>, <-0.016419, -0.307588, 0.175555>, <-0.023603, -0.285768, 0.142957>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <-0.010291, -0.327602, 0.171248>, <-0.006707, -0.318702, 0.142112>, 
      <0.005173, -0.344890, 0.241567>, <0.008545, -0.339881, 0.211492>, <0.012828, -0.337093, 0.170454>, <0.016412, -0.328192, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034871, -0.271136, 0.000126>, <0.065973, -0.283902, 0.000126>, <0.113119, -0.265572, 0.000126>, <0.146654, -0.263187, 0.000126>, 
      <0.029333, -0.288253, 0.042484>, <0.060435, -0.301019, 0.042484>, <0.097173, -0.283425, 0.041803>, <0.130708, -0.281040, 0.041803>, 
      <0.021788, -0.314840, 0.097608>, <0.043235, -0.323644, 0.096871>, <0.093699, -0.310875, 0.099925>, <0.116825, -0.309227, 0.099245>, 
      <0.016412, -0.328192, 0.141318>, <0.037858, -0.336996, 0.140582>, <0.070373, -0.324346, 0.139731>, <0.093500, -0.322697, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.048032, -0.183276, 0.000126>, <-0.023161, -0.209634, 0.000126>, <0.001346, -0.257375, 0.000126>, <0.034871, -0.271136, 0.000126>, 
      <-0.045848, -0.208568, 0.043186>, <-0.020977, -0.234927, 0.043186>, <-0.004192, -0.274492, 0.042484>, <0.029333, -0.288253, 0.042484>, 
      <-0.049756, -0.240235, 0.102799>, <-0.032607, -0.258417, 0.102097>, <-0.001330, -0.305349, 0.098401>, <0.021788, -0.314840, 0.097608>, 
      <-0.040752, -0.267586, 0.143659>, <-0.023603, -0.285768, 0.142957>, <-0.006707, -0.318702, 0.142112>, <0.016412, -0.328192, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.135172, -0.214349, 0.170420>, <-0.125876, -0.211514, 0.141318>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.128886, -0.236664, 0.169683>, <-0.119590, -0.233829, 0.140582>, 
      <-0.146046, -0.213107, 0.241567>, <-0.124443, -0.229824, 0.210812>, <-0.111068, -0.243228, 0.173788>, <-0.089587, -0.251636, 0.139731>, 
      <-0.146046, -0.213107, 0.241567>, <-0.124443, -0.229824, 0.210812>, <-0.095516, -0.260423, 0.173108>, <-0.074035, -0.268831, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.146046, -0.213107, 0.241567>, <-0.136247, -0.187918, 0.212195>, <-0.126209, -0.148403, 0.176184>, <-0.113383, -0.129145, 0.143659>, 
      <-0.146046, -0.213107, 0.241567>, <-0.136247, -0.187918, 0.212195>, <-0.129957, -0.173114, 0.175482>, <-0.117131, -0.153856, 0.142957>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.141948, -0.190295, 0.171213>, <-0.132652, -0.187460, 0.142112>, 
      <-0.146046, -0.213107, 0.241567>, <-0.139995, -0.212629, 0.211492>, <-0.135172, -0.214349, 0.170420>, <-0.125876, -0.211514, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.068922, -0.189588, 0.000126>, <-0.059805, -0.221948, 0.000126>, <-0.016312, -0.247776, 0.000126>, <0.006236, -0.272713, 0.000126>, 
      <-0.086008, -0.196166, 0.042484>, <-0.076891, -0.228526, 0.042484>, <-0.040393, -0.246611, 0.041803>, <-0.017845, -0.271549, 0.041803>, 
      <-0.111895, -0.207251, 0.097549>, <-0.105609, -0.229566, 0.096813>, <-0.064444, -0.261478, 0.099866>, <-0.048891, -0.278673, 0.099185>, 
      <-0.125876, -0.211514, 0.141318>, <-0.119590, -0.233829, 0.140582>, <-0.089587, -0.251636, 0.139731>, <-0.074035, -0.268831, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.050833, -0.070151, 0.000126>, <-0.056260, -0.105982, 0.000126>, <-0.078750, -0.154706, 0.000126>, <-0.068922, -0.189588, 0.000126>, 
      <-0.069598, -0.087849, 0.043186>, <-0.075025, -0.123680, 0.043186>, <-0.095836, -0.161284, 0.042484>, <-0.086008, -0.196166, 0.042484>, 
      <-0.097254, -0.104928, 0.102758>, <-0.101002, -0.129639, 0.102056>, <-0.118671, -0.183196, 0.098343>, <-0.111895, -0.207251, 0.097549>, 
      <-0.113383, -0.129145, 0.143659>, <-0.117131, -0.153856, 0.142957>, <-0.132652, -0.187460, 0.142112>, <-0.125876, -0.211514, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.146157, -0.035481, 0.170357>, <-0.137189, -0.039615, 0.141318>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.155723, -0.056599, 0.169621>, <-0.146755, -0.060733, 0.140582>, 
      <-0.153707, -0.028201, 0.241567>, <-0.147931, -0.054795, 0.210812>, <-0.146277, -0.073168, 0.173565>, <-0.135275, -0.093680, 0.139731>, 
      <-0.153707, -0.028201, 0.241567>, <-0.147931, -0.054795, 0.210812>, <-0.145457, -0.096339, 0.172885>, <-0.134455, -0.116851, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.153707, -0.028201, 0.241567>, <-0.129968, -0.015138, 0.212195>, <-0.096889, 0.009225, 0.176242>, <-0.074577, 0.015342, 0.143659>, 
      <-0.153707, -0.028201, 0.241567>, <-0.129968, -0.015138, 0.212195>, <-0.115672, -0.007262, 0.175540>, <-0.093360, -0.001145, 0.142957>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.135846, -0.012717, 0.171151>, <-0.126878, -0.016851, 0.142112>, 
      <-0.153707, -0.028201, 0.241567>, <-0.148751, -0.031625, 0.211492>, <-0.146157, -0.035481, 0.170357>, <-0.137189, -0.039615, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.079145, -0.062576, 0.000126>, <-0.093016, -0.093201, 0.000126>, <-0.076384, -0.140973, 0.000126>, <-0.075201, -0.174572, 0.000126>, 
      <-0.096559, -0.055688, 0.042484>, <-0.110429, -0.086313, 0.042484>, <-0.094161, -0.123657, 0.041803>, <-0.092977, -0.157255, 0.041803>, 
      <-0.123648, -0.045858, 0.097472>, <-0.133214, -0.066976, 0.096736>, <-0.122281, -0.117907, 0.099768>, <-0.121461, -0.141078, 0.099087>, 
      <-0.137189, -0.039615, 0.141318>, <-0.146755, -0.060733, 0.140582>, <-0.135275, -0.093680, 0.139731>, <-0.134455, -0.116851, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011626, 0.017131, 0.000126>, <-0.015606, -0.006781, 0.000126>, <-0.064194, -0.029564, 0.000126>, <-0.079145, -0.062576, 0.000126>, 
      <-0.014235, 0.016594, 0.043186>, <-0.041466, -0.007318, 0.043186>, <-0.081607, -0.022676, 0.042484>, <-0.096559, -0.055688, 0.042484>, 
      <-0.046530, 0.023032, 0.102702>, <-0.065314, 0.006545, 0.102000>, <-0.113337, -0.023094, 0.098266>, <-0.123648, -0.045858, 0.097472>, 
      <-0.074577, 0.015342, 0.143659>, <-0.093360, -0.001145, 0.142957>, <-0.126878, -0.016851, 0.142112>, <-0.137189, -0.039615, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.016714, 0.076074, 0.170516>, <0.018792, 0.066905, 0.141318>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <-0.005896, 0.070949, 0.169780>, <-0.003818, 0.061781, 0.140582>, 
      <0.017749, 0.086989, 0.241567>, <0.000086, 0.066321, 0.210812>, <-0.013315, 0.053419, 0.173797>, <-0.023152, 0.032738, 0.139731>, 
      <0.017749, 0.086989, 0.241567>, <0.000086, 0.066321, 0.210812>, <-0.031291, 0.038776, 0.173117>, <-0.041128, 0.018095, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.017749, 0.086989, 0.241567>, <0.042546, 0.075944, 0.212195>, <0.081993, 0.063765, 0.176459>, <0.100405, 0.050173, 0.143659>, 
      <0.017749, 0.086989, 0.241567>, <0.042546, 0.075944, 0.212195>, <0.057509, 0.068785, 0.175757>, <0.075921, 0.055193, 0.142957>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.041086, 0.081598, 0.171310>, <0.043164, 0.072429, 0.142112>, 
      <0.017749, 0.086989, 0.241567>, <0.018062, 0.080964, 0.211492>, <0.016714, 0.076074, 0.170516>, <0.018792, 0.066905, 0.141318>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.034933, 0.011173, 0.000126>, <0.002145, 0.003740, 0.000126>, <-0.025896, -0.038360, 0.000126>, <-0.051965, -0.059589, 0.000126>, 
      <0.030090, 0.027893, 0.042484>, <-0.002697, 0.020460, 0.042484>, <-0.022645, -0.015055, 0.041803>, <-0.048714, -0.036284, 0.041803>, 
      <0.021894, 0.053217, 0.097727>, <-0.000716, 0.048092, 0.096991>, <-0.034621, 0.008624, 0.100011>, <-0.052597, -0.006019, 0.099330>, 
      <0.018792, 0.066905, 0.141318>, <-0.003818, 0.061781, 0.140582>, <-0.023152, 0.032738, 0.139731>, <-0.041128, 0.018095, 0.139050>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.153276, -0.013063, 0.000126>, <0.117773, -0.005792, 0.000126>, <0.070276, 0.019185, 0.000126>, <0.034933, 0.011173, 0.000126>, 
      <0.137415, 0.005908, 0.043186>, <0.101912, 0.013178, 0.043186>, <0.065434, 0.035904, 0.042484>, <0.030090, 0.027893, 0.042484>, 
      <0.123263, 0.033298, 0.102936>, <0.098780, 0.038317, 0.102234>, <0.046266, 0.058741, 0.098521>, <0.021894, 0.053217, 0.097727>, 
      <0.100405, 0.050173, 0.143659>, <0.075921, 0.055193, 0.142957>, <0.043164, 0.072429, 0.142112>, <0.018792, 0.066905, 0.141318>
    }
  }
  texture {
    Pinkish
    scale 0.25
  }
  scale 0.95
}
#declare sPatchObj24 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.347403, 0.059594, 0.212801>, <0.332208, 0.049062, 0.178393>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.327301, 0.084443, 0.211786>, <0.312105, 0.073911, 0.177378>, 
      <0.358453, 0.063875, 0.305059>, <0.321523, 0.072753, 0.266121>, <0.298231, 0.086092, 0.218390>, <0.264410, 0.080147, 0.176204>, 
      <0.358453, 0.063875, 0.305059>, <0.321523, 0.072753, 0.266121>, <0.269175, 0.099414, 0.217451>, <0.235354, 0.093470, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.358453, 0.063875, 0.305059>, <0.359275, 0.026089, 0.268027>, <0.375031, -0.032257, 0.223080>, <0.361192, -0.062079, 0.181620>, 
      <0.358453, 0.063875, 0.305059>, <0.359275, 0.026089, 0.268027>, <0.366336, 0.001085, 0.222112>, <0.352497, -0.028737, 0.180652>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.369073, 0.032808, 0.213895>, <0.353878, 0.022276, 0.179487>, 
      <0.358453, 0.063875, 0.305059>, <0.350579, 0.059431, 0.267059>, <0.347403, 0.059594, 0.212801>, <0.332208, 0.049062, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.223731, -0.029497, 0.000000>, <0.200927, -0.001311, 0.000000>, <0.146837, 0.005774, 0.000000>, <0.113883, 0.020890, 0.000000>, 
      <0.256274, -0.005929, 0.053518>, <0.233470, 0.022257, 0.053518>, <0.183279, 0.027548, 0.052580>, <0.150324, 0.042664, 0.052580>, 
      <0.306173, 0.031019, 0.119442>, <0.286071, 0.055868, 0.118426>, <0.222393, 0.072763, 0.123795>, <0.193337, 0.086085, 0.122857>, 
      <0.332208, 0.049062, 0.178393>, <0.312105, 0.073911, 0.177378>, <0.264410, 0.080147, 0.176204>, <0.235354, 0.093470, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.256630, -0.155547, 0.000000>, <0.246760, -0.117732, 0.000000>, <0.248312, -0.059880, 0.000000>, <0.223731, -0.029497, 0.000000>, 
      <0.287999, -0.127507, 0.054486>, <0.278129, -0.089692, 0.054486>, <0.280855, -0.036312, 0.053518>, <0.256274, -0.005929, 0.053518>, 
      <0.343188, -0.100877, 0.127680>, <0.334493, -0.067535, 0.126712>, <0.327843, 0.004233, 0.120536>, <0.306173, 0.031019, 0.119442>, 
      <0.361192, -0.062079, 0.181620>, <0.352497, -0.028737, 0.180652>, <0.353878, 0.022276, 0.179487>, <0.332208, 0.049062, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.389731, -0.202364, 0.212925>, <0.372436, -0.196520, 0.178393>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.402687, -0.173146, 0.211910>, <0.385392, -0.167301, 0.177378>, 
      <0.397582, -0.213130, 0.305059>, <0.388654, -0.176212, 0.266121>, <0.391566, -0.146399, 0.219376>, <0.369206, -0.122006, 0.176204>, 
      <0.397582, -0.213130, 0.305059>, <0.388654, -0.176212, 0.266121>, <0.390181, -0.114465, 0.218438>, <0.367821, -0.090071, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.397582, -0.213130, 0.305059>, <0.364323, -0.231083, 0.268027>, <0.320125, -0.268282, 0.222385>, <0.286719, -0.272973, 0.181620>, 
      <0.397582, -0.213130, 0.305059>, <0.364323, -0.231083, 0.268027>, <0.345841, -0.245346, 0.221417>, <0.312434, -0.250038, 0.180652>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.375765, -0.233861, 0.214019>, <0.358470, -0.228017, 0.179487>, 
      <0.397582, -0.213130, 0.305059>, <0.390038, -0.208147, 0.267059>, <0.389731, -0.202364, 0.212925>, <0.372436, -0.196520, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.244796, -0.161502, 0.000000>, <0.259491, -0.128358, 0.000000>, <0.241146, -0.076984, 0.000000>, <0.239581, -0.040762, 0.000000>, 
      <0.283088, -0.172008, 0.053518>, <0.297783, -0.138864, 0.053518>, <0.279617, -0.091777, 0.052580>, <0.278053, -0.055555, 0.052580>, 
      <0.342930, -0.186550, 0.119480>, <0.355886, -0.157331, 0.118465>, <0.341742, -0.092045, 0.123179>, <0.340357, -0.060111, 0.122241>, 
      <0.372436, -0.196520, 0.178393>, <0.385392, -0.167301, 0.177378>, <0.369206, -0.122006, 0.176204>, <0.367821, -0.090071, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.147593, -0.248235, 0.000000>, <0.176754, -0.222215, 0.000000>, <0.228955, -0.197230, 0.000000>, <0.244796, -0.161502, 0.000000>, 
      <0.189331, -0.255657, 0.054486>, <0.218492, -0.229637, 0.054486>, <0.267247, -0.207735, 0.053518>, <0.283088, -0.172008, 0.053518>, 
      <0.243134, -0.279094, 0.128434>, <0.268849, -0.256158, 0.127466>, <0.328964, -0.218046, 0.120574>, <0.342930, -0.186550, 0.119480>, 
      <0.286719, -0.272973, 0.181620>, <0.312434, -0.250038, 0.180652>, <0.358470, -0.228017, 0.179487>, <0.372436, -0.196520, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.190069, -0.416838, 0.213059>, <0.184649, -0.399673, 0.178393>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.221063, -0.409031, 0.212044>, <0.215643, -0.391866, 0.177378>, 
      <0.187068, -0.429712, 0.305059>, <0.210636, -0.399927, 0.266121>, <0.235084, -0.383693, 0.219378>, <0.241335, -0.351201, 0.176204>, 
      <0.187068, -0.429712, 0.305059>, <0.210636, -0.399927, 0.266121>, <0.259378, -0.362919, 0.218440>, <0.265629, -0.330428, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.187068, -0.429712, 0.305059>, <0.152431, -0.414587, 0.268027>, <0.095305, -0.402751, 0.222709>, <0.071612, -0.379296, 0.181620>, 
      <0.187068, -0.429712, 0.305059>, <0.152431, -0.414587, 0.268027>, <0.129216, -0.408864, 0.221741>, <0.105523, -0.385409, 0.180652>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.156659, -0.425253, 0.214153>, <0.151239, -0.408088, 0.179487>, 
      <0.187068, -0.429712, 0.305059>, <0.186342, -0.420700, 0.267059>, <0.190069, -0.416838, 0.213059>, <0.184649, -0.399673, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.139373, -0.278661, 0.000000>, <0.174531, -0.269804, 0.000000>, <0.203679, -0.223693, 0.000000>, <0.231238, -0.200135, 0.000000>, 
      <0.152956, -0.314964, 0.053518>, <0.188113, -0.306108, 0.053518>, <0.213996, -0.262781, 0.052580>, <0.241556, -0.239223, 0.052580>, 
      <0.175480, -0.370634, 0.119747>, <0.206475, -0.362828, 0.118732>, <0.248958, -0.311584, 0.123561>, <0.273252, -0.290811, 0.122623>, 
      <0.184649, -0.399673, 0.178393>, <0.215643, -0.391866, 0.177378>, <0.241335, -0.351201, 0.176204>, <0.265629, -0.330428, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.011162, -0.255575, 0.000000>, <0.049625, -0.262501, 0.000000>, <0.101475, -0.288208, 0.000000>, <0.139373, -0.278661, 0.000000>, 
      <0.029297, -0.292691, 0.054486>, <0.067760, -0.299617, 0.054486>, <0.115058, -0.324512, 0.053518>, <0.152956, -0.314964, 0.053518>, 
      <0.040995, -0.348987, 0.128524>, <0.074906, -0.355100, 0.127556>, <0.142070, -0.379049, 0.120842>, <0.175480, -0.370634, 0.119747>, 
      <0.071612, -0.379296, 0.181620>, <0.105523, -0.385409, 0.180652>, <0.151239, -0.408088, 0.179487>, <0.184649, -0.399673, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.091545, -0.387021, 0.213095>, <-0.080992, -0.372524, 0.178393>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.066608, -0.407015, 0.212080>, <-0.056056, -0.392518, 0.177378>, 
      <-0.103478, -0.392588, 0.305059>, <-0.065505, -0.393393, 0.266121>, <-0.037953, -0.402824, 0.219361>, <-0.008128, -0.388447, 0.176204>, 
      <-0.103478, -0.392588, 0.305059>, <-0.065505, -0.393393, 0.266121>, <-0.006726, -0.409648, 0.218423>, <0.023100, -0.395272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.103478, -0.392588, 0.305059>, <-0.112333, -0.355845, 0.268027>, <-0.137553, -0.303005, 0.222815>, <-0.132995, -0.270111, 0.181620>, 
      <-0.103478, -0.392588, 0.305059>, <-0.112333, -0.355845, 0.268027>, <-0.121952, -0.333728, 0.221847>, <-0.117394, -0.300835, 0.180652>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.118425, -0.365468, 0.214189>, <-0.107873, -0.350971, 0.179487>, 
      <-0.103478, -0.392588, 0.305059>, <-0.096732, -0.386569, 0.267059>, <-0.091545, -0.387021, 0.213095>, <-0.080992, -0.372524, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.010717, -0.265145, 0.000000>, <0.017570, -0.287824, 0.000000>, <0.071927, -0.283220, 0.000000>, <0.107346, -0.290967, 0.000000>, 
      <-0.031799, -0.297358, 0.053518>, <-0.003513, -0.320037, 0.053518>, <0.046653, -0.314512, 0.052580>, <0.082072, -0.322258, 0.052580>, 
      <-0.063183, -0.348055, 0.119823>, <-0.038247, -0.368050, 0.118808>, <0.028171, -0.370950, 0.123680>, <0.059399, -0.377775, 0.122742>, 
      <-0.080992, -0.372524, 0.178393>, <-0.056056, -0.392518, 0.177378>, <-0.008128, -0.388447, 0.176204>, <0.023100, -0.395272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.069722, -0.149001, 0.000000>, <-0.052020, -0.183844, 0.000000>, <-0.041208, -0.240698, 0.000000>, <-0.010717, -0.265145, 0.000000>, 
      <-0.088704, -0.185334, 0.054486>, <-0.071002, -0.220177, 0.054486>, <-0.062291, -0.272911, 0.053518>, <-0.031799, -0.297358, 0.053518>, 
      <-0.127121, -0.227723, 0.128536>, <-0.111520, -0.258447, 0.127568>, <-0.090063, -0.326502, 0.120917>, <-0.063183, -0.348055, 0.119823>, 
      <-0.132995, -0.270111, 0.181620>, <-0.117394, -0.300835, 0.180652>, <-0.107873, -0.350971, 0.179487>, <-0.080992, -0.372524, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241893, -0.163749, 0.212968>, <-0.223743, -0.162809, 0.178393>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.242269, -0.195710, 0.211952>, <-0.224118, -0.194769, 0.177378>, 
      <-0.253402, -0.157469, 0.305059>, <-0.230631, -0.187868, 0.266121>, <-0.221391, -0.215798, 0.219283>, <-0.191372, -0.230002, 0.176204>, 
      <-0.253402, -0.157469, 0.305059>, <-0.230631, -0.187868, 0.266121>, <-0.207518, -0.244595, 0.218345>, <-0.177498, -0.258799, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.253402, -0.157469, 0.305059>, <-0.229926, -0.127849, 0.268027>, <-0.204043, -0.075699, 0.222573>, <-0.175149, -0.058736, 0.181620>, 
      <-0.253402, -0.157469, 0.305059>, <-0.229926, -0.127849, 0.268027>, <-0.218622, -0.106920, 0.221605>, <-0.189727, -0.089958, 0.180652>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241489, -0.129298, 0.214062>, <-0.223338, -0.128357, 0.179487>, 
      <-0.253402, -0.157469, 0.305059>, <-0.244504, -0.159071, 0.267059>, <-0.241893, -0.163749, 0.212968>, <-0.223743, -0.162809, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.093255, -0.149169, 0.000000>, <-0.093680, -0.185422, 0.000000>, <-0.056551, -0.225389, 0.000000>, <-0.040821, -0.258055, 0.000000>, 
      <-0.132402, -0.153261, 0.053518>, <-0.132826, -0.189514, 0.053518>, <-0.097555, -0.225612, 0.052580>, <-0.081824, -0.258278, 0.052580>, 
      <-0.192873, -0.161209, 0.119590>, <-0.193248, -0.193169, 0.118575>, <-0.154573, -0.247414, 0.123397>, <-0.140699, -0.276211, 0.122459>, 
      <-0.223743, -0.162809, 0.178393>, <-0.224118, -0.194769, 0.177378>, <-0.191372, -0.230002, 0.176204>, <-0.177498, -0.258799, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.038164, -0.031118, 0.000000>, <-0.054692, -0.066533, 0.000000>, <-0.092798, -0.110090, 0.000000>, <-0.093255, -0.149169, 0.000000>, 
      <-0.079260, -0.039404, 0.054486>, <-0.095787, -0.074819, 0.054486>, <-0.131944, -0.114182, 0.053518>, <-0.132402, -0.153261, 0.053518>, 
      <-0.137607, -0.036698, 0.128412>, <-0.152185, -0.067920, 0.127444>, <-0.192468, -0.126757, 0.120684>, <-0.192873, -0.161209, 0.119590>, 
      <-0.175149, -0.058736, 0.181620>, <-0.189727, -0.089958, 0.180652>, <-0.223338, -0.128357, 0.179487>, <-0.223743, -0.162809, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.185946, 0.080967, 0.212747>, <-0.171771, 0.068941, 0.178393>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.206820, 0.056762, 0.211732>, <-0.192646, 0.044736, 0.177378>, 
      <-0.191019, 0.092130, 0.305059>, <-0.193182, 0.054209, 0.266121>, <-0.203649, 0.027887, 0.218716>, <-0.190292, -0.003308, 0.176204>, 
      <-0.191019, 0.092130, 0.305059>, <-0.193182, 0.054209, 0.266121>, <-0.211586, -0.003076, 0.217778>, <-0.198230, -0.034272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.191019, 0.092130, 0.305059>, <-0.153983, 0.099664, 0.268027>, <-0.100331, 0.124223, 0.222577>, <-0.067565, 0.117245, 0.181620>, 
      <-0.191019, 0.092130, 0.305059>, <-0.153983, 0.099664, 0.268027>, <-0.131593, 0.109732, 0.221609>, <-0.098827, 0.102754, 0.180652>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.163445, 0.107058, 0.213841>, <-0.149271, 0.095032, 0.179487>, 
      <-0.191019, 0.092130, 0.305059>, <-0.185245, 0.085173, 0.267059>, <-0.185946, 0.080967, 0.212747>, <-0.171771, 0.068941, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <-0.065147, -0.014659, 0.000000>, <-0.088824, -0.042116, 0.000000>, <-0.086168, -0.096603, 0.000000>, <-0.095177, -0.131721, 0.000000>, 
      <-0.097134, 0.010421, 0.053518>, <-0.120811, -0.017036, 0.053518>, <-0.117084, -0.067368, 0.052580>, <-0.126093, -0.102486, 0.052580>, 
      <-0.147384, 0.048250, 0.119287>, <-0.168258, 0.024045, 0.118272>, <-0.173684, -0.042099, 0.123341>, <-0.181622, -0.073062, 0.122403>, 
      <-0.171771, 0.068941, 0.178393>, <-0.192646, 0.044736, 0.177378>, <-0.190292, -0.003308, 0.176204>, <-0.198230, -0.034272, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.053034, 0.040153, 0.000000>, <0.017580, 0.023709, 0.000000>, <-0.039624, 0.014938, 0.000000>, <-0.065147, -0.014659, 0.000000>, 
      <0.016854, 0.063280, 0.054486>, <-0.018600, 0.046837, 0.054486>, <-0.071612, 0.040018, 0.053518>, <-0.097134, 0.010421, 0.053518>, 
      <-0.024606, 0.108096, 0.127923>, <-0.055868, 0.093604, 0.126955>, <-0.124883, 0.074342, 0.120381>, <-0.147384, 0.048250, 0.119287>, 
      <-0.067565, 0.117245, 0.181620>, <-0.098827, 0.102754, 0.180652>, <-0.149271, 0.095032, 0.179487>, <-0.171771, 0.068941, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.076859, 0.166457, 0.213366>, <0.075996, 0.149084, 0.178393>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.044961, 0.168484, 0.212351>, <0.044098, 0.151110, 0.177377>, 
      <0.082861, 0.178428, 0.305059>, <0.051326, 0.157258, 0.266121>, <0.024127, 0.148403, 0.219553>, <0.007220, 0.120228, 0.176204>, 
      <0.082861, 0.178428, 0.305059>, <0.051326, 0.157258, 0.266121>, <-0.005349, 0.136036, 0.218615>, <-0.022256, 0.107861, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.082861, 0.178428, 0.305059>, <0.111228, 0.153453, 0.268027>, <0.162721, 0.124245, 0.223320>, <0.177418, 0.095177, 0.181620>, 
      <0.082861, 0.178428, 0.305059>, <0.111228, 0.153453, 0.268027>, <0.132295, 0.140418, 0.222351>, <0.146991, 0.111349, 0.180652>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.111244, 0.164273, 0.214461>, <0.110380, 0.146900, 0.179487>, 
      <0.082861, 0.178428, 0.305059>, <0.080802, 0.169625, 0.267059>, <0.076859, 0.166457, 0.213366>, <0.075996, 0.149084, 0.178393>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.075331, 0.026891, 0.000000>, <0.039148, 0.029188, 0.000000>, <-0.002684, -0.005825, 0.000000>, <-0.036119, -0.019847, 0.000000>, 
      <0.075531, 0.063549, 0.053518>, <0.039348, 0.065846, 0.053518>, <0.001475, 0.032487, 0.052580>, <-0.031960, 0.018465, 0.052580>, 
      <0.074562, 0.120232, 0.120311>, <0.042664, 0.122258, 0.119296>, <-0.013043, 0.086461, 0.124252>, <-0.042518, 0.074094, 0.123314>, 
      <0.075996, 0.149084, 0.178393>, <0.044098, 0.151110, 0.177377>, <0.007220, 0.120228, 0.176204>, <-0.022256, 0.107861, 0.175266>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0010 u_steps 3 v_steps 3,
      <0.190377, -0.034227, 0.000000>, <0.155863, -0.015892, 0.000000>, <0.114334, 0.024414, 0.000000>, <0.075331, 0.026891, 0.000000>, 
      <0.186489, 0.004594, 0.054486>, <0.151975, 0.022930, 0.054486>, <0.114534, 0.061072, 0.053518>, <0.075531, 0.063549, 0.053518>, 
      <0.196031, 0.058362, 0.128808>, <0.165604, 0.074534, 0.127840>, <0.108947, 0.118048, 0.121405>, <0.074562, 0.120232, 0.120311>, 
      <0.177418, 0.095177, 0.181620>, <0.146991, 0.111349, 0.180652>, <0.110380, 0.146900, 0.179487>, <0.075996, 0.149084, 0.178393>
    }
  }
  texture {
    Pinkish
    scale 0.3
  }
}
#declare sPatchGroup4 = union {
  object { sPatchObj21 }
  object { sPatchObj22 }
  object { sPatchObj23 }
  object { sPatchObj24 }
  scale 15.0
  translate  <14.5, -45.5, 6.5>
}
#declare PadBase4 = prism {
  linear_sweep
  quadratic_spline
  -0.1,0.0
  13  // control points
  <0.010421, -0.953107>,
  <0.7, -0.7>,
  <0.680427, -0.468>,
  <-0.006, -0.002876>,
  <0.77923, -0.184071>,
  <1.00521, 0.00521>,
  <0.7, 0.7>,
  <0.0, 1.0>,
  <-0.689579, 0.689579>,
  <-1.0, 0.0>,
  <-0.726052, -0.710421>,
  <0.010421, -0.953107>,
  <0.7, -0.7>
  rotate -x*90
}
#declare PadSubtract4 = prism {
  linear_sweep
  quadratic_spline
  -0.1,0.0
  13  // control points
  <0.005333, -0.94293>,
  <0.689824, -0.684735>,
  <0.630075, -0.452894>,
  <-0.000964, -0.007911>,
  <0.77923, -0.16393>,
  <0.989946, 0.000122>,
  <0.689824, 0.689824>,
  <0.0, 0.989824>,
  <-0.679403, 0.679403>,
  <-0.984735, 0.0>,
  <-0.705805, -0.705386>,
  <0.005333, -0.94293>,
  <0.689824, -0.684735>
  rotate -x*90
  translate  0.01*z
}
#declare LillyPad4 = difference {
  object { PadBase4 }
  object { PadSubtract4 }
  texture {
    LeafTexture
  }
  scale 8.0
  rotate 130.0*z
  translate  <15.5, -47.5, 5.5>
}
union { // Group5
  object { sPatchGroup4 }
  object { LillyPad4 }
  rotate -120.0*z
  translate  <69.1, 14.6, 0.0>
}


